xquery version "1.0-ml";
(: Copyright 2002-2018 MarkLogic Corporation. All Rights Reserved. :)
(: THIS IS A GENERATED FILE. DO NOT EDIT IT DIRECTLY. :)

declare option xdmp:mapping "false";
declare variable $image-source := "/v2/help/images";

let $requested-page :=
  try {
    element { xdmp:get-request-field("page", "overview") } { }
  } catch ($e) {
    <none/>
  }
let $body :=
  typeswitch ($requested-page)
   case element(overview) return
     <div id=" overview "> <p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=overview" xmlns="http://www.w3.org/1999/xhtml">Monitoring MarkLogic with Ops Director</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=navigation" xmlns="http://www.w3.org/1999/xhtml">Navigating and Filtering Ops Director Views</a></p>
<h1 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1095514"></a>Monitoring MarkLogic with Ops Director</h1>


<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1096555"></a>Ops Director enables you to monitor MarkLogic clusters ranging from a single node to large multi-node deployments. A single Ops Director server can monitor multiple clusters. Ops Director provides a unified browser-based interface for easy access and navigation.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1096559"></a>Ops Director presents a consolidated view of your MarkLogic infrastructure, to streamline monitoring and troubleshooting of clusters with alerting, performance, and log data. Ops Director provides enterprise-grade security of your cluster configuration and performance data with robust role-based access control and information security powered by MarkLogic Server.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1073383"></a>This chapter covers the following topics:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1073636"></a><a href="#10186">Overview</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1094083"></a><a href="#37901">Terms</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1098487"></a><a href="#39286">Ops Director High-Level Architecture</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1075398"></a><a href="#42339">Ops Director Deployment Configurations</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1095281"></a><a href="#62798">Ops Director Security</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1098472"></a><a href="#78717">Data Collected by Ops Director</a></li>
</ul>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1098478"></a><a id="10186"></a>Overview</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1091393"></a>Ops Director is designed to accommodate your evolving IT strategy, whether for one or many clusters, on premises or the cloud. Ops Director complements the current MarkLogic admin tools, bringing enterprise IT administrators a simple, flexible, and proactive management experience.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1091385"></a>Ops Director decreases your learning curve by using guided visual representations of databases, clusters, and applications. It enables you to identify potential problems and bring them to attention before they occur. It also provides learning and analysis opportunities with centralized data collection, delivery, and storage. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1091420"></a>You can use Ops Director for the following tasks:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1078806"></a>To keep track of the day-to-day operations of your MarkLogic Server environment.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1075325"></a>To plan initial capacity and fine-tune your MarkLogic Server environment. For details on how to configure your MarkLogic Server cluster, see the <i>Scalability, Availability, and Failover Guide</i>.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1075332"></a>To troubleshoot application performance problems. For details on how to troubleshoot and resolve performance issues, see the <i>Query Performance and Tuning Guide</i>.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1075339"></a>To troubleshoot application errors and failures.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1075353"></a>The monitoring metrics and thresholds of interest will vary depending on your specific hardware and software environment and configuration of your MarkLogic Server cluster. This chapter lists some of the metrics of interest when configuring and troubleshooting MarkLogic Server. However, MarkLogic Server is just one part of your overall environment. The health of your cluster depends on the health of the underlying infrastructure, such as network bandwidth, disk I/O, memory, and CPU.</p>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1092049"></a><a id="37901"></a>Terms</h2>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1093624"></a><i>Ops Director Application Cluster</i> -- a MarkLogic cluster that contains the host that runs the Ops Director application.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1092073"></a><i>Managed Cluster</i> -- a MarkLogic cluster that is specifically configured to be managed by the Ops Director application.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1098404"></a><i>Ops Director Application </i>-- Ops Director application server that is responsible for communication with the browser.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1096732"></a><i>Ops Director System</i> -- Ops Director application server that is responsible for inter-cluster communication.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1092074"></a><i>Resource Group </i>-- a configuration that represents one or more resources of a certain type, such as hosts, App Servers, databases, and so on. </li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1097214"></a><i>RBAC</i> -- Role-Based Access Control -- a method of regulating access to computer or network resources based on the roles of individual users within an enterprise.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1097240"></a><i>XDQP</i> -- XML Data Query Protocol -- a MarkLogic internal protocol used for communication between nodes in a cluster.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1098750"></a>CSV -- Comma-Separated Values file stores tabular data in a plain text format, where each line of the file is a data record, each record consists of one or more fields, and the fields are separated by commas.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1095576"></a><i>View</i> -- a top-level page of Ops Director UI, which you can access from the menu bar; provides a high-level view of MarkLogic resources.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1096865"></a><i>Tab</i> -- a next-level page of Ops Director UI, which you can access from clicking on one of the tabs in a view; enables you to drill down for specific resources or resource types.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1092078"></a><i>Report</i> -- a document-centric display of information about one or more assets at a specific date time period. </li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1092417"></a><i>Rates</i> -- The amount of data (MB per second) currently being read from or written to a resource. </li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1096577"></a><i>Loads</i> -- The execution time (in seconds) of current read and write requests on a resource, which includes the time requests spend in the wait queue when maximum throughput is achieved. </li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1098733"></a>Color-coded severity -- colors used in graphic representations of alert severity, as indicated in the following table:</li>
</ul>


<a id="pgfId-1096942" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1096919"></a>Color</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1096921"></a>Alert Severity</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1096923"></a><code>Red</code></p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1096925"></a><code>Critical</code></p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1096927"></a><code>Yellow</code></p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1096929"></a><code>At Risk / Warning</code></p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1096931"></a><code>Green</code></p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1096933"></a><code>Healthy</code></p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1096935"></a><code>Dark Gray</code></p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1096937"></a><code>Maintenance</code></p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1096939"></a><code>Light Gray</code></p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1096941"></a><code>Offline</code></p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1097043"></a><code>Blue</code></p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1097045"></a><code>Security</code></p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1097039"></a><code>Dark Green</code></p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1097041"></a><code>Information</code></p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1097053"></a><code>White / Hollow</code></p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1097055"></a><code>Unknown</code></p></td>
    </tr></table></span>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1096908"></a>Required Software</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1099696"></a>To use Ops Director 2.0, you must install MarkLogic Server 9.0-7 or greater. Previous versions of Ops director will work with MarkLogic Server 9.0-7, but Ops Director 2.0 and greater will not work with prior versions of MarkLogic Server.</p>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1096636"></a><a id="39286"></a>Ops Director High-Level Architecture</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1096672"></a>An Ops Director instance includes two application servers: </p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1096684"></a><i>Ops Director Application</i> server, which by default runs on port 8008, provides services to the Ops Director browser application.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1096694"></a><i>Ops Director System</i> server, which by default runs on port 8009, receives data transmitted from Managed Clusters and stores it in the Ops Director database.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1098254"></a>When Ops Director application is installed on a cluster, you can view these two application servers in the Summary page of the Admin Interface.</p>

<Balloon-Text><a id="pgfId-1098042" xmlns="http://www.w3.org/1999/xhtml"></a><span xmlns="http://www.w3.org/1999/xhtml"></span></Balloon-Text>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1096580"></a><a id="42339"></a>Ops Director Deployment Configurations</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1096581"></a>A single Ops Director instance can manage multiple clusters. Managed clusters collect information about the state of their cluster (error logs, configuration data, and meters) and securely send that data to the Ops Director System. The Ops Director System receives this information and stores it in the Ops Director database. The Ops Director Application executes queries against the Ops Director database to retrieve information for display in the browser.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1099349"></a>Ops Director is designed to adapt to a range of MarkLogic deployments, from a single cluster in a single data center to hundreds of clusters. Ops Director has three possible deployment configurations:</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1099356"></a><span></span></p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1099360"></a>Collocated: A cluster serves as both an Ops Director Application Cluster and a Managed Cluster.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1096160"></a>Single Data Center: A cluster serves as an Ops Director Application Cluster that communicates with Managed Clusters. </li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1096162"></a>Hybrid: A cluster serves as both an Ops Director Application Cluster and a Managed Cluster that communicates with Managed Clusters. </li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1091971"></a>A multi-cluster configuration can manage local and remote clusters across a network as long as all of the clusters are available and not concealed behind a firewall. All communication between an Ops Director Application Cluster and Managed Clusters is performed securely.</p>

<blockquote xmlns="http://www.w3.org/1999/xhtml"><p><b>Note:&#160;&#160;</b><a id="pgfId-1099232"></a>Ops Director can manage only clusters that run either the same version of MarkLogic Server as the version it was shipped with or one of the older versions. This limitation has an impact on colocating Ops Director on clusters with other applications (hybrid deployment configuration). You must not put Ops Director on a cluster with other applications that you would be reluctant to upgrade to the latest version of MarkLogic Server. If you choose to run Ops Director in a hybrid environment, make sure to put Ops Director on a cluster that you are willing and able to upgrade first, because Ops Director will not be able to manage any upgraded clusters until Ops Director Application Cluster has been upgraded.</p></blockquote>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1095209"></a><a id="62798"></a>Ops Director Security</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1095210"></a>In a multi-cluster environment, where Ops Director provides alerting, management, and reporting capabilities, different administrators have different goals. To ensure that each type of administrator can achieve their goals without causing harm or accessing information to which they are not supposed to have access, Ops Director employs comprehensive role-based access controls. The assets and views displayed to an administrator are based upon group participation and the group's roles. Each role has specific privileges. The combination of an administrator's role, resource group membership, and the asset determines which capabilities are available to that administrator.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1095211"></a>When a Managed Cluster connects to Ops Director, it grants Ops Director the ability to perform actions by making requests back to the Managed Cluster. These requests are protected by certificate-based authentication. User IDs and passwords are not sent across the network. Ops Director enables you to manage clusters on which you have no direct login capability.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1095212"></a>This section provides a conceptual overview of Ops Director security. The procedures for configuring Ops Director security are described in <a href="http://docs.marklogic.com/9.0/guide/opsdir/GettingStarted#id_58375" target="_blank">Installing and Configuring Ops Director</a> in the <em xmlns="">Ops Director Guide</em> and <a href="http://docs.marklogic.com/9.0/guide/opsdir/ConsoleSettings#id_35056" target="_blank">Console Settings View</a> in the <em xmlns="">Ops Director Guide</em>.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1095219"></a>The main topics in this section are:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1095223"></a><a href="#48045">Communication with Managed Clusters</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1095227"></a><a href="#21650">Resource Groups</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1098910"></a><a href="#93519">Access Inheritance in Resource Groups</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1098609"></a><a href="#33095">Execute Privileges</a></li>
</ul>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1095229"></a><a id="48045"></a>Communication with Managed Clusters</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1095230"></a>When a cluster agrees to be managed by Ops Director, it establishes a long-lived secure communication channel between itself and Ops Director using certificates. Ops Director requests signed with the appropriate certificate can to communicate with the Managed Cluster and perform admin tasks on the cluster. The certificate authority for these certificates can be either self-signed, as described in <a href="http://docs.marklogic.com/9.0/guide/opsdir/GettingStarted#id_54752" target="_blank">Installing Ops Director</a> in the <em xmlns="">Ops Director Guide</em>, or externally signed, as described in <a href="http://docs.marklogic.com/9.0/guide/opsdir/GettingStarted#id_76427" target="_blank">Securing Ops Director with Externally Signed Certificates</a> in the <em xmlns="">Ops Director Guide</em>.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1099510"></a>For a particular request, Ops Director determines which roles and privileges are in effect for that request. It then makes the request to the Managed Cluster, using a short-lived certificate, to perform some action. In the request, Ops Director includes an identifier for the request.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1099514"></a>The Managed Cluster passes that identifier back to Ops Director, over the secure channel, to obtain the set of roles and privileges that apply for the request. Once that context is established, it is used to perform the request, which will succeed or fail on its own merits.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1095234"></a>The procedure for establishing secure certificate-based communication between Ops Director and the Managed Clusters is described in <a href="http://docs.marklogic.com/9.0/guide/opsdir/GettingStarted#id_58375" target="_blank">Installing and Configuring Ops Director</a> in the <em xmlns="">Ops Director Guide</em>.</p>

<h4 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1098929"></a><a id="77006"></a>Security and Database Dependencies of Managed Clusters</h4>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1098954"></a>When you connect a managed cluster to Ops Director, a SecureManage application server is created for all groups that contain hosts from this cluster.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1098956"></a>Each SecureManage application server is a copy of the ManageServer, with support for SSL and certificate-based authentication. This allows Ops Director to communicate with managed clusters using SSL without knowing any user credentials on the managed cluster.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1098958"></a>The SecureManage application server uses the App-Services database and the database's forests. If you disable or delete the SecureManage application server or any of its resources (such as the App-Services database and the forests for that database) on a managed cluster, Ops Director will not be able to retrieve information from this managed cluster, and the cluster will be assigned the Unknown state. Likewise, if you remove an External Certificate from a managed cluster, Ops Director will not be able to retrieve information from this managed cluster, and the cluster will be assigned the Unknown state.</p>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1095239"></a><a id="21650"></a>Resource Groups</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1095240"></a>In a large environment, it is useful to group resources together, for example, 'the staging hosts,' or 'the production databases.' In Ops Director, these are called <i>resource groups</i>. Resource groups are homogenous, which removes complexity from the meaning of 'apply this action to this group.' For example, 'show me statistics for the production databases group.'</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1098573"></a>Each resource group consists of the following:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1095248"></a><code>name</code> -- The user-visible name for the resource group.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1095249"></a><code>type</code> -- The type of resources contained in the resource group.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1095250"></a><code>resources</code> -- The list of resources in the resource group. </li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1095863"></a><code>role</code> -- An optional role or roles that control access to this resource group. </li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1095251"></a>The resource group role enables you to establish access to a resource group at a finer and more ad hoc granularity than is provided by the established roles. It is likely that roles defined within the enterprise are fairly coarse-grained and that changing roles (in an external LDAP server, for example), may be considered too heavy weight for ad hoc groupings. For more details on roles and resource groups and how to create them, see <a href="http://docs.marklogic.com/9.0/guide/opsdir/ConsoleSettings#id_35056" target="_blank">Console Settings View</a> in the <em xmlns="">Ops Director Guide</em>.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1096278"></a>You can configure a resource group so it grants additional privileges within the context of that group.</p>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1098810"></a><a id="93519"></a>Access Inheritance in Resource Groups</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1098832"></a>Resource groups consist of a single resource type and an explicitly enumerated list of resources.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1098833"></a>Inheritance in resource groups extends the reach of a single resource group across multiple resource types, as follows:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1098835"></a>A cluster in a cluster resource group inherits all of the resources in the cluster (hosts, application servers, databases, and forests).</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1098836"></a>A host in a host resource group inherits all of the databases and forests on that host.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1098837"></a>A database in a database resource group inherits all the forests in the database.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1098838"></a>An application server in a server resource group inherits the databases that the server uses.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1098840"></a>Inheritance is transitive. If a server resource group gives you access to a database, you have access to its forests. The following inheritence access rules apply in Ops Director:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1098844"></a>If you can access a cluster, you can access all resources of this cluster: hosts, application servers, databases, and forests.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1098845"></a>If you can access a host, you can access all databases and forests of that host.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1098846"></a>If you can access a database, you can access all forests of that database.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1098847"></a>If you can access an application server, you can access all databases that this application server uses and all forests of these databases.</li>
</ul>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1096279"></a><a id="33095"></a>Execute Privileges</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1098595"></a>The following privileges are specific to Ops Director:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1096280"></a><code>http://marklogic.com/xdmp/privileges/opsdir-admin</code> -- Grants Ops Director Administrator privileges.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1096281"></a><code>http://marklogic.com/xdmp/privileges/opsdir-license-admin</code> -- Grants privileges to manage licenses in Ops Director.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1096282"></a><code>http://marklogic.com/xdmp/privileges/opsdir-user</code> -- Grants privileges to use Ops Director.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1098620"></a>These execute privileges are pre-defined and included with every installation of MarkLogic Server. You can view them in the Execute Privileges Summary page of the Admin Interface.</p>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1093365"></a><a id="78717"></a>Data Collected by Ops Director</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1093405"></a>Once configured, Ops Director begins collecting data from all the hosts in the Managed Clusters and storing it the Ops Director database.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1093406"></a>The following types of data are collected: </p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1093410"></a><a href="#21367">Log Data</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1093414"></a><a href="#65632">Configuration Data</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1093418"></a><a href="#67326">Metering Data</a></li>
</ul>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1093421"></a><a id="21367"></a>Log Data</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1093422"></a>Log messages generated at or above the level specified for delivery to Ops Director will be queued and sent as quickly as possible. Errors generated at a level of critical or higher will block while they are being sent to make sure that a delivery attempt is made before the host restarts.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1097349"></a>Server log messages are filtered by the log level. You can configure the minimum log level for log messages sent to Ops Director via the Admin Interface, Ops Director Setup page. For example, if you configure the minimum log level to 'error', then you will see all messages starting from 'error' level.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1097361"></a>The minimum log level can be configured as:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1096387"></a>fine</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1096479"></a>debug</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1096472"></a>config</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1096401"></a>info</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1096410"></a>notice</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1096426"></a>warning</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1096437"></a>error</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1096446"></a>critical</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1096455"></a>alert</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1096464"></a>emergency</li>
</ul>

<blockquote xmlns="http://www.w3.org/1999/xhtml"><p><b>Note:&#160;&#160;</b><a id="pgfId-1096373"></a>It is not recommended to configure the minimum log level to a finer granularity than info.</p></blockquote>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1093425"></a><a id="65632"></a>Configuration Data</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1093426"></a>Whenever the configuration of a Managed Cluster changes, Ops Director is notified.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1093428"></a>When Ops Director is notified of a configuration change, if the change is more recent than the local data that Ops Director has for a particular configuration, Ops Director retrieves the necessary payloads from the Managed Clusters in the form of <i>resource documents</i>. This configuration data includes any changes made to server configuration files. Ops Director leverages this interaction to obtain information about every applicable resource on each Managed Cluster: groups, hosts, databases, application servers, and so forth.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1095942"></a>Timestamps allow Ops Director to maintain a history of the configuration of Managed Clusters over time. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1095004"></a>Ops Director calls a host on the Managed Cluster to get the modified configurations. Any new or changed configuration is saved with a new timestamped URI. Efficient access to the most recent configuration is managed with properties. </p>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1093431"></a><a id="67326"></a>Metering Data</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1093432"></a>Each Managed Cluster sends metering data (such as documents from the Meters database) to Ops Director. Filtering of metered data is by time (raw, hourly, or daily). The managed hosts introduce a small, random adjustment factor in the actual intervals to avoid the situation where every managed host transmits to Ops Director at exactly the same moment every time.</p>

<h4 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1093435"></a>Explicit Limits on Type and Rates</h4>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1093436"></a>You can configure Managed Cluster to define the type of data sent to Ops Director and its frequency, for example, hourly metering data. By default, Ops Director accepts the configuration as it is defined for the Managed Cluster. </p>

<blockquote xmlns="http://www.w3.org/1999/xhtml"><p><b>Note:&#160;&#160;</b><a id="pgfId-1097414"></a>If necessary, you can configure Ops Director to override settings provided by the Managed Cluster, for example, to receive only daily metering data. You can do this with the internal functions of the XQuery API. Contact MarkLogic technical support for details.</p></blockquote>

<h4 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1099662"></a>Security of Collected Data</h4>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1099666"></a>Ops Director is expected to operate within an enterprise rather than on the public Internet. Nevertheless, the service is designed to be secure and to protect customer confidential data.</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1093439"></a>Local and transient storage of data is secured at the same level or better than the server protects the same data in other use cases.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1093440"></a>Data transmission uses only HTTP/SSL encrypted secure channels in a 'point to point' architecture.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1093441"></a>Received data is stored in a MarkLogic database and is thus as secure as any other MarkLogic data.</li>
</ul>

<h4 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1093442"></a>Unattended Operation</h4>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1093443"></a>The collection service runs unattended and requires no active management by the source administrator. Performance of the cluster is not significantly affected by this service.</p>

<h4 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1093444"></a>'Best Attempt' SLA</h4>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1093445"></a>Ops Director collects and transmits data in a 'Best Attempt' SLA (Service Level Agreement). Transmissions are not 'transactional' in the sense of database operations and have less priority than all critical and most other MarkLogic services. Since the service requires network connectivity, bandwidth, and local resources that compete with existing services, it is possible that even in periods of continuous functional operation the service may not be able to provide uninterrupted and complete streams. A 'Best Attempt' approach is used to provide for periods of resource interruptions, heavy load, and improperly configured systems, while providing the configured data within the SLA.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1097465"></a>If the connection between Ops Director and a Managed Cluster goes down, the Managed Cluster keeps a buffer of high-priority data that it will transmit to Ops Director when the connection is restored. However, some data might be lost, depending on the volume of data and the duration of the outage. Priority is given to retaining errors and warnings.</p>

<h4 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1093446"></a>Data Type Separation</h4>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1093447"></a>To decouple the collection, transmission, storage, and access requirements of the different kinds of data, Ops Director maintains a separate logical 'stream' for each of the types of data. Each type of data (log, configuration, meter) is collected, configured, prioritized, identified, and delivered independently. This allows for simpler logic and specialization for send, receive, and access use cases.</p>

<h4 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1093448"></a>Data Transmission</h4>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1093449"></a>All data is delivered over HTTP(S) to Ops Director. Data is stored in MarkLogic on the Ops Director Application Cluster. Ops Director operates inside the enterprise; there is no expectation that Ops Director will refuse data from some clusters or be required to guard against denial-of-service or other malicious behavior.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1098140"></a><a id="42890"></a></p>

<p>Available help topics:</p>
<span><table width="50%" border="0" style="text-align: left"><tr><td rowspan="1" colspan="1"><ul xmlns="http://www.w3.org/1999/xhtml">
	  <li><a href="help.xqy?app=opsdirector&amp;page=Monitor">Monitor View</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=Manage">Manage View</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=Analyse">Analyze View</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=Support">SUPPORT view</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=Console">Console Settings View</a></li>
	</ul></td></tr></table></span> </div>
   case element(navigation) return
     <div id=" navigation "> <p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=overview" xmlns="http://www.w3.org/1999/xhtml">Monitoring MarkLogic with Ops Director</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=navigation" xmlns="http://www.w3.org/1999/xhtml">Navigating and Filtering Ops Director Views</a></p>
<h1 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1053802"></a><a id="68490"></a>Navigating and Filtering Ops Director Views</h1>


<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1095100"></a>This chapter describes the general navigation features of Ops Director. The navigation features that are specific to a view are described in its respective chapter.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1093566"></a>This chapter covers the following topics:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1094018"></a><a href="#52970">Main Navigation Bar</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1096860"></a><a href="#11761">Navigating Resource Views</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1094815"></a><a href="#89836">Date and Time Filters</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1094040"></a><a href="#22522">Navigation Icons of Ops Director Views</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1097176"></a><a href="#75767">Preserving View States</a></li>
</ul>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1093663"></a><a id="52970"></a>Main Navigation Bar</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1096315"></a>In the context of this document, <i>view</i> is a top-level page of Ops Director UI, which you can access from the menu bar. The menu bar appears at the top of every Ops Director view.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1093571"></a><span><img src="{ $image-source }/doc-tabs.gif"/><br clear="all"/></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1093575"></a><a href="help.xqy?app=appservices&amp;page=Monitor#62569">Monitor View</a> is an aggregate view that shows the summary of the state of resources in your enterprise.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1096448"></a><a href="help.xqy?app=appservices&amp;page=Manage#75137">Manage View</a> shows details for a selected MarkLogic resource or resource category, in the form of charts, tables, and other displays.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1096452"></a><a href="help.xqy?app=appservices&amp;page=Analyse#13070">Analyze View</a> presents a comprehensive set of detailed charts that allow to analyze utilization and performance of system resources, such as disks, CPU, memory, network, databases, and servers.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1096495"></a><a href="help.xqy?app=appservices&amp;page=Support#46344">SUPPORT view</a> shows alerts for application servers in your enterprise, allows you to view and filter server logs, and displays tasks that run on your managed clusters.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1093591"></a><a href="help.xqy?app=appservices&amp;page=ConsoleSettings#35056">Console Settings View</a> allows you to configure role-based access control to resources, manage user accounts, manage licensing, and define telemetry settings.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1095935"></a><span><img src="{ $image-source }/doc-alertsIcon.gif"/><br clear="all"/></span> Click to view a display of latest system alerts. The Alerts icon is persistent across the application. It displays a count of alerts that require attention. To glance through the new alerts quickly in the internal screens of the application, select the alert icon to display the alerts panel as an overlay. Alerts are filtered by severity (All, Critical, Warning, and Information). Each alert has a menu with a list of relevant actions (Acknowledge, View Logs). Click <b>View Alert Details</b> to view the Support / System Alerts screen. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1095942"></a><span><img src="{ $image-source }/doc-helpIcon.gif"/><br clear="all"/></span> Click to provide help.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1095949"></a><span><img src="{ $image-source }/doc-profileIcon.gif"/><br clear="all"/></span> Click the User icon for a display with the name of the user currently logged in and an option to logout of Ops Director. Administrators are advised to log out of Ops Director when not in use to guard against unauthorized agents that could compromise the security of the system.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1093604"></a>In general, clicking on a region of an Ops Director page that represents a resource will enable you to drill down to a more detailed representation of that resource. The context of the detailed representation is determined by the current view. For example, when displaying the Monitor view, clicking <b>Clusters</b> displays a color-coded view of the health of each cluster from which you can select to drill down into more detail on the health metrics for that cluster, such as CPU, memory, and network loads. When displaying the Manage view, clicking <b>Clusters</b> displays a list of clusters from which you can select to drill down into more detail on the metrics for that cluster.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1097112"></a>For each Ops Director view, there is a dedicated chapter in this guide that provides detailed description of the view.</p>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1096739"></a><a id="11761"></a>Navigating Resource Views</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1096768"></a>The Manage and ANALYZE views provide you with an ability to modify your view of the resources. The left navigation panel of these views enables navigating across individual resources or groups of resources. The main resource view options are:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1096772"></a><a href="#76292">View All Resources</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1096776"></a><a href="#90342">View Resource Groups</a></li>
</ul>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1096778"></a><a id="76292"></a>View All Resources</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1096779"></a>Select <b>All Resources</b> to display a consolidated view of all of the resources in your enterprise. The lists can be expanded and collapsed by clicking on the name. Each Cluster will show Hosts, Databases, and App Servers that belong to that particular cluster. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1097000"></a>The health status of resources are shown at both parent and child level. The colors used to represent resource status are described in <a href="http://docs.marklogic.com/9.0/guide/opsdir/intro#id_37901" target="_blank">Terms</a> in the <em xmlns="">Ops Director Guide</em>. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1096902"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1096787"></a>You can drill down to more specific views of a particular cluster or a group of similar resource types in your cluster.</p>

<Balloon-Text><a id="pgfId-1096791" xmlns="http://www.w3.org/1999/xhtml"></a><span xmlns="http://www.w3.org/1999/xhtml"><img src="{ $image-source }/doc-View-Analyze-Resource-Cluster.gif"/><br clear="all"/></span></Balloon-Text>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1096936"></a>You can also drill down to a specific resource within a resource type, for example a specific database or a specific application server.</p>

<Balloon-Text><a id="pgfId-1096795" xmlns="http://www.w3.org/1999/xhtml"></a><span xmlns="http://www.w3.org/1999/xhtml"><img src="{ $image-source }/doc-View-Analyze-Resource-Boxes4.gif"/><br clear="all"/></span></Balloon-Text>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1096797"></a><a id="90342"></a>View Resource Groups</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1096798"></a>Select the <b>Resource Groups</b> tab to display a consolidated view of all the defined resource groups. If a group contains Clusters, collapsing or expanding each cluster hides or reveals members of the resource group.</p>

<Normal><a id="pgfId-1096806" xmlns="http://www.w3.org/1999/xhtml"></a><span xmlns="http://www.w3.org/1999/xhtml"></span></Normal>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1096807"></a>For more information on resource groups, see <a href="http://docs.marklogic.com/9.0/guide/opsdir/ConsoleSettings#id_89565" target="_blank">Resource Groups</a> in the <em xmlns="">Ops Director Guide</em>.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1096808"></a>You can drill down to more specific views of a resources in a particular group or a specific resource within a resource group.</p>

<Normal><a id="pgfId-1096812" xmlns="http://www.w3.org/1999/xhtml"></a><span xmlns="http://www.w3.org/1999/xhtml"><img src="{ $image-source }/doc-View-Analyze-Resource-Boxes2.gif"/><br clear="all"/></span></Normal>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1096975"></a>Click on an object or resource in the navigation tree to display relevant information in the content area. The selection is highlighted in the navigation tree.</p>

<Balloon-Text><a id="pgfId-1096816" xmlns="http://www.w3.org/1999/xhtml"></a><span xmlns="http://www.w3.org/1999/xhtml"><img src="{ $image-source }/doc-View-Analyze-Resource-Boxes1.gif"/><br clear="all"/></span></Balloon-Text>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1094739"></a><a id="89836"></a>Date and Time Filters</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1094797"></a>The Analyze and Support views of Ops Director, as well as some tabs of the Manage view, provide a date and time filter that enable you modify your data views.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1094787"></a>Select from a list of commonly used time periods, or select <b>Custom</b>.</p>

<Balloon-Text><a id="pgfId-1094743" xmlns="http://www.w3.org/1999/xhtml"></a><span xmlns="http://www.w3.org/1999/xhtml"></span></Balloon-Text>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1094744"></a>The <b>Custom</b> time filter allows you to choose a specific start and end date and time.</p>

<Balloon-Text><a id="pgfId-1094748" xmlns="http://www.w3.org/1999/xhtml"></a><span xmlns="http://www.w3.org/1999/xhtml"></span></Balloon-Text>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1097340"></a>The date and time the graphs were initially and last updated is shown under the time filters.</p>

<Balloon-Text><a id="pgfId-1097344" xmlns="http://www.w3.org/1999/xhtml"></a><span xmlns="http://www.w3.org/1999/xhtml"></span></Balloon-Text>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1097348"></a>Select the Refresh icon  to refresh the widget with up-to-date information. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1094758"></a>You can use the interval filter to display the data in daily or hourly intervals, or select <b>Raw</b> to display all of the collected data. </p>

<blockquote xmlns="http://www.w3.org/1999/xhtml"><p><b>Note:&#160;&#160;</b><a id="pgfId-1095990"></a>The interval filter controls how the data is displayed in Ops Director and will not display less frequently collected data. For example, to set the log interval filter in Ops Director to <b>Raw</b>, you must also set Ops Director Metering to <b>raw</b> in the Admin Interface, as described in Step <a href="help.xqy?app=appservices&amp;page=GettingStarted#64564">9</a> in <a href="http://docs.marklogic.com/9.0/guide/opsdir/GettingStarted#id_54752" target="_blank">Installing Ops Director</a> in the <em xmlns="">Ops Director Guide</em>.</p></blockquote>

<Balloon-Text><a id="pgfId-1094762" xmlns="http://www.w3.org/1999/xhtml"></a><span xmlns="http://www.w3.org/1999/xhtml"></span></Balloon-Text>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1093677"></a><a id="22522"></a>Navigation Icons of Ops Director Views</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1097474"></a>Each view allows you to navigate and filter the displayed data. Common navigation and filter icons are shown in the following table. Not all views have all of the icons.</p>

<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1097480"></a><span><img src="{ $image-source }/doc-searchIcon.gif"/><br clear="all"/></span> </p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1097482"></a>Enter the name of the resource or object to locate in this view. Wildcards are supported.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1097487"></a><span><img src="{ $image-source }/doc-refreshIcon.gif"/><br clear="all"/></span></p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1097489"></a>Click to refresh the view with up-to-date information, based on the current set of filter settings.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1097494"></a><span><img src="{ $image-source }/doc-downloadIcon.gif"/><br clear="all"/></span></p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1097496"></a>Click to export data as a CSV (Comma Separated Values) file (<a href="help.xqy?app=appservices&amp;page=ConsoleSettings#61066">Resource Groups</a>, <a href="help.xqy?app=appservices&amp;page=Manage#75137">Manage View</a>, <a href="help.xqy?app=appservices&amp;page=Support#46344">SUPPORT view</a>).</p><p><a id="pgfId-1097506"></a>All records that satisfy the set filter parameters are exported with all the columns, regardless of whether they are visible or hidden in the table.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1097511"></a><span><img src="{ $image-source }/doc-zoomIcon.gif"/><br clear="all"/></span></p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1097516"></a>Click to expand and isolate graph (<a href="help.xqy?app=appservices&amp;page=Analyse#13070">Analyze View</a>).</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1097521"></a><span><img src="{ $image-source }/doc-expandIcon.gif"/><br clear="all"/></span></p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1097526"></a>Click to provide details on this metric (<a href="help.xqy?app=appservices&amp;page=Analyse#13070">Analyze View</a>).</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1097531"></a><span><img src="{ $image-source }/doc-sort-icon.gif"/><br clear="all"/></span></p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1097533"></a>Click to sort the listed results. Default sorting is always enabled on the first column of the table. The up/down arrow is used in the column header to indicate the sorting state. You can click on the same column again to switch between sorting a column in ascending or descending manner.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1097538"></a><span><img src="{ $image-source }/doc-legendIcon.gif"/><br clear="all"/></span></p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1097540"></a>Click to view the graph legend. Below is an example of the legend for the CPU graph.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1097584"></a><span><img src="{ $image-source }/doc-resourceFilterIcon.gif"/><br clear="all"/></span></p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1097586"></a>Click to select which resource rows to display in the table.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1093743"></a>Hover over an item in the legend to highlight the corresponding line in the graph.</p>

<Balloon-Text><a id="pgfId-1095777" xmlns="http://www.w3.org/1999/xhtml"></a><span xmlns="http://www.w3.org/1999/xhtml"><img src="{ $image-source }/doc-legend.gif"/><br clear="all"/></span></Balloon-Text>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1094698"></a>Hover on a period point to view what operation was taking place at that point in time. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1094702"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1097597"></a>The following is an example of the resource rows for the Cluster group. Select to display rows in the table.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1093976"></a><span></span></p>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1097148"></a><a id="75767"></a>Preserving View States</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1097157"></a>Main views of Ops Director preserve their state when you navigate between them. For example, if you select a resource in the Manage view, drill down to a detailed view for that resource, and after that navigate to the ANALYZE view, when you navigate back to the Manage view, you will see the detailed view of that previously selected resource. This allows you to bookmark the state of any view and return to it later.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1097158"></a>In particular, the state of the resource navigation panel in the Manage view, including search, filter, and selection, is preserved when leaving and then returning to the view. Also, the state of the ANALYZE view is preserved when leaving and returning to it, which includes filter selections, collapsed or expanded state of the charts, and selected time span.</p>

<p>Available help topics:</p>
<span><table width="50%" border="0" style="text-align: left"><tr><td rowspan="1" colspan="1"><ul xmlns="http://www.w3.org/1999/xhtml">
	  <li><a href="help.xqy?app=opsdirector&amp;page=Monitor">Monitor View</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=Manage">Manage View</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=Analyse">Analyze View</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=Support">SUPPORT view</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=Console">Console Settings View</a></li>
	</ul></td></tr></table></span> </div>
   case element(Monitor) return
     <div id=" Monitor "> <p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=overview" xmlns="http://www.w3.org/1999/xhtml">Monitoring MarkLogic with Ops Director</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=navigation" xmlns="http://www.w3.org/1999/xhtml">Navigating and Filtering Ops Director Views</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=Monitor" xmlns="http://www.w3.org/1999/xhtml">Monitor View</a></p>
<h1 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1120010"></a><a id="62569"></a>Monitor View</h1>


<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1120006"></a>The Monitor view is an aggregate view that shows the summary of the state of resources in your enterprise.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121111"></a>This chapter covers the following topics:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1121099"></a><a href="#57872">Monitoring Dashboards</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1121129"></a><a href="#93609">Overview Pages</a></li>
</ul>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1120791"></a><a id="57872"></a>Monitoring Dashboards</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121318"></a>The default Monitor view displays the following dashboards, graphs, and panels:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1121341"></a><a href="#31943">Key Performance Indicators</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1121359"></a><a href="#17711">Cluster Problem Distribution</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1121370"></a><a href="#61037">Top Problematic Hosts</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1121381"></a><a href="#82761">Busiest Servers</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1121392"></a><a href="#16500">Slowest Servers</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1121403"></a><a href="#73606">Alerts Panel</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1121414"></a><a href="#96717">Filtering by Resource</a></li>
</ul>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1120836"></a><a id="31943"></a>Key Performance Indicators</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121578"></a>The key performance indicators panel is a set of active tabs for each resource type: clusters, hosts, databases, and application servers. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121612"></a>Selecting a resource type tab leads to a heat map view for that resource type. These tabs provide at-a-glance statistics, including overall system health and resource health for clusters, hosts, databases, and application servers.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121582"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121583"></a>Overall system health is indicated with a color-coded vertical bar at the top left side of the Monitor view, where red indicates a Critical condition, yellow indicates At Risk, and green indicates Healthy. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121587"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121588"></a>The overall health of the resources is calculated from a score generated for each alert type (only critical, at-risk, and unknown alerts are considered). The alert type that scores highest represents overall health of the system. The color of the vertical bar is the same as the alert type with highest score. Since there are no alerts for healthy, its score is calculated by getting a count of all healthy resources.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121619"></a>When only a subset of alerts are displayed, the overall health is calculated from the visible alerts. If there are no alerts, then the overall health is represented by green.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121935"></a>The overall health for the individual resources (clusters, hosts, databases, and application servers) is indicated by a combination of graphical and textual elements. For each resource type, the number of resources is presented; a horizontal bar depicts the distribution of health status as Critical (red), At Risk (yellow), Offline (light gray), Maintenance (dark gray), and Healthy (green); and the number of resources that are Critical and At Risk for a selected resource group.</p>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1120887"></a><a id="17711"></a>Cluster Problem Distribution</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121141"></a>The Cluster Problem Distribution graph provides a visualization of the time and date of cluster events over the last seven days. Hover over the event icon to view details.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121145"></a><span></span></p>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1120904"></a><a id="61037"></a>Top Problematic Hosts</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121173"></a>The Top Problematic Hosts graph provides a visualization of the hosts in your enterprise that have experienced the greatest number of events over the last 24 hours. Hover over the host bar to view details.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121177"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121178"></a>The Top Problematic Hosts graph can be sorted by a count of Total Alerts, or weighted based on the severity of the messages.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121182"></a><span></span> </p>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1120921"></a><a id="82761"></a>Busiest Servers</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121207"></a>The Busiest Servers graph provides a visualization of the App Servers in your enterprise that have experienced the greatest request rate activity over the last 24 hours. Hover over the App Server bar to view details. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121211"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121260"></a>Some graphs enable adjusting the number of resources displayed by selecting the triangular icon in the upper right corner. For example, instead of monitoring all of the busiest servers, you can select the top 10, 20, or 50 servers.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121264"></a><span><img src="{ $image-source }/doc-View-Monitor-Top-Menu.gif"/><br clear="all"/></span></p>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1120931"></a><a id="16500"></a>Slowest Servers</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122877"></a>The Slowest Servers graph displays the App Servers in your enterprise that have the greatest latency the most activity over the last 24 hours. Hover over the App Server bar to view details.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122881"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122882"></a>All graphs can be switched to a full-size window by clicking the maximize icon. You may click on the minimize icon or click anywhere on the screen to get back to the previous state.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122790"></a><span><img src="{ $image-source }/doc-View-Monitor-2d.gif"/><br clear="all"/></span></p>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122792"></a><a id="73606"></a>Alerts Panel</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122461"></a>The Alerts panel on the right-hand side lists the most recent system alerts for your enterprise. The Alerts panel lists up to 50 latest unacknowledged, open, and closed alerts. Every 30 seconds, the list is refreshed with latest 50 alerts.</p>

<Balloon-Text><a id="pgfId-1122462" xmlns="http://www.w3.org/1999/xhtml"></a><span xmlns="http://www.w3.org/1999/xhtml"></span></Balloon-Text>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122477"></a>The Alerts panel contains tabs for Critical, At Risk, and Info alert types, as well as the All tab that shows all the above alert types. There are no tabs for other alert types, such as Offline and Maintenance. You can navigate the tabs to list events by their level of severity.</p>


<a id="pgfId-1122945" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1122922"></a>Tab</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1122932"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122924"></a>All</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122934"></a>Display all alerts.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122926"></a>Critical</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122936"></a>Display only Critical alerts.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122928"></a>At Risk</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122938"></a>Display only At Risk alerts.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122930"></a>Info</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122940"></a>Display only Info alerts.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122746"></a>Click <b>View Alert Details</b> to navigate to the System Alerts page in the Support view. This page is described in <a href="http://docs.marklogic.com/9.0/guide/opsdir/Support#id_61972" target="_blank">System Alerts</a> in the <em xmlns="">Ops Director Guide</em>.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121461"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121462"></a>Click on the alert to navigate to the Metrics page for the resource in the Manage view. These pages are described in the following sections: <a href="http://docs.marklogic.com/9.0/guide/opsdir/Manage#id_91054" target="_blank">Cluster Metrics</a> in the <em xmlns="">Ops Director Guide</em>, <a href="http://docs.marklogic.com/9.0/guide/opsdir/Manage#id_19788" target="_blank">Host Metrics</a> in the <em xmlns="">Ops Director Guide</em>, <a href="http://docs.marklogic.com/9.0/guide/opsdir/Manage#id_70357" target="_blank">Database Metrics</a> in the <em xmlns="">Ops Director Guide</em>, and <a href="http://docs.marklogic.com/9.0/guide/opsdir/Manage#id_37826" target="_blank">App Server Metrics</a> in the <em xmlns="">Ops Director Guide</em>.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121478"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121479"></a>Next to each alert in the list is a menu where you can mark the alert as acknowledged, which suppresses the alert from further notifications, as described in <a href="http://docs.marklogic.com/9.0/guide/opsdir/Support#id_61972" target="_blank">System Alerts</a> in the <em xmlns="">Ops Director Guide</em>. Selecting <b>View Logs</b> displays the list of log files for the resource associated with the alert, as described in <a href="http://docs.marklogic.com/9.0/guide/opsdir/Support#id_75295" target="_blank">Event Logs</a> in the <em xmlns="">Ops Director Guide</em>.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121489"></a><span></span></p>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1120955"></a><a id="96717"></a>Filtering by Resource</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121546"></a>Use the <b>Filter by</b> menu to specify the Resource Groups to monitor relevant information in this view. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121547"></a>Either select <b>All Resources</b>, or choose from the available Resource Groups. Select <b>Omit ancillary databases</b> to omit system databases, such as App-Services, Extensions, Fab, Last-Login, Meters, Modules, Schemas, Security, and Triggers, from this view.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121083"></a><span></span></p>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1120827"></a><a id="93609"></a>Overview Pages</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1120981"></a>The following sections describe each overview page in detail:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1120985"></a><a href="#71507">Clusters Overview</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1120989"></a><a href="#57447">Hosts Overview</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1120993"></a><a href="#80334">Databases Overview</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1120997"></a><a href="#72118">App Servers Overview</a></li>
</ul>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1120999"></a><a id="71507"></a>Clusters Overview</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121000"></a>Click on the <b>Clusters</b> tab in the key performance indicators panel to open the heat map view for clusters.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121709"></a>The CLUSTERS OVERVIEW page displays colored rectangles, each representing a cluster. You can quickly grasp the health status of large number of clusters and comprehend the overall impact at the enterprise or group level. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121649"></a>Clicking on a cluster displays the key performance metrics and any alerts for that cluster. The gauges represent resource consumption with percentage values.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121004"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121997"></a>In the CLUSTERS OVERVIEW page, you can sort the resources either by <b>Health Status</b> or <b>Name</b>.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122064"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1123062"></a>To close the CLUSTERS OVERVIEW page and return to the top-level Monitor view, click the <b>X</b> to the right of the 'View by' menu.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1123066"></a><span></span></p>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122069"></a><a id="57447"></a>Hosts Overview</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121007"></a>Click on the <b>Hosts</b> tab in the key performance indicators panel to open the heat map view for hosts.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121774"></a>The HOSTS OVERVIEW page displays colored rectangles, each representing a host. You can quickly grasp the health status of large number of hosts and comprehend the overall impact at the enterprise/group level. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121804"></a>Click on a host to display the key performance metrics and any alerts for that host. The gauges represent resource consumption with percentage values.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121011"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122013"></a>In the HOSTS OVERVIEW page, you can sort the resources by either <b>Health Status</b> or <b>Name</b>.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122076"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122209"></a>Select <b>Group by Clusters</b> to sort your view of the hosts by their clusters.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122230"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122275"></a>To close the HOSTS OVERVIEW page and return to the top-level Monitor view, click the <b>X</b> to the right of the 'View by' menu.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122279"></a><span></span></p>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121013"></a><a id="80334"></a>Databases Overview</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121014"></a>Click on the Databases tab in the key performance indicators panel to open the heat map view for databases.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121811"></a>The DATABASES OVERVIEW page displays colored rectangles, each representing a database. You can quickly grasp the health status of large number of databases and comprehend the overall impact at the enterprise or group level. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121896"></a>Clicking on a database displays the key performance metrics and any alerts for that database. The gauges represent resource consumption with percentage values.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121018"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122091"></a>In the DATABASES OVERVIEW page, you can sort the resources either by <b>Health Status</b> or <b>Name</b>.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122095"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122099"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122146"></a>Select <b>Group by Clusters</b> to sort your view of the databases by their clusters.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122150"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122083"></a>To close the DATABASES OVERVIEW page and return to the top-level Monitor view, click the <b>X</b> to the right of the 'View by' menu.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122344"></a><span></span></p>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121020"></a><a id="72118"></a>App Servers Overview</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121021"></a>Click on the App Servers tab in the key performance indicators panel to open the heat map view for application servers.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121838"></a>The APP SERVERS OVERVIEW page displays colored rectangles, each representing an application server. Administrators can quickly grasp the health status of large number of application servers and comprehend the overall impact at the enterprise or group level. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121885"></a>Clcik on an application server to display the key performance metrics and any alerts for that server. The gauges represent resource consumption with percentage values.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121025"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121026"></a>In the App Servers overview page, you can sort the resources either by <b>Health Status</b> or <b>Name</b>.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122050"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1118662"></a>Select <b>Group by Clusters</b> to sort your view of the application servers by their clusters.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122202"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122422"></a>To close the APP SERVERS OVERVIEW page and return to the top-level Monitor view, click the <b>X</b> to the right of the 'View by' menu.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122423"></a><span></span></p>

<p>Available help topics:</p>
<span><table width="50%" border="0" style="text-align: left"><tr><td rowspan="1" colspan="1"><ul xmlns="http://www.w3.org/1999/xhtml">
	  <li><a href="help.xqy?app=opsdirector&amp;page=monitor-dashboards">Monitoring Dashboards</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=monitor-overview-clusters">Clusters Overview</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=monitor-overview-hosts">Hosts Overview</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=monitor-overview-databases">Databases Overview</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=monitor-overview-appservers">App Servers Overview</a></li>
	</ul></td></tr></table></span> </div>
   case element(monitor-dashboards) return
     <div id=" monitor-dashboards "> <p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=overview" xmlns="http://www.w3.org/1999/xhtml">Monitoring MarkLogic with Ops Director</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=navigation" xmlns="http://www.w3.org/1999/xhtml">Navigating and Filtering Ops Director Views</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=Monitor" xmlns="http://www.w3.org/1999/xhtml">Monitor View</a></p>
<h1 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1120791"></a><a id="57872"></a>Monitoring Dashboards</h1>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121318"></a>The default Monitor view displays the following dashboards, graphs, and panels:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1121341"></a><a href="#31943">Key Performance Indicators</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1121359"></a><a href="#17711">Cluster Problem Distribution</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1121370"></a><a href="#61037">Top Problematic Hosts</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1121381"></a><a href="#82761">Busiest Servers</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1121392"></a><a href="#16500">Slowest Servers</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1121403"></a><a href="#73606">Alerts Panel</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1121414"></a><a href="#96717">Filtering by Resource</a></li>
</ul>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1120836"></a><a id="31943"></a>Key Performance Indicators</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121578"></a>The key performance indicators panel is a set of active tabs for each resource type: clusters, hosts, databases, and application servers. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121612"></a>Selecting a resource type tab leads to a heat map view for that resource type. These tabs provide at-a-glance statistics, including overall system health and resource health for clusters, hosts, databases, and application servers.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121582"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121583"></a>Overall system health is indicated with a color-coded vertical bar at the top left side of the Monitor view, where red indicates a Critical condition, yellow indicates At Risk, and green indicates Healthy. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121587"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121588"></a>The overall health of the resources is calculated from a score generated for each alert type (only critical, at-risk, and unknown alerts are considered). The alert type that scores highest represents overall health of the system. The color of the vertical bar is the same as the alert type with highest score. Since there are no alerts for healthy, its score is calculated by getting a count of all healthy resources.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121619"></a>When only a subset of alerts are displayed, the overall health is calculated from the visible alerts. If there are no alerts, then the overall health is represented by green.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121935"></a>The overall health for the individual resources (clusters, hosts, databases, and application servers) is indicated by a combination of graphical and textual elements. For each resource type, the number of resources is presented; a horizontal bar depicts the distribution of health status as Critical (red), At Risk (yellow), Offline (light gray), Maintenance (dark gray), and Healthy (green); and the number of resources that are Critical and At Risk for a selected resource group.</p>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1120887"></a><a id="17711"></a>Cluster Problem Distribution</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121141"></a>The Cluster Problem Distribution graph provides a visualization of the time and date of cluster events over the last seven days. Hover over the event icon to view details.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121145"></a><span></span></p>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1120904"></a><a id="61037"></a>Top Problematic Hosts</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121173"></a>The Top Problematic Hosts graph provides a visualization of the hosts in your enterprise that have experienced the greatest number of events over the last 24 hours. Hover over the host bar to view details.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121177"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121178"></a>The Top Problematic Hosts graph can be sorted by a count of Total Alerts, or weighted based on the severity of the messages.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121182"></a><span></span> </p>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1120921"></a><a id="82761"></a>Busiest Servers</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121207"></a>The Busiest Servers graph provides a visualization of the App Servers in your enterprise that have experienced the greatest request rate activity over the last 24 hours. Hover over the App Server bar to view details. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121211"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121260"></a>Some graphs enable adjusting the number of resources displayed by selecting the triangular icon in the upper right corner. For example, instead of monitoring all of the busiest servers, you can select the top 10, 20, or 50 servers.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121264"></a><span><img src="{ $image-source }/doc-View-Monitor-Top-Menu.gif"/><br clear="all"/></span></p>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1120931"></a><a id="16500"></a>Slowest Servers</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122877"></a>The Slowest Servers graph displays the App Servers in your enterprise that have the greatest latency the most activity over the last 24 hours. Hover over the App Server bar to view details.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122881"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122882"></a>All graphs can be switched to a full-size window by clicking the maximize icon. You may click on the minimize icon or click anywhere on the screen to get back to the previous state.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122790"></a><span><img src="{ $image-source }/doc-View-Monitor-2d.gif"/><br clear="all"/></span></p>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122792"></a><a id="73606"></a>Alerts Panel</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122461"></a>The Alerts panel on the right-hand side lists the most recent system alerts for your enterprise. The Alerts panel lists up to 50 latest unacknowledged, open, and closed alerts. Every 30 seconds, the list is refreshed with latest 50 alerts.</p>

<Balloon-Text><a id="pgfId-1122462" xmlns="http://www.w3.org/1999/xhtml"></a><span xmlns="http://www.w3.org/1999/xhtml"></span></Balloon-Text>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122477"></a>The Alerts panel contains tabs for Critical, At Risk, and Info alert types, as well as the All tab that shows all the above alert types. There are no tabs for other alert types, such as Offline and Maintenance. You can navigate the tabs to list events by their level of severity.</p>


<a id="pgfId-1122945" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1122922"></a>Tab</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1122932"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122924"></a>All</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122934"></a>Display all alerts.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122926"></a>Critical</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122936"></a>Display only Critical alerts.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122928"></a>At Risk</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122938"></a>Display only At Risk alerts.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122930"></a>Info</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122940"></a>Display only Info alerts.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122746"></a>Click <b>View Alert Details</b> to navigate to the System Alerts page in the Support view. This page is described in <a href="http://docs.marklogic.com/9.0/guide/opsdir/Support#id_61972" target="_blank">System Alerts</a> in the <em xmlns="">Ops Director Guide</em>.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121461"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121462"></a>Click on the alert to navigate to the Metrics page for the resource in the Manage view. These pages are described in the following sections: <a href="http://docs.marklogic.com/9.0/guide/opsdir/Manage#id_91054" target="_blank">Cluster Metrics</a> in the <em xmlns="">Ops Director Guide</em>, <a href="http://docs.marklogic.com/9.0/guide/opsdir/Manage#id_19788" target="_blank">Host Metrics</a> in the <em xmlns="">Ops Director Guide</em>, <a href="http://docs.marklogic.com/9.0/guide/opsdir/Manage#id_70357" target="_blank">Database Metrics</a> in the <em xmlns="">Ops Director Guide</em>, and <a href="http://docs.marklogic.com/9.0/guide/opsdir/Manage#id_37826" target="_blank">App Server Metrics</a> in the <em xmlns="">Ops Director Guide</em>.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121478"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121479"></a>Next to each alert in the list is a menu where you can mark the alert as acknowledged, which suppresses the alert from further notifications, as described in <a href="http://docs.marklogic.com/9.0/guide/opsdir/Support#id_61972" target="_blank">System Alerts</a> in the <em xmlns="">Ops Director Guide</em>. Selecting <b>View Logs</b> displays the list of log files for the resource associated with the alert, as described in <a href="http://docs.marklogic.com/9.0/guide/opsdir/Support#id_75295" target="_blank">Event Logs</a> in the <em xmlns="">Ops Director Guide</em>.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121489"></a><span></span></p>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1120955"></a><a id="96717"></a>Filtering by Resource</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121546"></a>Use the <b>Filter by</b> menu to specify the Resource Groups to monitor relevant information in this view. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121547"></a>Either select <b>All Resources</b>, or choose from the available Resource Groups. Select <b>Omit ancillary databases</b> to omit system databases, such as App-Services, Extensions, Fab, Last-Login, Meters, Modules, Schemas, Security, and Triggers, from this view.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121083"></a><span></span></p>

<p>Available help topics:</p>
<span><table width="50%" border="0" style="text-align: left"><tr><td rowspan="1" colspan="1"><ul xmlns="http://www.w3.org/1999/xhtml">
	  <li>Monitoring Dashboards</li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=monitor-overview-clusters">Clusters Overview</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=monitor-overview-hosts">Hosts Overview</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=monitor-overview-databases">Databases Overview</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=monitor-overview-appservers">App Servers Overview</a></li>
	</ul></td></tr></table></span> </div>
   case element(monitor-overview-clusters) return
     <div id=" monitor-overview-clusters "> <p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=overview" xmlns="http://www.w3.org/1999/xhtml">Monitoring MarkLogic with Ops Director</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=navigation" xmlns="http://www.w3.org/1999/xhtml">Navigating and Filtering Ops Director Views</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=Monitor" xmlns="http://www.w3.org/1999/xhtml">Monitor View</a></p>
<h1 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1120999"></a><a id="71507"></a>Clusters Overview</h1>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121000"></a>Click on the <b>Clusters</b> tab in the key performance indicators panel to open the heat map view for clusters.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121709"></a>The CLUSTERS OVERVIEW page displays colored rectangles, each representing a cluster. You can quickly grasp the health status of large number of clusters and comprehend the overall impact at the enterprise or group level. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121649"></a>Clicking on a cluster displays the key performance metrics and any alerts for that cluster. The gauges represent resource consumption with percentage values.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121004"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121997"></a>In the CLUSTERS OVERVIEW page, you can sort the resources either by <b>Health Status</b> or <b>Name</b>.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122064"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1123062"></a>To close the CLUSTERS OVERVIEW page and return to the top-level Monitor view, click the <b>X</b> to the right of the 'View by' menu.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1123066"></a><span></span></p>

<p>Available help topics:</p>
<span><table width="50%" border="0" style="text-align: left"><tr><td rowspan="1" colspan="1"><ul xmlns="http://www.w3.org/1999/xhtml">
	  <li><a href="help.xqy?app=opsdirector&amp;page=monitor-dashboards">Monitoring Dashboards</a></li>
	  <li>Clusters Overview</li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=monitor-overview-hosts">Hosts Overview</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=monitor-overview-databases">Databases Overview</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=monitor-overview-appservers">App Servers Overview</a></li>
	</ul></td></tr></table></span> </div>
   case element(monitor-overview-hosts) return
     <div id=" monitor-overview-hosts "> <p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=overview" xmlns="http://www.w3.org/1999/xhtml">Monitoring MarkLogic with Ops Director</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=navigation" xmlns="http://www.w3.org/1999/xhtml">Navigating and Filtering Ops Director Views</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=Monitor" xmlns="http://www.w3.org/1999/xhtml">Monitor View</a></p>
<h1 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122069"></a><a id="57447"></a>Hosts Overview</h1>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121007"></a>Click on the <b>Hosts</b> tab in the key performance indicators panel to open the heat map view for hosts.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121774"></a>The HOSTS OVERVIEW page displays colored rectangles, each representing a host. You can quickly grasp the health status of large number of hosts and comprehend the overall impact at the enterprise/group level. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121804"></a>Click on a host to display the key performance metrics and any alerts for that host. The gauges represent resource consumption with percentage values.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121011"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122013"></a>In the HOSTS OVERVIEW page, you can sort the resources by either <b>Health Status</b> or <b>Name</b>.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122076"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122209"></a>Select <b>Group by Clusters</b> to sort your view of the hosts by their clusters.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122230"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122275"></a>To close the HOSTS OVERVIEW page and return to the top-level Monitor view, click the <b>X</b> to the right of the 'View by' menu.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122279"></a><span></span></p>

<p>Available help topics:</p>
<span><table width="50%" border="0" style="text-align: left"><tr><td rowspan="1" colspan="1"><ul xmlns="http://www.w3.org/1999/xhtml">
	  <li><a href="help.xqy?app=opsdirector&amp;page=monitor-dashboards">Monitoring Dashboards</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=monitor-overview-clusters">Clusters Overview</a></li>
	  <li>Hosts Overview</li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=monitor-overview-databases">Databases Overview</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=monitor-overview-appservers">App Servers Overview</a></li>
	</ul></td></tr></table></span> </div>
   case element(monitor-overview-databases) return
     <div id=" monitor-overview-databases "> <p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=overview" xmlns="http://www.w3.org/1999/xhtml">Monitoring MarkLogic with Ops Director</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=navigation" xmlns="http://www.w3.org/1999/xhtml">Navigating and Filtering Ops Director Views</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=Monitor" xmlns="http://www.w3.org/1999/xhtml">Monitor View</a></p>
<h1 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121013"></a><a id="80334"></a>Databases Overview</h1>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121014"></a>Click on the Databases tab in the key performance indicators panel to open the heat map view for databases.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121811"></a>The DATABASES OVERVIEW page displays colored rectangles, each representing a database. You can quickly grasp the health status of large number of databases and comprehend the overall impact at the enterprise or group level. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121896"></a>Clicking on a database displays the key performance metrics and any alerts for that database. The gauges represent resource consumption with percentage values.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121018"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122091"></a>In the DATABASES OVERVIEW page, you can sort the resources either by <b>Health Status</b> or <b>Name</b>.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122095"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122099"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122146"></a>Select <b>Group by Clusters</b> to sort your view of the databases by their clusters.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122150"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122083"></a>To close the DATABASES OVERVIEW page and return to the top-level Monitor view, click the <b>X</b> to the right of the 'View by' menu.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122344"></a><span></span></p>

<p>Available help topics:</p>
<span><table width="50%" border="0" style="text-align: left"><tr><td rowspan="1" colspan="1"><ul xmlns="http://www.w3.org/1999/xhtml">
	  <li><a href="help.xqy?app=opsdirector&amp;page=monitor-dashboards">Monitoring Dashboards</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=monitor-overview-clusters">Clusters Overview</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=monitor-overview-hosts">Hosts Overview</a></li>
	  <li>Databases Overview</li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=monitor-overview-appservers">App Servers Overview</a></li>
	</ul></td></tr></table></span> </div>
   case element(monitor-overview-appservers) return
     <div id=" monitor-overview-appservers "> <p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=overview" xmlns="http://www.w3.org/1999/xhtml">Monitoring MarkLogic with Ops Director</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=navigation" xmlns="http://www.w3.org/1999/xhtml">Navigating and Filtering Ops Director Views</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=Monitor" xmlns="http://www.w3.org/1999/xhtml">Monitor View</a></p>
<h1 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121020"></a><a id="72118"></a>App Servers Overview</h1>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121021"></a>Click on the App Servers tab in the key performance indicators panel to open the heat map view for application servers.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121838"></a>The APP SERVERS OVERVIEW page displays colored rectangles, each representing an application server. Administrators can quickly grasp the health status of large number of application servers and comprehend the overall impact at the enterprise or group level. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121885"></a>Clcik on an application server to display the key performance metrics and any alerts for that server. The gauges represent resource consumption with percentage values.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121025"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121026"></a>In the App Servers overview page, you can sort the resources either by <b>Health Status</b> or <b>Name</b>.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122050"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1118662"></a>Select <b>Group by Clusters</b> to sort your view of the application servers by their clusters.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122202"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122422"></a>To close the APP SERVERS OVERVIEW page and return to the top-level Monitor view, click the <b>X</b> to the right of the 'View by' menu.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122423"></a><span></span></p>

<p>Available help topics:</p>
<span><table width="50%" border="0" style="text-align: left"><tr><td rowspan="1" colspan="1"><ul xmlns="http://www.w3.org/1999/xhtml">
	  <li><a href="help.xqy?app=opsdirector&amp;page=monitor-dashboards">Monitoring Dashboards</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=monitor-overview-clusters">Clusters Overview</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=monitor-overview-hosts">Hosts Overview</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=monitor-overview-databases">Databases Overview</a></li>
	  <li>App Servers Overview</li>
	</ul></td></tr></table></span> </div>
   case element(Manage) return
     <div id=" Manage "> <p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=overview" xmlns="http://www.w3.org/1999/xhtml">Monitoring MarkLogic with Ops Director</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=navigation" xmlns="http://www.w3.org/1999/xhtml">Navigating and Filtering Ops Director Views</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=Manage" xmlns="http://www.w3.org/1999/xhtml">Manage View</a></p>
<h1 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1053802"></a><a id="75137"></a>Manage View</h1>


<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1140752"></a>The MANAGE view shows details for a selected MarkLogic resource or resource category in the form of charts, tables, and other displays.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1140794"></a>The default Manage view displays an inventory list of resources within an enterprise. It displays the list of clusters across an enterprise, along with their key properties, in a data grid.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1116753"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1147652"></a>The panel on the left side is a navigation tree with scrolling lists of all resources displayed according to the object hierarchy. The title of the content area displays the object name selected in the navigation tree. For individual resources, this area displays the resource name and key information related to the resource.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122516"></a>The content area of this view presents content tabs in different categories for the selected object or resource. In the Enterprise case, there are four tabs, one for each resource type: <b>CLUSTERS</b>, <b>HOSTS</b>, <b>DATABASES</b>, and <b>APP SERVERS</b>. Each tab presents a table that lists the corresponding resources within the enterprise that has the resource name and status indicator in first column, followed by other properties.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1141056"></a>This chapter covers the following topics:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1141089"></a><a href="#64876">Manage Clusters Tab</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1140939"></a><a href="#19801">Manage Hosts Tab</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1140943"></a><a href="#91384">Manage Databases Tab</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1140947"></a><a href="#98405">Manage App Servers Tab</a></li>
</ul>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1114734"></a><a id="79601"></a><a id="64876"></a>Manage Clusters Tab</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1115044"></a>The <b>CLUSTERS</b> tab displays the list of clusters in your enterprise. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1116800"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1141295"></a>The columns displayed in the manage <b>CLUSTERS</b> tab are described in the following table.</p>


<a id="pgfId-1142816" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1142757"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1142759"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1142761"></a>Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1142763"></a>The name of the cluster.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1142765"></a>Groups</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1142767"></a>The number of groups in the cluster.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1142846"></a>Hosts</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1142848"></a>The number of hosts in the cluster.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1142854"></a>Databases</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1142856"></a>The number of databases in the cluster.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1142890"></a>Forests</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1142892"></a>The number of forests in the cluster.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1142894"></a>App Servers</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1142896"></a>The number of App Servers in the cluster.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1142914"></a>Server Version</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1142919"></a>The version of MarkLogic Server running on the cluster's hosts.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1142769"></a>OS</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1142771"></a>The name and version of the operating system on the cluster's hosts.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1142796"></a>Uptime</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1142798"></a>The duration (Days Hrs:Min) the cluster has been available.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1142810"></a>Encryption</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1142812"></a>Specifies whether data encryption is turned on or off in the cluster.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1143558"></a>You can export data from the Manage Clusters tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1143559"></a>The resulting CSV file will have the same columns as the Manage Clusters table in the UI. </li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1143560"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1143640"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1143641"></a>Data types of the fields in the CSV file correspond to those in the UI. in the case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1143687"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1145469"></a>To drill down for a particular cluster, click on the cluster name in the table. You will see the following content tabs, each one representing an information category for the selected cluster:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1141325"></a><a href="#91054">Cluster Metrics</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1122142"></a><a href="#40936">Cluster Information</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1122164"></a><a href="#60912">Cluster Tasks</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1122186"></a><a href="#93018">Cluster Logs</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1122208"></a><a href="#73737">Cluster Hosts</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1122230"></a><a href="#60978">Cluster Databases</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1122252"></a><a href="#43885">Cluster App Servers</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1140129"></a><a href="#50320">Cluster Forests</a></li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1145567"></a>You can export all tables from the content tabs for a particular cluster. When you select a specific cluster (either in the left side resource navigation panel or in the content area of the view), <b>Actions</b> menu becomes available in the upper right corner.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1145920"></a>From the <b>Actions</b> menu, select <b>Download all tables</b> to export all tables for this particular cluster.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1145921"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1147809"></a>A zip file with all exported tables for this cluster will be downloaded to your computer. Each table is represented by the corresponding CSV file. The zip file will contain the following CSV files for the cluster:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1147813"></a>Tasks CSV file (see the <a href="#60912">Cluster Tasks</a> section for details on the contents)</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1147851"></a>Hosts CVS file (see the <a href="#73737">Cluster Hosts</a> section for details on the contents)</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1147863"></a>Databases CVS file (see the <a href="#60978">Cluster Databases</a> section for details on the contents)</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1147871"></a>App Servers CVS file (see the <a href="#43885">Cluster App Servers</a> section for details on the contents)</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1147879"></a>Forests CVS file (see the <a href="#50320">Cluster Forests</a> section for details on the contents)</li>
</ul>

<blockquote xmlns="http://www.w3.org/1999/xhtml"><p><b>Note:&#160;&#160;</b><a id="pgfId-1147709"></a>For a cluster, exported tables will not include Logs table. This table can be exported from the <b>Logs</b> tab of that cluster, but not as part of the <b>Download all tables</b> operation.</p></blockquote>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1114861"></a><a id="91054"></a>Cluster Metrics</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1117803"></a><b>METRICS</b> is the first tab displayed for any resource type. This tab displays key indicators enabling you to determine the health of the selected resource.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1145542"></a>To filter the data used for rendering the graphs, select a pre-defined time period or specify a custom time period, as described in <a href="http://docs.marklogic.com/9.0/guide/opsdir/Navigation#id_89836" target="_blank">Date and Time Filters</a> in the <em xmlns="">Ops Director Guide</em>.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1145549"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1115116"></a>The metrics displayed by charts on the cluster METRICS tab are described in the following table.</p>


<a id="pgfId-1115166" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1115119"></a>Chart</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1115121"></a>Definition of Displayed Metric</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115123"></a>Disk I/O</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115125"></a>Disk I/O in MB per second. For descriptions of the lines displayed on this graph, see <a href="http://docs.marklogic.com/9.0/guide/opsdir/Analyse#id_21175" target="_blank">Disk Performance Data</a> in the <em xmlns="">Ops Director Guide</em>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115127"></a>App Server Request Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115129"></a>The total number of queries being processed per second, across all of the App Servers in the cluster. For descriptions of the lines displayed on this graph, see <a href="http://docs.marklogic.com/9.0/guide/opsdir/Analyse#id_36450" target="_blank">Server Performance Data</a> in the <em xmlns="">Ops Director Guide</em>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115131"></a>App Server Latency</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122716"></a>The average time (in seconds) it takes to process queries, across all of the App Servers in the cluster. For descriptions of the lines displayed on this graph, see <a href="http://docs.marklogic.com/9.0/guide/opsdir/Analyse#id_36450" target="_blank">Server Performance Data</a> in the <em xmlns="">Ops Director Guide</em>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115135"></a>CPU</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122733"></a>The aggregate I/O performance data for the CPUs in the cluster. For descriptions of the lines displayed on this graph, see <a href="http://docs.marklogic.com/9.0/guide/opsdir/Analyse#id_71159" target="_blank">CPU Performance Data</a> in the <em xmlns="">Ops Director Guide</em>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115139"></a>Memory Footprint</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1131277"></a>The total amount (in MB) of memory consumed by all of the hosts in the cluster.</p><p><a id="pgfId-1131278"></a>The displayed metrics are:</p><ul>
	  <li><a id="pgfId-1131279"></a>RSS: The total amount of MB of Process Resident Size (RSS) consumed by the cluster.</li>
	</ul><ul>
	  <li><a id="pgfId-1131280"></a>Anon: The total amount of MB of Process Anonymous Memory consumed by the cluster.</li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115143"></a>Memory Size</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1138097"></a>The amount of space (in MB) forest data files in this cluster use in memory.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1116784"></a>Memory I/O</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1131240"></a>The number of pages per second moved between memory and disk.</p><p><a id="pgfId-1131241"></a>The displayed metrics are:</p><ul>
	  <li><a id="pgfId-1131242"></a>Page-In Rate: The page-in rate (from Linux /proc/vmstat) for the cluster in pages per second.</li>
	</ul><ul>
	  <li><a id="pgfId-1131243"></a>Page-Out Rate: The page-out rate (from Linux /proc/vmstat) for the cluster in pages per second.</li>
	</ul><ul>
	  <li><a id="pgfId-1131244"></a>Swap-In Rate: The swap-in rate (from Linux /proc/vmstat) for the cluster in pages per second.</li>
	</ul><ul>
	  <li><a id="pgfId-1131245"></a>Swap-Out Rate: The swap-out rate (from Linux /proc/vmstat) for the cluster in pages per second.</li>
	</ul><p><a id="pgfId-1116786"></a>For more information, see <a href="http://docs.marklogic.com/9.0/guide/opsdir/Analyse#id_68608" target="_blank">Memory Performance Data</a> in the <em xmlns="">Ops Director Guide</em>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115147"></a>Network</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115699"></a>Various XDQP (XML Data Query Protocol) performance metrics, such as the sum of XDQP activity across the cluster. XDQP is a MarkLogic internal protocol used for communication between nodes in a cluster. For more detail, see <a href="http://docs.marklogic.com/9.0/guide/opsdir/Analyse#id_94112" target="_blank">Network Performance Data</a> in the <em xmlns="">Ops Director Guide</em>.</p></td>
    </tr></table></span>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1113879"></a><a id="40936"></a>Cluster Information</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1114911"></a>Use the <b>INFORMATION</b> tab to access properties of the selected cluster. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1142627"></a>The properties displayed in the cluster INFORMATION tab are described in the following table.</p>


<a id="pgfId-1118422" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1118733"></a>Field</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1118735"></a>Description</th>
    </tr><tr>
      <td rowspan="3" colspan="1"><p><a id="pgfId-1139485"></a>Bootstrap Host</p></td>
      <td rowspan="3" colspan="1"><p><a id="pgfId-1139487"></a>The connection attributes for the bootstrap host on this cluster.</p><ul>
	  <li><a id="pgfId-1139488"></a>Bootstrap Connect Port: The bind port for the bootstrap host.</li>
	</ul><ul>
	  <li><a id="pgfId-1139489"></a>Bootstrap Host Name: The name of the bootstrap host.</li>
	</ul><ul>
	  <li><a id="pgfId-1139490"></a>Bootstrap Host ID: The ID used to identify the bootstrap host.</li>
	</ul><p><a id="pgfId-1139497"></a>For details, see <a href="http://docs.marklogic.com/9.0/guide/concepts/backup-replication#id_77901" target="_blank">Bootstrap Hosts</a> in the <i>Concepts Guide</i>.</p></td>
    </tr><tr></tr><tr></tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139507"></a>Cluster ID</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139509"></a>The ID used to identify this cluster.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139515"></a>Cluster Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139517"></a>The name used to identify this cluster.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139519"></a>Data Directory</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139523"></a>The MarkLogic default data directory. For details, see <a href="http://docs.marklogic.com/9.0/guide/installation/procedures#id_28962" target="_blank">Installing MarkLogic</a> in the <i>Installation Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139529"></a>Effective Version</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139531"></a>The effective version of MarkLogic Server that is installed on each host in this cluster. For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/rolling-upgrades#id_99789" target="_blank">Effective version and software version</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1118737"></a>Filesystem Directory</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1118739"></a>The MarkLogic installation directory. For details, see <a href="http://docs.marklogic.com/9.0/guide/installation/procedures#id_28962" target="_blank">Installing MarkLogic</a> in the <i>Installation Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139539"></a>Role</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139541"></a>The role (local or foreign) of the cluster in the current environment. For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/clusters#id_91391" target="_blank">Coupling Clusters</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1118741"></a>Security Version</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1118743"></a>The MarkLogic Server version number.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139549"></a>SSL Fips Enabled</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139551"></a>Whether FIPS-capable OpenSSL is enabled (true) or disabled (false). For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/clusters#id_64803" target="_blank">OpenSSL FIPS 140-2 Mode</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139559"></a>Version</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139561"></a>The software version of MarkLogic Server that is installed on each host in this cluster. For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/rolling-upgrades#id_99789" target="_blank">Effective version and software version</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1118745"></a>XDQP SSL Certificate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1118747"></a>The SSL Certificate used for secure communication between the clusters. For details, see <a href="http://docs.marklogic.com/9.0/guide/opsdir/intro#id_62798" target="_blank">Ops Director Security</a> in the <em xmlns="">Ops Director Guide</em> and <a href="http://docs.marklogic.com/9.0/guide/concepts/backup-replication#id_94470" target="_blank">Inter-cluster Communication</a> in the <i>Concepts Guide</i>.</p></td>
    </tr></table></span>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1113993"></a><a id="60912"></a>Cluster Tasks</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1146766"></a>Use the <b>TASKS</b> tab for an up-to-date report on tasks across the hosts within the selected cluster. The report shows tasks that are currently running, are scheduled to run, or have been delayed. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1146770"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1146771"></a>The columns displayed in the cluster <b>TASKS</b> tab are described in the following table.</p>


<a id="pgfId-1146933" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1146874"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1146876"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146878"></a>Cluster</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146880"></a>Cluster on which the task host is located.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146882"></a>Host</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146884"></a>The hostname of the host computer on which the scheduled module is to be invoked.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146886"></a>Enabled</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146888"></a>Whether the task is enabled (true) or disabled (false).</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146890"></a>Task Root</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146892"></a>The root directory (filesystem) or URI root (database) that contains the module.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146894"></a>Task Path</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146896"></a>The module the task is to invoke.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146898"></a>Task Type</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146900"></a>The task type:</p><ul>
	  <li><a id="pgfId-1146901"></a><b>minutely</b> specifies how many minutes between each invocation of the module.</li>
	</ul><ul>
	  <li><a id="pgfId-1146902"></a><b>hourly</b> specifies how many hours and minutes between each invocation of the module.</li>
	</ul><ul>
	  <li><a id="pgfId-1146903"></a><b>daily</b> specifies how many days between each invocation of the module and the time of day (in 24:00 notation).</li>
	</ul><ul>
	  <li><a id="pgfId-1146904"></a><b>weekly</b> specifies how many weeks between each invocation of the module, check one or more days of the week, and the time of day (in 24:00 notation) for the task to start.</li>
	</ul><ul>
	  <li><a id="pgfId-1146905"></a><b>monthly</b> specifies how many months between each invocation of the module, select one day of the month (1-31), and the time of day (in 24:00 notation) for the task to start.</li>
	</ul><ul>
	  <li><a id="pgfId-1146906"></a><b>one-time</b> specifies the start date in MM/DD/YYYY notation (for example, 07/29/2009 for July 29, 2009) and time in 24:00 notation.</li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146908"></a>Task Period</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146910"></a>How often the module is to be invoked (every <i>N</i> months, weeks, days, hours, or minutes).</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146912"></a>Created on</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146914"></a>The date and time when the task was created.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146916"></a>Database</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146918"></a>The database to which the scheduled module connects for query execution.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146920"></a>Task Modules</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146922"></a>The name of the database in which the scheduled module locates the application code. If set to (filesystem), any files in the specified task root directory are executable (given the proper permissions). If set to a database, any documents in the database whose URI begins with the specified task root directory are executable.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146924"></a>User</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146926"></a>The user with permission to invoke the module.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146928"></a>Priority</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146930"></a>The priority of the task:</p><ul>
	  <li><a id="pgfId-1146931"></a><b>normal</b> specifies that the task is queued with normal priority.</li>
	</ul><ul>
	  <li><a id="pgfId-1146932"></a><b>higher</b> specifies that the task is queued with higher priority.</li>
	</ul></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1146934"></a>You can export data from the cluster <b>TASKS</b> tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1143713"></a>The resulting CSV file will have the same columns as the cluster TASKS table in the UI. </li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1143714"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1143715"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1143716"></a>Data types of the fields in the CSV file correspond to those in the UI. in the case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1143717"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1114150"></a><a id="93018"></a>Cluster Logs</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1146849"></a>Use the <b>LOGS</b> tab to access a tabular listing of log records that have been logged by various resources within the cluster. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1146853"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1146854"></a>The columns displayed in the cluster <b>LOGS</b> tab are described in the following table.</p>


<a id="pgfId-1143183" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1143150"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1143152"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143154"></a>Date &amp; Time</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143156"></a>Datetime of the logged event.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143158"></a>Level</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143160"></a>The log level of the event. For a description of the log levels, see <a href="http://docs.marklogic.com/9.0/guide/admin/logfiles#id_37841" target="_blank">Understanding the Log Levels</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143168"></a>Cluster Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143170"></a>The name of the cluster on which the logged event occurred.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143172"></a>Host Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143174"></a>The name of the host on which the logged event occurred.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143176"></a>Message</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143178"></a>The logged error message.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143180"></a>Log File</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143182"></a>The full text of the logged event.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1143758"></a>You can export data from the cluster <b>LOGS</b> tab as a CSV (Comma Separated Values) file by clicking the Export icon  in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1143762"></a>The resulting CSV file will have the same columns as the Cluster Logs table in the UI. </li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1143763"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1143764"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1143765"></a>Data types of the fields in the CSV file correspond to those in the UI. in the case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1143766"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1114190"></a><a id="73737"></a>Cluster Hosts</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1146986"></a>Use the <b>HOSTS</b> tab to get the list of all hosts within the selected cluster. This tab shows host name as the first column, followed by other properties. Click the host name to navigate to the manage view of the selected host.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1146990"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1146991"></a>The columns displayed in the cluster <b>HOSTS</b> tab are described in the following table.</p>


<a id="pgfId-1143938" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1143879"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1143881"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143883"></a>Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143885"></a>The hostname of each host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143887"></a>Group</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143889"></a>The name of the group that contains each host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143891"></a>OS</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143893"></a>The name and version of the operating system on which each host runs.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143895"></a>Server Version</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143900"></a>The version of MarkLogic Server on each host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143902"></a>Forests</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143904"></a>The number of forests on each host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143906"></a>Databases</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143908"></a>The number of databases on each host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143910"></a>App Servers</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143912"></a>The number of App Servers on each host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143914"></a>Disk Space (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143916"></a>The amount of disk space (in MB) used on each host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143918"></a>Uptime</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143920"></a>The duration (Days Hrs:Min) each host has been available.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143922"></a>Maint. Mode</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143924"></a>The host maintenance mode (normal or maintenance) for each host. For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/rolling-upgrades#id_12339" target="_blank">Rolling Upgrades</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143932"></a>Zone</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143934"></a>The Amazon Web Services (AWS) zone in which each host resides, if applicable. For details, see <i>MarkLogic Server on Amazon Web Services (AWS) Guide</i>.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1143957"></a>You can export data from the Cluster Hosts tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1143961"></a>The resulting CSV file will have the same columns as the Cluster Hosts table in the UI. </li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1143962"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1143963"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1143964"></a>Data types of the fields in the CSV file correspond to those in the UI. in the case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1143965"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1143946"></a><a id="60978"></a>Cluster Databases</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1147005"></a>Use the <b>DATABASES</b> tab to get a list of all the databases within the cluster, with database name as the first column followed by other properties. Click on the database name to navigate to the manage view of the selected database.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1147009"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1147010"></a>The columns displayed in the cluster <b>DATABASES</b> tab are described in the following table.</p>


<a id="pgfId-1134048" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1134058"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1134060"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134062"></a>Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134064"></a>Name of the database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134066"></a>Forests</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134068"></a>The number of forests used by the database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134070"></a>Disk Size (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134072"></a>The amount of disk space used by the database forests, in megabytes.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134074"></a>Documents</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134076"></a>The number of documents in the database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134078"></a>Last Backup</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134080"></a>The date and time of the last backup of the database. No value, if the database has never been backed up. For details on backing up a database, see <a href="http://docs.marklogic.com/9.0/guide/admin/backup_restore#id_93243" target="_blank">Backing Up and Restoring a Database</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134088"></a>Encryption</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134090"></a>Specifies whether or not encryption at rest is enabled for the database. For details, see <a href="http://docs.marklogic.com/9.0/guide/security/encryption#id_37353" target="_blank">Encryption at Rest</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134098"></a>HA</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134100"></a>Specifies whether or not shared disk failover is enabled. For details, see <a href="http://docs.marklogic.com/9.0/guide/cluster/failover#id_82157" target="_blank">High Availability of Data Nodes With Failover</a> in the <i>Scalability, Availability, and Failover Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134102"></a>Replication</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134104"></a>Specifies whether or not database replication is enabled (On/Off). For details, see the <i>Database Replication Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134106"></a>Replication Status</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134108"></a>Specifies whether or not database replication is configured for the database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134110"></a>Security DB</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134112"></a>The name of the security database used by the database. For details, see <a href="http://docs.marklogic.com/9.0/guide/security/security_db#id_66642" target="_blank">Administering Security</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134120"></a>Schemas DB</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134122"></a>The name of the schemas database used by the database. For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/schemas#id_43671" target="_blank">Understanding and Defining Schemas</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134130"></a>Triggers DB</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134132"></a>The name of the schemas database used by the database. For details, see <a href="http://docs.marklogic.com/9.0/guide/app-dev/triggers#id_17020" target="_blank">Using Triggers to Spawn Actions</a> in the <i>Application Developer's Guide</i>.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144003"></a>You can export data from the cluster <b>DATABASES</b> tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144007"></a>The resulting CSV file will have the same columns as the Cluster Databases table in the UI. </li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144008"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144009"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144010"></a>Data types of the fields in the CSV file correspond to those in the UI. in the case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144011"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1114968"></a><a id="43885"></a>Cluster App Servers</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1147587"></a>Use the <b>APP SERVERS</b> tab to get a list of all the application servers within the cluster, with App Server name as the first column followed by other properties. Click on the App Server name to navigate to the manage view of the selected application server.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1147591"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1147592"></a>The columns displayed in the cluster <b>APP SERVERS</b> tab are described in the following table.</p>


<a id="pgfId-1134193" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1134203"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1134205"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134211"></a>Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134213"></a>The name of the App Server.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134215"></a>Type</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134217"></a>The App Server type (HTTP, WebDAV, XDBC, ODBC).</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134219"></a>Database</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134221"></a>The name of the App Server content database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134223"></a>Port</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134225"></a>The port number used to access the App Server.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134227"></a>SSL</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134229"></a>Whether the App Server has SSL enabled (yes) or disabled (no). For details, see <a href="http://docs.marklogic.com/9.0/guide/security/SSL#id_85783" target="_blank">Configuring SSL on App Servers</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134231"></a>Group</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134233"></a>The name of the group to which the App Server belongs</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134235"></a>Modules DB+Root</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134237"></a>The name of the modules database, or if filesystem, the root directory.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134239"></a>Security</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144033"></a>The type of security (internal or external).</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144069"></a>You can export data from the cluster <b>APP SERVERS</b> tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144073"></a>The resulting CSV file will have the same columns as the Cluster App Servers table in the UI. </li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144074"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144075"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144076"></a>Data types of the fields in the CSV file correspond to those in the UI. in the case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144077"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144047"></a><a id="50320"></a>Cluster Forests</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1139676"></a>Use the <b>FORESTS</b> tab to get a list of all the forests within the cluster, with forest name as the first column followed by other properties. Click on the forest name to navigate to the manage view of the selected forest.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1139741"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1139762"></a>The columns displayed in the cluster <b>FORESTS</b> tab are described in the following table.</p>


<a id="pgfId-1139806" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1139765"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1139767"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139769"></a>Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139771"></a>The name of the forest.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139773"></a>Host</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139775"></a>The forest host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139777"></a>Documents</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139779"></a>The number of documents in the forest.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139781"></a>Status</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139783"></a>The status of the forest. Enabled or Disabled.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139785"></a>Availability</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139787"></a>The availability of the forest. Online or Offline.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139795"></a>Fragments</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139910"></a>The number of active fragments (the fragments available to queries) in the forest.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139799"></a>Deleted Fragments</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139896"></a>The number of deleted fragments (the fragments to be removed by the next merge operation) in the forest.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139803"></a>Stands</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139990"></a>The number of stands in the forest. For more information on stands, see <a href="http://docs.marklogic.com/9.0/guide/concepts/data-management#id_85565" target="_blank">Databases, Forests, and Stands</a> in the <i>Concepts Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139876"></a>Size (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139878"></a>The size of the forest, in MB.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139872"></a>Encrypted Size (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140076"></a>The amount of encrypted data in the forest. For details on data encryption, see <a href="http://docs.marklogic.com/9.0/guide/security/encryption#id_37353" target="_blank">Encryption at Rest</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139868"></a>Free Space (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139870"></a>The number of MB of free space on this forest.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139864"></a>Large Data Size (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139954"></a>The amount of data in the large data directories of the forest. For more information on Large Data, see <a href="http://docs.marklogic.com/9.0/guide/app-dev/binaries#id_46976" target="_blank">Working With Binary Documents</a> in the <i>Application Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139860"></a>Fast Data Size (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139932"></a>The amount of data in the fast data directories of the forest. For more information on Fast Data, see <a href="http://docs.marklogic.com/9.0/guide/performance/disk-storage#id_17115" target="_blank">Fast Data Directory on Forests</a> in the <i>Query Performance and Tuning Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139856"></a>Failover Enabled</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140022"></a>Whether failover is enabled for the forest. For more information on stands, see <a href="http://docs.marklogic.com/9.0/guide/cluster/failover#id_82157" target="_blank">High Availability of Data Nodes With Failover</a> in the <i>Scalability, Availability, and Failover Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139852"></a>Replication</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140048"></a>Specifies whether or not database replication is enabled for this forest. For details, see the <i>Database Replication Guide</i>.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144112"></a>You can export data from the cluster <b>FORESTS</b> tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144116"></a>The resulting CSV file will have the same columns as the cluster FORESTS table in the UI. </li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144117"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144118"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144119"></a>Data types of the fields in the CSV file correspond to those in the UI. in the case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144120"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1114988"></a><a id="19801"></a>Manage Hosts Tab</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1139085"></a>The <b>HOSTS</b> tab displays the list of hosts in your enterprise. </p>

<blockquote xmlns="http://www.w3.org/1999/xhtml"><p><b>Note:&#160;&#160;</b><a id="pgfId-1124350"></a>You can only see the hosts to which you have access. For access rules, see <a href="http://docs.marklogic.com/9.0/guide/opsdir/intro#id_93519" target="_blank">Access Inheritance in Resource Groups</a> in the <em xmlns="">Ops Director Guide</em>.</p></blockquote>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1134349"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1134419"></a>The columns displayed in the manage <b>HOSTS</b> tab are described in the following table.</p>


<a id="pgfId-1134413" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1134353"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1134355"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140379"></a>Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140381"></a>The hostname of the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134357"></a>Cluster</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134359"></a>The name of the cluster on which the host resides.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134365"></a>Group</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134367"></a>The name of the group that contains the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134369"></a>OS</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134371"></a>The name and version of the operating system on which the host runs.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134373"></a>Server Version</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134375"></a>The version of MarkLogic Server on the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134377"></a>Forests</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134379"></a>The number of forests on the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134381"></a>Databases</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134383"></a>The number of databases on the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134385"></a>App Servers</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134387"></a>The number of App Servers on the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134389"></a>Disk Space (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134391"></a>The amount of disk space (in MB) used on the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134393"></a>Uptime</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134395"></a>The duration (Days Hrs:Min) the host has been available.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134397"></a>Maint. Mode</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134399"></a>The host maintenance mode (normal or maintenance). For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/rolling-upgrades#id_12339" target="_blank">Rolling Upgrades</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134407"></a>Zone</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134409"></a>The Amazon Web Services (AWS) zone in which the host resides, if applicable. For details, see <i>MarkLogic Server on Amazon Web Services (AWS) Guide</i>.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144154"></a>You can export data from the manage <b>HOSTS</b> tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144158"></a>The resulting CSV file will have the same columns as the Manage Hosts table in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144159"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144160"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144161"></a>Data types of the fields in the CSV file correspond to those in the UI. In the case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144162"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144142"></a>To drill down for a particular host, click on the host name in the host table. You will see the following content tabs, each one representing an information category for the selected host:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1133084"></a><a href="#19788">Host Metrics</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1133138"></a><a href="#43361">Host Information</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1133160"></a><a href="#92022">Host Tasks</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1133182"></a><a href="#74979">Host Logs</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1133204"></a><a href="#10111">Host Databases</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1133228"></a><a href="#51540">Host App Servers</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1140330"></a><a href="#56062">Host Forests</a></li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1146021"></a>You can export all tables from the content tabs for a particular host. When you select a specific host (either in the left side resource navigation panel or in the content area of the view), the <b>Actions</b> menu becomes available in the upper right corner.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1145984"></a>From the <b>Actions</b> menu, select <b>Download all tables</b> to export all tables for this particular host.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1146266"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1147690"></a>A zip file with all exported tables for this host will be downloaded to your computer. Each table is represented by a corresponding CSV file. The zip file will contain the following CSV files for the host:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1147694"></a>Tasks CSV file (see the <a href="#92022">Host Tasks</a> section for details on the contents)</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1147698"></a>Databases CVS file (see the <a href="#10111">Host Databases</a> section for details on the contents)</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1146069"></a>App Servers CVS file (see the <a href="#51540">Host App Servers</a> section for details on the contents)</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1146073"></a>Forests CVS file (see the <a href="#56062">Host Forests</a> section for details on the contents)</li>
</ul>

<blockquote xmlns="http://www.w3.org/1999/xhtml"><p><b>Note:&#160;&#160;</b><a id="pgfId-1146074"></a>For a host, exported tables will not include Logs table. This table can be exported from the <b>LOGS</b> tab of that host, but not as part of the <b>Download all tables</b> operation.</p></blockquote>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1114978"></a><a id="19788"></a>Host Metrics</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1112505"></a>Select a single host from the navigation tree. The <b>METRICS</b> tab displays key indicators allowing administrators to determine the health of the selected resource. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1123633"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1146005"></a>To filter the data used for rendering the graphs, select a pre-defined time period or specify a custom time period, as described in <a href="http://docs.marklogic.com/9.0/guide/opsdir/Navigation#id_89836" target="_blank">Date and Time Filters</a> in the <em xmlns="">Ops Director Guide</em>.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1145997"></a>The metrics displayed by charts on the host <b>METRICS</b> tab are described in the following table.</p>


<a id="pgfId-1115903" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1115864"></a>Chart</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1115866"></a>Definition of Displayed Metric</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115868"></a>Disk I/O</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115870"></a>Disk I/O in MB/sec. For details, see <a href="http://docs.marklogic.com/9.0/guide/opsdir/Analyse#id_21175" target="_blank">Disk Performance Data</a> in the <em xmlns="">Ops Director Guide</em>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115880"></a>CPU</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1131177"></a>The aggregate I/O performance data for the CPUs in the host. For details, see <a href="http://docs.marklogic.com/9.0/guide/opsdir/Analyse#id_71159" target="_blank">CPU Performance Data</a> in the <em xmlns="">Ops Director Guide</em>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115884"></a>Memory Footprint</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115886"></a>The total amount (in MB) of memory consumed by this host.</p><p><a id="pgfId-1115887"></a>The displayed metrics are:</p><ul>
	  <li><a id="pgfId-1115888"></a>RSS: The total amount of MB of Process Resident Size (RSS) consumed by the host.</li>
	</ul><ul>
	  <li><a id="pgfId-1115889"></a>Anon: The total amount of MB of Process Anonymous Memory consumed by the host.</li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115891"></a>Memory Size</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115893"></a>The amount of space (in MB) forest data files for this host take up in memory.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115923"></a>Memory I/O</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1116312"></a>The number of pages per second moved between memory and disk.</p><p><a id="pgfId-1116313"></a>The displayed metrics are:</p><ul>
	  <li><a id="pgfId-1116314"></a>Page-In Rate: The page-in rate (from Linux /proc/vmstat) for the host in pages per second.</li>
	</ul><ul>
	  <li><a id="pgfId-1116315"></a>Page-Out Rate: The page-out rate (from Linux /proc/vmstat) for the host in pages per second.</li>
	</ul><ul>
	  <li><a id="pgfId-1116316"></a>Swap-In Rate: The swap-in rate (from Linux /proc/vmstat) for the host in pages per second.</li>
	</ul><ul>
	  <li><a id="pgfId-1115925"></a>Swap-Out Rate: The swap-out rate (from Linux /proc/vmstat) for the host in pages per second.</li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115895"></a>Network</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115897"></a>Various XDQP performance metrics as the sum of XDQP activity for this host. For details, see <a href="http://docs.marklogic.com/9.0/guide/opsdir/Analyse#id_94112" target="_blank">Network Performance Data</a> in the <em xmlns="">Ops Director Guide</em>.</p></td>
    </tr></table></span>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1120800"></a><a id="43361"></a>Host Information</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1124512"></a>Use the <b>INFORMATION</b> tab to access properties of the selected host.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1123714"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1123700"></a>The properties displayed in the host <b>INFORMATION</b> tab are described in the following table.</p>


<a id="pgfId-1120806" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1121062"></a>Field</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1121064"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139569"></a>Bind Port</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139571"></a>The port on which the host to handle inter-host communication within this cluster. For details, see <a href="http://docs.marklogic.com/9.0/guide/concepts/backup-replication#id_94470" target="_blank">Inter-cluster Communication</a> in the <i>Concepts Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139610"></a>Bootstrap Host</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139612"></a>Whether this host is a bootstrap host (true). If not, the value is false.</p><p><a id="pgfId-1139619"></a>For details, see <a href="http://docs.marklogic.com/9.0/guide/concepts/backup-replication#id_77901" target="_blank">Bootstrap Hosts</a> in the <i>Concepts Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139583"></a>Foreign Bind Port</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139585"></a>The port used by the host to handle XDQP communication with foreign clusters. For details, see <a href="http://docs.marklogic.com/9.0/guide/concepts/backup-replication#id_77901" target="_blank">Bootstrap Hosts</a> in the <i>Concepts Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139593"></a>Group</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139598"></a>The group to which this host belongs. For details on groups, see <a href="http://docs.marklogic.com/9.0/guide/admin/groups#id_34776" target="_blank">Groups</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1121070"></a>Host Mode</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1124187"></a>The host maintenance mode (normal or maintenance). For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/rolling-upgrades#id_12339" target="_blank">Rolling Upgrades</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1121078"></a>Host Mode Description</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1121080"></a>Description of the host mode, if set.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1121094"></a>Host Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1121096"></a>The name of the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139603"></a>Zone</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139605"></a>The Amazon Web Services (AWS) zone in which the host resides, if applicable. For details, see <i>MarkLogic Server on Amazon Web Services (AWS) Guide</i>.</p></td>
    </tr></table></span>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1120801"></a><a id="92022"></a>Host Tasks</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1142099"></a>Use the <b>TASKS</b> tab for an up-to-date report on tasks that are currently running or scheduled to run on this host.</p>

<blockquote xmlns="http://www.w3.org/1999/xhtml"><p><b>Note:&#160;&#160;</b><a id="pgfId-1124571"></a>You can only see the tasks for the hosts to which you have access.For access rules, see <a href="http://docs.marklogic.com/9.0/guide/opsdir/intro#id_93519" target="_blank">Access Inheritance in Resource Groups</a> in the <em xmlns="">Ops Director Guide</em>.</p></blockquote>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1123883"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1143246"></a>The columns displayed in the Host Tasks tab are described in the following table.</p>


<a id="pgfId-1143308" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1143249"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1143251"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143253"></a>Cluster</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143255"></a>Cluster on which the task host is located.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143257"></a>Host</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143259"></a>The hostname of the host computer on which the scheduled module is to be invoked.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143261"></a>Enabled</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143263"></a>Whether the task is enabled (true) or disabled (false).</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143265"></a>Task Root</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143267"></a>The root directory (filesystem) or URI root (database) that contains the module.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143269"></a>Task Path</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143271"></a>The module the task is to invoke.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143273"></a>Task Type</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143275"></a>The task type:</p><ul>
	  <li><a id="pgfId-1143276"></a><b>minutely</b> specifies how many minutes between each invocation of the module.</li>
	</ul><ul>
	  <li><a id="pgfId-1143277"></a><b>hourly</b> specifies how many hours and minutes between each invocation of the module.</li>
	</ul><ul>
	  <li><a id="pgfId-1143278"></a><b>daily</b> specifies how many days between each invocation of the module and the time of day (in 24:00 notation).</li>
	</ul><ul>
	  <li><a id="pgfId-1143279"></a><b>weekly</b> specifies how many weeks between each invocation of the module, check one or more days of the week, and the time of day (in 24:00 notation) for the task to start.</li>
	</ul><ul>
	  <li><a id="pgfId-1143280"></a><b>monthly</b> specifies how many months between each invocation of the module, select one day of the month (1-31), and the time of day (in 24:00 notation) for the task to start.</li>
	</ul><ul>
	  <li><a id="pgfId-1143281"></a><b>one-time</b> specifies the start date in MM/DD/YYYY notation (for example, 07/29/2009 for July 29, 2009) and time in 24:00 notation.</li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143283"></a>Task Period</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143285"></a>How often the module is to be invoked (every <i>N</i> months, weeks, days, hours, or minutes).</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143287"></a>Created on</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143289"></a>The datetime the task was created.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143291"></a>Database</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143293"></a>The database to which the scheduled module connects for query execution.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143295"></a>Task Modules</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143297"></a>The name of the database in which the scheduled module locates the application code. If set to (filesystem), any files in the specified task root directory are executable (given the proper permissions). If set to a database, any documents in the database whose URI begins with the specified task root directory are executable.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143299"></a>User</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143301"></a>The user with permission to invoke the module.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143303"></a>Priority</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143305"></a>The priority of the task:</p><ul>
	  <li><a id="pgfId-1143306"></a>normal specifies the task is queued with normal priority.</li>
	</ul><ul>
	  <li><a id="pgfId-1143307"></a>higher specifies the task is queued with higher priority.</li>
	</ul></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144186"></a>You can export data from the Host Tasks tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144190"></a>The resulting CSV file will have the same columns as the Host Tasks table in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1147305"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1147306"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144193"></a>Data types of the fields in the CSV file correspond to those in the UI. in the case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144194"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1142178"></a><a id="74979"></a>Host Logs</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1142179"></a>Use the <b>LOGS</b> tab to access a tabular listing of log records of the host.</p>

<blockquote xmlns="http://www.w3.org/1999/xhtml"><p><b>Note:&#160;&#160;</b><a id="pgfId-1124328"></a>You can only see the logs from the hosts to which you have access. For access rules, see <a href="http://docs.marklogic.com/9.0/guide/opsdir/intro#id_93519" target="_blank">Access Inheritance in Resource Groups</a> in the <em xmlns="">Ops Director Guide</em>.</p></blockquote>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1123926"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1143460"></a>The columns displayed in the host <b>LOGS</b> tab are described in the following table.</p>


<a id="pgfId-1143496" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1143463"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1143465"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143467"></a>Date &amp; Time</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143469"></a>Datetime of the logged event.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143471"></a>Level</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143473"></a>The log level of the event. For a description of the log levels, see <a href="http://docs.marklogic.com/9.0/guide/admin/logfiles#id_37841" target="_blank">Understanding the Log Levels</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143481"></a>Cluster Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143483"></a>The name of the cluster on which the logged event occurred.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143485"></a>Host Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143487"></a>The name of the host on which the logged event occurred.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143489"></a>Message</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143491"></a>The logged error message.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143493"></a>Log File</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143495"></a>The full text of the logged event.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144221"></a>You can export data from the host <b>LOGS</b> tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144225"></a>The resulting CSV file will have the same columns as the Host Logs table in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144226"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144227"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144228"></a>Data types of the fields in the CSV file correspond to those in the UI. in the case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144229"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1120775"></a><a id="10111"></a>Host Databases</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1142216"></a>Use the <b>DATABASES</b> tab to get a list of all the databases within the host, with database name as the first column followed by other properties. Click on the database name to navigate to the <b>METRICS</b> view of the selected database.</p>

<blockquote xmlns="http://www.w3.org/1999/xhtml"><p><b>Note:&#160;&#160;</b><a id="pgfId-1124364"></a>Access to databases of a host is implicit if you have access to that host. For access rules, see <a href="http://docs.marklogic.com/9.0/guide/opsdir/intro#id_93519" target="_blank">Access Inheritance in Resource Groups</a> in the <em xmlns="">Ops Director Guide</em>.</p></blockquote>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1123945"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1134442"></a>The columns displayed in the host <b>DATABASES</b> tab are described in the following table.</p>


<a id="pgfId-1134526" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1134445"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1134447"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134449"></a>Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134451"></a>Name of the database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134453"></a>Forests</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134455"></a>The number of forests used by the database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134457"></a>Disk Size (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134459"></a>The amount of disk space used by the database forests, in megabytes.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134461"></a>Documents</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134463"></a>The number of documents in the database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134465"></a>Last Backup</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134467"></a>The data-time of the last backup of the database. No value, if the database has never been backed up. For details on backing up a database, see <a href="http://docs.marklogic.com/9.0/guide/admin/backup_restore#id_93243" target="_blank">Backing Up and Restoring a Database</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134475"></a>Encryption</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134477"></a>Specifies whether or not encryption at rest is enabled for the database. For details, see <a href="http://docs.marklogic.com/9.0/guide/security/encryption#id_37353" target="_blank">Encryption at Rest</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134485"></a>HA</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139207"></a>Specifies whether or not shared disk failover is enabled. For details, see <a href="http://docs.marklogic.com/9.0/guide/cluster/failover#id_82157" target="_blank">High Availability of Data Nodes With Failover</a> in the <i>Scalability, Availability, and Failover Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134489"></a>Replication</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139275"></a>Specifies whether or not database replication is enabled. For details, see the <i>Database Replication Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134493"></a>Replication Status</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134495"></a>Specifies whether or not database replication is configured for the database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134497"></a>Security DB</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134499"></a>The name of the security database used by the database. For details, see <a href="http://docs.marklogic.com/9.0/guide/security/security_db#id_66642" target="_blank">Administering Security</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134507"></a>Schemas DB</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134509"></a>The name of the schemas database used by the database. For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/schemas#id_43671" target="_blank">Understanding and Defining Schemas</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134517"></a>Triggers DB</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134519"></a>The name of the schemas database used by the database. For details, see <a href="http://docs.marklogic.com/9.0/guide/app-dev/triggers#id_17020" target="_blank">Using Triggers to Spawn Actions</a> in the <i>Application Developer's Guide</i>.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144274"></a>You can export data from the host <b>DATABASES</b> tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144278"></a>The resulting CSV file will have the same columns as the Host Databases table in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144279"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144280"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144281"></a>Data types of the fields in the CSV file correspond to those in the UI. in the case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144282"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1120789"></a><a id="51540"></a>Host App Servers</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1142298"></a>Use the <b>APP SERVERS</b> tab to get the list of all the application servers within the host, with App Server name as the first column followed by other properties. Click on the App Server name to navigate to the manage view of the selected application server.</p>

<blockquote xmlns="http://www.w3.org/1999/xhtml"><p><b>Note:&#160;&#160;</b><a id="pgfId-1124410"></a>Access to App Servers is not implicit with host access. For access rules, see <a href="http://docs.marklogic.com/9.0/guide/opsdir/intro#id_93519" target="_blank">Access Inheritance in Resource Groups</a> in the <em xmlns="">Ops Director Guide</em>.</p></blockquote>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1123986"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1134547"></a>The columns displayed in the host <b>APP SERVERS</b> tab are described in the following table.</p>


<a id="pgfId-1134585" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1134550"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1134552"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134554"></a>Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134556"></a>The name of the App Server.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134558"></a>Type</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134560"></a>The App Server type (HTTP, WebDAV, XDBC, ODBC).</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134562"></a>Database</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134564"></a>The name of the App Server content database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134566"></a>Port</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134568"></a>The port number used to access the App Server.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134570"></a>SSL</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134572"></a>Whether the App Server has SSL enabled (yes) or disabled (no). For details, see <a href="http://docs.marklogic.com/9.0/guide/security/SSL#id_85783" target="_blank">Configuring SSL on App Servers</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134574"></a>Group</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134576"></a>The name of the group to which the App Server belongs</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134578"></a>Modules DB+Root</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134580"></a>The name of the modules database, or if filesystem, the root directory.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134582"></a>Security</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134584"></a>The type of security (internal or external).</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144317"></a>You can export data from the host <b>APP SERVERS</b> tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144321"></a>The resulting CSV file will have the same columns as the Host App Servers table in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144322"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144323"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144324"></a>Data types of the fields in the CSV file correspond to those in the UI. in the case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144325"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1140199"></a><a id="56062"></a>Host Forests</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1140200"></a>Use the <b>FORESTS</b> tab to get a list of all the forests within the host, with forest name as the first column, followed by other properties. Click on the forest name to navigate to the manage view of the selected forest.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1140204"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1140205"></a>The columns displayed in the host <b>FORESTS</b> tab are described in the following table.</p>


<a id="pgfId-1140304" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1140208"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1140210"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140212"></a>Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140214"></a>The name of the forest.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140220"></a>Documents</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140222"></a>The number of documents in the forest.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140224"></a>Status</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140226"></a>The status of the forest. <code>Enabled</code> or <code>Disabled</code>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140228"></a>Availability</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140230"></a>The availability of the forest. <code>Online</code> or <code>Offline</code>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140232"></a>Fragments</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140234"></a>The number of active fragments (the fragments available to queries) in the forest.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140236"></a>Deleted Fragments</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140238"></a>The number of deleted fragments (the fragments to be removed by the next merge operation) in the forest.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140240"></a>Stands</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140242"></a>The number of stands in the forest. For more information on stands, see <a href="http://docs.marklogic.com/9.0/guide/concepts/data-management#id_85565" target="_blank">Databases, Forests, and Stands</a> in the <i>Concepts Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140250"></a>Size (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140252"></a>The size of the forest, in MB.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140254"></a>Encrypted Size (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140256"></a>The amount of encrypted data in the forest. For details on data encryption, see <a href="http://docs.marklogic.com/9.0/guide/security/encryption#id_37353" target="_blank">Encryption at Rest</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140264"></a>Free Space (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140266"></a>The number of MB of free space on this forest.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140268"></a>Large Data Size (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140270"></a>The amount of data in the large data directories of the forest. For more information on Large Data, see <a href="http://docs.marklogic.com/9.0/guide/app-dev/binaries#id_46976" target="_blank">Working With Binary Documents</a> in the <i>Application Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140278"></a>Fast Data Size (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140280"></a>The amount of data in the fast data directories of the forest. For more information on Fast Data, see <a href="http://docs.marklogic.com/9.0/guide/performance/disk-storage#id_17115" target="_blank">Fast Data Directory on Forests</a> in the <i>Query Performance and Tuning Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140288"></a>Failover Enabled</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140290"></a>Whether failover is enabled for the forest. For more information on stands, see <a href="http://docs.marklogic.com/9.0/guide/cluster/failover#id_82157" target="_blank">High Availability of Data Nodes With Failover</a> in the <i>Scalability, Availability, and Failover Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140298"></a>Replication</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140300"></a>Specifies whether or not database replication is enabled for this forest. For details, see the <i>Database Replication Guide</i>.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144360"></a>You can export data from the host <b>FORESTS</b> tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144364"></a>The resulting CSV file will have the same columns as the host FORESTS table in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144365"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144366"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144367"></a>Data types of the fields in the CSV file correspond to those in the UI. in the case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144368"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1112530"></a><a id="91384"></a>Manage Databases Tab</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1124967"></a>The DATABASES tab displays a list of databases in your enterprise. </p>

<Balloon-Text><a id="pgfId-1117346" xmlns="http://www.w3.org/1999/xhtml"></a><span xmlns="http://www.w3.org/1999/xhtml"></span></Balloon-Text>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1124936"></a>The columns displayed in the manage <b>DATABASES</b> tab are described in the following table.</p>


<a id="pgfId-1117353" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1117493"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1117495"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1124770"></a>Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1124772"></a>Name of the database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117497"></a>Cluster</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117499"></a>Cluster on which the database resides.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117505"></a>Forests</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117507"></a>The number of forests used by the database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117509"></a>Disk Size (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117511"></a>The amount of disk space used by the database forests, in megabytes.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117513"></a>Documents</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117515"></a>The number of documents in the database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117517"></a>Last Backup</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117519"></a>The data-time of the last backup of the database. No value, if the database has never been backed up. For details on backing up a database, see <a href="http://docs.marklogic.com/9.0/guide/admin/backup_restore#id_93243" target="_blank">Backing Up and Restoring a Database</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117525"></a>Encryption</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117527"></a>Specifies whether or not encryption at rest is enabled for the database. For details, see <a href="http://docs.marklogic.com/9.0/guide/security/encryption#id_37353" target="_blank">Encryption at Rest</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117529"></a>HA</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139232"></a>Specifies whether or not shared disk failover is enabled. For details, see <a href="http://docs.marklogic.com/9.0/guide/cluster/failover#id_82157" target="_blank">High Availability of Data Nodes With Failover</a> in the <i>Scalability, Availability, and Failover Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117533"></a>Replication</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139293"></a>Specifies whether or not database replication is enabled. For details, see the <i>Database Replication Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117537"></a>Security DB</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1124836"></a>The name of the security database used by the database. For details, see <a href="http://docs.marklogic.com/9.0/guide/security/security_db#id_66642" target="_blank">Administering Security</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117541"></a>Schemas DB</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1124860"></a>The name of the schemas database used by the database. For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/schemas#id_43671" target="_blank">Understanding and Defining Schemas</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117545"></a>Triggers DB</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1124907"></a>The name of the schemas database used by the database. For details, see <a href="http://docs.marklogic.com/9.0/guide/app-dev/triggers#id_17020" target="_blank">Using Triggers to Spawn Actions</a> in the <i>Application Developer's Guide</i>.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144409"></a>You can export data from the Manage Databases tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144413"></a>The resulting CSV file will have the same columns as the Manage Databases table in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144414"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144415"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144416"></a>Data types of the fields in the CSV file correspond to those in the UI. in the case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144417"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144397"></a>To drill down for a particular database, click on the database name in the database table. You will see the following content tabs, each one representing an information category for the selected database:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1133278"></a><a href="#70357">Database Metrics</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1133282"></a><a href="#46319">Database Information</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1133286"></a><a href="#88727">Database Tasks</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1133290"></a><a href="#30357">Database Hosts</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1133294"></a><a href="#27279">Database App Servers</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1140579"></a><a href="#48905">Database Forests</a></li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1146108"></a>You can export all tables from the database content tabs for a particular database. When you select a specific database (either in the left resource navigation panel or in the content area of the view), the <b>Actions</b> menu becomes available in the upper right corner.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1146109"></a>From the <b>Actions</b> menu, select <b>Download all tables</b> to export all tables for this particular database.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1146384"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1146111"></a>A zip file with all exported tables for this database will be downloaded to your computer. Each table is represented by the corresponding CSV file. The zip file will contain the following CSV files for the database:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1146115"></a>Tasks CSV file (see the <a href="#88727">Database Tasks</a> section for details on the contents)</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1147887"></a>Hosts CVS file (see the <a href="#30357">Database Hosts</a> section for details on the contents)</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1147895"></a>App Servers CVS file (see the <a href="#27279">Database App Servers</a> section for details on the contents)</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1147903"></a>Forests CVS file (see the <a href="#48905">Database Forests</a> section for details on the contents)</li>
</ul>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1147635"></a><a id="70357"></a>Database Metrics</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1147636"></a>Select a single database or all databases from the navigation tree. The <b>METRICS</b> tab displays key indicators enabling you to determine the health of the selected resource or resource group. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1141418"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1146158"></a>To filter the data used for rendering the graphs, select a pre-defined time period or specify a custom time period, as described in <a href="http://docs.marklogic.com/9.0/guide/opsdir/Navigation#id_89836" target="_blank">Date and Time Filters</a> in the <em xmlns="">Ops Director Guide</em>.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1141420"></a>The metrics displayed by the charts on the database <b>METRICS</b> tab are described in the following table.</p>


<a id="pgfId-1121686" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1147918"></a>Chart</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1147920"></a>Definition of Displayed Metric</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1147922"></a>Disk I/O</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1147926"></a>Disk I/O in MB/sec. The displayed metrics are described in <a href="http://docs.marklogic.com/9.0/guide/opsdir/Analyse#id_21175" target="_blank">Disk Performance Data</a> in the <em xmlns="">Ops Director Guide</em>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1147929"></a>Memory Footprint</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1147931"></a>The total amount (in MB) of memory consumed by the database. </p><p><a id="pgfId-1147932"></a>The displayed metrics are:</p><ul>
	  <li><a id="pgfId-1147933"></a>RSS: The total amount of MB of Process Resident Size (RSS) consumed by the database.</li>
	</ul><ul>
	  <li><a id="pgfId-1147934"></a>Anon: The total amount of MB of Process Anonymous Memory consumed by the database.</li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1147936"></a>Memory Size</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1147938"></a>The amount of space (in MB) forest data files for the database take up in memory.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1147940"></a>Memory I/O</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1147942"></a>The number of pages per second moved between memory and disk.</p><p><a id="pgfId-1147943"></a>The displayed metrics are:</p><ul>
	  <li><a id="pgfId-1147944"></a>Page-In Rate: The page-in rate (from Linux /proc/vmstat) for the database in pages per second.</li>
	</ul><ul>
	  <li><a id="pgfId-1147945"></a>Page-Out Rate: The page-out rate (from Linux /proc/vmstat) for the database in pages per second.</li>
	</ul><ul>
	  <li><a id="pgfId-1147946"></a>Swap-In Rate: The swap-in rate (from Linux /proc/vmstat) for the database in pages per second.</li>
	</ul><ul>
	  <li><a id="pgfId-1147947"></a>Swap-Out Rate: The swap-out rate (from Linux /proc/vmstat) for the database in pages per second.</li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1147949"></a>Lock Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1147951"></a>The number of locks set per second across all of the databases in the cluster.</p><p><a id="pgfId-1147952"></a>The displayed lines are:</p><ul>
	  <li><a id="pgfId-1147953"></a>Read: The number of read locks set per second.</li>
	</ul><ul>
	  <li><a id="pgfId-1147954"></a>Write: The number of write locks set per second.</li>
	</ul><ul>
	  <li><a id="pgfId-1147955"></a>Deadlock: The number of deadlocks per second.</li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1147957"></a>Lock Wait Load</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1147959"></a>The aggregate time (in seconds) transactions wait for locks.</p><p><a id="pgfId-1147960"></a>The displayed lines are:</p><ul>
	  <li><a id="pgfId-1147961"></a>Read: The time transactions wait for read locks.</li>
	</ul><ul>
	  <li><a id="pgfId-1147962"></a>Write: The time transactions wait for write locks.</li>
	</ul></td>
    </tr></table></span>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121721"></a><a id="46319"></a>Database Information</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1142328"></a>Use the <b>INFORMATION</b> tab to access properties of the selected database.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1130707"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1130734"></a>The properties displayed in the database <b>INFORMATION</b> tab are described in the following table.</p>


<a id="pgfId-1125149" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1126308"></a>Field</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1126310"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126312"></a>Assignment Policy</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126314"></a>Database rebalancer assignment policy. For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/database-rebalancing#id_23383" target="_blank">Rebalancer Document Assignment Policies</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126316"></a>Attribute Value Positions</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126318"></a>Specifies whether index data is included which speeds up the performance of proximity queries that use the <span><a href="http://docs.marklogic.com/9.0/cts:field-value-query" target="_blank">cts:field-value-query</a></span> function. Turn this index off if you are not interested in proximity queries and if you want to conserve disk space and decrease loading time. </p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126320"></a>Collection Lexicon</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126322"></a>Specifies whether to create a lexicon of all of the collection URIs in the database. The collection lexicon lets you tolist all of the collection URIs in the database and perform lexicon-based queries on the URIs.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126324"></a>Data Encryption</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126807"></a>Specifies whether or not encryption at rest is enabled. For details, see <a href="http://docs.marklogic.com/9.0/guide/security/encryption#id_37353" target="_blank">Encryption at Rest</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126328"></a>Database Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126330"></a>The name of the database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126332"></a>Database Replication</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1138336"></a>Specifies whether or not database replication is enabled.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126336"></a>Directory Creation</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126737"></a>Specifies whether directories are automatically created in the database when documents are created. The default for a new database is manual. The settings are:</p><ul>
	  <li><a id="pgfId-1126739"></a><b>automatic</b>: Specifies that a directory hierarchy is automatically created to match the URI of a document or a directory that is created. This is the recommended setting, especially if you are accessing the database with a WebDAV Server or if you are using it as a Modules database.</li>
	</ul><ul>
	  <li><a id="pgfId-1126740"></a><b>manual</b>: Specifies that directories must be manually created. No directory hierarchy is enforced.</li>
	</ul><ul>
	  <li><a id="pgfId-1126741"></a><b>manual-enforced</b>: The same as <b>manual</b>, except it raises an error if the parent directory does not exist when creating a document or directory. For example, to create a document with the URI <code>http://marklogic/file.xml</code>, the directory <code>http://marklogic/</code> must first exist.</li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126340"></a>Element Value Positions</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126827"></a>Specifies whether index data is included for faster element-based phrase and <span><a href="http://docs.marklogic.com/9.0/cts:near-query" target="_blank">cts:near-query</a></span> searches that use <span><a href="http://docs.marklogic.com/9.0/cts:element-value-query" target="_blank">cts:element-value-query</a></span>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126344"></a>Element Word Positions</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126346"></a>Specifies whether index data is included in the database files to enable proximity searches (<span><a href="http://docs.marklogic.com/9.0/cts:near-query" target="_blank">cts:near-query</a></span>) within specific XML elements or JSON properties. You must also enable word positions to perform element position searches. When this setting is true, positional searches are possible within an XML element or JSON property, but document loading is slower and the database files are larger. </p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126348"></a><a id="70499"></a>Element Word Query Through</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126350"></a>The element markup to be searched through in searches that use the <span><a href="http://docs.marklogic.com/9.0/cts:element-word-query" target="_blank">cts:element-word-query</a></span> constructor.</p><p><a id="pgfId-1130547"></a>Words contained in text node children of a phrase through or Element Word Query Through element node match words in a <span><a href="http://docs.marklogic.com/9.0/cts:element-word-query" target="_blank">cts:element-word-query</a></span> for both the element and for the element's parent. If the parent is also a Phrase Through or Element Word Query Through element, the words also match words in a <span><a href="http://docs.marklogic.com/9.0/cts:element-word-query" target="_blank">cts:element-word-query</a></span> for the grandparent.</p><ul>
	  <li><a id="pgfId-1130471"></a><b>Namespace URI</b>: The namespace for an element or an attribute.</li>
	</ul><ul>
	  <li><a id="pgfId-1130460"></a><b>Localname</b>: The local name for an XML element or attribute, or the name of a JSON property.</li>
	</ul><p><a id="pgfId-1130522"></a>For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/text_index#id_93943" target="_blank">Element Word Query Throughs</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139621"></a>Enabled </p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139626"></a>Whether data encryption is enabled. For details, see <a href="http://docs.marklogic.com/9.0/guide/security/encryption#id_37353" target="_blank">Encryption at Rest</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126352"></a>Encryption Key ID</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126883"></a>Data encryption key ID. For details, see <a href="http://docs.marklogic.com/9.0/guide/security/encryption#id_37353" target="_blank">Encryption at Rest</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126356"></a>Expunge Locks </p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126898"></a>Specifies if MarkLogic Server automatically expunges any lock fragments created using <span><a href="http://docs.marklogic.com/9.0/xdmp:lock-acquire" target="_blank">xdmp:lock-acquire</a></span> with specified timeouts. The possible values are: </p><ul>
	  <li><a id="pgfId-1130621"></a><b>automatic</b>: Cleans up the locks as they expire. This is the default value and is recommended for most installations.</li>
	</ul><ul>
	  <li><a id="pgfId-1130622"></a><b>none</b>: The lock fragments remain in the database after the locks expire (although they will no longer be locking any documents) until they are explicitly removed with <span><a href="http://docs.marklogic.com/9.0/xdmp:lock-release" target="_blank">xdmp:lock-release</a></span>. This setting is only recommended to speed cluster startup time for extremely large clusters. </li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126360"></a>Fast Case Sensitive Searches</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126913"></a>Specifies whether index terms are included in the database files to support fast case-sensitive searches. When this setting is true, case-sensitive searches are faster, but document loading is slower and the database files are larger. </p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126364"></a>Fast Diacritic Sensitive Searches</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126925"></a>Specifies whether index terms are included in the database files to support fast diacritic-sensitive searches. When this setting is true, diacritic-sensitive searches are faster, but document loading is slower and the database files are larger. </p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126368"></a>Fast Element Character Searches</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126977"></a>Specifies whether wildcard searches are enabled to speed up element-based wildcard searches. For details about wildcard searches, see <a href="http://docs.marklogic.com/9.0/guide/search-dev/wildcard#id_66341" target="_blank">Understanding and Using Wildcard Searches</a> in the <i>Search Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126372"></a>Fast Element Phrase Searches</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126374"></a>Specifies whether index terms are included in the database files to enable fast element-phrase searches. When set to true, element-phrase searches are faster, but document loading is slower and the database files are larger. </p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126376"></a>Fast Element Trailing Wildcard Searches</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126378"></a>Specifies whether index terms are included in the database files to enable element trailing wildcard searches and faster character-based XQuery predicates. When set to true, element-trailing-wildcard searches are faster, but document loading is slower and the database files are larger. </p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126380"></a>Fast Element Word Searches</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126382"></a>Specifies whether index terms are included in the database files to support fast element-word searches. When set to true, element-word searches are faster, but document loading is slower and the database files are larger. </p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126384"></a>Fast Phrase Searches</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126386"></a>Specifies whether index terms are included in the database files to support fast phrase searches. When set to true, phrase searches are faster, but document loading is slower and the database files are larger. </p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126388"></a>Fast Reverse Searches</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126390"></a>Specifies whether index terms are included in the database files to support fast reverse searches. When set to <code>true</code>, <span><a href="http://docs.marklogic.com/9.0/cts:reverse-query" target="_blank">cts:reverse-query</a></span> searches are faster, but document loading is slower and the database files are larger. </p><blockquote><p><b>Note:&#160;&#160;</b><a id="pgfId-1127115"></a>A valid alerting license key is required.</p></blockquote></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126392"></a>Field</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127154"></a>The configuration of any fields in the database. For details on fields, see <a href="http://docs.marklogic.com/9.0/guide/admin/fields#id_61682" target="_blank">Fields Database Settings</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126396"></a>Field Value Positions</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126398"></a>Specifies whether index data is included which speeds up the performance of proximity queries that use the <span><a href="http://docs.marklogic.com/9.0/cts:field-value-query" target="_blank">cts:field-value-query</a></span> function. Turn this index off if you are not interested in proximity queries and if you want to conserve disk space and decrease loading time. </p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126400"></a>Field Value Searches</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126402"></a>Specifies whether index data is included which speeds up the performance of field value queries that use the <span><a href="http://docs.marklogic.com/9.0/cts:field-value-query" target="_blank">cts:field-value-query</a></span> function. Turn this index off if you are not interested in field value queries and if you want to conserve disk space and decrease loading time. </p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126404"></a>Forest</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126406"></a>The names of the forests used by the database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126408"></a>Format Compatibility</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127190"></a>The version compatibility that MarkLogic Server applies to the indexes for the database during request evaluation. A value other than <code>automatic</code> specifies that all forest data has the specified on-disk format, and it disables the automatic checking for index compatibility information. The automatic detection occurs during database startup and after any database configuration changes, and can take some time and system resources for very large forests and for very large clusters. The default value of <code>automatic</code> is recommended for most installations.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126412"></a>In-memory Geospatial Region Index Size</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127207"></a>The amount of cache and buffer memory to be allocated for managing geospatial region index data for an in-memory stand.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126416"></a>In-memory Limit</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126418"></a>The maximum number of fragments in an in-memory stand. An in-memory stand contains the latest version of any new or changed fragments. Periodically, in-memory stands are written to disk as a new stand in the forest. Also, if a stand accumulates a number of fragments beyond this limit, it is automatically saved to disk by a background thread.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126420"></a><a id="74884"></a>In-memory List Size</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127260"></a>The amount of cache and buffer memory allocated for managing termlist data for an in-memory stand.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126424"></a>In-memory Range Index Size</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126426"></a>The amount of cache and buffer memory allocated for managing range index data for an in-memory stand. </p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126428"></a>In-memory Reverse Index Size</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126430"></a>The amount of cache and buffer memory allocated for managing reverse index data for an in-memory stand. </p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126432"></a><a id="19921"></a>In-memory Tree Size</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127323"></a>The size, in megabytes, of the in-memory tree storage. The In-memory Tree Size must be at least one or two megabytes larger than the largest text or small binary document you plan on loading into the database. The largest small binary file size is always constrained by the <a href="#22286">Large Size Threshold</a> database configuration setting.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126436"></a>In-memory Triple Index Size</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126438"></a>The amount of cache and buffer memory allocated for managing triple index data for an in-memory stand. </p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126440"></a>Index Detection</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127355"></a>Specifies whether to auto-detect index compatibility between the content and the current database settings. This detection occurs during database startup and after any database configuration changes, and can take some time and system resources for very large forests and for very large clusters. The possible values are: </p><ul>
	  <li><a id="pgfId-1130385"></a>automatic: Auto-detect index. This is the default value and is recommended for most installations.</li>
	</ul><ul>
	  <li><a id="pgfId-1130334"></a>none: Causes queries to use the current database index settings, even if some settings have not completed reindexing. </li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126444"></a>Inherit Collections</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127383"></a>When set to true, documents and directories automatically inherit collection settings from their parent directory (if collections are not set explicitly when creating the document or directory). If there are any default collections on the user who is creating the document or directory, those permissions are combined with any inherited collections.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126448"></a>Inherit Permissions</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127395"></a>When set to true, documents and directories automatically inherit permissions from their parent directory (if permissions are not set explicitly when creating the document or directory). If there are any default permissions on the user who is creating the document or directory, those permissions are combined with any inherited permissions.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126452"></a>Inherit Quality</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127411"></a>When set to true, documents and directories automatically inherit any quality settings from their parent directory (if quality is not set explicitly when creating the document or directory).</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126456"></a>Journal Count</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126458"></a>The number of journal files for the database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126460"></a>Journal Size</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127444"></a>The size, in megabytes, of each journal file. The system uses journal files for recovery operations if a transaction fails to complete successfully. The default value is sufficient for most systems; it is calculated at database configuration time based on the size of your system. If you change the other memory settings, however, the journal size must equal the sum of the <a href="#74884">In-memory List Size</a> and the <a href="#19921">In-memory Tree Size</a>. Additionally, you must add space to the journal size if you use range indexes (particularly if you use a lot of range indexes or have extremely large range indexes), as range index data can take up journal space. Also, if your transactions span multiple forests, you may also need to add journal size, as each journal must keep the lock information for all of the documents in the transaction, not just for the documents that reside in the forest in which the journal exists.</p><p><a id="pgfId-1127446"></a>When you change the journal size, the next time the system creates a new journal, it will use the new size limit; existing journals will continue to use the old size limit until they are replaced with new ones (for example, when a journal fills up, when a forest is cleared, or when the system is cleanly shutdown and restarted).</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126464"></a>Journaling</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1130145"></a>Specifies how robust transaction journaling is. The possible values are:</p><ul>
	  <li><a id="pgfId-1130119"></a>strict: The journal protects against MarkLogic Server process failures, host operating system kernel failures, and host hardware failures. </li>
	</ul><ul>
	  <li><a id="pgfId-1130130"></a>fast: The journal protects against MarkLogic Server process failures but not against host operating system kernel failures or host hardware failures. </li>
	</ul><ul>
	  <li><a id="pgfId-1130137"></a>off: The journal does not protect against MarkLogic Server process failures, host operating system kernel failures, or host hardware failures. </li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126468"></a>Language</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126470"></a>The default language for content in the database. Any content without an <code>xml:lang</code> attribute is indexed in the language specified here. </p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126472"></a><a id="22286"></a>Large Size Threshold</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127490"></a>The size, in kilobytes, beyond which large binary documents are stored in the Large Data Directory instead of directly in a stand. Binaries smaller than or equal to the threshold are considered small binary files and stored in stands. Binaries larger the threshold are considered large binary files and stored in the Large Data Directory.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126476"></a>Locking</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126478"></a>Specifies how robust transaction locking is. The possible values are:</p><ul>
	  <li><a id="pgfId-1130217"></a>strict: Locking enforces mutual exclusion on existing documents and on new documents. </li>
	</ul><ul>
	  <li><a id="pgfId-1130228"></a>fast: Locking enforces mutual exclusion on existing and new documents. Instead of locking all the forests on new documents, it uses a hash function to select one forest to lock. In general, this is faster than strict. However, for a short period of time after a new forest is added, some of the transactions need to be retried internally. </li>
	</ul><ul>
	  <li><a id="pgfId-1130235"></a>off: Locking does not enforce mutual exclusion on existing documents or on new documents; only use this setting if you are sure all documents you are loading are new (a new bulk load, for example), otherwise you might create duplicate URIs in the database.</li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126480"></a>Maintain Directory Last Modified</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127531"></a>Specifies whether to include a timestamp on the properties for each directory in the database. If set to true, update operations on documents in a directory also update the directory last-modified timestamp, which can cause some contention when multiple documents in the directory are being updated. If your application is experiencing contention during these type of updates (for example, if you see <code>deadlock-detected</code> messages in the error log), set this property to <b>false</b>. The default is <b>false</b>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126484"></a>Maintain Last Modified</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126486"></a>Specifies whether to include a timestamp on the properties document for each document in the database. The default is <b>true</b>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126488"></a>Merge Max Size</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127633"></a>The maximum size, in megabytes, of a stand that will result from a merge. If a stand grows beyond the specified size, it will not be merged. If two stands would be larger than the specified size if merged, they will not be merged together. If you set this to smaller sizes, large merges (which may require more disk and CPU resources) will be prevented. The default is 48&#160;GB (49152&#160;MB), which is recommended because it provides a good balance between keeping the number of stands low and preventing very large merges from using large amounts of disk space. Set this to 0 to allow any sized stand to merge. Use care when setting this to a non-zero value lower than the default value, as this can prevent merges which are ultimately required for the system to maintain performance levels and to allow optimized updates to the system. </p><p><a id="pgfId-1127624"></a>For details on controlling merges, see <a href="http://docs.marklogic.com/9.0/guide/admin/merges#id_83498" target="_blank">Understanding and Controlling Database Merges</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126492"></a>Merge Min Ratio</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127645"></a>A positive integer indicating the minimum ratio between the number of fragments in a stand and the number of fragments in all of the other smaller stands (the stands with fewer fragments) in the forest. Stands with a fragment count below this ratio relative to all smaller stands are automatically merged with the smaller stands. For an example, see <a href="http://docs.marklogic.com/9.0/guide/admin/merges#id_39419" target="_blank">If You Want to Reduce the Number of &#x2018;Large' Merges</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126496"></a>Merge Min Size</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127684"></a>The minimum number of fragments that a stand can contain. Two or more stands with fewer than this number of fragments are automatically merged. </p><p><a id="pgfId-1127702"></a>For details on controlling merges, see <a href="http://docs.marklogic.com/9.0/guide/admin/merges#id_83498" target="_blank">Understanding and Controlling Database Merges</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126500"></a>Merge Priority</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1128500"></a>Specifies the CPU scheduler priority at which merges run. The settings are: </p><ul>
	  <li><a id="pgfId-1128501"></a>normal: Specifies the same CPU scheduler priority as for requests. </li>
	</ul><ul>
	  <li><a id="pgfId-1127722"></a>lower: Specifies a lower CPU scheduler priority than for requests.</li>
	</ul><p><a id="pgfId-1127723"></a>Merges always run with normal priority on forests with more than 16 stands.</p><p><a id="pgfId-1128596"></a>For details on controlling merges, see <a href="http://docs.marklogic.com/9.0/guide/admin/merges#id_83498" target="_blank">Understanding and Controlling Database Merges</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126504"></a><a id="91760"></a>Merge Timestamp</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127737"></a>The timestamp stored on merged stands. This is used for point-in-time queries, and determines when space occupied by deleted fragments and old versions of fragments may be reclaimed by the database. If a fragment is deleted or updated at a time after the merge timestamp, the old version of the fragment is retained for use in point-in-time queries. Set this to 0 (the default) to let the system reclaim the maximum amount of disk space during merge activities. A setting of 0 removes all deleted and updated fragments when a merge occurs. Set this to 1 before loading or updating any content to create a complete archive of the changes to the database over time. Set this to the current timestamp to preserve all versions of content from this point on. Set this to a negative number to specify a window of timestamp values, relative to the last merge, at ten million ticks per second. The timestamp is a number maintained by MarkLogic Server that increments every time a change occurs in any of the databases in a system (including configuration changes from any host in a cluster). For details on point-in-time queries, see <a href="http://docs.marklogic.com/9.0/guide/app-dev/point_in_time#id_65723" target="_blank">Point-In-Time Queries</a> in the <i>Application Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126508"></a>One Character Searches</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127774"></a>Specifies whether wildcard searches are enabled so that the search pattern contains a single non-wildcard characters (for example, '<code>a*</code>'). This index is not needed if you have <a href="#39156">Three Character Searches</a> and a word lexicon. For details about wildcard searches, see <a href="http://docs.marklogic.com/9.0/guide/search-dev/wildcard#id_66341" target="_blank">Understanding and Using Wildcard Searches</a> in the <i>Search Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126512"></a>Phrase Around</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127827"></a>Specifies the element markup phrased around in searches. Searches for phrases can skip around element boundaries when a phrase-around is configured for that element. For example, if there is a Phrase Around configured on a <code>&lt;b&gt;</code> tag, the following XML snippet will return a match for a search for the phrase 'to be or not to be':</p><blockquote><pre><a id="pgfId-1127829"></a>&lt;p&gt;to &lt;b&gt;be&lt;/b&gt; or not to be&lt;/p&gt; </pre></blockquote><p><a id="pgfId-1127831"></a>The phrase indexer needs to know phrases may cross these markup boundaries at load time and reindex time so that it includes the right information in the indexes supporting phrase search.</p><p><a id="pgfId-1127833"></a>Each phrase-around has the following settings:</p><ul>
	  <li><a id="pgfId-1127835"></a><b>Namespace URI</b>: The namespace for an element or an attribute.</li>
	</ul><ul>
	  <li><a id="pgfId-1127836"></a><b>Localname</b>: The local name for an XML element or attribute.</li>
	</ul><p><a id="pgfId-1128024"></a>For more detail, see <a href="http://docs.marklogic.com/9.0/guide/admin/text_index#id_29138" target="_blank">Phrasing and Element-Word-Query Boundary Control</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126516"></a>Phrase Through</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127922"></a>Specifies the element markup to be phrased through in searches. Searches for phrases can cross element boundaries when a phrase-through is configured for that element. For example, if there is a phrase-through configured on a <code>&lt;b&gt;</code> tag, the following XML snippet returns a match for a search for the phrase 'to be or not to be':</p><blockquote><pre><a id="pgfId-1127924"></a>&lt;p&gt;to &lt;b&gt;be&lt;/b&gt; or not to be&lt;/p&gt; </pre></blockquote><p><a id="pgfId-1127926"></a>The phrase indexer needs to know phrases may cross these markup boundaries at load time and reindex time so that it includes the right information in the indexes supporting phrase search.</p><p><a id="pgfId-1127928"></a>Words contained in text node children of a phrase-through or <a href="#70499">Element Word Query Through</a> element node match words in a <span><a href="http://docs.marklogic.com/9.0/cts:element-word-query" target="_blank">cts:element-word-query</a></span> for both the element and for the element's parent. If the parent is also a phrase-through or <a href="#70499">Element Word Query Through</a> element, the words also match words in a <span><a href="http://docs.marklogic.com/9.0/cts:element-word-query" target="_blank">cts:element-word-query</a></span> for the grandparent.</p><p><a id="pgfId-1126518"></a>If you delete a phrase-through, the system will not automatically reindex away the indexed phrase-throughs, even if reindexing is enabled; to reindex deleted phrase-throughs, force a reindex (for example, by clicking the reindex button on the database configuration page).</p><p><a id="pgfId-1127980"></a>Each phrase-through has the following settings:</p><ul>
	  <li><a id="pgfId-1127981"></a><b>Namespace URI</b>: Specifies the namespace for an element or an attribute.</li>
	</ul><ul>
	  <li><a id="pgfId-1127982"></a><b>Localname</b>: Specifies the local name for an XML element or attribute.</li>
	</ul><p><a id="pgfId-1128054"></a>For more detail, see <a href="http://docs.marklogic.com/9.0/guide/admin/text_index#id_29138" target="_blank">Phrasing and Element-Word-Query Boundary Control</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126520"></a>Positions List Max Size</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126522"></a>The maximum size, in megabytes, of the position list portion of the index for a given term. If the position list size for a given term grows larger than the limit specified, the position information for that term is discarded. The default value is 256, the minimum value is 1, and the maximum value is 512. For example, position queries (<code>cts:near-query</code>) for frequently occurring words that have reached this limit (words like a, an, the, and so on) are resolved without using the indexes. Even though those types of words are resolved without using the indexes, this limit helps improve performance by making the indexes smaller and more efficient to the data actually loaded in the database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126524"></a>Preallocate Journals</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126526"></a>Has no effect as of MarkLogic, Version 8.0-4. </p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126528"></a><a id="70266"></a>Preload Mapped Data</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1128119"></a>Specifies whether memory mapped data (for example, range indexes and word lexicons) is loaded into memory when a forest is mounted to the database. Preloading the memory mapped data improves query performance, but uses more memory, especially if you have a lot of range indexes and/or lexicons. Also, it will cause a lot of disk I/O at database startup time, slowing the system performance during the time the mapped data is read into memory. If you do not preload the mapped data, it will be paged into memory dynamically when a query requests data that needs it, slowing the query response time.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126532"></a>Preload Replica Mapped Data</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126534"></a>Specifies whether memory mapped data (for example, range indexes and word lexicons) are loaded immediately into memory when a stand is opened. The setting of preload-replica-mapped-data is ignored if <a href="#70266">Preload Mapped Data</a> is set to <b>false</b>. </p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126536"></a>Range Element Attribute Index</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1128427"></a>The range indexes on attributes in XML elements.</p><p><a id="pgfId-1126538"></a>The fields are as follows:</p><ul>
	  <li><a id="pgfId-1128162"></a><b>Range Value Positions</b>: Specifies whether index data is included that speeds up the performance of proximity queries involving range queries. Turn this index off if you are not interested in proximity queries and if you want to conserve disk space and decrease loading time. </li>
	</ul><ul>
	  <li><a id="pgfId-1128184"></a><b>Parent Namespace URI</b>: The namespace URI of the parent element.</li>
	</ul><ul>
	  <li><a id="pgfId-1128191"></a><b>Parent Localname</b>: The local name of the parent XML element or the name of the parent JSON property.</li>
	</ul><ul>
	  <li><a id="pgfId-1128198"></a><b>Invalid Values</b>: Specifies whether the server allows insertion of documents that contain XML elements or JSON properties on which range index is configured and their contents cannot be coerced to the index data type. It can be configured to either ignore or reject. By default server rejects insertion of such documents. However, if you set invalid values to ignore, these documents can be inserted. This setting does not change the behavior of queries on invalid values after documents are inserted in the database. Performing an operation on an invalid value at query time can still result in an error. </li>
	</ul><ul>
	  <li><a id="pgfId-1128212"></a><b>Namespace URI</b>: The namespace for an element or an attribute.</li>
	</ul><ul>
	  <li><a id="pgfId-1128220"></a><b>Collation</b>: The collation to use in the comparison operations. </li>
	</ul><ul>
	  <li><a id="pgfId-1128236"></a><b>Scalar Type</b>: The ordered domain for the index. Each of the types correspond with an XQuery type.</li>
	</ul><ul>
	  <li><a id="pgfId-1128228"></a><b>Localname</b>: The local name of an XML element or attribute, or the name of a JSON property.</li>
	</ul><p><a id="pgfId-1128169"></a>For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/range_index#id_63906" target="_blank">Defining Attribute Range Indexes</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126540"></a>Range Element Index</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1128614"></a>The range indexes on XML elements or JSON properties.</p><p><a id="pgfId-1128615"></a>The fields are as follows:</p><ul>
	  <li><a id="pgfId-1148130"></a><b>Range Value Positions</b>: Specifies whether index data is included that speeds up the performance of proximity queries involving range queries. Turn this index off if you are not interested in proximity queries and if you want to conserve disk space and decrease loading time. </li>
	</ul><ul>
	  <li><a id="pgfId-1128835"></a><b>Invalid Values</b>: Specifies whether the server allows insertion of documents that contain XML elements or JSON properties on which range index is configured and their contents cannot be coerced to the index data type. It can be configured to either ignore or reject. By default server rejects insertion of such documents. However, if you set invalid values to ignore, these documents can be inserted. This setting does not change the behavior of queries on invalid values after documents are inserted in the database. Performing an operation on an invalid value at query time can still result in an error.</li>
	</ul><ul>
	  <li><a id="pgfId-1128643"></a><b>Namespace URI</b>: The namespace for an element or an attribute.</li>
	</ul><ul>
	  <li><a id="pgfId-1128650"></a><b>Collation</b>: The collation to use in the comparison operations. </li>
	</ul><ul>
	  <li><a id="pgfId-1128657"></a><b>Scalar Type</b>: The ordered domain for the index. Each of the types correspond with an XQuery type.</li>
	</ul><ul>
	  <li><a id="pgfId-1128664"></a><b>Localname</b>: The local name for an XML element or attribute, or the name for a JSON property.</li>
	</ul><p><a id="pgfId-1128682"></a>For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/range_index#id_51346" target="_blank">Defining Element Range Indexes</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126544"></a>Range Index Optimize</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126546"></a>Specifies how range indexes are to be optimized. The values are defined as follows:</p><ul>
	  <li><a id="pgfId-1128873"></a><b>facet-time</b>: Range indexes are optimized to minimize the amount of CPU time used. </li>
	</ul><ul>
	  <li><a id="pgfId-1128880"></a><b>memory-size</b>: Range indexes are optimized to minimize the amount of memory used. </li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126548"></a>Rebalancer Enable</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1128917"></a>Specifies whether rebalancing are automatically performed in the background after configuration settings are changed. When set to true, the database rebalancer automatically redistributes the content across the database forests. When set to false, rebalancing is disabled.</p><p><a id="pgfId-1128976"></a>For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/database-rebalancing#id_13221" target="_blank">Configuring the Rebalancer on a Database</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126552"></a>Rebalancer Throttle</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1128957"></a>The priority of system resources devoted to rebalancing. Higher numbers give rebalancing a higher priority.</p><p><a id="pgfId-1128994"></a>For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/database-rebalancing#id_96058" target="_blank">How the Rebalancer Moves Documents</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126556"></a>Reindexer Enable</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126558"></a>Specifies whether indexes are automatically rebuilt in the background after index configuration settings are changed. When set to <b>true</b>, index configuration changes automatically initiate a background reindexing operation on the entire database. When set to <b>false</b>, any new index settings take effect for future documents loaded into the database; existing documents retain the old settings until they are reloaded or until you set reindexer enable to <b>true</b>.</p><p><a id="pgfId-1129054"></a>For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/text_index#id_22354" target="_blank">Understanding the Reindexer Enable Settings</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126560"></a>Reindexer Throttle</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1129071"></a>The priority of system resources devoted to reindexing. Reindexing occurs in batches, where each batch is approximately 200 fragments. When set to 5 (the default), the reindexer works aggressively, starting the next batch of reindexing soon after finishing the previous batch. When set to 4, it waits longer between batches, when set to 3 it waits longer still, and so on until when it is set to 1, when it waits the longest. Therefore, higher numbers give reindexing a higher priority and use the most system resources. </p><p><a id="pgfId-1129112"></a>For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/text_index#id_22354" target="_blank">Understanding the Reindexer Enable Settings</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126564"></a>Reindexer Timestamp</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1129130"></a>The timestamp of fragments to force a reindex or refragment operation. If Reindex Enable is set to <b>true</b>, a reindex and refragment operation are done on all fragments in the database that have a timestamp equal to or less than the displayed timestamp. Note that when you restore a database that has a timestamp set, if there are fragments in the restored content that are older than the specified content, they will start to reindex as soon as they are restored.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126568"></a>Retain Until Backup</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1129209"></a>Specifies whether the deleted fragments are retained since the last full or incremental backup. When enabled, Retain Until Backup supersedes <a href="#91760">Merge Timestamp</a>. Deleted fragments are not merged until backups are finished, regardless of the <a href="#91760">Merge Timestamp</a> setting. Enabling Retain Until Backup is same to setting the <a href="#91760">Merge Timestamp</a> to the timestamp of the last backup. </p><p><a id="pgfId-1129227"></a>For more information, see <a href="http://docs.marklogic.com/9.0/guide/admin/backup_restore#id_70233" target="_blank">Incremental Backup with Journal Archiving</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126572"></a>Retired Forest Count</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126574"></a>The number of forests used by the database to be retired.</p><p><a id="pgfId-1129252"></a>For more information, see <a href="http://docs.marklogic.com/9.0/guide/admin/database-rebalancing#id_23094" target="_blank">Retiring a Forest from the Database</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126576"></a>Security Database</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126578"></a>The security database used by the database.</p><p><a id="pgfId-1129287"></a>For more information, see <a href="http://docs.marklogic.com/9.0/guide/security/security_db#id_33818" target="_blank">Overview of the Security Database</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126580"></a>Stemmed Searches</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1129304"></a>The level of stemming applied to word searches. Stemmed searches match not only the exact word in the search, but also words that come from the same stem and mean the same thing (for example, a search for <code>be</code> will also match the term <code>is</code>). For details on stemmed searches, see <a href="http://docs.marklogic.com/9.0/guide/search-dev/stemming#id_90878" target="_blank">Understanding and Using Stemmed Searches</a> in the <i>Search Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126584"></a>TF Normalization</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1129331"></a>Specifies the term-frequency normalization. The values are described as follows:</p><ul>
	  <li><a id="pgfId-1129346"></a>scaled-log: The default term-frequency normalization, which specifies the maximum scaling of the document based on document size. </li>
	</ul><ul>
	  <li><a id="pgfId-1129356"></a>unscaled-log: No scaling based on document size. </li>
	</ul><ul>
	  <li><a id="pgfId-1126586"></a>weakest-scaled-log, weakly-scaled-log, moderately-scaled-log, strongly-scaled-log: Increased degrees of scaling in between the least and the most scaling.</li>
	</ul><p><a id="pgfId-1129513"></a>For more information, see <a href="http://docs.marklogic.com/9.0/guide/search-dev/relevance#id_40969" target="_blank">Term Frequency Normalization</a> in the <i>Search Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126588"></a><a id="39156"></a>Three Character Searches</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1129546"></a>Specifies whether to enable wildcard searches where the search pattern contains three or more consecutive non-wildcard characters (for example, <code>abc*x</code>, <code>*abc</code>, <code>a?bcd</code>). When combined with a codepoint word lexicon, speeds the performance of any wildcard search (including searches with fewer than three consecutive non-wildcard characters). MarkLogic recommends combining the three character search index with a codepoint collation word lexicon. </p><p><a id="pgfId-1129574"></a>For details about wildcard searches, see <a href="http://docs.marklogic.com/9.0/guide/search-dev/wildcard#id_66341" target="_blank">Understanding and Using Wildcard Searches</a> in the <i>Search Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126592"></a>Three Character Word Positions</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1131079"></a>Specifies whether index data is included in the database files to enable proximity searches (<span><a href="http://docs.marklogic.com/9.0/cts:near-query" target="_blank">cts:near-query</a></span>) within wildcard queries. You must also enable <a href="#39156">Three Character Searches</a> to perform wildcard position searches. When set to <code>true</code>, positional searches are possible within a wildcard query, but document loading is slower and the database files are larger. </p><p><a id="pgfId-1129637"></a>For details about wildcard searches, see <a href="http://docs.marklogic.com/9.0/guide/search-dev/wildcard#id_61884" target="_blank">Understanding the Wildcard Indexes</a> in the <i>Search Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126596"></a>Trailing Wildcard Searches</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1129663"></a>Specifies whether indexes are created to enable wildcard searches where the search pattern contains one or more consecutive non-wildcard characters at the beginning of the word, with the wildcard at the end of the word (for example, abc*). When this setting is <b>true</b>, character searches are faster, but document loading is slower and the database files are larger.</p><p><a id="pgfId-1129666"></a>For details about wildcard searches, see <a href="http://docs.marklogic.com/9.0/guide/search-dev/wildcard#id_66341" target="_blank">Understanding and Using Wildcard Searches</a> in the <i>Search Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126600"></a>Trailing Wildcard Word Positions</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1129700"></a>Specifies whether index data is included in the database files to enable proximity searches (<span><a href="http://docs.marklogic.com/9.0/cts:near-query" target="_blank">cts:near-query</a></span>) within trailing wildcard queries. You must also enable trailing wildcard searches to perform trailing wildcard position searches. When this setting is <b>true</b>, positional searches are possible within a trailing wildcard query, but document loading is slower and the database files are larger. </p><p><a id="pgfId-1129745"></a>For details about wildcard searches, see <a href="http://docs.marklogic.com/9.0/guide/search-dev/wildcard#id_61884" target="_blank">Understanding the Wildcard Indexes</a> in the <i>Search Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126604"></a>Triple Index</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1129773"></a>Specifies whether the RDF triple index is enabled to support SPARQL execution over RDF triples. When set to <code>true</code>, <code>sem:sparql</code> can be used, but document loading is slower and the database files are larger. This index must also be enabled to support Optic and SQL queries.</p><blockquote><p><b>Note:&#160;&#160;</b><a id="pgfId-1129774"></a>This feature requires a valid semantics license key.</p></blockquote><p><a id="pgfId-1129797"></a>For details, see <a href="http://docs.marklogic.com/9.0/guide/semantics/indexes#id_91520" target="_blank">Triple Index Overview</a> in the <i>Semantics Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126608"></a>Triple Positions</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126610"></a>Specifies whether index data is included which speeds up the performance of proximity queries that use the <span><a href="http://docs.marklogic.com/9.0/cts:triple-range-query" target="_blank">cts:triple-range-query</a></span> function. Triple positions also improve the accuracy of the item-frequency option of <span><a href="http://docs.marklogic.com/9.0/cts:triples" target="_blank">cts:triples</a></span>. </p><p><a id="pgfId-1129843"></a>For details, see <a href="http://docs.marklogic.com/9.0/guide/semantics/indexes#id_34194" target="_blank">Triple Positions</a> in the <i>Semantics Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126612"></a>Two Character Searches</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1129876"></a>Specifies whether to enable wildcard searches where the search pattern contains two or more consecutive non-wildcard characters (for example, <code>ab*</code>). This index is not needed if you have <b>Three Character Searches</b> and a word lexicon. </p><p><a id="pgfId-1129944"></a>For details about wildcard searches, see <a href="http://docs.marklogic.com/9.0/guide/search-dev/wildcard#id_66341" target="_blank">Understanding and Using Wildcard Searches</a> in the <i>Search Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126616"></a>URI Lexicon</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1129918"></a>Specifies whether to create a lexicon of all of the URIs used in a database. The URI lexicon speeds up queries that constrain on URIs. It is like a range index of all of the URIs in the database. To access values from the URI lexicon, use the <span><a href="http://docs.marklogic.com/9.0/cts:uris" target="_blank">cts:uris</a></span> or <span><a href="http://docs.marklogic.com/9.0/cts:uri-match" target="_blank">cts:uri-match</a></span> functions.</p><p><a id="pgfId-1129961"></a>For details, see <a href="http://docs.marklogic.com/9.0/guide/search-dev/lexicon#id_50782" target="_blank">URI and Collection Lexicons</a> in the <i>Search Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126620"></a>Word Positions</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126622"></a>Specifies whether index data is included in the database files to enable proximity searches (<span><a href="http://docs.marklogic.com/9.0/cts:near-query" target="_blank">cts:near-query</a></span>). When set to <b>true</b>, positional searches are possible, but document loading is slower and the database files are larger. </p><p><a id="pgfId-1130067"></a>For details, see <a href="http://docs.marklogic.com/9.0/guide/performance/perftune#id_82329" target="_blank">Positions Indexes Can Help Speed Phrase Searches</a> in the <i>Query Performance and Tuning Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126624"></a>Word Searches</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126626"></a>Specifies whether index terms are included in the database files to support fast word searches. When this setting is <code>true</code>, word searches are faster, but document loading is slower and the database files are larger.</p><p><a id="pgfId-1130100"></a>For details, see the <i>Search Developer's Guide</i>.</p></td>
    </tr></table></span>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121638"></a><a id="88727"></a>Database Tasks</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1131554"></a>Use the <b>TASKS</b> tab to get the list of the database tasks. </p>

<blockquote xmlns="http://www.w3.org/1999/xhtml"><p><b>Note:&#160;&#160;</b><a id="pgfId-1131555"></a>You can only see the tasks for the databases to which you have access.For access rules, see <a href="http://docs.marklogic.com/9.0/guide/opsdir/intro#id_93519" target="_blank">Access Inheritance in Resource Groups</a> in the <em xmlns="">Ops Director Guide</em>.</p></blockquote>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1131505"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1143353"></a>The columns displayed in the database <b>TASKS</b> tab are described in the following table.</p>


<a id="pgfId-1143415" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1143356"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1143358"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143360"></a>Cluster</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143362"></a>Cluster on which the task host is located.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143364"></a>Host</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143366"></a>The hostname of the host computer on which the scheduled module is to be invoked.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143368"></a>Enabled</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143370"></a>Whether the task is enabled (true) or disabled (false).</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143372"></a>Task Root</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143374"></a>The root directory (filesystem) or URI root (database) that contains the module.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143376"></a>Task Path</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143378"></a>The module the task is to invoke.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143380"></a>Task Type</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143382"></a>The task type:</p><ul>
	  <li><a id="pgfId-1143383"></a><b>minutely</b> specifies how many minutes between each invocation of the module.</li>
	</ul><ul>
	  <li><a id="pgfId-1143384"></a><b>hourly</b> specifies how many hours and minutes between each invocation of the module.</li>
	</ul><ul>
	  <li><a id="pgfId-1143385"></a><b>daily</b> specifies how many days between each invocation of the module and the time of day (in 24:00 notation).</li>
	</ul><ul>
	  <li><a id="pgfId-1143386"></a><b>weekly</b> specifies how many weeks between each invocation of the module, check one or more days of the week, and the time of day (in 24:00 notation) for the task to start.</li>
	</ul><ul>
	  <li><a id="pgfId-1143387"></a><b>monthly</b> specifies how many months between each invocation of the module, select one day of the month (1-31), and the time of day (in 24:00 notation) for the task to start.</li>
	</ul><ul>
	  <li><a id="pgfId-1143388"></a><b>one-time</b> specifies the start date in MM/DD/YYYY notation (for example, 07/29/2009 for July 29, 2009) and time in 24:00 notation.</li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143390"></a>Task Period</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143392"></a>How often the module is to be invoked (every n months, weeks, days, hours, or minutes).</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143394"></a>Created on</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143396"></a>The datetime the task was created.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143398"></a>Database</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143400"></a>The database to which the scheduled module connects for query execution.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143402"></a>Task Modules</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143404"></a>The name of the database in which the scheduled module locates the application code. If set to (filesystem), any files in the specified task root directory are executable (given the proper permissions). If set to a database, any documents in the database whose URI begins with the specified task root directory are executable.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143406"></a>User</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143408"></a>The user with permission to invoke the module.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143410"></a>Priority</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143412"></a>The priority of the task:</p><ul>
	  <li><a id="pgfId-1143413"></a><b>normal</b> specifies the task is queued with normal priority.</li>
	</ul><ul>
	  <li><a id="pgfId-1143414"></a><b>higher</b> specifies the task is queued with higher priority.</li>
	</ul></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144441"></a>You can export data from the Database Tasks tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144445"></a>The resulting CSV file will have the same columns as the Database Tasks table in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144446"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144447"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144448"></a>Data types of the fields in the CSV file correspond to those in the UI. in the case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144449"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121829"></a><a id="30357"></a>Database Hosts</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121984"></a>Use the <b>HOSTS</b> tab to get the list of hosts on which the database is deployed. This tab shows host name as the first column, followed by other properties. Click on the host name to navigate to the manage view of the selected host.</p>

<blockquote xmlns="http://www.w3.org/1999/xhtml"><p><b>Note:&#160;&#160;</b><a id="pgfId-1124446"></a>Access to hosts is not implicit with database access. For access rules, see <a href="http://docs.marklogic.com/9.0/guide/opsdir/intro#id_93519" target="_blank">Access Inheritance in Resource Groups</a> in the <em xmlns="">Ops Director Guide</em>.</p></blockquote>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1131598"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144498"></a>The columns displayed in the Database Hosts tab are described in the following table.</p>


<a id="pgfId-1144560" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1144501"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1144503"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144505"></a>Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144507"></a>The hostname of the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144509"></a>Group</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144511"></a>The name of the group that contains the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144513"></a>OS</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144515"></a>The name and version of the operating system on which the host runs.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144517"></a>Server Version</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144522"></a>The version of MarkLogic Server on each host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144524"></a>Forests</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144526"></a>The number of forests on the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144528"></a>Databases</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144530"></a>The number of databases on the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144532"></a>App Servers</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144534"></a>The number of App Servers on the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144536"></a>Disk Space (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144538"></a>The amount of disk space (in MB) used on the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144540"></a>Uptime</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144542"></a>The duration (Days Hrs:Min) the host has been available.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144544"></a>Maint. Mode</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144546"></a>The host maintenance mode (normal or maintenance). For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/rolling-upgrades#id_12339" target="_blank">Rolling Upgrades</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144554"></a>Zone</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144556"></a>The Amazon Web Services (AWS) zone in which the host resides, if applicable. For details, see <i>MarkLogic Server on Amazon Web Services (AWS) Guide</i>.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144575"></a>You can export data from the Database Hosts tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144579"></a>The resulting CSV file will have the same columns as the Database Hosts table in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144580"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144581"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144582"></a>Data types of the fields in the CSV file correspond to those in the UI. in the case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144583"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144562"></a><a id="27279"></a>Database App Servers</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1142439"></a>Use the <b>APP SERVERS</b> tab to get the list of all the application servers that use the database, with App Server name as the first column followed by other properties. Click on the App Server name to navigate to the METRICS view of the selected application server.</p>

<blockquote xmlns="http://www.w3.org/1999/xhtml"><p><b>Note:&#160;&#160;</b><a id="pgfId-1134792"></a>Access to the APP SERVERS tab is not implicit with database access. For access rules, see <a href="http://docs.marklogic.com/9.0/guide/opsdir/intro#id_93519" target="_blank">Access Inheritance in Resource Groups</a> in the <em xmlns="">Ops Director Guide</em>.</p></blockquote>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121883"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1134817"></a>The columns displayed in the database <b>APP SERVERS</b> tab are described in the following table.</p>


<a id="pgfId-1134855" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1134820"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1134822"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134824"></a>Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134826"></a>The name of the App Server.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134828"></a>Type</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134830"></a>The App Server type (HTTP, WebDAV, XDBC, ODBC).</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134832"></a>Database</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134834"></a>The name of the App Server content database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134836"></a>Port</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134838"></a>The port number used to access the App Server.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134840"></a>SSL</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134842"></a>Whether the App Server has SSL enabled (yes) or disabled (no). For details, see <a href="http://docs.marklogic.com/9.0/guide/security/SSL#id_85783" target="_blank">Configuring SSL on App Servers</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134844"></a>Group</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134846"></a>The name of the group to which the App Server belongs</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134848"></a>Modules DB+Root</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134850"></a>The name of the modules database, or if <code>filesystem</code>, the root directory.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134852"></a>Security</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134854"></a>The type of security (<code>internal</code> or <code>external</code>).</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144614"></a>You can export data from the database <b>APP SERVERS</b> tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144618"></a>The resulting CSV file will have the same columns as the Database App Servers table in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144619"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144620"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144621"></a>Data types of the fields in the CSV file correspond to those in the UI. in the case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144622"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1140427"></a><a id="48905"></a>Database Forests</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1140428"></a>Use the <b>FORESTS</b> tab to list all the forests within the database, with forest name as the first column, followed by other properties. Click on the forest name to navigate to the manage view of the selected forest.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1148389"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1148390"></a>The columns displayed in the database <b>FORESTS</b> tab are described in the following table.</p>


<a id="pgfId-1148489" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1148393"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1148395"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148397"></a>Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148399"></a>The name of the forest.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148401"></a>Host</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148403"></a>The forest host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148405"></a>Documents</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148407"></a>The number of documents in the forest.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148409"></a>Status</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148411"></a>The status of the forest. <b>Enabled</b> or <b>Disabled</b>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148413"></a>Availability</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148415"></a>The availability of the forest. <b>Online</b> or <b>Offline</b>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148417"></a>Fragments</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148419"></a>The number of active fragments (the fragments available to queries) in the forest.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148421"></a>Deleted Fragments</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148423"></a>The number of deleted fragments (the fragments to be removed by the next merge operation) in the forest.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148425"></a>Stands</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148427"></a>The number of stands in the forest. For more information on stands, see <a href="http://docs.marklogic.com/9.0/guide/concepts/data-management#id_85565" target="_blank">Databases, Forests, and Stands</a> in the <i>Concepts Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148435"></a>Size (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148437"></a>The size of the forest, in MB.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148439"></a>Encrypted Size (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148441"></a>The amount of encrypted data in the forest. For details on data encryption, see <a href="http://docs.marklogic.com/9.0/guide/security/encryption#id_37353" target="_blank">Encryption at Rest</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148449"></a>Free Space (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148451"></a>The number of MB of free space on this forest.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148453"></a>Large Data Size (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148455"></a>The amount of data in the large data directories of the forest. For more information on Large Data, see <a href="http://docs.marklogic.com/9.0/guide/app-dev/binaries#id_46976" target="_blank">Working With Binary Documents</a> in the <i>Application Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148463"></a>Fast Data Size (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148465"></a>The amount of data in the fast data directories of the forest. For more information on Fast Data, see <a href="http://docs.marklogic.com/9.0/guide/performance/disk-storage#id_17115" target="_blank">Fast Data Directory on Forests</a> in the <i>Query Performance and Tuning Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148473"></a>Failover Enabled</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148475"></a>Whether failover is enabled for the forest. For more information on stands, see <a href="http://docs.marklogic.com/9.0/guide/cluster/failover#id_82157" target="_blank">High Availability of Data Nodes With Failover</a> in the <i>Scalability, Availability, and Failover Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148483"></a>Replication</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148485"></a>Specifies whether or not database replication is enabled for this forest. For details, see the <i>Database Replication Guide</i>.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144656"></a>You can export data from the Database Forests tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144660"></a>The resulting CSV file will have the same columns as the Database Forests table in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144661"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144662"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144663"></a>Data types of the fields in the CSV file correspond to those in the UI. in the case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144664"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1116607"></a><a id="98405"></a>Manage App Servers Tab</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1139120"></a>The <b>APP SERVERS</b> tab displays a list of App Servers in your enterprise. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1117572"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1134884"></a>The columns displayed in the manage <b>APP SERVERS</b> tab are described in the following table.</p>


<a id="pgfId-1117591" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1117703"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1117705"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134896"></a>Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134898"></a>The name of the App Server.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117707"></a>Cluster</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117709"></a>The name of the cluster that hosts the App Server.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117715"></a>Type</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117717"></a>The App Server type (HTTP, WebDAV, XDBC, ODBC).</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117719"></a>Database</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117721"></a>The name of the App Server content database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117723"></a>Port</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117725"></a>The port number used to access the App Server.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117727"></a>SSL</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117729"></a>Whether the App Server has SSL enabled (yes) or disabled (no). For details, see <a href="http://docs.marklogic.com/9.0/guide/security/SSL#id_85783" target="_blank">Configuring SSL on App Servers</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117731"></a>Group</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117733"></a>The name of the group to which the App Server belongs</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117735"></a>Modules DB+Root</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117737"></a>The name of the modules database, or if <code>filesystem</code>, the root directory.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117739"></a>Security</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117741"></a>The type of security (internal or external).</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144695"></a>You can export data from the Manage App Servers tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144699"></a>The resulting CSV file will have the same columns as the Manage App Servers table in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144700"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144701"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144702"></a>Data types of the fields in the CSV file correspond to those in the UI. in the case of boolean values, <code>Yes/No</code> in the UI corresponds to <code>TRUE/FALSE</code> in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144703"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144683"></a>To drill down for a particular App Server, click on the App Server name in the App Servers table. The following content tabs each represent an information category for the selected App Server:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1133455"></a><a href="#37826">App Server Metrics</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1133486"></a><a href="#71542">App Server Information</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1133508"></a><a href="#28567">App Server Hosts</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1133530"></a><a href="#45092">App Server Databases</a></li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1146195"></a>You can export all tables from the App Server content tabs for a particular App Server. When you select a specific App Server (either in the left side resource navigation panel or in the content area of the view), <b>Actions</b> menu becomes available in the upper right corner.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1146196"></a>From the <b>Actions</b> menu, select <b>Download all tables</b> to export all tables for the selected App Server.</p>

<Balloon-Text><a id="pgfId-1146501" xmlns="http://www.w3.org/1999/xhtml"></a><span xmlns="http://www.w3.org/1999/xhtml"></span></Balloon-Text>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1147824"></a>As the result, a zip file with all exported tables for this App Server will be downloaded to your computer. Each table is represented by the corresponding CSV file. The zip file will contain the following CSV files for the App Server:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1147828"></a>Hosts CVS file (see the <a href="#28567">App Server Hosts</a> section for details on the contents)</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1147839"></a>Databases CVS file (see the <a href="#45092">App Server Databases</a> section for details on the contents)</li>
</ul>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1147834"></a><a id="37826"></a>App Server Metrics</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1148493"></a>Select a single App Server or all App Servers from the navigation tree. The <b>METRICS</b> tab displays key indicators allowing administrators to determine the selected resource or resource group's health. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1148497"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1148498"></a>To filter the data used for rendering the graphs, select a pre-defined time period or specify a custom time period, as described in <a href="http://docs.marklogic.com/9.0/guide/opsdir/Navigation#id_89836" target="_blank">Date and Time Filters</a> in the <em xmlns="">Ops Director Guide</em>.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1116216"></a>The metrics displayed by charts on the App Server Metrics tab are described in the following table.</p>


<a id="pgfId-1116188" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1116153"></a>Chart</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1116155"></a>Definition of Displayed Metric</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1116161"></a>App Server Request Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1116163"></a>The total number of queries being processed per second, across all of the App Servers in the cluster.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1116165"></a>App Server Latency</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1116167"></a>The average time (in seconds) it takes to process queries, across all of the App Servers in the cluster.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1116169"></a>Expanded Tree Cache Hits/Misses</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1116171"></a>The aggregate I/O performance data for the CPUs in the cluster.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1116185"></a>Network</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1116187"></a>Various XDQP performance metrics as the sum of XDQP activity across the cluster. (For further detail, see Cluster Metrics.</p></td>
    </tr></table></span>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1118943"></a><a id="71542"></a>App Server Information</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1142490"></a>Use the Information tab to access properties of the selected application server.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1132476"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1142524"></a>The properties displayed in the App Server Information tab are described in the following table.</p>

<blockquote xmlns="http://www.w3.org/1999/xhtml"><p><b>Note:&#160;&#160;</b><a id="pgfId-1142517"></a>Most of these properties are described in detail in the <a href="http://docs.marklogic.com/9.0/guide/admin/http#id_28058" target="_blank">HTTP Servers</a>, <a href="http://docs.marklogic.com/9.0/guide/admin/xdbc#id_11456" target="_blank">XDBC Servers</a>, <a href="http://docs.marklogic.com/9.0/guide/admin/webdav#id_65018" target="_blank">WebDAV Servers</a>, and <a href="http://docs.marklogic.com/9.0/guide/admin/odbc#id_33148" target="_blank">ODBC Servers</a> chapters in the <i>Administrator's Guide</i>.</p></blockquote>


<a id="pgfId-1131902" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1132073"></a>Field</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1132075"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132077"></a>Address</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132079"></a>The IP address for the App Server.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132081"></a>Authentication</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132083"></a>The authentication scheme used by this App Server. The authentication scheme can be one of: <code>digest</code>, <code>basic</code>, <code>digestbasic</code>, <code>certificate</code>, <code>kerberos-ticket</code>, or <code>application-level</code>. For details, see <a href="http://docs.marklogic.com/9.0/guide/security/authentication#id_56266" target="_blank">Types of Authentication</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132085"></a>Backlog</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132087"></a>The maximum number of pending connections allowed on the App Server socket.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132089"></a>Collation</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1135099"></a>The default collation for queries run in this App Server. This is the collation used for string comparison and sorting if none is specified in the query. For details, see <a href="http://docs.marklogic.com/9.0/guide/search-dev/encodings_collations#id_40505" target="_blank">Encodings and Collations</a> in the <i>Search Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132093"></a>Compute Content Length</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132095"></a>Specifies whether to compute content length when using a webDAV server. A value of <code>true</code> indicates to compute content length; otherwise <code>false</code>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132097"></a>Concurrent Request Limit</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1135126"></a>The maximum number of requests any user may have been running at a specific time. 0 indicates no maximum. For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/session-login#id_48668" target="_blank">Managing Concurrent User Sessions</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132101"></a>Content Database</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132103"></a>The content database for this App Server.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132105"></a>Coordinate System</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132107"></a>The default coordinate system for queries run in this App Server. This will be the coordinate system used for geospatial operations if none is specified in the query. For details, see <a href="http://docs.marklogic.com/9.0/guide/search-dev/geospatial#id_97677" target="_blank">Understanding Coordinate Systems</a> in the <i>Search Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132109"></a>Debug Allow</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1135203"></a>Specifies whether to allow requests against this App Server to be stopped for debugging, using the MarkLogic Server debugging APIs. A value of <code>true</code> allows the App Server to be stopped; otherwise <code>false</code>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132113"></a>Default Error Format</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132115"></a>The default format for protocol errors for this server. The value can be:</p><ul>
	  <li><a id="pgfId-1135278"></a>html: Errors formatted as HTML.</li>
	</ul><ul>
	  <li><a id="pgfId-1135285"></a>xml: Errors formatted as XML.</li>
	</ul><ul>
	  <li><a id="pgfId-1135292"></a>json: Errors formatted as JSON.</li>
	</ul><ul>
	  <li><a id="pgfId-1135259"></a>compatible: Match as closely as possible the format used in prior releases for the type of request and error.</li>
	</ul><p><a id="pgfId-1135373"></a>For more information, see <a href="http://docs.marklogic.com/9.0/guide/app-dev/XMLrewriter#id_26754" target="_blank">set-error-format</a> in the <i>Application Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132117"></a>Default Inference Size</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1135422"></a>The amount of memory available to use for semantic inference queries. By default the amount of memory available for inference is 100mb (size=100). For details, see <a href="http://docs.marklogic.com/9.0/guide/semantics/inferencing#id_38130" target="_blank">Memory Available for Inference</a> in the <i>Semantics Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132121"></a>Default Time Limit</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1135453"></a>The default value for any request's time limit (in seconds), when otherwise unspecified. A request can change its time limit using the <span><a href="http://docs.marklogic.com/9.0/xdmp:set-request-time-limit" target="_blank">xdmp:set-request-time-limit</a></span> function. The time limit, in turn, is the maximum number of seconds allowed for servicing a query request. The App Server gives up on queries that take longer, and returns an error.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132125"></a>Default User</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132127"></a>The user used as the default user in application-level authentication. Setting the <code>admin</code> user as the default user is equivalent to turning security off. For details, see <a href="http://docs.marklogic.com/9.0/guide/security/authentication#id_60432" target="_blank">Application Level</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132129"></a>Default Xquery Version</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1135534"></a>The default XQuery language for this App Server if an XQuery module does explicitly declare its language version.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132133"></a>Display Last Login</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132135"></a>Specifies whether the <code>xdmp:display-last-login</code> API returns <b>true</b> or <b>false</b> in the <code>display-last-login</code> element. For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/session-login#id_54951" target="_blank">Storing and Monitoring the Last User Login Attempt</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132137"></a>Distribute Timestamps</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1135610"></a>Specifies how the latest timestamp is distributed after updates. This affects performance of updates and the timeliness of read-after-write query results from other hosts in the group. The possible values are:</p><ul>
	  <li><a id="pgfId-1135611"></a>fast: Updates return as quickly as possible. No special timestamp notification messages are broadcasted to other hosts. Instead, timestamps are distributed to other hosts when any other message is sent. The maximum amount of time that could pass before other hosts see the timestamp is one second, because a heartbeat message is sent to other hosts every second.</li>
	</ul><ul>
	  <li><a id="pgfId-1135612"></a>strict: Updates immediately broadcast timestamp notification messages to every other host in the group. Updates do not return until their timestamp has been distributed. This ensures timeliness of read-after-write query results from other hosts in the group, so requests made to this app server on other hosts in the group will see immediately consistent results.</li>
	</ul><ul>
	  <li><a id="pgfId-1132139"></a>cluster: Updates immediately broadcast timestamp notification messages to every other host in the cluster. Updates do not return until their timestamp has been distributed. This ensures timeliness of read-after-write query results from any host in the cluster, so requests made to any app server on any host in the cluster will see immediately consistent results.</li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132141"></a>Enabled</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132143"></a>Whether this App Server is enabled (<b>true</b>) or disabled (<b>false</b>).</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132145"></a>Error Handler</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1135686"></a>The page to internally redirect to in case of any 400 or 500 errors. For details, see <a href="http://docs.marklogic.com/9.0/guide/app-dev/appserver-control#id_86523" target="_blank">Controlling App Server Access, Output, and Errors</a> in the <i>Application Developer's Guide</i>. </p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132149"></a>Execute</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132151"></a>Specifies whether this App Server executes XQuery modules (for example, a WevDAV server does not). If <b>true</b>, the App Server executes XQuery modules; otherwise <code>false.</code></p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132153"></a>File Log Level</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1135750"></a>The minimum log level for log messages sent to the MarkLogic Server log file (<code>ErrorLog.txt</code>). For a description of the log levels, see <a href="http://docs.marklogic.com/9.0/guide/admin/logfiles#id_37841" target="_blank">Understanding the Log Levels</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132157"></a>Group Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132159"></a>The group to which this App Server belongs. For details on groups, see <a href="http://docs.marklogic.com/9.0/guide/admin/groups#id_34776" target="_blank">Groups</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132161"></a>Internal Security</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132163"></a>Specifies whether the security database is used for authentication and authorization if the user is found in the security database. If <b>true</b>, use the security database; if <b>false</b>, external authentication/authorization is used. For details, see <a href="http://docs.marklogic.com/9.0/guide/security/external-auth#id_75253" target="_blank">External Security</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132165"></a>Keep Alive Timeout</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132167"></a>The maximum number of seconds before a socket receives a timeout for subsequent requests over the same connection.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132169"></a>Log Errors</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132171"></a>Specifies whether to log uncaught errors for this App Server to the <code>ErrorLog.txt</code> file. This is useful to log exceptions that might occur on an App Server for later debugging. If <b>true</b>, log errors; if <b>false</b>, do not log errors.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132173"></a>Max Inference Size</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1135902"></a>The maximum memory limit for semantic inference queries. For details, see <a href="http://docs.marklogic.com/9.0/guide/semantics/inferencing#id_38130" target="_blank">Memory Available for Inference</a> in the <i>Semantics Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132177"></a>Max Time Limit</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1135934"></a>The upper bound for any request's time limit. No request may set its time limit (for example with <code>xdmp:set-request-time-limit</code>) higher than this number. The time limit, in turn, is the maximum number of seconds allowed for servicing a query request. The App Server gives up on queries which take longer, and returns an error.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132181"></a>Multi Version Concurrency Control</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1135984"></a>Specifies how the latest timestamp is chosen for lock-free queries. This only affects query statements, not update statements. The following are the possible values:</p><ul>
	  <li><a id="pgfId-1136022"></a>contemporaneous: App Server chooses the latest timestamp for which any transaction is known to have committed, even though there still may be other transactions for that timestamp that have not yet fully committed. Queries will see more timely results, but may block waiting for contemporaneous transactions to fully commit. </li>
	</ul><ul>
	  <li><a id="pgfId-1136034"></a>nonblocking: App Server chooses the latest timestamp for which all transactions are known to have committed, even though there may be a slightly later timestamp for which another transaction has committed. Queries won't block waiting for transactions, but they may see less timely results.</li>
	</ul><p><a id="pgfId-1136067"></a>For details about queries and transactions in MarkLogic Server, see <a href="http://docs.marklogic.com/9.0/guide/app-dev/transactions#id_44680" target="_blank">Understanding Transactions in MarkLogic Server</a> in the <i>Application Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="20" colspan="1"><p><a id="pgfId-1132185"></a>Output Byte Order Mark</p><p><a id="pgfId-1132189"></a>Output Cdata Section Localname</p><p><a id="pgfId-1132193"></a>Output Cdata Section Namespace URI</p><p><a id="pgfId-1132197"></a>Output Doctype Public</p><p><a id="pgfId-1132201"></a>Output Doctype System</p><p><a id="pgfId-1132205"></a>Output Encoding</p><p><a id="pgfId-1132209"></a>Output Escape URI Attributes</p><p><a id="pgfId-1132213"></a>Output Include Content Type</p><p><a id="pgfId-1132217"></a>Output Include Default Attributes</p><p><a id="pgfId-1132221"></a>Output Indent</p><p><a id="pgfId-1132225"></a>Output Indent Tabs</p><p><a id="pgfId-1132229"></a>Output Indent Untyped</p><p><a id="pgfId-1132233"></a>Output Media Type</p><p><a id="pgfId-1132237"></a>Output Method</p><p><a id="pgfId-1132241"></a>Output Normalization Form</p><p><a id="pgfId-1132245"></a>Output Omit Xml Declaration</p><p><a id="pgfId-1132249"></a>Output Sgml Character Entities</p><p><a id="pgfId-1132253"></a>Output Standalone</p><p><a id="pgfId-1132257"></a>Output Undeclare Prefixes</p><p><a id="pgfId-1132261"></a>Output Version</p></td>
      <td rowspan="20" colspan="1"><p><a id="pgfId-1132187"></a>The output options for the App Server.</p><p><a id="pgfId-1137113"></a>For details about controlling App Server output, see <a href="http://docs.marklogic.com/9.0/guide/app-dev/appserver-control#id_86523" target="_blank">Controlling App Server Access, Output, and Errors</a> in the <i>Application Developer's Guide</i> and <a href="http://docs.marklogic.com/9.0/guide/admin/http#id_27346" target="_blank">Setting Output Options for an HTTP Server</a>, <a href="http://docs.marklogic.com/9.0/guide/admin/xdbc#id_12758" target="_blank">Setting Output Options for an XDBC Server</a>, <a href="http://docs.marklogic.com/9.0/guide/admin/odbc#id_27346" target="_blank">Setting Output Options for an ODBC Server</a>, and <a href="http://docs.marklogic.com/9.0/guide/admin/webdav#id_21988" target="_blank">Setting Output Options for a WebDAV Server</a> in the <i>Administrator's Guide</i>.</p><p><a id="pgfId-1137136"></a>For details on setting the serialization options in XQuery, see <a href="http://docs.marklogic.com/9.0/guide/xquery/langoverview#id_47415" target="_blank">Declaring Options</a> in the <i>XQuery and XSLT Reference Guide</i>. For XSLT output details, see the XSLT specification (<span><a href="http://www.w3.org/TR/xslt20#serialization" xml:link="simple" show="replace" actuate="user" CLASS="URL" target="_blank">http://www.w3.org/TR/xslt20#serialization</a></span>).</p></td>
    </tr><tr></tr><tr></tr><tr></tr><tr></tr><tr></tr><tr></tr><tr></tr><tr></tr><tr></tr><tr></tr><tr></tr><tr></tr><tr></tr><tr></tr><tr></tr><tr></tr><tr></tr><tr></tr><tr></tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132265"></a>Port</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132267"></a>The port number applications use to access this App Server.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132269"></a>Pre Commit Trigger Depth</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1137170"></a>The maximum depth (how many triggers can cause other triggers to fire, which in turn cause others to fire, and so on) for pre-commit triggers that are executed against this App Server. For more information on triggers, see <a href="http://docs.marklogic.com/9.0/guide/app-dev/triggers#id_17020" target="_blank">Using Triggers to Spawn Actions</a> in the <i>Application Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132273"></a>Pre Commit Trigger Limit</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1137207"></a>The maximum number of pre-commit triggers this App Server can invoke for a single statement. For more information on triggers, see <a href="http://docs.marklogic.com/9.0/guide/app-dev/triggers#id_17020" target="_blank">Using Triggers to Spawn Actions</a> in the <i>Application Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132277"></a>Privilege</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132279"></a>The execute privilege required to access this App Server.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132281"></a>Profile Allow</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1137299"></a>Specifies whether to allow requests against this App Server to be profiled, using the MarkLogic Server profiling APIs. For details, see <a href="http://docs.marklogic.com/9.0/guide/performance/profile#id_94939" target="_blank">Profiling Requests to Evaluate Performance</a> in the Query Performance and Tuning guide.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132285"></a>Request Timeout</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1137318"></a>The maximum number of seconds before a socket receives a timeout for the first request.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132289"></a>Rewrite Resolves Globally</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132291"></a>Specifies whether to allow rewritten URLs to be resolved from the global <code>MarkLogic/Modules</code> directory or App Server root. </p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132293"></a>Root</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1137378"></a>The directory in which programs executed against this App Server are stored. If the Modules field is set to a database, the root must be a directory URI in the specified modules database. </p><p><a id="pgfId-1137379"></a>If the Modules field is set to file system, the root directory is either a fully-qualified pathname or is relative to the directory in which MarkLogic Server is installed.   For details on where the MarkLogic&#160;Server is installed by default on your platform, see <a href="http://docs.marklogic.com/9.0/guide/installation/procedures#id_28962" target="_blank">Installing MarkLogic</a> in the <i>Installation Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132297"></a>Server Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132299"></a>The name of this App Server.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132301"></a>Server Type</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132303"></a>The App Server type (<code>http</code>, <code>odbc</code>, <code>xdbc</code>, or <code>WebDAV</code>).</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132305"></a>Session Timeout</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1137434"></a>The maximum number of seconds before an inactive session times out.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132309"></a>SSL Allow SSLv3</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1137457"></a>Specifies whether to allow this App Server to communicate with applications by means of the SSLv3 security protocol.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132313"></a>SSL Allow TLS</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1137498"></a>Specifies whether to allow this App Server to communicate with applications by means of the TLSv1 security protocol.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132317"></a>SSL Ciphers</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1137515"></a>The SSL ciphers that may be used. For details, see <a href="http://docs.marklogic.com/9.0/guide/security/SSL#id_85783" target="_blank">Configuring SSL on App Servers</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132321"></a>SSL Disable SSLv3</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1137573"></a>Specifies whether to prevent this App Server from communicating with applications by means of the SSLv3 security protocol.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132325"></a>SSL Disable TLSv1</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1137623"></a>Specifies whether to prevent this App Server from communicating with applications by means of the TLSv1 security protocol.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132329"></a>SSL Disable TLSv11</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1137660"></a>Specifies whether to prevent this App Server from communicating with applications by means of the TLSv11 security protocol.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132333"></a>SSL Disable TLSv12</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132335"></a>Specifies whether to prevent this App Server from communicating with applications by means of the TLSv12 security protocol.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132337"></a>SSL Hostname</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1137733"></a>The hostname for the App Server SSL certificate. This is useful when many App Servers are running behind a load balancer. If not specified, each host will use a certificate for its own hostname. For details, see <a href="http://docs.marklogic.com/9.0/guide/security/SSL#id_85783" target="_blank">Configuring SSL on App Servers</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132341"></a>SSL Require Client Certificate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1137788"></a>Specifies whether to enable mutual authentication, where the client also holds a digital certificate that it sends to the server. Select which certificate authority is to be used to sign client certificates for the server. For details, see <a href="http://docs.marklogic.com/9.0/guide/security/SSL#id_85783" target="_blank">Configuring SSL on App Servers</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132345"></a>Static Expires</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132347"></a>The number of seconds before an <code>expires</code> HTTP header is added for static content.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132349"></a>Threads</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132351"></a>The maximum number of App Server threads.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132353"></a>URL Rewriter</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1137847"></a>The path to the script to run to rewrite URLs. For details, see <a href="http://docs.marklogic.com/9.0/guide/app-dev/appserver-control#id_85396" target="_blank">Setting Up URL Rewriting for an HTTP App Server</a> in the <i>Application Developer's Guide</i>. </p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132357"></a>WebDAV</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132359"></a>Specifies whether this App Server is a WebDAV App Server.</p></td>
    </tr></table></span>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1132434"></a><a id="28567"></a>App Server Hosts</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1131904"></a>Use the <b>HOSTS</b> tab to see the host that contains the selected App Server. This tab shows the host name as the first column, followed by other properties. Click on the host name to navigate to the manage view of the host.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1132507"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1133664"></a>The columns displayed in the App Server <b>HOSTS</b> tab are described in the following table.</p>


<a id="pgfId-1144870" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1144811"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1144813"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144815"></a>Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144817"></a>The hostname of the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144819"></a>Group</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144821"></a>The name of the group that contains the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144823"></a>OS</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144825"></a>The name and version of the operating system on which the host runs.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144827"></a>Server Version</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144832"></a>The version of MarkLogic Server on the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144834"></a>Forests</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144836"></a>The number of forests on the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144838"></a>Databases</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144840"></a>The number of databases on the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144842"></a>App Servers</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144844"></a>The number of App Servers on the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144846"></a>Disk Space (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144848"></a>The amount of disk space (in MB) used on the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144850"></a>Uptime</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144852"></a>The duration (Days Hrs:Min) the host has been available.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144854"></a>Maint. Mode</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144856"></a>The host maintenance mode (normal or maintenance). For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/rolling-upgrades#id_12339" target="_blank">Rolling Upgrades</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144864"></a>Zone</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144866"></a>The Amazon Web Services (AWS) zone in which the host resides, if applicable. For details, see <i>MarkLogic Server on Amazon Web Services (AWS) Guide</i>.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144889"></a>You can export data from the App Server Hosts tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144893"></a>The resulting CSV file will have the same columns as the App Server Hosts table in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144894"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144895"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144896"></a>Data types of the fields in the CSV file correspond to those in the UI. in the case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144897"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144878"></a><a id="45092"></a>App Server Databases</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144873"></a>Use the <b>DATABASES</b> tab to get a list of databases used by this App Server, with the database name as the first column, followed by other properties. Click on the database name to navigate to the manage view of the selected database. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1131700"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1132701"></a>The columns displayed in the App Server <b>DATABASES</b> tab are described in the following table.</p>


<a id="pgfId-1132789" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1132704"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1132706"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132708"></a>Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132710"></a>Name of the database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132716"></a>Forests</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132718"></a>The number of forests used by the database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132720"></a>Disk Size (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132722"></a>The amount of disk space used by the database forests, in megabytes.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132724"></a>Documents</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132726"></a>The number of documents in the database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132728"></a>Last Backup</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132730"></a>The data-time of the last backup of the database. No value, if the database has never been backed up. For details on backing up a database, see <a href="http://docs.marklogic.com/9.0/guide/admin/backup_restore#id_93243" target="_blank">Backing Up and Restoring a Database</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132742"></a>Encryption</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132744"></a>Specifies whether or not encryption at rest is enabled for the database. For details, see <a href="http://docs.marklogic.com/9.0/guide/security/encryption#id_37353" target="_blank">Encryption at Rest</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132752"></a>HA</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139253"></a>Specifies whether or not shared disk failover is enabled. For details, see <a href="http://docs.marklogic.com/9.0/guide/cluster/failover#id_82157" target="_blank">High Availability of Data Nodes With Failover</a> in the <i>Scalability, Availability, and Failover Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132806"></a>Replication</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139311"></a>Specifies whether or not database replication is enabled. For details, see the <i>Database Replication Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132756"></a>Replication Status</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132758"></a>Specifies whether or not database replication is configured for the database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132760"></a>Security DB</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132762"></a>The name of the security database used by the database. For details, see <a href="http://docs.marklogic.com/9.0/guide/security/security_db#id_66642" target="_blank">Administering Security</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132770"></a>Schemas DB</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132772"></a>The name of the schemas database used by the database. For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/schemas#id_43671" target="_blank">Understanding and Defining Schemas</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132780"></a>Triggers DB</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132782"></a>The name of the schemas database used by the database. For details, see <a href="http://docs.marklogic.com/9.0/guide/app-dev/triggers#id_17020" target="_blank">Using Triggers to Spawn Actions</a> in the <i>Application Developer's Guide</i>.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144928"></a>You can export data from the App Server <b>DATABASES</b> tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144932"></a>The resulting CSV file will have the same columns as the App Server DATABASES table in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1148637"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1148638"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1148639"></a>Data types of the fields in the CSV file correspond to those in the UI. in the case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144936"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1148644"></a></p>

<p>Available help topics:</p>
<span><table width="50%" border="0" style="text-align: left"><tr><td rowspan="1" colspan="1"><ul xmlns="http://www.w3.org/1999/xhtml">
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster">Manage Clusters Tab</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-metrics">Cluster Metrics</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-info">Cluster Information</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-tasks">Cluster Tasks</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-logs">Cluster Logs</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-hosts">Cluster Hosts</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-databases">Cluster Databases</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-appservers">Cluster App Servers</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-forests">Cluster Forests</a></li>
	</ul></td><td rowspan="1" colspan="1"><ul xmlns="http://www.w3.org/1999/xhtml">
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host">Manage Hosts Tab</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host-metrics">Host Metrics</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host-info">Host Information</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host-tasks">Host Tasks</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host-logs">Host Logs</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host-databases">Host Databases</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host-appservers">Host App Servers</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host-forests">Host Forests</a></li>
	</ul></td><td rowspan="1" colspan="1"><ul xmlns="http://www.w3.org/1999/xhtml">
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-database">Manage Databases Tab</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-database-metrics">Database Metrics</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-database-info">Database Information</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-database-tasks">Database Tasks</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-database-hosts">Database Hosts</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-database-appservers">Database App Servers</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-database-forests">Database Forests</a></li>
	</ul></td><td rowspan="1" colspan="1"><ul xmlns="http://www.w3.org/1999/xhtml">
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-appserver">Manage App Servers Tab</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-appserver-metrics">App Server Metrics</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-appserver-info">App Server Information</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-appserver-hosts">App Server Hosts</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-appserver-databases">App Server Databases</a></li>
	</ul></td></tr></table></span> </div>
   case element(manage-cluster) return
     <div id=" manage-cluster "> <p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=overview" xmlns="http://www.w3.org/1999/xhtml">Monitoring MarkLogic with Ops Director</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=navigation" xmlns="http://www.w3.org/1999/xhtml">Navigating and Filtering Ops Director Views</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=Manage" xmlns="http://www.w3.org/1999/xhtml">Manage View</a></p>
<h1 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1114734"></a><a id="79601"></a><a id="64876"></a>Manage Clusters Tab</h1>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1115044"></a>The <b>CLUSTERS</b> tab displays the list of clusters in your enterprise. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1116800"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1141295"></a>The columns displayed in the manage <b>CLUSTERS</b> tab are described in the following table.</p>


<a id="pgfId-1142816" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1142757"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1142759"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1142761"></a>Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1142763"></a>The name of the cluster.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1142765"></a>Groups</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1142767"></a>The number of groups in the cluster.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1142846"></a>Hosts</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1142848"></a>The number of hosts in the cluster.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1142854"></a>Databases</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1142856"></a>The number of databases in the cluster.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1142890"></a>Forests</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1142892"></a>The number of forests in the cluster.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1142894"></a>App Servers</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1142896"></a>The number of App Servers in the cluster.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1142914"></a>Server Version</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1142919"></a>The version of MarkLogic Server running on the cluster's hosts.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1142769"></a>OS</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1142771"></a>The name and version of the operating system on the cluster's hosts.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1142796"></a>Uptime</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1142798"></a>The duration (Days Hrs:Min) the cluster has been available.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1142810"></a>Encryption</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1142812"></a>Specifies whether data encryption is turned on or off in the cluster.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1143558"></a>You can export data from the Manage Clusters tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1143559"></a>The resulting CSV file will have the same columns as the Manage Clusters table in the UI. </li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1143560"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1143640"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1143641"></a>Data types of the fields in the CSV file correspond to those in the UI. in the case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1143687"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1145469"></a>To drill down for a particular cluster, click on the cluster name in the table. You will see the following content tabs, each one representing an information category for the selected cluster:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1141325"></a><a href="#91054">Cluster Metrics</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1122142"></a><a href="#40936">Cluster Information</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1122164"></a><a href="#60912">Cluster Tasks</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1122186"></a><a href="#93018">Cluster Logs</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1122208"></a><a href="#73737">Cluster Hosts</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1122230"></a><a href="#60978">Cluster Databases</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1122252"></a><a href="#43885">Cluster App Servers</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1140129"></a><a href="#50320">Cluster Forests</a></li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1145567"></a>You can export all tables from the content tabs for a particular cluster. When you select a specific cluster (either in the left side resource navigation panel or in the content area of the view), <b>Actions</b> menu becomes available in the upper right corner.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1145920"></a>From the <b>Actions</b> menu, select <b>Download all tables</b> to export all tables for this particular cluster.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1145921"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1147809"></a>A zip file with all exported tables for this cluster will be downloaded to your computer. Each table is represented by the corresponding CSV file. The zip file will contain the following CSV files for the cluster:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1147813"></a>Tasks CSV file (see the <a href="#60912">Cluster Tasks</a> section for details on the contents)</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1147851"></a>Hosts CVS file (see the <a href="#73737">Cluster Hosts</a> section for details on the contents)</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1147863"></a>Databases CVS file (see the <a href="#60978">Cluster Databases</a> section for details on the contents)</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1147871"></a>App Servers CVS file (see the <a href="#43885">Cluster App Servers</a> section for details on the contents)</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1147879"></a>Forests CVS file (see the <a href="#50320">Cluster Forests</a> section for details on the contents)</li>
</ul>

<blockquote xmlns="http://www.w3.org/1999/xhtml"><p><b>Note:&#160;&#160;</b><a id="pgfId-1147709"></a>For a cluster, exported tables will not include Logs table. This table can be exported from the <b>Logs</b> tab of that cluster, but not as part of the <b>Download all tables</b> operation.</p></blockquote>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1114861"></a><a id="91054"></a>Cluster Metrics</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1117803"></a><b>METRICS</b> is the first tab displayed for any resource type. This tab displays key indicators enabling you to determine the health of the selected resource.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1145542"></a>To filter the data used for rendering the graphs, select a pre-defined time period or specify a custom time period, as described in <a href="http://docs.marklogic.com/9.0/guide/opsdir/Navigation#id_89836" target="_blank">Date and Time Filters</a> in the <em xmlns="">Ops Director Guide</em>.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1145549"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1115116"></a>The metrics displayed by charts on the cluster METRICS tab are described in the following table.</p>


<a id="pgfId-1115166" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1115119"></a>Chart</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1115121"></a>Definition of Displayed Metric</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115123"></a>Disk I/O</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115125"></a>Disk I/O in MB per second. For descriptions of the lines displayed on this graph, see <a href="http://docs.marklogic.com/9.0/guide/opsdir/Analyse#id_21175" target="_blank">Disk Performance Data</a> in the <em xmlns="">Ops Director Guide</em>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115127"></a>App Server Request Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115129"></a>The total number of queries being processed per second, across all of the App Servers in the cluster. For descriptions of the lines displayed on this graph, see <a href="http://docs.marklogic.com/9.0/guide/opsdir/Analyse#id_36450" target="_blank">Server Performance Data</a> in the <em xmlns="">Ops Director Guide</em>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115131"></a>App Server Latency</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122716"></a>The average time (in seconds) it takes to process queries, across all of the App Servers in the cluster. For descriptions of the lines displayed on this graph, see <a href="http://docs.marklogic.com/9.0/guide/opsdir/Analyse#id_36450" target="_blank">Server Performance Data</a> in the <em xmlns="">Ops Director Guide</em>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115135"></a>CPU</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122733"></a>The aggregate I/O performance data for the CPUs in the cluster. For descriptions of the lines displayed on this graph, see <a href="http://docs.marklogic.com/9.0/guide/opsdir/Analyse#id_71159" target="_blank">CPU Performance Data</a> in the <em xmlns="">Ops Director Guide</em>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115139"></a>Memory Footprint</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1131277"></a>The total amount (in MB) of memory consumed by all of the hosts in the cluster.</p><p><a id="pgfId-1131278"></a>The displayed metrics are:</p><ul>
	  <li><a id="pgfId-1131279"></a>RSS: The total amount of MB of Process Resident Size (RSS) consumed by the cluster.</li>
	</ul><ul>
	  <li><a id="pgfId-1131280"></a>Anon: The total amount of MB of Process Anonymous Memory consumed by the cluster.</li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115143"></a>Memory Size</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1138097"></a>The amount of space (in MB) forest data files in this cluster use in memory.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1116784"></a>Memory I/O</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1131240"></a>The number of pages per second moved between memory and disk.</p><p><a id="pgfId-1131241"></a>The displayed metrics are:</p><ul>
	  <li><a id="pgfId-1131242"></a>Page-In Rate: The page-in rate (from Linux /proc/vmstat) for the cluster in pages per second.</li>
	</ul><ul>
	  <li><a id="pgfId-1131243"></a>Page-Out Rate: The page-out rate (from Linux /proc/vmstat) for the cluster in pages per second.</li>
	</ul><ul>
	  <li><a id="pgfId-1131244"></a>Swap-In Rate: The swap-in rate (from Linux /proc/vmstat) for the cluster in pages per second.</li>
	</ul><ul>
	  <li><a id="pgfId-1131245"></a>Swap-Out Rate: The swap-out rate (from Linux /proc/vmstat) for the cluster in pages per second.</li>
	</ul><p><a id="pgfId-1116786"></a>For more information, see <a href="http://docs.marklogic.com/9.0/guide/opsdir/Analyse#id_68608" target="_blank">Memory Performance Data</a> in the <em xmlns="">Ops Director Guide</em>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115147"></a>Network</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115699"></a>Various XDQP (XML Data Query Protocol) performance metrics, such as the sum of XDQP activity across the cluster. XDQP is a MarkLogic internal protocol used for communication between nodes in a cluster. For more detail, see <a href="http://docs.marklogic.com/9.0/guide/opsdir/Analyse#id_94112" target="_blank">Network Performance Data</a> in the <em xmlns="">Ops Director Guide</em>.</p></td>
    </tr></table></span>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1113879"></a><a id="40936"></a>Cluster Information</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1114911"></a>Use the <b>INFORMATION</b> tab to access properties of the selected cluster. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1142627"></a>The properties displayed in the cluster INFORMATION tab are described in the following table.</p>


<a id="pgfId-1118422" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1118733"></a>Field</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1118735"></a>Description</th>
    </tr><tr>
      <td rowspan="3" colspan="1"><p><a id="pgfId-1139485"></a>Bootstrap Host</p></td>
      <td rowspan="3" colspan="1"><p><a id="pgfId-1139487"></a>The connection attributes for the bootstrap host on this cluster.</p><ul>
	  <li><a id="pgfId-1139488"></a>Bootstrap Connect Port: The bind port for the bootstrap host.</li>
	</ul><ul>
	  <li><a id="pgfId-1139489"></a>Bootstrap Host Name: The name of the bootstrap host.</li>
	</ul><ul>
	  <li><a id="pgfId-1139490"></a>Bootstrap Host ID: The ID used to identify the bootstrap host.</li>
	</ul><p><a id="pgfId-1139497"></a>For details, see <a href="http://docs.marklogic.com/9.0/guide/concepts/backup-replication#id_77901" target="_blank">Bootstrap Hosts</a> in the <i>Concepts Guide</i>.</p></td>
    </tr><tr></tr><tr></tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139507"></a>Cluster ID</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139509"></a>The ID used to identify this cluster.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139515"></a>Cluster Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139517"></a>The name used to identify this cluster.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139519"></a>Data Directory</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139523"></a>The MarkLogic default data directory. For details, see <a href="http://docs.marklogic.com/9.0/guide/installation/procedures#id_28962" target="_blank">Installing MarkLogic</a> in the <i>Installation Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139529"></a>Effective Version</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139531"></a>The effective version of MarkLogic Server that is installed on each host in this cluster. For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/rolling-upgrades#id_99789" target="_blank">Effective version and software version</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1118737"></a>Filesystem Directory</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1118739"></a>The MarkLogic installation directory. For details, see <a href="http://docs.marklogic.com/9.0/guide/installation/procedures#id_28962" target="_blank">Installing MarkLogic</a> in the <i>Installation Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139539"></a>Role</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139541"></a>The role (local or foreign) of the cluster in the current environment. For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/clusters#id_91391" target="_blank">Coupling Clusters</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1118741"></a>Security Version</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1118743"></a>The MarkLogic Server version number.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139549"></a>SSL Fips Enabled</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139551"></a>Whether FIPS-capable OpenSSL is enabled (true) or disabled (false). For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/clusters#id_64803" target="_blank">OpenSSL FIPS 140-2 Mode</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139559"></a>Version</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139561"></a>The software version of MarkLogic Server that is installed on each host in this cluster. For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/rolling-upgrades#id_99789" target="_blank">Effective version and software version</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1118745"></a>XDQP SSL Certificate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1118747"></a>The SSL Certificate used for secure communication between the clusters. For details, see <a href="http://docs.marklogic.com/9.0/guide/opsdir/intro#id_62798" target="_blank">Ops Director Security</a> in the <em xmlns="">Ops Director Guide</em> and <a href="http://docs.marklogic.com/9.0/guide/concepts/backup-replication#id_94470" target="_blank">Inter-cluster Communication</a> in the <i>Concepts Guide</i>.</p></td>
    </tr></table></span>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1113993"></a><a id="60912"></a>Cluster Tasks</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1146766"></a>Use the <b>TASKS</b> tab for an up-to-date report on tasks across the hosts within the selected cluster. The report shows tasks that are currently running, are scheduled to run, or have been delayed. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1146770"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1146771"></a>The columns displayed in the cluster <b>TASKS</b> tab are described in the following table.</p>


<a id="pgfId-1146933" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1146874"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1146876"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146878"></a>Cluster</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146880"></a>Cluster on which the task host is located.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146882"></a>Host</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146884"></a>The hostname of the host computer on which the scheduled module is to be invoked.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146886"></a>Enabled</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146888"></a>Whether the task is enabled (true) or disabled (false).</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146890"></a>Task Root</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146892"></a>The root directory (filesystem) or URI root (database) that contains the module.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146894"></a>Task Path</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146896"></a>The module the task is to invoke.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146898"></a>Task Type</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146900"></a>The task type:</p><ul>
	  <li><a id="pgfId-1146901"></a><b>minutely</b> specifies how many minutes between each invocation of the module.</li>
	</ul><ul>
	  <li><a id="pgfId-1146902"></a><b>hourly</b> specifies how many hours and minutes between each invocation of the module.</li>
	</ul><ul>
	  <li><a id="pgfId-1146903"></a><b>daily</b> specifies how many days between each invocation of the module and the time of day (in 24:00 notation).</li>
	</ul><ul>
	  <li><a id="pgfId-1146904"></a><b>weekly</b> specifies how many weeks between each invocation of the module, check one or more days of the week, and the time of day (in 24:00 notation) for the task to start.</li>
	</ul><ul>
	  <li><a id="pgfId-1146905"></a><b>monthly</b> specifies how many months between each invocation of the module, select one day of the month (1-31), and the time of day (in 24:00 notation) for the task to start.</li>
	</ul><ul>
	  <li><a id="pgfId-1146906"></a><b>one-time</b> specifies the start date in MM/DD/YYYY notation (for example, 07/29/2009 for July 29, 2009) and time in 24:00 notation.</li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146908"></a>Task Period</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146910"></a>How often the module is to be invoked (every <i>N</i> months, weeks, days, hours, or minutes).</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146912"></a>Created on</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146914"></a>The date and time when the task was created.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146916"></a>Database</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146918"></a>The database to which the scheduled module connects for query execution.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146920"></a>Task Modules</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146922"></a>The name of the database in which the scheduled module locates the application code. If set to (filesystem), any files in the specified task root directory are executable (given the proper permissions). If set to a database, any documents in the database whose URI begins with the specified task root directory are executable.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146924"></a>User</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146926"></a>The user with permission to invoke the module.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146928"></a>Priority</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146930"></a>The priority of the task:</p><ul>
	  <li><a id="pgfId-1146931"></a><b>normal</b> specifies that the task is queued with normal priority.</li>
	</ul><ul>
	  <li><a id="pgfId-1146932"></a><b>higher</b> specifies that the task is queued with higher priority.</li>
	</ul></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1146934"></a>You can export data from the cluster <b>TASKS</b> tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1143713"></a>The resulting CSV file will have the same columns as the cluster TASKS table in the UI. </li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1143714"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1143715"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1143716"></a>Data types of the fields in the CSV file correspond to those in the UI. in the case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1143717"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1114150"></a><a id="93018"></a>Cluster Logs</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1146849"></a>Use the <b>LOGS</b> tab to access a tabular listing of log records that have been logged by various resources within the cluster. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1146853"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1146854"></a>The columns displayed in the cluster <b>LOGS</b> tab are described in the following table.</p>


<a id="pgfId-1143183" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1143150"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1143152"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143154"></a>Date &amp; Time</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143156"></a>Datetime of the logged event.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143158"></a>Level</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143160"></a>The log level of the event. For a description of the log levels, see <a href="http://docs.marklogic.com/9.0/guide/admin/logfiles#id_37841" target="_blank">Understanding the Log Levels</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143168"></a>Cluster Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143170"></a>The name of the cluster on which the logged event occurred.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143172"></a>Host Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143174"></a>The name of the host on which the logged event occurred.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143176"></a>Message</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143178"></a>The logged error message.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143180"></a>Log File</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143182"></a>The full text of the logged event.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1143758"></a>You can export data from the cluster <b>LOGS</b> tab as a CSV (Comma Separated Values) file by clicking the Export icon  in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1143762"></a>The resulting CSV file will have the same columns as the Cluster Logs table in the UI. </li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1143763"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1143764"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1143765"></a>Data types of the fields in the CSV file correspond to those in the UI. in the case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1143766"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1114190"></a><a id="73737"></a>Cluster Hosts</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1146986"></a>Use the <b>HOSTS</b> tab to get the list of all hosts within the selected cluster. This tab shows host name as the first column, followed by other properties. Click the host name to navigate to the manage view of the selected host.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1146990"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1146991"></a>The columns displayed in the cluster <b>HOSTS</b> tab are described in the following table.</p>


<a id="pgfId-1143938" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1143879"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1143881"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143883"></a>Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143885"></a>The hostname of each host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143887"></a>Group</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143889"></a>The name of the group that contains each host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143891"></a>OS</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143893"></a>The name and version of the operating system on which each host runs.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143895"></a>Server Version</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143900"></a>The version of MarkLogic Server on each host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143902"></a>Forests</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143904"></a>The number of forests on each host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143906"></a>Databases</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143908"></a>The number of databases on each host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143910"></a>App Servers</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143912"></a>The number of App Servers on each host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143914"></a>Disk Space (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143916"></a>The amount of disk space (in MB) used on each host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143918"></a>Uptime</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143920"></a>The duration (Days Hrs:Min) each host has been available.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143922"></a>Maint. Mode</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143924"></a>The host maintenance mode (normal or maintenance) for each host. For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/rolling-upgrades#id_12339" target="_blank">Rolling Upgrades</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143932"></a>Zone</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143934"></a>The Amazon Web Services (AWS) zone in which each host resides, if applicable. For details, see <i>MarkLogic Server on Amazon Web Services (AWS) Guide</i>.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1143957"></a>You can export data from the Cluster Hosts tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1143961"></a>The resulting CSV file will have the same columns as the Cluster Hosts table in the UI. </li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1143962"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1143963"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1143964"></a>Data types of the fields in the CSV file correspond to those in the UI. in the case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1143965"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1143946"></a><a id="60978"></a>Cluster Databases</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1147005"></a>Use the <b>DATABASES</b> tab to get a list of all the databases within the cluster, with database name as the first column followed by other properties. Click on the database name to navigate to the manage view of the selected database.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1147009"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1147010"></a>The columns displayed in the cluster <b>DATABASES</b> tab are described in the following table.</p>


<a id="pgfId-1134048" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1134058"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1134060"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134062"></a>Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134064"></a>Name of the database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134066"></a>Forests</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134068"></a>The number of forests used by the database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134070"></a>Disk Size (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134072"></a>The amount of disk space used by the database forests, in megabytes.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134074"></a>Documents</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134076"></a>The number of documents in the database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134078"></a>Last Backup</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134080"></a>The date and time of the last backup of the database. No value, if the database has never been backed up. For details on backing up a database, see <a href="http://docs.marklogic.com/9.0/guide/admin/backup_restore#id_93243" target="_blank">Backing Up and Restoring a Database</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134088"></a>Encryption</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134090"></a>Specifies whether or not encryption at rest is enabled for the database. For details, see <a href="http://docs.marklogic.com/9.0/guide/security/encryption#id_37353" target="_blank">Encryption at Rest</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134098"></a>HA</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134100"></a>Specifies whether or not shared disk failover is enabled. For details, see <a href="http://docs.marklogic.com/9.0/guide/cluster/failover#id_82157" target="_blank">High Availability of Data Nodes With Failover</a> in the <i>Scalability, Availability, and Failover Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134102"></a>Replication</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134104"></a>Specifies whether or not database replication is enabled (On/Off). For details, see the <i>Database Replication Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134106"></a>Replication Status</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134108"></a>Specifies whether or not database replication is configured for the database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134110"></a>Security DB</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134112"></a>The name of the security database used by the database. For details, see <a href="http://docs.marklogic.com/9.0/guide/security/security_db#id_66642" target="_blank">Administering Security</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134120"></a>Schemas DB</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134122"></a>The name of the schemas database used by the database. For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/schemas#id_43671" target="_blank">Understanding and Defining Schemas</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134130"></a>Triggers DB</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134132"></a>The name of the schemas database used by the database. For details, see <a href="http://docs.marklogic.com/9.0/guide/app-dev/triggers#id_17020" target="_blank">Using Triggers to Spawn Actions</a> in the <i>Application Developer's Guide</i>.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144003"></a>You can export data from the cluster <b>DATABASES</b> tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144007"></a>The resulting CSV file will have the same columns as the Cluster Databases table in the UI. </li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144008"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144009"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144010"></a>Data types of the fields in the CSV file correspond to those in the UI. in the case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144011"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1114968"></a><a id="43885"></a>Cluster App Servers</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1147587"></a>Use the <b>APP SERVERS</b> tab to get a list of all the application servers within the cluster, with App Server name as the first column followed by other properties. Click on the App Server name to navigate to the manage view of the selected application server.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1147591"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1147592"></a>The columns displayed in the cluster <b>APP SERVERS</b> tab are described in the following table.</p>


<a id="pgfId-1134193" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1134203"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1134205"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134211"></a>Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134213"></a>The name of the App Server.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134215"></a>Type</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134217"></a>The App Server type (HTTP, WebDAV, XDBC, ODBC).</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134219"></a>Database</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134221"></a>The name of the App Server content database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134223"></a>Port</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134225"></a>The port number used to access the App Server.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134227"></a>SSL</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134229"></a>Whether the App Server has SSL enabled (yes) or disabled (no). For details, see <a href="http://docs.marklogic.com/9.0/guide/security/SSL#id_85783" target="_blank">Configuring SSL on App Servers</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134231"></a>Group</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134233"></a>The name of the group to which the App Server belongs</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134235"></a>Modules DB+Root</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134237"></a>The name of the modules database, or if filesystem, the root directory.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134239"></a>Security</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144033"></a>The type of security (internal or external).</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144069"></a>You can export data from the cluster <b>APP SERVERS</b> tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144073"></a>The resulting CSV file will have the same columns as the Cluster App Servers table in the UI. </li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144074"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144075"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144076"></a>Data types of the fields in the CSV file correspond to those in the UI. in the case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144077"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144047"></a><a id="50320"></a>Cluster Forests</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1139676"></a>Use the <b>FORESTS</b> tab to get a list of all the forests within the cluster, with forest name as the first column followed by other properties. Click on the forest name to navigate to the manage view of the selected forest.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1139741"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1139762"></a>The columns displayed in the cluster <b>FORESTS</b> tab are described in the following table.</p>


<a id="pgfId-1139806" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1139765"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1139767"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139769"></a>Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139771"></a>The name of the forest.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139773"></a>Host</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139775"></a>The forest host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139777"></a>Documents</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139779"></a>The number of documents in the forest.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139781"></a>Status</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139783"></a>The status of the forest. Enabled or Disabled.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139785"></a>Availability</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139787"></a>The availability of the forest. Online or Offline.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139795"></a>Fragments</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139910"></a>The number of active fragments (the fragments available to queries) in the forest.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139799"></a>Deleted Fragments</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139896"></a>The number of deleted fragments (the fragments to be removed by the next merge operation) in the forest.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139803"></a>Stands</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139990"></a>The number of stands in the forest. For more information on stands, see <a href="http://docs.marklogic.com/9.0/guide/concepts/data-management#id_85565" target="_blank">Databases, Forests, and Stands</a> in the <i>Concepts Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139876"></a>Size (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139878"></a>The size of the forest, in MB.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139872"></a>Encrypted Size (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140076"></a>The amount of encrypted data in the forest. For details on data encryption, see <a href="http://docs.marklogic.com/9.0/guide/security/encryption#id_37353" target="_blank">Encryption at Rest</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139868"></a>Free Space (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139870"></a>The number of MB of free space on this forest.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139864"></a>Large Data Size (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139954"></a>The amount of data in the large data directories of the forest. For more information on Large Data, see <a href="http://docs.marklogic.com/9.0/guide/app-dev/binaries#id_46976" target="_blank">Working With Binary Documents</a> in the <i>Application Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139860"></a>Fast Data Size (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139932"></a>The amount of data in the fast data directories of the forest. For more information on Fast Data, see <a href="http://docs.marklogic.com/9.0/guide/performance/disk-storage#id_17115" target="_blank">Fast Data Directory on Forests</a> in the <i>Query Performance and Tuning Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139856"></a>Failover Enabled</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140022"></a>Whether failover is enabled for the forest. For more information on stands, see <a href="http://docs.marklogic.com/9.0/guide/cluster/failover#id_82157" target="_blank">High Availability of Data Nodes With Failover</a> in the <i>Scalability, Availability, and Failover Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139852"></a>Replication</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140048"></a>Specifies whether or not database replication is enabled for this forest. For details, see the <i>Database Replication Guide</i>.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144112"></a>You can export data from the cluster <b>FORESTS</b> tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144116"></a>The resulting CSV file will have the same columns as the cluster FORESTS table in the UI. </li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144117"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144118"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144119"></a>Data types of the fields in the CSV file correspond to those in the UI. in the case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144120"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<p>Available help topics:</p>
<span><table width="50%" border="0" style="text-align: left"><tr><td rowspan="1" colspan="1"><ul xmlns="http://www.w3.org/1999/xhtml">
	  <li>Manage Clusters Tab</li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-metrics">Cluster Metrics</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-info">Cluster Information</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-tasks">Cluster Tasks</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-logs">Cluster Logs</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-hosts">Cluster Hosts</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-databases">Cluster Databases</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-appservers">Cluster App Servers</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-forests">Cluster Forests</a></li>
	</ul></td></tr></table></span> </div>
   case element(manage-cluster-metrics) return
     <div id=" manage-cluster-metrics "> <p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=overview" xmlns="http://www.w3.org/1999/xhtml">Monitoring MarkLogic with Ops Director</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=navigation" xmlns="http://www.w3.org/1999/xhtml">Navigating and Filtering Ops Director Views</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=Manage" xmlns="http://www.w3.org/1999/xhtml">Manage View</a></p>
<h1 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1114861"></a><a id="91054"></a>Cluster Metrics</h1>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1117803"></a><b>METRICS</b> is the first tab displayed for any resource type. This tab displays key indicators enabling you to determine the health of the selected resource.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1145542"></a>To filter the data used for rendering the graphs, select a pre-defined time period or specify a custom time period, as described in <a href="http://docs.marklogic.com/9.0/guide/opsdir/Navigation#id_89836" target="_blank">Date and Time Filters</a> in the <em xmlns="">Ops Director Guide</em>.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1145549"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1115116"></a>The metrics displayed by charts on the cluster METRICS tab are described in the following table.</p>


<a id="pgfId-1115166" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1115119"></a>Chart</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1115121"></a>Definition of Displayed Metric</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115123"></a>Disk I/O</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115125"></a>Disk I/O in MB per second. For descriptions of the lines displayed on this graph, see <a href="http://docs.marklogic.com/9.0/guide/opsdir/Analyse#id_21175" target="_blank">Disk Performance Data</a> in the <em xmlns="">Ops Director Guide</em>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115127"></a>App Server Request Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115129"></a>The total number of queries being processed per second, across all of the App Servers in the cluster. For descriptions of the lines displayed on this graph, see <a href="http://docs.marklogic.com/9.0/guide/opsdir/Analyse#id_36450" target="_blank">Server Performance Data</a> in the <em xmlns="">Ops Director Guide</em>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115131"></a>App Server Latency</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122716"></a>The average time (in seconds) it takes to process queries, across all of the App Servers in the cluster. For descriptions of the lines displayed on this graph, see <a href="http://docs.marklogic.com/9.0/guide/opsdir/Analyse#id_36450" target="_blank">Server Performance Data</a> in the <em xmlns="">Ops Director Guide</em>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115135"></a>CPU</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122733"></a>The aggregate I/O performance data for the CPUs in the cluster. For descriptions of the lines displayed on this graph, see <a href="http://docs.marklogic.com/9.0/guide/opsdir/Analyse#id_71159" target="_blank">CPU Performance Data</a> in the <em xmlns="">Ops Director Guide</em>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115139"></a>Memory Footprint</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1131277"></a>The total amount (in MB) of memory consumed by all of the hosts in the cluster.</p><p><a id="pgfId-1131278"></a>The displayed metrics are:</p><ul>
	  <li><a id="pgfId-1131279"></a>RSS: The total amount of MB of Process Resident Size (RSS) consumed by the cluster.</li>
	</ul><ul>
	  <li><a id="pgfId-1131280"></a>Anon: The total amount of MB of Process Anonymous Memory consumed by the cluster.</li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115143"></a>Memory Size</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1138097"></a>The amount of space (in MB) forest data files in this cluster use in memory.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1116784"></a>Memory I/O</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1131240"></a>The number of pages per second moved between memory and disk.</p><p><a id="pgfId-1131241"></a>The displayed metrics are:</p><ul>
	  <li><a id="pgfId-1131242"></a>Page-In Rate: The page-in rate (from Linux /proc/vmstat) for the cluster in pages per second.</li>
	</ul><ul>
	  <li><a id="pgfId-1131243"></a>Page-Out Rate: The page-out rate (from Linux /proc/vmstat) for the cluster in pages per second.</li>
	</ul><ul>
	  <li><a id="pgfId-1131244"></a>Swap-In Rate: The swap-in rate (from Linux /proc/vmstat) for the cluster in pages per second.</li>
	</ul><ul>
	  <li><a id="pgfId-1131245"></a>Swap-Out Rate: The swap-out rate (from Linux /proc/vmstat) for the cluster in pages per second.</li>
	</ul><p><a id="pgfId-1116786"></a>For more information, see <a href="http://docs.marklogic.com/9.0/guide/opsdir/Analyse#id_68608" target="_blank">Memory Performance Data</a> in the <em xmlns="">Ops Director Guide</em>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115147"></a>Network</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115699"></a>Various XDQP (XML Data Query Protocol) performance metrics, such as the sum of XDQP activity across the cluster. XDQP is a MarkLogic internal protocol used for communication between nodes in a cluster. For more detail, see <a href="http://docs.marklogic.com/9.0/guide/opsdir/Analyse#id_94112" target="_blank">Network Performance Data</a> in the <em xmlns="">Ops Director Guide</em>.</p></td>
    </tr></table></span>

<p>Available help topics:</p>
<span><table width="50%" border="0" style="text-align: left"><tr><td rowspan="1" colspan="1"><ul xmlns="http://www.w3.org/1999/xhtml">
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster">Manage Clusters Tab</a></li>
	  <li>Cluster Metrics</li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-info">Cluster Information</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-tasks">Cluster Tasks</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-logs">Cluster Logs</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-hosts">Cluster Hosts</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-databases">Cluster Databases</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-appservers">Cluster App Servers</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-forests">Cluster Forests</a></li>
	</ul></td></tr></table></span> </div>
   case element(manage-cluster-info) return
     <div id=" manage-cluster-info "> <p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=overview" xmlns="http://www.w3.org/1999/xhtml">Monitoring MarkLogic with Ops Director</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=navigation" xmlns="http://www.w3.org/1999/xhtml">Navigating and Filtering Ops Director Views</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=Manage" xmlns="http://www.w3.org/1999/xhtml">Manage View</a></p>
<h1 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1113879"></a><a id="40936"></a>Cluster Information</h1>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1114911"></a>Use the <b>INFORMATION</b> tab to access properties of the selected cluster. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1142627"></a>The properties displayed in the cluster INFORMATION tab are described in the following table.</p>


<a id="pgfId-1118422" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1118733"></a>Field</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1118735"></a>Description</th>
    </tr><tr>
      <td rowspan="3" colspan="1"><p><a id="pgfId-1139485"></a>Bootstrap Host</p></td>
      <td rowspan="3" colspan="1"><p><a id="pgfId-1139487"></a>The connection attributes for the bootstrap host on this cluster.</p><ul>
	  <li><a id="pgfId-1139488"></a>Bootstrap Connect Port: The bind port for the bootstrap host.</li>
	</ul><ul>
	  <li><a id="pgfId-1139489"></a>Bootstrap Host Name: The name of the bootstrap host.</li>
	</ul><ul>
	  <li><a id="pgfId-1139490"></a>Bootstrap Host ID: The ID used to identify the bootstrap host.</li>
	</ul><p><a id="pgfId-1139497"></a>For details, see <a href="http://docs.marklogic.com/9.0/guide/concepts/backup-replication#id_77901" target="_blank">Bootstrap Hosts</a> in the <i>Concepts Guide</i>.</p></td>
    </tr><tr></tr><tr></tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139507"></a>Cluster ID</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139509"></a>The ID used to identify this cluster.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139515"></a>Cluster Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139517"></a>The name used to identify this cluster.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139519"></a>Data Directory</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139523"></a>The MarkLogic default data directory. For details, see <a href="http://docs.marklogic.com/9.0/guide/installation/procedures#id_28962" target="_blank">Installing MarkLogic</a> in the <i>Installation Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139529"></a>Effective Version</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139531"></a>The effective version of MarkLogic Server that is installed on each host in this cluster. For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/rolling-upgrades#id_99789" target="_blank">Effective version and software version</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1118737"></a>Filesystem Directory</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1118739"></a>The MarkLogic installation directory. For details, see <a href="http://docs.marklogic.com/9.0/guide/installation/procedures#id_28962" target="_blank">Installing MarkLogic</a> in the <i>Installation Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139539"></a>Role</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139541"></a>The role (local or foreign) of the cluster in the current environment. For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/clusters#id_91391" target="_blank">Coupling Clusters</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1118741"></a>Security Version</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1118743"></a>The MarkLogic Server version number.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139549"></a>SSL Fips Enabled</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139551"></a>Whether FIPS-capable OpenSSL is enabled (true) or disabled (false). For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/clusters#id_64803" target="_blank">OpenSSL FIPS 140-2 Mode</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139559"></a>Version</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139561"></a>The software version of MarkLogic Server that is installed on each host in this cluster. For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/rolling-upgrades#id_99789" target="_blank">Effective version and software version</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1118745"></a>XDQP SSL Certificate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1118747"></a>The SSL Certificate used for secure communication between the clusters. For details, see <a href="http://docs.marklogic.com/9.0/guide/opsdir/intro#id_62798" target="_blank">Ops Director Security</a> in the <em xmlns="">Ops Director Guide</em> and <a href="http://docs.marklogic.com/9.0/guide/concepts/backup-replication#id_94470" target="_blank">Inter-cluster Communication</a> in the <i>Concepts Guide</i>.</p></td>
    </tr></table></span>

<p>Available help topics:</p>
<span><table width="50%" border="0" style="text-align: left"><tr><td rowspan="1" colspan="1"><ul xmlns="http://www.w3.org/1999/xhtml">
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster">Manage Clusters Tab</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-metrics">Cluster Metrics</a></li>
	  <li>Cluster Information</li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-tasks">Cluster Tasks</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-logs">Cluster Logs</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-hosts">Cluster Hosts</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-databases">Cluster Databases</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-appservers">Cluster App Servers</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-forests">Cluster Forests</a></li>
	</ul></td></tr></table></span> </div>
   case element(manage-cluster-tasks) return
     <div id=" manage-cluster-tasks "> <p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=overview" xmlns="http://www.w3.org/1999/xhtml">Monitoring MarkLogic with Ops Director</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=navigation" xmlns="http://www.w3.org/1999/xhtml">Navigating and Filtering Ops Director Views</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=Manage" xmlns="http://www.w3.org/1999/xhtml">Manage View</a></p>
<h1 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1113993"></a><a id="60912"></a>Cluster Tasks</h1>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1146766"></a>Use the <b>TASKS</b> tab for an up-to-date report on tasks across the hosts within the selected cluster. The report shows tasks that are currently running, are scheduled to run, or have been delayed. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1146770"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1146771"></a>The columns displayed in the cluster <b>TASKS</b> tab are described in the following table.</p>


<a id="pgfId-1146933" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1146874"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1146876"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146878"></a>Cluster</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146880"></a>Cluster on which the task host is located.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146882"></a>Host</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146884"></a>The hostname of the host computer on which the scheduled module is to be invoked.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146886"></a>Enabled</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146888"></a>Whether the task is enabled (true) or disabled (false).</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146890"></a>Task Root</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146892"></a>The root directory (filesystem) or URI root (database) that contains the module.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146894"></a>Task Path</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146896"></a>The module the task is to invoke.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146898"></a>Task Type</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146900"></a>The task type:</p><ul>
	  <li><a id="pgfId-1146901"></a><b>minutely</b> specifies how many minutes between each invocation of the module.</li>
	</ul><ul>
	  <li><a id="pgfId-1146902"></a><b>hourly</b> specifies how many hours and minutes between each invocation of the module.</li>
	</ul><ul>
	  <li><a id="pgfId-1146903"></a><b>daily</b> specifies how many days between each invocation of the module and the time of day (in 24:00 notation).</li>
	</ul><ul>
	  <li><a id="pgfId-1146904"></a><b>weekly</b> specifies how many weeks between each invocation of the module, check one or more days of the week, and the time of day (in 24:00 notation) for the task to start.</li>
	</ul><ul>
	  <li><a id="pgfId-1146905"></a><b>monthly</b> specifies how many months between each invocation of the module, select one day of the month (1-31), and the time of day (in 24:00 notation) for the task to start.</li>
	</ul><ul>
	  <li><a id="pgfId-1146906"></a><b>one-time</b> specifies the start date in MM/DD/YYYY notation (for example, 07/29/2009 for July 29, 2009) and time in 24:00 notation.</li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146908"></a>Task Period</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146910"></a>How often the module is to be invoked (every <i>N</i> months, weeks, days, hours, or minutes).</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146912"></a>Created on</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146914"></a>The date and time when the task was created.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146916"></a>Database</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146918"></a>The database to which the scheduled module connects for query execution.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146920"></a>Task Modules</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146922"></a>The name of the database in which the scheduled module locates the application code. If set to (filesystem), any files in the specified task root directory are executable (given the proper permissions). If set to a database, any documents in the database whose URI begins with the specified task root directory are executable.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146924"></a>User</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146926"></a>The user with permission to invoke the module.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146928"></a>Priority</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1146930"></a>The priority of the task:</p><ul>
	  <li><a id="pgfId-1146931"></a><b>normal</b> specifies that the task is queued with normal priority.</li>
	</ul><ul>
	  <li><a id="pgfId-1146932"></a><b>higher</b> specifies that the task is queued with higher priority.</li>
	</ul></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1146934"></a>You can export data from the cluster <b>TASKS</b> tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1143713"></a>The resulting CSV file will have the same columns as the cluster TASKS table in the UI. </li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1143714"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1143715"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1143716"></a>Data types of the fields in the CSV file correspond to those in the UI. in the case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1143717"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<p>Available help topics:</p>
<span><table width="50%" border="0" style="text-align: left"><tr><td rowspan="1" colspan="1"><ul xmlns="http://www.w3.org/1999/xhtml">
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster">Manage Clusters Tab</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-metrics">Cluster Metrics</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-info">Cluster Information</a></li>
	  <li>Cluster Tasks</li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-logs">Cluster Logs</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-hosts">Cluster Hosts</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-databases">Cluster Databases</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-appservers">Cluster App Servers</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-forests">Cluster Forests</a></li>
	</ul></td></tr></table></span> </div>
   case element(manage-cluster-logs) return
     <div id=" manage-cluster-logs "> <p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=overview" xmlns="http://www.w3.org/1999/xhtml">Monitoring MarkLogic with Ops Director</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=navigation" xmlns="http://www.w3.org/1999/xhtml">Navigating and Filtering Ops Director Views</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=Manage" xmlns="http://www.w3.org/1999/xhtml">Manage View</a></p>
<h1 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1114150"></a><a id="93018"></a>Cluster Logs</h1>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1146849"></a>Use the <b>LOGS</b> tab to access a tabular listing of log records that have been logged by various resources within the cluster. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1146853"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1146854"></a>The columns displayed in the cluster <b>LOGS</b> tab are described in the following table.</p>


<a id="pgfId-1143183" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1143150"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1143152"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143154"></a>Date &amp; Time</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143156"></a>Datetime of the logged event.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143158"></a>Level</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143160"></a>The log level of the event. For a description of the log levels, see <a href="http://docs.marklogic.com/9.0/guide/admin/logfiles#id_37841" target="_blank">Understanding the Log Levels</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143168"></a>Cluster Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143170"></a>The name of the cluster on which the logged event occurred.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143172"></a>Host Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143174"></a>The name of the host on which the logged event occurred.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143176"></a>Message</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143178"></a>The logged error message.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143180"></a>Log File</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143182"></a>The full text of the logged event.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1143758"></a>You can export data from the cluster <b>LOGS</b> tab as a CSV (Comma Separated Values) file by clicking the Export icon  in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1143762"></a>The resulting CSV file will have the same columns as the Cluster Logs table in the UI. </li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1143763"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1143764"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1143765"></a>Data types of the fields in the CSV file correspond to those in the UI. in the case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1143766"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<p>Available help topics:</p>
<span><table width="50%" border="0" style="text-align: left"><tr><td rowspan="1" colspan="1"><ul xmlns="http://www.w3.org/1999/xhtml">
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster">Manage Clusters Tab</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-metrics">Cluster Metrics</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-info">Cluster Information</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-tasks">Cluster Tasks</a></li>
	  <li>Cluster Logs</li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-hosts">Cluster Hosts</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-databases">Cluster Databases</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-appservers">Cluster App Servers</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-forests">Cluster Forests</a></li>
	</ul></td></tr></table></span> </div>
   case element(manage-cluster-hosts) return
     <div id=" manage-cluster-hosts "> <p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=overview" xmlns="http://www.w3.org/1999/xhtml">Monitoring MarkLogic with Ops Director</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=navigation" xmlns="http://www.w3.org/1999/xhtml">Navigating and Filtering Ops Director Views</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=Manage" xmlns="http://www.w3.org/1999/xhtml">Manage View</a></p>
<h1 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1114190"></a><a id="73737"></a>Cluster Hosts</h1>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1146986"></a>Use the <b>HOSTS</b> tab to get the list of all hosts within the selected cluster. This tab shows host name as the first column, followed by other properties. Click the host name to navigate to the manage view of the selected host.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1146990"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1146991"></a>The columns displayed in the cluster <b>HOSTS</b> tab are described in the following table.</p>


<a id="pgfId-1143938" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1143879"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1143881"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143883"></a>Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143885"></a>The hostname of each host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143887"></a>Group</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143889"></a>The name of the group that contains each host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143891"></a>OS</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143893"></a>The name and version of the operating system on which each host runs.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143895"></a>Server Version</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143900"></a>The version of MarkLogic Server on each host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143902"></a>Forests</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143904"></a>The number of forests on each host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143906"></a>Databases</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143908"></a>The number of databases on each host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143910"></a>App Servers</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143912"></a>The number of App Servers on each host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143914"></a>Disk Space (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143916"></a>The amount of disk space (in MB) used on each host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143918"></a>Uptime</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143920"></a>The duration (Days Hrs:Min) each host has been available.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143922"></a>Maint. Mode</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143924"></a>The host maintenance mode (normal or maintenance) for each host. For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/rolling-upgrades#id_12339" target="_blank">Rolling Upgrades</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143932"></a>Zone</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143934"></a>The Amazon Web Services (AWS) zone in which each host resides, if applicable. For details, see <i>MarkLogic Server on Amazon Web Services (AWS) Guide</i>.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1143957"></a>You can export data from the Cluster Hosts tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1143961"></a>The resulting CSV file will have the same columns as the Cluster Hosts table in the UI. </li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1143962"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1143963"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1143964"></a>Data types of the fields in the CSV file correspond to those in the UI. in the case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1143965"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<p>Available help topics:</p>
<span><table width="50%" border="0" style="text-align: left"><tr><td rowspan="1" colspan="1"><ul xmlns="http://www.w3.org/1999/xhtml">
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster">Manage Clusters Tab</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-metrics">Cluster Metrics</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-info">Cluster Information</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-tasks">Cluster Tasks</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-logs">Cluster Logs</a></li>
	  <li>Cluster Hosts</li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-databases">Cluster Databases</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-appservers">Cluster App Servers</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-forests">Cluster Forests</a></li>
	</ul></td></tr></table></span> </div>
   case element(manage-cluster-databases) return
     <div id=" manage-cluster-databases "> <p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=overview" xmlns="http://www.w3.org/1999/xhtml">Monitoring MarkLogic with Ops Director</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=navigation" xmlns="http://www.w3.org/1999/xhtml">Navigating and Filtering Ops Director Views</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=Manage" xmlns="http://www.w3.org/1999/xhtml">Manage View</a></p>
<h1 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1143946"></a><a id="60978"></a>Cluster Databases</h1>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1147005"></a>Use the <b>DATABASES</b> tab to get a list of all the databases within the cluster, with database name as the first column followed by other properties. Click on the database name to navigate to the manage view of the selected database.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1147009"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1147010"></a>The columns displayed in the cluster <b>DATABASES</b> tab are described in the following table.</p>


<a id="pgfId-1134048" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1134058"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1134060"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134062"></a>Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134064"></a>Name of the database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134066"></a>Forests</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134068"></a>The number of forests used by the database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134070"></a>Disk Size (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134072"></a>The amount of disk space used by the database forests, in megabytes.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134074"></a>Documents</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134076"></a>The number of documents in the database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134078"></a>Last Backup</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134080"></a>The date and time of the last backup of the database. No value, if the database has never been backed up. For details on backing up a database, see <a href="http://docs.marklogic.com/9.0/guide/admin/backup_restore#id_93243" target="_blank">Backing Up and Restoring a Database</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134088"></a>Encryption</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134090"></a>Specifies whether or not encryption at rest is enabled for the database. For details, see <a href="http://docs.marklogic.com/9.0/guide/security/encryption#id_37353" target="_blank">Encryption at Rest</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134098"></a>HA</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134100"></a>Specifies whether or not shared disk failover is enabled. For details, see <a href="http://docs.marklogic.com/9.0/guide/cluster/failover#id_82157" target="_blank">High Availability of Data Nodes With Failover</a> in the <i>Scalability, Availability, and Failover Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134102"></a>Replication</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134104"></a>Specifies whether or not database replication is enabled (On/Off). For details, see the <i>Database Replication Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134106"></a>Replication Status</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134108"></a>Specifies whether or not database replication is configured for the database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134110"></a>Security DB</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134112"></a>The name of the security database used by the database. For details, see <a href="http://docs.marklogic.com/9.0/guide/security/security_db#id_66642" target="_blank">Administering Security</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134120"></a>Schemas DB</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134122"></a>The name of the schemas database used by the database. For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/schemas#id_43671" target="_blank">Understanding and Defining Schemas</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134130"></a>Triggers DB</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134132"></a>The name of the schemas database used by the database. For details, see <a href="http://docs.marklogic.com/9.0/guide/app-dev/triggers#id_17020" target="_blank">Using Triggers to Spawn Actions</a> in the <i>Application Developer's Guide</i>.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144003"></a>You can export data from the cluster <b>DATABASES</b> tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144007"></a>The resulting CSV file will have the same columns as the Cluster Databases table in the UI. </li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144008"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144009"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144010"></a>Data types of the fields in the CSV file correspond to those in the UI. in the case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144011"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<p>Available help topics:</p>
<span><table width="50%" border="0" style="text-align: left"><tr><td rowspan="1" colspan="1"><ul xmlns="http://www.w3.org/1999/xhtml">
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster">Manage Clusters Tab</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-metrics">Cluster Metrics</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-info">Cluster Information</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-tasks">Cluster Tasks</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-logs">Cluster Logs</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-hosts">Cluster Hosts</a></li>
	  <li>Cluster Databases</li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-appservers">Cluster App Servers</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-forests">Cluster Forests</a></li>
	</ul></td></tr></table></span> </div>
   case element(manage-cluster-appservers) return
     <div id=" manage-cluster-appservers "> <p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=overview" xmlns="http://www.w3.org/1999/xhtml">Monitoring MarkLogic with Ops Director</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=navigation" xmlns="http://www.w3.org/1999/xhtml">Navigating and Filtering Ops Director Views</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=Manage" xmlns="http://www.w3.org/1999/xhtml">Manage View</a></p>
<h1 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1114968"></a><a id="43885"></a>Cluster App Servers</h1>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1147587"></a>Use the <b>APP SERVERS</b> tab to get a list of all the application servers within the cluster, with App Server name as the first column followed by other properties. Click on the App Server name to navigate to the manage view of the selected application server.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1147591"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1147592"></a>The columns displayed in the cluster <b>APP SERVERS</b> tab are described in the following table.</p>


<a id="pgfId-1134193" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1134203"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1134205"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134211"></a>Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134213"></a>The name of the App Server.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134215"></a>Type</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134217"></a>The App Server type (HTTP, WebDAV, XDBC, ODBC).</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134219"></a>Database</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134221"></a>The name of the App Server content database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134223"></a>Port</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134225"></a>The port number used to access the App Server.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134227"></a>SSL</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134229"></a>Whether the App Server has SSL enabled (yes) or disabled (no). For details, see <a href="http://docs.marklogic.com/9.0/guide/security/SSL#id_85783" target="_blank">Configuring SSL on App Servers</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134231"></a>Group</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134233"></a>The name of the group to which the App Server belongs</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134235"></a>Modules DB+Root</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134237"></a>The name of the modules database, or if filesystem, the root directory.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134239"></a>Security</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144033"></a>The type of security (internal or external).</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144069"></a>You can export data from the cluster <b>APP SERVERS</b> tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144073"></a>The resulting CSV file will have the same columns as the Cluster App Servers table in the UI. </li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144074"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144075"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144076"></a>Data types of the fields in the CSV file correspond to those in the UI. in the case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144077"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<p>Available help topics:</p>
<span><table width="50%" border="0" style="text-align: left"><tr><td rowspan="1" colspan="1"><ul xmlns="http://www.w3.org/1999/xhtml">
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster">Manage Clusters Tab</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-metrics">Cluster Metrics</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-info">Cluster Information</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-tasks">Cluster Tasks</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-logs">Cluster Logs</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-hosts">Cluster Hosts</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-databases">Cluster Databases</a></li>
	  <li>Cluster App Servers</li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-forests">Cluster Forests</a></li>
	</ul></td></tr></table></span> </div>
   case element(manage-cluster-forests) return
     <div id=" manage-cluster-forests "> <p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=overview" xmlns="http://www.w3.org/1999/xhtml">Monitoring MarkLogic with Ops Director</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=navigation" xmlns="http://www.w3.org/1999/xhtml">Navigating and Filtering Ops Director Views</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=Manage" xmlns="http://www.w3.org/1999/xhtml">Manage View</a></p>
<h1 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144047"></a><a id="50320"></a>Cluster Forests</h1>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1139676"></a>Use the <b>FORESTS</b> tab to get a list of all the forests within the cluster, with forest name as the first column followed by other properties. Click on the forest name to navigate to the manage view of the selected forest.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1139741"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1139762"></a>The columns displayed in the cluster <b>FORESTS</b> tab are described in the following table.</p>


<a id="pgfId-1139806" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1139765"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1139767"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139769"></a>Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139771"></a>The name of the forest.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139773"></a>Host</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139775"></a>The forest host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139777"></a>Documents</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139779"></a>The number of documents in the forest.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139781"></a>Status</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139783"></a>The status of the forest. Enabled or Disabled.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139785"></a>Availability</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139787"></a>The availability of the forest. Online or Offline.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139795"></a>Fragments</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139910"></a>The number of active fragments (the fragments available to queries) in the forest.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139799"></a>Deleted Fragments</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139896"></a>The number of deleted fragments (the fragments to be removed by the next merge operation) in the forest.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139803"></a>Stands</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139990"></a>The number of stands in the forest. For more information on stands, see <a href="http://docs.marklogic.com/9.0/guide/concepts/data-management#id_85565" target="_blank">Databases, Forests, and Stands</a> in the <i>Concepts Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139876"></a>Size (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139878"></a>The size of the forest, in MB.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139872"></a>Encrypted Size (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140076"></a>The amount of encrypted data in the forest. For details on data encryption, see <a href="http://docs.marklogic.com/9.0/guide/security/encryption#id_37353" target="_blank">Encryption at Rest</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139868"></a>Free Space (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139870"></a>The number of MB of free space on this forest.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139864"></a>Large Data Size (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139954"></a>The amount of data in the large data directories of the forest. For more information on Large Data, see <a href="http://docs.marklogic.com/9.0/guide/app-dev/binaries#id_46976" target="_blank">Working With Binary Documents</a> in the <i>Application Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139860"></a>Fast Data Size (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139932"></a>The amount of data in the fast data directories of the forest. For more information on Fast Data, see <a href="http://docs.marklogic.com/9.0/guide/performance/disk-storage#id_17115" target="_blank">Fast Data Directory on Forests</a> in the <i>Query Performance and Tuning Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139856"></a>Failover Enabled</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140022"></a>Whether failover is enabled for the forest. For more information on stands, see <a href="http://docs.marklogic.com/9.0/guide/cluster/failover#id_82157" target="_blank">High Availability of Data Nodes With Failover</a> in the <i>Scalability, Availability, and Failover Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139852"></a>Replication</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140048"></a>Specifies whether or not database replication is enabled for this forest. For details, see the <i>Database Replication Guide</i>.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144112"></a>You can export data from the cluster <b>FORESTS</b> tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144116"></a>The resulting CSV file will have the same columns as the cluster FORESTS table in the UI. </li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144117"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144118"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144119"></a>Data types of the fields in the CSV file correspond to those in the UI. in the case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144120"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<p>Available help topics:</p>
<span><table width="50%" border="0" style="text-align: left"><tr><td rowspan="1" colspan="1"><ul xmlns="http://www.w3.org/1999/xhtml">
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster">Manage Clusters Tab</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-metrics">Cluster Metrics</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-info">Cluster Information</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-tasks">Cluster Tasks</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-logs">Cluster Logs</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-hosts">Cluster Hosts</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-databases">Cluster Databases</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-appservers">Cluster App Servers</a></li>
	  <li>Cluster Forests</li>
	</ul></td></tr></table></span> </div>
   case element(manage-host) return
     <div id=" manage-host "> <p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=overview" xmlns="http://www.w3.org/1999/xhtml">Monitoring MarkLogic with Ops Director</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=navigation" xmlns="http://www.w3.org/1999/xhtml">Navigating and Filtering Ops Director Views</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=Manage" xmlns="http://www.w3.org/1999/xhtml">Manage View</a></p>
<h1 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1114988"></a><a id="19801"></a>Manage Hosts Tab</h1>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1139085"></a>The <b>HOSTS</b> tab displays the list of hosts in your enterprise. </p>

<blockquote xmlns="http://www.w3.org/1999/xhtml"><p><b>Note:&#160;&#160;</b><a id="pgfId-1124350"></a>You can only see the hosts to which you have access. For access rules, see <a href="http://docs.marklogic.com/9.0/guide/opsdir/intro#id_93519" target="_blank">Access Inheritance in Resource Groups</a> in the <em xmlns="">Ops Director Guide</em>.</p></blockquote>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1134349"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1134419"></a>The columns displayed in the manage <b>HOSTS</b> tab are described in the following table.</p>


<a id="pgfId-1134413" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1134353"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1134355"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140379"></a>Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140381"></a>The hostname of the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134357"></a>Cluster</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134359"></a>The name of the cluster on which the host resides.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134365"></a>Group</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134367"></a>The name of the group that contains the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134369"></a>OS</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134371"></a>The name and version of the operating system on which the host runs.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134373"></a>Server Version</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134375"></a>The version of MarkLogic Server on the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134377"></a>Forests</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134379"></a>The number of forests on the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134381"></a>Databases</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134383"></a>The number of databases on the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134385"></a>App Servers</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134387"></a>The number of App Servers on the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134389"></a>Disk Space (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134391"></a>The amount of disk space (in MB) used on the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134393"></a>Uptime</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134395"></a>The duration (Days Hrs:Min) the host has been available.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134397"></a>Maint. Mode</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134399"></a>The host maintenance mode (normal or maintenance). For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/rolling-upgrades#id_12339" target="_blank">Rolling Upgrades</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134407"></a>Zone</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134409"></a>The Amazon Web Services (AWS) zone in which the host resides, if applicable. For details, see <i>MarkLogic Server on Amazon Web Services (AWS) Guide</i>.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144154"></a>You can export data from the manage <b>HOSTS</b> tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144158"></a>The resulting CSV file will have the same columns as the Manage Hosts table in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144159"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144160"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144161"></a>Data types of the fields in the CSV file correspond to those in the UI. In the case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144162"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144142"></a>To drill down for a particular host, click on the host name in the host table. You will see the following content tabs, each one representing an information category for the selected host:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1133084"></a><a href="#19788">Host Metrics</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1133138"></a><a href="#43361">Host Information</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1133160"></a><a href="#92022">Host Tasks</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1133182"></a><a href="#74979">Host Logs</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1133204"></a><a href="#10111">Host Databases</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1133228"></a><a href="#51540">Host App Servers</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1140330"></a><a href="#56062">Host Forests</a></li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1146021"></a>You can export all tables from the content tabs for a particular host. When you select a specific host (either in the left side resource navigation panel or in the content area of the view), the <b>Actions</b> menu becomes available in the upper right corner.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1145984"></a>From the <b>Actions</b> menu, select <b>Download all tables</b> to export all tables for this particular host.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1146266"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1147690"></a>A zip file with all exported tables for this host will be downloaded to your computer. Each table is represented by a corresponding CSV file. The zip file will contain the following CSV files for the host:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1147694"></a>Tasks CSV file (see the <a href="#92022">Host Tasks</a> section for details on the contents)</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1147698"></a>Databases CVS file (see the <a href="#10111">Host Databases</a> section for details on the contents)</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1146069"></a>App Servers CVS file (see the <a href="#51540">Host App Servers</a> section for details on the contents)</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1146073"></a>Forests CVS file (see the <a href="#56062">Host Forests</a> section for details on the contents)</li>
</ul>

<blockquote xmlns="http://www.w3.org/1999/xhtml"><p><b>Note:&#160;&#160;</b><a id="pgfId-1146074"></a>For a host, exported tables will not include Logs table. This table can be exported from the <b>LOGS</b> tab of that host, but not as part of the <b>Download all tables</b> operation.</p></blockquote>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1114978"></a><a id="19788"></a>Host Metrics</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1112505"></a>Select a single host from the navigation tree. The <b>METRICS</b> tab displays key indicators allowing administrators to determine the health of the selected resource. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1123633"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1146005"></a>To filter the data used for rendering the graphs, select a pre-defined time period or specify a custom time period, as described in <a href="http://docs.marklogic.com/9.0/guide/opsdir/Navigation#id_89836" target="_blank">Date and Time Filters</a> in the <em xmlns="">Ops Director Guide</em>.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1145997"></a>The metrics displayed by charts on the host <b>METRICS</b> tab are described in the following table.</p>


<a id="pgfId-1115903" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1115864"></a>Chart</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1115866"></a>Definition of Displayed Metric</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115868"></a>Disk I/O</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115870"></a>Disk I/O in MB/sec. For details, see <a href="http://docs.marklogic.com/9.0/guide/opsdir/Analyse#id_21175" target="_blank">Disk Performance Data</a> in the <em xmlns="">Ops Director Guide</em>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115880"></a>CPU</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1131177"></a>The aggregate I/O performance data for the CPUs in the host. For details, see <a href="http://docs.marklogic.com/9.0/guide/opsdir/Analyse#id_71159" target="_blank">CPU Performance Data</a> in the <em xmlns="">Ops Director Guide</em>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115884"></a>Memory Footprint</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115886"></a>The total amount (in MB) of memory consumed by this host.</p><p><a id="pgfId-1115887"></a>The displayed metrics are:</p><ul>
	  <li><a id="pgfId-1115888"></a>RSS: The total amount of MB of Process Resident Size (RSS) consumed by the host.</li>
	</ul><ul>
	  <li><a id="pgfId-1115889"></a>Anon: The total amount of MB of Process Anonymous Memory consumed by the host.</li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115891"></a>Memory Size</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115893"></a>The amount of space (in MB) forest data files for this host take up in memory.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115923"></a>Memory I/O</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1116312"></a>The number of pages per second moved between memory and disk.</p><p><a id="pgfId-1116313"></a>The displayed metrics are:</p><ul>
	  <li><a id="pgfId-1116314"></a>Page-In Rate: The page-in rate (from Linux /proc/vmstat) for the host in pages per second.</li>
	</ul><ul>
	  <li><a id="pgfId-1116315"></a>Page-Out Rate: The page-out rate (from Linux /proc/vmstat) for the host in pages per second.</li>
	</ul><ul>
	  <li><a id="pgfId-1116316"></a>Swap-In Rate: The swap-in rate (from Linux /proc/vmstat) for the host in pages per second.</li>
	</ul><ul>
	  <li><a id="pgfId-1115925"></a>Swap-Out Rate: The swap-out rate (from Linux /proc/vmstat) for the host in pages per second.</li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115895"></a>Network</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115897"></a>Various XDQP performance metrics as the sum of XDQP activity for this host. For details, see <a href="http://docs.marklogic.com/9.0/guide/opsdir/Analyse#id_94112" target="_blank">Network Performance Data</a> in the <em xmlns="">Ops Director Guide</em>.</p></td>
    </tr></table></span>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1120800"></a><a id="43361"></a>Host Information</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1124512"></a>Use the <b>INFORMATION</b> tab to access properties of the selected host.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1123714"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1123700"></a>The properties displayed in the host <b>INFORMATION</b> tab are described in the following table.</p>


<a id="pgfId-1120806" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1121062"></a>Field</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1121064"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139569"></a>Bind Port</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139571"></a>The port on which the host to handle inter-host communication within this cluster. For details, see <a href="http://docs.marklogic.com/9.0/guide/concepts/backup-replication#id_94470" target="_blank">Inter-cluster Communication</a> in the <i>Concepts Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139610"></a>Bootstrap Host</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139612"></a>Whether this host is a bootstrap host (true). If not, the value is false.</p><p><a id="pgfId-1139619"></a>For details, see <a href="http://docs.marklogic.com/9.0/guide/concepts/backup-replication#id_77901" target="_blank">Bootstrap Hosts</a> in the <i>Concepts Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139583"></a>Foreign Bind Port</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139585"></a>The port used by the host to handle XDQP communication with foreign clusters. For details, see <a href="http://docs.marklogic.com/9.0/guide/concepts/backup-replication#id_77901" target="_blank">Bootstrap Hosts</a> in the <i>Concepts Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139593"></a>Group</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139598"></a>The group to which this host belongs. For details on groups, see <a href="http://docs.marklogic.com/9.0/guide/admin/groups#id_34776" target="_blank">Groups</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1121070"></a>Host Mode</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1124187"></a>The host maintenance mode (normal or maintenance). For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/rolling-upgrades#id_12339" target="_blank">Rolling Upgrades</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1121078"></a>Host Mode Description</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1121080"></a>Description of the host mode, if set.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1121094"></a>Host Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1121096"></a>The name of the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139603"></a>Zone</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139605"></a>The Amazon Web Services (AWS) zone in which the host resides, if applicable. For details, see <i>MarkLogic Server on Amazon Web Services (AWS) Guide</i>.</p></td>
    </tr></table></span>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1120801"></a><a id="92022"></a>Host Tasks</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1142099"></a>Use the <b>TASKS</b> tab for an up-to-date report on tasks that are currently running or scheduled to run on this host.</p>

<blockquote xmlns="http://www.w3.org/1999/xhtml"><p><b>Note:&#160;&#160;</b><a id="pgfId-1124571"></a>You can only see the tasks for the hosts to which you have access.For access rules, see <a href="http://docs.marklogic.com/9.0/guide/opsdir/intro#id_93519" target="_blank">Access Inheritance in Resource Groups</a> in the <em xmlns="">Ops Director Guide</em>.</p></blockquote>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1123883"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1143246"></a>The columns displayed in the Host Tasks tab are described in the following table.</p>


<a id="pgfId-1143308" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1143249"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1143251"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143253"></a>Cluster</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143255"></a>Cluster on which the task host is located.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143257"></a>Host</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143259"></a>The hostname of the host computer on which the scheduled module is to be invoked.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143261"></a>Enabled</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143263"></a>Whether the task is enabled (true) or disabled (false).</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143265"></a>Task Root</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143267"></a>The root directory (filesystem) or URI root (database) that contains the module.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143269"></a>Task Path</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143271"></a>The module the task is to invoke.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143273"></a>Task Type</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143275"></a>The task type:</p><ul>
	  <li><a id="pgfId-1143276"></a><b>minutely</b> specifies how many minutes between each invocation of the module.</li>
	</ul><ul>
	  <li><a id="pgfId-1143277"></a><b>hourly</b> specifies how many hours and minutes between each invocation of the module.</li>
	</ul><ul>
	  <li><a id="pgfId-1143278"></a><b>daily</b> specifies how many days between each invocation of the module and the time of day (in 24:00 notation).</li>
	</ul><ul>
	  <li><a id="pgfId-1143279"></a><b>weekly</b> specifies how many weeks between each invocation of the module, check one or more days of the week, and the time of day (in 24:00 notation) for the task to start.</li>
	</ul><ul>
	  <li><a id="pgfId-1143280"></a><b>monthly</b> specifies how many months between each invocation of the module, select one day of the month (1-31), and the time of day (in 24:00 notation) for the task to start.</li>
	</ul><ul>
	  <li><a id="pgfId-1143281"></a><b>one-time</b> specifies the start date in MM/DD/YYYY notation (for example, 07/29/2009 for July 29, 2009) and time in 24:00 notation.</li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143283"></a>Task Period</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143285"></a>How often the module is to be invoked (every <i>N</i> months, weeks, days, hours, or minutes).</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143287"></a>Created on</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143289"></a>The datetime the task was created.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143291"></a>Database</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143293"></a>The database to which the scheduled module connects for query execution.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143295"></a>Task Modules</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143297"></a>The name of the database in which the scheduled module locates the application code. If set to (filesystem), any files in the specified task root directory are executable (given the proper permissions). If set to a database, any documents in the database whose URI begins with the specified task root directory are executable.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143299"></a>User</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143301"></a>The user with permission to invoke the module.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143303"></a>Priority</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143305"></a>The priority of the task:</p><ul>
	  <li><a id="pgfId-1143306"></a>normal specifies the task is queued with normal priority.</li>
	</ul><ul>
	  <li><a id="pgfId-1143307"></a>higher specifies the task is queued with higher priority.</li>
	</ul></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144186"></a>You can export data from the Host Tasks tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144190"></a>The resulting CSV file will have the same columns as the Host Tasks table in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1147305"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1147306"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144193"></a>Data types of the fields in the CSV file correspond to those in the UI. in the case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144194"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1142178"></a><a id="74979"></a>Host Logs</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1142179"></a>Use the <b>LOGS</b> tab to access a tabular listing of log records of the host.</p>

<blockquote xmlns="http://www.w3.org/1999/xhtml"><p><b>Note:&#160;&#160;</b><a id="pgfId-1124328"></a>You can only see the logs from the hosts to which you have access. For access rules, see <a href="http://docs.marklogic.com/9.0/guide/opsdir/intro#id_93519" target="_blank">Access Inheritance in Resource Groups</a> in the <em xmlns="">Ops Director Guide</em>.</p></blockquote>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1123926"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1143460"></a>The columns displayed in the host <b>LOGS</b> tab are described in the following table.</p>


<a id="pgfId-1143496" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1143463"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1143465"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143467"></a>Date &amp; Time</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143469"></a>Datetime of the logged event.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143471"></a>Level</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143473"></a>The log level of the event. For a description of the log levels, see <a href="http://docs.marklogic.com/9.0/guide/admin/logfiles#id_37841" target="_blank">Understanding the Log Levels</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143481"></a>Cluster Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143483"></a>The name of the cluster on which the logged event occurred.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143485"></a>Host Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143487"></a>The name of the host on which the logged event occurred.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143489"></a>Message</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143491"></a>The logged error message.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143493"></a>Log File</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143495"></a>The full text of the logged event.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144221"></a>You can export data from the host <b>LOGS</b> tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144225"></a>The resulting CSV file will have the same columns as the Host Logs table in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144226"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144227"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144228"></a>Data types of the fields in the CSV file correspond to those in the UI. in the case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144229"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1120775"></a><a id="10111"></a>Host Databases</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1142216"></a>Use the <b>DATABASES</b> tab to get a list of all the databases within the host, with database name as the first column followed by other properties. Click on the database name to navigate to the <b>METRICS</b> view of the selected database.</p>

<blockquote xmlns="http://www.w3.org/1999/xhtml"><p><b>Note:&#160;&#160;</b><a id="pgfId-1124364"></a>Access to databases of a host is implicit if you have access to that host. For access rules, see <a href="http://docs.marklogic.com/9.0/guide/opsdir/intro#id_93519" target="_blank">Access Inheritance in Resource Groups</a> in the <em xmlns="">Ops Director Guide</em>.</p></blockquote>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1123945"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1134442"></a>The columns displayed in the host <b>DATABASES</b> tab are described in the following table.</p>


<a id="pgfId-1134526" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1134445"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1134447"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134449"></a>Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134451"></a>Name of the database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134453"></a>Forests</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134455"></a>The number of forests used by the database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134457"></a>Disk Size (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134459"></a>The amount of disk space used by the database forests, in megabytes.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134461"></a>Documents</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134463"></a>The number of documents in the database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134465"></a>Last Backup</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134467"></a>The data-time of the last backup of the database. No value, if the database has never been backed up. For details on backing up a database, see <a href="http://docs.marklogic.com/9.0/guide/admin/backup_restore#id_93243" target="_blank">Backing Up and Restoring a Database</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134475"></a>Encryption</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134477"></a>Specifies whether or not encryption at rest is enabled for the database. For details, see <a href="http://docs.marklogic.com/9.0/guide/security/encryption#id_37353" target="_blank">Encryption at Rest</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134485"></a>HA</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139207"></a>Specifies whether or not shared disk failover is enabled. For details, see <a href="http://docs.marklogic.com/9.0/guide/cluster/failover#id_82157" target="_blank">High Availability of Data Nodes With Failover</a> in the <i>Scalability, Availability, and Failover Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134489"></a>Replication</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139275"></a>Specifies whether or not database replication is enabled. For details, see the <i>Database Replication Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134493"></a>Replication Status</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134495"></a>Specifies whether or not database replication is configured for the database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134497"></a>Security DB</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134499"></a>The name of the security database used by the database. For details, see <a href="http://docs.marklogic.com/9.0/guide/security/security_db#id_66642" target="_blank">Administering Security</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134507"></a>Schemas DB</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134509"></a>The name of the schemas database used by the database. For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/schemas#id_43671" target="_blank">Understanding and Defining Schemas</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134517"></a>Triggers DB</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134519"></a>The name of the schemas database used by the database. For details, see <a href="http://docs.marklogic.com/9.0/guide/app-dev/triggers#id_17020" target="_blank">Using Triggers to Spawn Actions</a> in the <i>Application Developer's Guide</i>.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144274"></a>You can export data from the host <b>DATABASES</b> tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144278"></a>The resulting CSV file will have the same columns as the Host Databases table in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144279"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144280"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144281"></a>Data types of the fields in the CSV file correspond to those in the UI. in the case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144282"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1120789"></a><a id="51540"></a>Host App Servers</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1142298"></a>Use the <b>APP SERVERS</b> tab to get the list of all the application servers within the host, with App Server name as the first column followed by other properties. Click on the App Server name to navigate to the manage view of the selected application server.</p>

<blockquote xmlns="http://www.w3.org/1999/xhtml"><p><b>Note:&#160;&#160;</b><a id="pgfId-1124410"></a>Access to App Servers is not implicit with host access. For access rules, see <a href="http://docs.marklogic.com/9.0/guide/opsdir/intro#id_93519" target="_blank">Access Inheritance in Resource Groups</a> in the <em xmlns="">Ops Director Guide</em>.</p></blockquote>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1123986"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1134547"></a>The columns displayed in the host <b>APP SERVERS</b> tab are described in the following table.</p>


<a id="pgfId-1134585" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1134550"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1134552"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134554"></a>Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134556"></a>The name of the App Server.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134558"></a>Type</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134560"></a>The App Server type (HTTP, WebDAV, XDBC, ODBC).</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134562"></a>Database</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134564"></a>The name of the App Server content database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134566"></a>Port</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134568"></a>The port number used to access the App Server.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134570"></a>SSL</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134572"></a>Whether the App Server has SSL enabled (yes) or disabled (no). For details, see <a href="http://docs.marklogic.com/9.0/guide/security/SSL#id_85783" target="_blank">Configuring SSL on App Servers</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134574"></a>Group</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134576"></a>The name of the group to which the App Server belongs</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134578"></a>Modules DB+Root</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134580"></a>The name of the modules database, or if filesystem, the root directory.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134582"></a>Security</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134584"></a>The type of security (internal or external).</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144317"></a>You can export data from the host <b>APP SERVERS</b> tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144321"></a>The resulting CSV file will have the same columns as the Host App Servers table in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144322"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144323"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144324"></a>Data types of the fields in the CSV file correspond to those in the UI. in the case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144325"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1140199"></a><a id="56062"></a>Host Forests</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1140200"></a>Use the <b>FORESTS</b> tab to get a list of all the forests within the host, with forest name as the first column, followed by other properties. Click on the forest name to navigate to the manage view of the selected forest.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1140204"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1140205"></a>The columns displayed in the host <b>FORESTS</b> tab are described in the following table.</p>


<a id="pgfId-1140304" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1140208"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1140210"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140212"></a>Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140214"></a>The name of the forest.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140220"></a>Documents</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140222"></a>The number of documents in the forest.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140224"></a>Status</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140226"></a>The status of the forest. <code>Enabled</code> or <code>Disabled</code>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140228"></a>Availability</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140230"></a>The availability of the forest. <code>Online</code> or <code>Offline</code>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140232"></a>Fragments</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140234"></a>The number of active fragments (the fragments available to queries) in the forest.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140236"></a>Deleted Fragments</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140238"></a>The number of deleted fragments (the fragments to be removed by the next merge operation) in the forest.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140240"></a>Stands</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140242"></a>The number of stands in the forest. For more information on stands, see <a href="http://docs.marklogic.com/9.0/guide/concepts/data-management#id_85565" target="_blank">Databases, Forests, and Stands</a> in the <i>Concepts Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140250"></a>Size (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140252"></a>The size of the forest, in MB.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140254"></a>Encrypted Size (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140256"></a>The amount of encrypted data in the forest. For details on data encryption, see <a href="http://docs.marklogic.com/9.0/guide/security/encryption#id_37353" target="_blank">Encryption at Rest</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140264"></a>Free Space (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140266"></a>The number of MB of free space on this forest.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140268"></a>Large Data Size (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140270"></a>The amount of data in the large data directories of the forest. For more information on Large Data, see <a href="http://docs.marklogic.com/9.0/guide/app-dev/binaries#id_46976" target="_blank">Working With Binary Documents</a> in the <i>Application Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140278"></a>Fast Data Size (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140280"></a>The amount of data in the fast data directories of the forest. For more information on Fast Data, see <a href="http://docs.marklogic.com/9.0/guide/performance/disk-storage#id_17115" target="_blank">Fast Data Directory on Forests</a> in the <i>Query Performance and Tuning Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140288"></a>Failover Enabled</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140290"></a>Whether failover is enabled for the forest. For more information on stands, see <a href="http://docs.marklogic.com/9.0/guide/cluster/failover#id_82157" target="_blank">High Availability of Data Nodes With Failover</a> in the <i>Scalability, Availability, and Failover Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140298"></a>Replication</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140300"></a>Specifies whether or not database replication is enabled for this forest. For details, see the <i>Database Replication Guide</i>.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144360"></a>You can export data from the host <b>FORESTS</b> tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144364"></a>The resulting CSV file will have the same columns as the host FORESTS table in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144365"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144366"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144367"></a>Data types of the fields in the CSV file correspond to those in the UI. in the case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144368"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<p>Available help topics:</p>
<span><table width="50%" border="0" style="text-align: left"><tr><td rowspan="1" colspan="1"><ul xmlns="http://www.w3.org/1999/xhtml">
	  <li>Manage Hosts Tab</li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host-metrics">Host Metrics</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host-info">Host Information</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host-tasks">Host Tasks</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host-logs">Host Logs</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host-databases">Host Databases</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host-appservers">Host App Servers</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host-forests">Host Forests</a></li>
	</ul></td></tr></table></span> </div>
   case element(manage-host-metrics) return
     <div id=" manage-host-metrics "> <p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=overview" xmlns="http://www.w3.org/1999/xhtml">Monitoring MarkLogic with Ops Director</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=navigation" xmlns="http://www.w3.org/1999/xhtml">Navigating and Filtering Ops Director Views</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=Manage" xmlns="http://www.w3.org/1999/xhtml">Manage View</a></p>
<h1 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1114978"></a><a id="19788"></a>Host Metrics</h1>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1112505"></a>Select a single host from the navigation tree. The <b>METRICS</b> tab displays key indicators allowing administrators to determine the health of the selected resource. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1123633"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1146005"></a>To filter the data used for rendering the graphs, select a pre-defined time period or specify a custom time period, as described in <a href="http://docs.marklogic.com/9.0/guide/opsdir/Navigation#id_89836" target="_blank">Date and Time Filters</a> in the <em xmlns="">Ops Director Guide</em>.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1145997"></a>The metrics displayed by charts on the host <b>METRICS</b> tab are described in the following table.</p>


<a id="pgfId-1115903" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1115864"></a>Chart</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1115866"></a>Definition of Displayed Metric</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115868"></a>Disk I/O</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115870"></a>Disk I/O in MB/sec. For details, see <a href="http://docs.marklogic.com/9.0/guide/opsdir/Analyse#id_21175" target="_blank">Disk Performance Data</a> in the <em xmlns="">Ops Director Guide</em>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115880"></a>CPU</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1131177"></a>The aggregate I/O performance data for the CPUs in the host. For details, see <a href="http://docs.marklogic.com/9.0/guide/opsdir/Analyse#id_71159" target="_blank">CPU Performance Data</a> in the <em xmlns="">Ops Director Guide</em>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115884"></a>Memory Footprint</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115886"></a>The total amount (in MB) of memory consumed by this host.</p><p><a id="pgfId-1115887"></a>The displayed metrics are:</p><ul>
	  <li><a id="pgfId-1115888"></a>RSS: The total amount of MB of Process Resident Size (RSS) consumed by the host.</li>
	</ul><ul>
	  <li><a id="pgfId-1115889"></a>Anon: The total amount of MB of Process Anonymous Memory consumed by the host.</li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115891"></a>Memory Size</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115893"></a>The amount of space (in MB) forest data files for this host take up in memory.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115923"></a>Memory I/O</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1116312"></a>The number of pages per second moved between memory and disk.</p><p><a id="pgfId-1116313"></a>The displayed metrics are:</p><ul>
	  <li><a id="pgfId-1116314"></a>Page-In Rate: The page-in rate (from Linux /proc/vmstat) for the host in pages per second.</li>
	</ul><ul>
	  <li><a id="pgfId-1116315"></a>Page-Out Rate: The page-out rate (from Linux /proc/vmstat) for the host in pages per second.</li>
	</ul><ul>
	  <li><a id="pgfId-1116316"></a>Swap-In Rate: The swap-in rate (from Linux /proc/vmstat) for the host in pages per second.</li>
	</ul><ul>
	  <li><a id="pgfId-1115925"></a>Swap-Out Rate: The swap-out rate (from Linux /proc/vmstat) for the host in pages per second.</li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115895"></a>Network</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115897"></a>Various XDQP performance metrics as the sum of XDQP activity for this host. For details, see <a href="http://docs.marklogic.com/9.0/guide/opsdir/Analyse#id_94112" target="_blank">Network Performance Data</a> in the <em xmlns="">Ops Director Guide</em>.</p></td>
    </tr></table></span>

<p>Available help topics:</p>
<span><table width="50%" border="0" style="text-align: left"><tr><td rowspan="1" colspan="1"><ul xmlns="http://www.w3.org/1999/xhtml">
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host">Manage Hosts Tab</a></li>
	  <li>Host Metrics</li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host-info">Host Information</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host-tasks">Host Tasks</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host-logs">Host Logs</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host-databases">Host Databases</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host-appservers">Host App Servers</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host-forests">Host Forests</a></li>
	</ul></td></tr></table></span> </div>
   case element(manage-host-info) return
     <div id=" manage-host-info "> <p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=overview" xmlns="http://www.w3.org/1999/xhtml">Monitoring MarkLogic with Ops Director</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=navigation" xmlns="http://www.w3.org/1999/xhtml">Navigating and Filtering Ops Director Views</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=Manage" xmlns="http://www.w3.org/1999/xhtml">Manage View</a></p>
<h1 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1120800"></a><a id="43361"></a>Host Information</h1>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1124512"></a>Use the <b>INFORMATION</b> tab to access properties of the selected host.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1123714"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1123700"></a>The properties displayed in the host <b>INFORMATION</b> tab are described in the following table.</p>


<a id="pgfId-1120806" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1121062"></a>Field</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1121064"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139569"></a>Bind Port</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139571"></a>The port on which the host to handle inter-host communication within this cluster. For details, see <a href="http://docs.marklogic.com/9.0/guide/concepts/backup-replication#id_94470" target="_blank">Inter-cluster Communication</a> in the <i>Concepts Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139610"></a>Bootstrap Host</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139612"></a>Whether this host is a bootstrap host (true). If not, the value is false.</p><p><a id="pgfId-1139619"></a>For details, see <a href="http://docs.marklogic.com/9.0/guide/concepts/backup-replication#id_77901" target="_blank">Bootstrap Hosts</a> in the <i>Concepts Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139583"></a>Foreign Bind Port</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139585"></a>The port used by the host to handle XDQP communication with foreign clusters. For details, see <a href="http://docs.marklogic.com/9.0/guide/concepts/backup-replication#id_77901" target="_blank">Bootstrap Hosts</a> in the <i>Concepts Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139593"></a>Group</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139598"></a>The group to which this host belongs. For details on groups, see <a href="http://docs.marklogic.com/9.0/guide/admin/groups#id_34776" target="_blank">Groups</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1121070"></a>Host Mode</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1124187"></a>The host maintenance mode (normal or maintenance). For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/rolling-upgrades#id_12339" target="_blank">Rolling Upgrades</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1121078"></a>Host Mode Description</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1121080"></a>Description of the host mode, if set.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1121094"></a>Host Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1121096"></a>The name of the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139603"></a>Zone</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139605"></a>The Amazon Web Services (AWS) zone in which the host resides, if applicable. For details, see <i>MarkLogic Server on Amazon Web Services (AWS) Guide</i>.</p></td>
    </tr></table></span>

<p>Available help topics:</p>
<span><table width="50%" border="0" style="text-align: left"><tr><td rowspan="1" colspan="1"><ul xmlns="http://www.w3.org/1999/xhtml">
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host">Manage Hosts Tab</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host-metrics">Host Metrics</a></li>
	  <li>Host Information</li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host-tasks">Host Tasks</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host-logs">Host Logs</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host-databases">Host Databases</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host-appservers">Host App Servers</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host-forests">Host Forests</a></li>
	</ul></td></tr></table></span> </div>
   case element(manage-host-tasks) return
     <div id=" manage-host-tasks "> <p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=overview" xmlns="http://www.w3.org/1999/xhtml">Monitoring MarkLogic with Ops Director</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=navigation" xmlns="http://www.w3.org/1999/xhtml">Navigating and Filtering Ops Director Views</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=Manage" xmlns="http://www.w3.org/1999/xhtml">Manage View</a></p>
<h1 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1120801"></a><a id="92022"></a>Host Tasks</h1>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1142099"></a>Use the <b>TASKS</b> tab for an up-to-date report on tasks that are currently running or scheduled to run on this host.</p>

<blockquote xmlns="http://www.w3.org/1999/xhtml"><p><b>Note:&#160;&#160;</b><a id="pgfId-1124571"></a>You can only see the tasks for the hosts to which you have access.For access rules, see <a href="http://docs.marklogic.com/9.0/guide/opsdir/intro#id_93519" target="_blank">Access Inheritance in Resource Groups</a> in the <em xmlns="">Ops Director Guide</em>.</p></blockquote>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1123883"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1143246"></a>The columns displayed in the Host Tasks tab are described in the following table.</p>


<a id="pgfId-1143308" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1143249"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1143251"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143253"></a>Cluster</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143255"></a>Cluster on which the task host is located.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143257"></a>Host</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143259"></a>The hostname of the host computer on which the scheduled module is to be invoked.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143261"></a>Enabled</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143263"></a>Whether the task is enabled (true) or disabled (false).</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143265"></a>Task Root</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143267"></a>The root directory (filesystem) or URI root (database) that contains the module.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143269"></a>Task Path</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143271"></a>The module the task is to invoke.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143273"></a>Task Type</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143275"></a>The task type:</p><ul>
	  <li><a id="pgfId-1143276"></a><b>minutely</b> specifies how many minutes between each invocation of the module.</li>
	</ul><ul>
	  <li><a id="pgfId-1143277"></a><b>hourly</b> specifies how many hours and minutes between each invocation of the module.</li>
	</ul><ul>
	  <li><a id="pgfId-1143278"></a><b>daily</b> specifies how many days between each invocation of the module and the time of day (in 24:00 notation).</li>
	</ul><ul>
	  <li><a id="pgfId-1143279"></a><b>weekly</b> specifies how many weeks between each invocation of the module, check one or more days of the week, and the time of day (in 24:00 notation) for the task to start.</li>
	</ul><ul>
	  <li><a id="pgfId-1143280"></a><b>monthly</b> specifies how many months between each invocation of the module, select one day of the month (1-31), and the time of day (in 24:00 notation) for the task to start.</li>
	</ul><ul>
	  <li><a id="pgfId-1143281"></a><b>one-time</b> specifies the start date in MM/DD/YYYY notation (for example, 07/29/2009 for July 29, 2009) and time in 24:00 notation.</li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143283"></a>Task Period</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143285"></a>How often the module is to be invoked (every <i>N</i> months, weeks, days, hours, or minutes).</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143287"></a>Created on</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143289"></a>The datetime the task was created.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143291"></a>Database</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143293"></a>The database to which the scheduled module connects for query execution.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143295"></a>Task Modules</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143297"></a>The name of the database in which the scheduled module locates the application code. If set to (filesystem), any files in the specified task root directory are executable (given the proper permissions). If set to a database, any documents in the database whose URI begins with the specified task root directory are executable.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143299"></a>User</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143301"></a>The user with permission to invoke the module.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143303"></a>Priority</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143305"></a>The priority of the task:</p><ul>
	  <li><a id="pgfId-1143306"></a>normal specifies the task is queued with normal priority.</li>
	</ul><ul>
	  <li><a id="pgfId-1143307"></a>higher specifies the task is queued with higher priority.</li>
	</ul></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144186"></a>You can export data from the Host Tasks tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144190"></a>The resulting CSV file will have the same columns as the Host Tasks table in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1147305"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1147306"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144193"></a>Data types of the fields in the CSV file correspond to those in the UI. in the case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144194"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<p>Available help topics:</p>
<span><table width="50%" border="0" style="text-align: left"><tr><td rowspan="1" colspan="1"><ul xmlns="http://www.w3.org/1999/xhtml">
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host">Manage Hosts Tab</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host-metrics">Host Metrics</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host-info">Host Information</a></li>
	  <li>Host Tasks</li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host-logs">Host Logs</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host-databases">Host Databases</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host-appservers">Host App Servers</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host-forests">Host Forests</a></li>
	</ul></td></tr></table></span> </div>
   case element(manage-host-logs) return
     <div id=" manage-host-logs "> <p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=overview" xmlns="http://www.w3.org/1999/xhtml">Monitoring MarkLogic with Ops Director</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=navigation" xmlns="http://www.w3.org/1999/xhtml">Navigating and Filtering Ops Director Views</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=Manage" xmlns="http://www.w3.org/1999/xhtml">Manage View</a></p>
<h1 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1142178"></a><a id="74979"></a>Host Logs</h1>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1142179"></a>Use the <b>LOGS</b> tab to access a tabular listing of log records of the host.</p>

<blockquote xmlns="http://www.w3.org/1999/xhtml"><p><b>Note:&#160;&#160;</b><a id="pgfId-1124328"></a>You can only see the logs from the hosts to which you have access. For access rules, see <a href="http://docs.marklogic.com/9.0/guide/opsdir/intro#id_93519" target="_blank">Access Inheritance in Resource Groups</a> in the <em xmlns="">Ops Director Guide</em>.</p></blockquote>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1123926"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1143460"></a>The columns displayed in the host <b>LOGS</b> tab are described in the following table.</p>


<a id="pgfId-1143496" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1143463"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1143465"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143467"></a>Date &amp; Time</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143469"></a>Datetime of the logged event.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143471"></a>Level</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143473"></a>The log level of the event. For a description of the log levels, see <a href="http://docs.marklogic.com/9.0/guide/admin/logfiles#id_37841" target="_blank">Understanding the Log Levels</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143481"></a>Cluster Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143483"></a>The name of the cluster on which the logged event occurred.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143485"></a>Host Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143487"></a>The name of the host on which the logged event occurred.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143489"></a>Message</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143491"></a>The logged error message.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143493"></a>Log File</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143495"></a>The full text of the logged event.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144221"></a>You can export data from the host <b>LOGS</b> tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144225"></a>The resulting CSV file will have the same columns as the Host Logs table in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144226"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144227"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144228"></a>Data types of the fields in the CSV file correspond to those in the UI. in the case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144229"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<p>Available help topics:</p>
<span><table width="50%" border="0" style="text-align: left"><tr><td rowspan="1" colspan="1"><ul xmlns="http://www.w3.org/1999/xhtml">
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host">Manage Hosts Tab</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host-metrics">Host Metrics</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host-info">Host Information</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host-tasks">Host Tasks</a></li>
	  <li>Host Logs</li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host-databases">Host Databases</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host-appservers">Host App Servers</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host-forests">Host Forests</a></li>
	</ul></td></tr></table></span> </div>
   case element(manage-host-databases) return
     <div id=" manage-host-databases "> <p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=overview" xmlns="http://www.w3.org/1999/xhtml">Monitoring MarkLogic with Ops Director</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=navigation" xmlns="http://www.w3.org/1999/xhtml">Navigating and Filtering Ops Director Views</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=Manage" xmlns="http://www.w3.org/1999/xhtml">Manage View</a></p>
<h1 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1120775"></a><a id="10111"></a>Host Databases</h1>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1142216"></a>Use the <b>DATABASES</b> tab to get a list of all the databases within the host, with database name as the first column followed by other properties. Click on the database name to navigate to the <b>METRICS</b> view of the selected database.</p>

<blockquote xmlns="http://www.w3.org/1999/xhtml"><p><b>Note:&#160;&#160;</b><a id="pgfId-1124364"></a>Access to databases of a host is implicit if you have access to that host. For access rules, see <a href="http://docs.marklogic.com/9.0/guide/opsdir/intro#id_93519" target="_blank">Access Inheritance in Resource Groups</a> in the <em xmlns="">Ops Director Guide</em>.</p></blockquote>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1123945"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1134442"></a>The columns displayed in the host <b>DATABASES</b> tab are described in the following table.</p>


<a id="pgfId-1134526" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1134445"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1134447"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134449"></a>Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134451"></a>Name of the database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134453"></a>Forests</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134455"></a>The number of forests used by the database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134457"></a>Disk Size (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134459"></a>The amount of disk space used by the database forests, in megabytes.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134461"></a>Documents</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134463"></a>The number of documents in the database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134465"></a>Last Backup</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134467"></a>The data-time of the last backup of the database. No value, if the database has never been backed up. For details on backing up a database, see <a href="http://docs.marklogic.com/9.0/guide/admin/backup_restore#id_93243" target="_blank">Backing Up and Restoring a Database</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134475"></a>Encryption</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134477"></a>Specifies whether or not encryption at rest is enabled for the database. For details, see <a href="http://docs.marklogic.com/9.0/guide/security/encryption#id_37353" target="_blank">Encryption at Rest</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134485"></a>HA</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139207"></a>Specifies whether or not shared disk failover is enabled. For details, see <a href="http://docs.marklogic.com/9.0/guide/cluster/failover#id_82157" target="_blank">High Availability of Data Nodes With Failover</a> in the <i>Scalability, Availability, and Failover Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134489"></a>Replication</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139275"></a>Specifies whether or not database replication is enabled. For details, see the <i>Database Replication Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134493"></a>Replication Status</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134495"></a>Specifies whether or not database replication is configured for the database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134497"></a>Security DB</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134499"></a>The name of the security database used by the database. For details, see <a href="http://docs.marklogic.com/9.0/guide/security/security_db#id_66642" target="_blank">Administering Security</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134507"></a>Schemas DB</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134509"></a>The name of the schemas database used by the database. For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/schemas#id_43671" target="_blank">Understanding and Defining Schemas</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134517"></a>Triggers DB</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134519"></a>The name of the schemas database used by the database. For details, see <a href="http://docs.marklogic.com/9.0/guide/app-dev/triggers#id_17020" target="_blank">Using Triggers to Spawn Actions</a> in the <i>Application Developer's Guide</i>.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144274"></a>You can export data from the host <b>DATABASES</b> tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144278"></a>The resulting CSV file will have the same columns as the Host Databases table in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144279"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144280"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144281"></a>Data types of the fields in the CSV file correspond to those in the UI. in the case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144282"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<p>Available help topics:</p>
<span><table width="50%" border="0" style="text-align: left"><tr><td rowspan="1" colspan="1"><ul xmlns="http://www.w3.org/1999/xhtml">
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host">Manage Hosts Tab</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host-metrics">Host Metrics</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host-info">Host Information</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host-tasks">Host Tasks</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host-logs">Host Logs</a></li>
	  <li>Host Databases</li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host-appservers">Host App Servers</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host-forests">Host Forests</a></li>
	</ul></td></tr></table></span> </div>
   case element(manage-host-appservers) return
     <div id=" manage-host-appservers "> <p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=overview" xmlns="http://www.w3.org/1999/xhtml">Monitoring MarkLogic with Ops Director</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=navigation" xmlns="http://www.w3.org/1999/xhtml">Navigating and Filtering Ops Director Views</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=Manage" xmlns="http://www.w3.org/1999/xhtml">Manage View</a></p>
<h1 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1120789"></a><a id="51540"></a>Host App Servers</h1>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1142298"></a>Use the <b>APP SERVERS</b> tab to get the list of all the application servers within the host, with App Server name as the first column followed by other properties. Click on the App Server name to navigate to the manage view of the selected application server.</p>

<blockquote xmlns="http://www.w3.org/1999/xhtml"><p><b>Note:&#160;&#160;</b><a id="pgfId-1124410"></a>Access to App Servers is not implicit with host access. For access rules, see <a href="http://docs.marklogic.com/9.0/guide/opsdir/intro#id_93519" target="_blank">Access Inheritance in Resource Groups</a> in the <em xmlns="">Ops Director Guide</em>.</p></blockquote>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1123986"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1134547"></a>The columns displayed in the host <b>APP SERVERS</b> tab are described in the following table.</p>


<a id="pgfId-1134585" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1134550"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1134552"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134554"></a>Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134556"></a>The name of the App Server.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134558"></a>Type</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134560"></a>The App Server type (HTTP, WebDAV, XDBC, ODBC).</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134562"></a>Database</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134564"></a>The name of the App Server content database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134566"></a>Port</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134568"></a>The port number used to access the App Server.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134570"></a>SSL</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134572"></a>Whether the App Server has SSL enabled (yes) or disabled (no). For details, see <a href="http://docs.marklogic.com/9.0/guide/security/SSL#id_85783" target="_blank">Configuring SSL on App Servers</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134574"></a>Group</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134576"></a>The name of the group to which the App Server belongs</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134578"></a>Modules DB+Root</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134580"></a>The name of the modules database, or if filesystem, the root directory.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134582"></a>Security</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134584"></a>The type of security (internal or external).</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144317"></a>You can export data from the host <b>APP SERVERS</b> tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144321"></a>The resulting CSV file will have the same columns as the Host App Servers table in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144322"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144323"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144324"></a>Data types of the fields in the CSV file correspond to those in the UI. in the case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144325"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<p>Available help topics:</p>
<span><table width="50%" border="0" style="text-align: left"><tr><td rowspan="1" colspan="1"><ul xmlns="http://www.w3.org/1999/xhtml">
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host">Manage Hosts Tab</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host-metrics">Host Metrics</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host-info">Host Information</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host-tasks">Host Tasks</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host-logs">Host Logs</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host-databases">Host Databases</a></li>
	  <li>Host App Servers</li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host-forests">Host Forests</a></li>
	</ul></td></tr></table></span> </div>
   case element(manage-host-forests) return
     <div id=" manage-host-forests "> <p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=overview" xmlns="http://www.w3.org/1999/xhtml">Monitoring MarkLogic with Ops Director</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=navigation" xmlns="http://www.w3.org/1999/xhtml">Navigating and Filtering Ops Director Views</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=Manage" xmlns="http://www.w3.org/1999/xhtml">Manage View</a></p>
<h1 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1140199"></a><a id="56062"></a>Host Forests</h1>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1140200"></a>Use the <b>FORESTS</b> tab to get a list of all the forests within the host, with forest name as the first column, followed by other properties. Click on the forest name to navigate to the manage view of the selected forest.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1140204"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1140205"></a>The columns displayed in the host <b>FORESTS</b> tab are described in the following table.</p>


<a id="pgfId-1140304" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1140208"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1140210"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140212"></a>Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140214"></a>The name of the forest.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140220"></a>Documents</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140222"></a>The number of documents in the forest.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140224"></a>Status</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140226"></a>The status of the forest. <code>Enabled</code> or <code>Disabled</code>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140228"></a>Availability</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140230"></a>The availability of the forest. <code>Online</code> or <code>Offline</code>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140232"></a>Fragments</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140234"></a>The number of active fragments (the fragments available to queries) in the forest.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140236"></a>Deleted Fragments</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140238"></a>The number of deleted fragments (the fragments to be removed by the next merge operation) in the forest.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140240"></a>Stands</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140242"></a>The number of stands in the forest. For more information on stands, see <a href="http://docs.marklogic.com/9.0/guide/concepts/data-management#id_85565" target="_blank">Databases, Forests, and Stands</a> in the <i>Concepts Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140250"></a>Size (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140252"></a>The size of the forest, in MB.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140254"></a>Encrypted Size (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140256"></a>The amount of encrypted data in the forest. For details on data encryption, see <a href="http://docs.marklogic.com/9.0/guide/security/encryption#id_37353" target="_blank">Encryption at Rest</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140264"></a>Free Space (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140266"></a>The number of MB of free space on this forest.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140268"></a>Large Data Size (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140270"></a>The amount of data in the large data directories of the forest. For more information on Large Data, see <a href="http://docs.marklogic.com/9.0/guide/app-dev/binaries#id_46976" target="_blank">Working With Binary Documents</a> in the <i>Application Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140278"></a>Fast Data Size (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140280"></a>The amount of data in the fast data directories of the forest. For more information on Fast Data, see <a href="http://docs.marklogic.com/9.0/guide/performance/disk-storage#id_17115" target="_blank">Fast Data Directory on Forests</a> in the <i>Query Performance and Tuning Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140288"></a>Failover Enabled</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140290"></a>Whether failover is enabled for the forest. For more information on stands, see <a href="http://docs.marklogic.com/9.0/guide/cluster/failover#id_82157" target="_blank">High Availability of Data Nodes With Failover</a> in the <i>Scalability, Availability, and Failover Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140298"></a>Replication</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1140300"></a>Specifies whether or not database replication is enabled for this forest. For details, see the <i>Database Replication Guide</i>.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144360"></a>You can export data from the host <b>FORESTS</b> tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144364"></a>The resulting CSV file will have the same columns as the host FORESTS table in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144365"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144366"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144367"></a>Data types of the fields in the CSV file correspond to those in the UI. in the case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144368"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<p>Available help topics:</p>
<span><table width="50%" border="0" style="text-align: left"><tr><td rowspan="1" colspan="1"><ul xmlns="http://www.w3.org/1999/xhtml">
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host">Manage Hosts Tab</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host-metrics">Host Metrics</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host-info">Host Information</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host-tasks">Host Tasks</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host-logs">Host Logs</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host-databases">Host Databases</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host-appservers">Host App Servers</a></li>
	  <li>Host Forests</li>
	</ul></td></tr></table></span> </div>
   case element(manage-database) return
     <div id=" manage-database "> <p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=overview" xmlns="http://www.w3.org/1999/xhtml">Monitoring MarkLogic with Ops Director</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=navigation" xmlns="http://www.w3.org/1999/xhtml">Navigating and Filtering Ops Director Views</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=Manage" xmlns="http://www.w3.org/1999/xhtml">Manage View</a></p>
<h1 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1112530"></a><a id="91384"></a>Manage Databases Tab</h1>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1124967"></a>The DATABASES tab displays a list of databases in your enterprise. </p>

<Balloon-Text><a id="pgfId-1117346" xmlns="http://www.w3.org/1999/xhtml"></a><span xmlns="http://www.w3.org/1999/xhtml"></span></Balloon-Text>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1124936"></a>The columns displayed in the manage <b>DATABASES</b> tab are described in the following table.</p>


<a id="pgfId-1117353" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1117493"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1117495"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1124770"></a>Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1124772"></a>Name of the database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117497"></a>Cluster</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117499"></a>Cluster on which the database resides.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117505"></a>Forests</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117507"></a>The number of forests used by the database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117509"></a>Disk Size (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117511"></a>The amount of disk space used by the database forests, in megabytes.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117513"></a>Documents</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117515"></a>The number of documents in the database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117517"></a>Last Backup</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117519"></a>The data-time of the last backup of the database. No value, if the database has never been backed up. For details on backing up a database, see <a href="http://docs.marklogic.com/9.0/guide/admin/backup_restore#id_93243" target="_blank">Backing Up and Restoring a Database</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117525"></a>Encryption</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117527"></a>Specifies whether or not encryption at rest is enabled for the database. For details, see <a href="http://docs.marklogic.com/9.0/guide/security/encryption#id_37353" target="_blank">Encryption at Rest</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117529"></a>HA</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139232"></a>Specifies whether or not shared disk failover is enabled. For details, see <a href="http://docs.marklogic.com/9.0/guide/cluster/failover#id_82157" target="_blank">High Availability of Data Nodes With Failover</a> in the <i>Scalability, Availability, and Failover Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117533"></a>Replication</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139293"></a>Specifies whether or not database replication is enabled. For details, see the <i>Database Replication Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117537"></a>Security DB</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1124836"></a>The name of the security database used by the database. For details, see <a href="http://docs.marklogic.com/9.0/guide/security/security_db#id_66642" target="_blank">Administering Security</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117541"></a>Schemas DB</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1124860"></a>The name of the schemas database used by the database. For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/schemas#id_43671" target="_blank">Understanding and Defining Schemas</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117545"></a>Triggers DB</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1124907"></a>The name of the schemas database used by the database. For details, see <a href="http://docs.marklogic.com/9.0/guide/app-dev/triggers#id_17020" target="_blank">Using Triggers to Spawn Actions</a> in the <i>Application Developer's Guide</i>.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144409"></a>You can export data from the Manage Databases tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144413"></a>The resulting CSV file will have the same columns as the Manage Databases table in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144414"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144415"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144416"></a>Data types of the fields in the CSV file correspond to those in the UI. in the case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144417"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144397"></a>To drill down for a particular database, click on the database name in the database table. You will see the following content tabs, each one representing an information category for the selected database:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1133278"></a><a href="#70357">Database Metrics</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1133282"></a><a href="#46319">Database Information</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1133286"></a><a href="#88727">Database Tasks</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1133290"></a><a href="#30357">Database Hosts</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1133294"></a><a href="#27279">Database App Servers</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1140579"></a><a href="#48905">Database Forests</a></li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1146108"></a>You can export all tables from the database content tabs for a particular database. When you select a specific database (either in the left resource navigation panel or in the content area of the view), the <b>Actions</b> menu becomes available in the upper right corner.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1146109"></a>From the <b>Actions</b> menu, select <b>Download all tables</b> to export all tables for this particular database.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1146384"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1146111"></a>A zip file with all exported tables for this database will be downloaded to your computer. Each table is represented by the corresponding CSV file. The zip file will contain the following CSV files for the database:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1146115"></a>Tasks CSV file (see the <a href="#88727">Database Tasks</a> section for details on the contents)</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1147887"></a>Hosts CVS file (see the <a href="#30357">Database Hosts</a> section for details on the contents)</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1147895"></a>App Servers CVS file (see the <a href="#27279">Database App Servers</a> section for details on the contents)</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1147903"></a>Forests CVS file (see the <a href="#48905">Database Forests</a> section for details on the contents)</li>
</ul>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1147635"></a><a id="70357"></a>Database Metrics</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1147636"></a>Select a single database or all databases from the navigation tree. The <b>METRICS</b> tab displays key indicators enabling you to determine the health of the selected resource or resource group. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1141418"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1146158"></a>To filter the data used for rendering the graphs, select a pre-defined time period or specify a custom time period, as described in <a href="http://docs.marklogic.com/9.0/guide/opsdir/Navigation#id_89836" target="_blank">Date and Time Filters</a> in the <em xmlns="">Ops Director Guide</em>.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1141420"></a>The metrics displayed by the charts on the database <b>METRICS</b> tab are described in the following table.</p>


<a id="pgfId-1121686" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1147918"></a>Chart</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1147920"></a>Definition of Displayed Metric</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1147922"></a>Disk I/O</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1147926"></a>Disk I/O in MB/sec. The displayed metrics are described in <a href="http://docs.marklogic.com/9.0/guide/opsdir/Analyse#id_21175" target="_blank">Disk Performance Data</a> in the <em xmlns="">Ops Director Guide</em>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1147929"></a>Memory Footprint</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1147931"></a>The total amount (in MB) of memory consumed by the database. </p><p><a id="pgfId-1147932"></a>The displayed metrics are:</p><ul>
	  <li><a id="pgfId-1147933"></a>RSS: The total amount of MB of Process Resident Size (RSS) consumed by the database.</li>
	</ul><ul>
	  <li><a id="pgfId-1147934"></a>Anon: The total amount of MB of Process Anonymous Memory consumed by the database.</li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1147936"></a>Memory Size</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1147938"></a>The amount of space (in MB) forest data files for the database take up in memory.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1147940"></a>Memory I/O</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1147942"></a>The number of pages per second moved between memory and disk.</p><p><a id="pgfId-1147943"></a>The displayed metrics are:</p><ul>
	  <li><a id="pgfId-1147944"></a>Page-In Rate: The page-in rate (from Linux /proc/vmstat) for the database in pages per second.</li>
	</ul><ul>
	  <li><a id="pgfId-1147945"></a>Page-Out Rate: The page-out rate (from Linux /proc/vmstat) for the database in pages per second.</li>
	</ul><ul>
	  <li><a id="pgfId-1147946"></a>Swap-In Rate: The swap-in rate (from Linux /proc/vmstat) for the database in pages per second.</li>
	</ul><ul>
	  <li><a id="pgfId-1147947"></a>Swap-Out Rate: The swap-out rate (from Linux /proc/vmstat) for the database in pages per second.</li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1147949"></a>Lock Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1147951"></a>The number of locks set per second across all of the databases in the cluster.</p><p><a id="pgfId-1147952"></a>The displayed lines are:</p><ul>
	  <li><a id="pgfId-1147953"></a>Read: The number of read locks set per second.</li>
	</ul><ul>
	  <li><a id="pgfId-1147954"></a>Write: The number of write locks set per second.</li>
	</ul><ul>
	  <li><a id="pgfId-1147955"></a>Deadlock: The number of deadlocks per second.</li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1147957"></a>Lock Wait Load</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1147959"></a>The aggregate time (in seconds) transactions wait for locks.</p><p><a id="pgfId-1147960"></a>The displayed lines are:</p><ul>
	  <li><a id="pgfId-1147961"></a>Read: The time transactions wait for read locks.</li>
	</ul><ul>
	  <li><a id="pgfId-1147962"></a>Write: The time transactions wait for write locks.</li>
	</ul></td>
    </tr></table></span>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121721"></a><a id="46319"></a>Database Information</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1142328"></a>Use the <b>INFORMATION</b> tab to access properties of the selected database.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1130707"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1130734"></a>The properties displayed in the database <b>INFORMATION</b> tab are described in the following table.</p>


<a id="pgfId-1125149" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1126308"></a>Field</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1126310"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126312"></a>Assignment Policy</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126314"></a>Database rebalancer assignment policy. For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/database-rebalancing#id_23383" target="_blank">Rebalancer Document Assignment Policies</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126316"></a>Attribute Value Positions</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126318"></a>Specifies whether index data is included which speeds up the performance of proximity queries that use the <span><a href="http://docs.marklogic.com/9.0/cts:field-value-query" target="_blank">cts:field-value-query</a></span> function. Turn this index off if you are not interested in proximity queries and if you want to conserve disk space and decrease loading time. </p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126320"></a>Collection Lexicon</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126322"></a>Specifies whether to create a lexicon of all of the collection URIs in the database. The collection lexicon lets you tolist all of the collection URIs in the database and perform lexicon-based queries on the URIs.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126324"></a>Data Encryption</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126807"></a>Specifies whether or not encryption at rest is enabled. For details, see <a href="http://docs.marklogic.com/9.0/guide/security/encryption#id_37353" target="_blank">Encryption at Rest</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126328"></a>Database Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126330"></a>The name of the database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126332"></a>Database Replication</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1138336"></a>Specifies whether or not database replication is enabled.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126336"></a>Directory Creation</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126737"></a>Specifies whether directories are automatically created in the database when documents are created. The default for a new database is manual. The settings are:</p><ul>
	  <li><a id="pgfId-1126739"></a><b>automatic</b>: Specifies that a directory hierarchy is automatically created to match the URI of a document or a directory that is created. This is the recommended setting, especially if you are accessing the database with a WebDAV Server or if you are using it as a Modules database.</li>
	</ul><ul>
	  <li><a id="pgfId-1126740"></a><b>manual</b>: Specifies that directories must be manually created. No directory hierarchy is enforced.</li>
	</ul><ul>
	  <li><a id="pgfId-1126741"></a><b>manual-enforced</b>: The same as <b>manual</b>, except it raises an error if the parent directory does not exist when creating a document or directory. For example, to create a document with the URI <code>http://marklogic/file.xml</code>, the directory <code>http://marklogic/</code> must first exist.</li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126340"></a>Element Value Positions</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126827"></a>Specifies whether index data is included for faster element-based phrase and <span><a href="http://docs.marklogic.com/9.0/cts:near-query" target="_blank">cts:near-query</a></span> searches that use <span><a href="http://docs.marklogic.com/9.0/cts:element-value-query" target="_blank">cts:element-value-query</a></span>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126344"></a>Element Word Positions</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126346"></a>Specifies whether index data is included in the database files to enable proximity searches (<span><a href="http://docs.marklogic.com/9.0/cts:near-query" target="_blank">cts:near-query</a></span>) within specific XML elements or JSON properties. You must also enable word positions to perform element position searches. When this setting is true, positional searches are possible within an XML element or JSON property, but document loading is slower and the database files are larger. </p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126348"></a><a id="70499"></a>Element Word Query Through</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126350"></a>The element markup to be searched through in searches that use the <span><a href="http://docs.marklogic.com/9.0/cts:element-word-query" target="_blank">cts:element-word-query</a></span> constructor.</p><p><a id="pgfId-1130547"></a>Words contained in text node children of a phrase through or Element Word Query Through element node match words in a <span><a href="http://docs.marklogic.com/9.0/cts:element-word-query" target="_blank">cts:element-word-query</a></span> for both the element and for the element's parent. If the parent is also a Phrase Through or Element Word Query Through element, the words also match words in a <span><a href="http://docs.marklogic.com/9.0/cts:element-word-query" target="_blank">cts:element-word-query</a></span> for the grandparent.</p><ul>
	  <li><a id="pgfId-1130471"></a><b>Namespace URI</b>: The namespace for an element or an attribute.</li>
	</ul><ul>
	  <li><a id="pgfId-1130460"></a><b>Localname</b>: The local name for an XML element or attribute, or the name of a JSON property.</li>
	</ul><p><a id="pgfId-1130522"></a>For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/text_index#id_93943" target="_blank">Element Word Query Throughs</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139621"></a>Enabled </p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139626"></a>Whether data encryption is enabled. For details, see <a href="http://docs.marklogic.com/9.0/guide/security/encryption#id_37353" target="_blank">Encryption at Rest</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126352"></a>Encryption Key ID</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126883"></a>Data encryption key ID. For details, see <a href="http://docs.marklogic.com/9.0/guide/security/encryption#id_37353" target="_blank">Encryption at Rest</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126356"></a>Expunge Locks </p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126898"></a>Specifies if MarkLogic Server automatically expunges any lock fragments created using <span><a href="http://docs.marklogic.com/9.0/xdmp:lock-acquire" target="_blank">xdmp:lock-acquire</a></span> with specified timeouts. The possible values are: </p><ul>
	  <li><a id="pgfId-1130621"></a><b>automatic</b>: Cleans up the locks as they expire. This is the default value and is recommended for most installations.</li>
	</ul><ul>
	  <li><a id="pgfId-1130622"></a><b>none</b>: The lock fragments remain in the database after the locks expire (although they will no longer be locking any documents) until they are explicitly removed with <span><a href="http://docs.marklogic.com/9.0/xdmp:lock-release" target="_blank">xdmp:lock-release</a></span>. This setting is only recommended to speed cluster startup time for extremely large clusters. </li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126360"></a>Fast Case Sensitive Searches</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126913"></a>Specifies whether index terms are included in the database files to support fast case-sensitive searches. When this setting is true, case-sensitive searches are faster, but document loading is slower and the database files are larger. </p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126364"></a>Fast Diacritic Sensitive Searches</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126925"></a>Specifies whether index terms are included in the database files to support fast diacritic-sensitive searches. When this setting is true, diacritic-sensitive searches are faster, but document loading is slower and the database files are larger. </p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126368"></a>Fast Element Character Searches</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126977"></a>Specifies whether wildcard searches are enabled to speed up element-based wildcard searches. For details about wildcard searches, see <a href="http://docs.marklogic.com/9.0/guide/search-dev/wildcard#id_66341" target="_blank">Understanding and Using Wildcard Searches</a> in the <i>Search Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126372"></a>Fast Element Phrase Searches</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126374"></a>Specifies whether index terms are included in the database files to enable fast element-phrase searches. When set to true, element-phrase searches are faster, but document loading is slower and the database files are larger. </p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126376"></a>Fast Element Trailing Wildcard Searches</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126378"></a>Specifies whether index terms are included in the database files to enable element trailing wildcard searches and faster character-based XQuery predicates. When set to true, element-trailing-wildcard searches are faster, but document loading is slower and the database files are larger. </p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126380"></a>Fast Element Word Searches</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126382"></a>Specifies whether index terms are included in the database files to support fast element-word searches. When set to true, element-word searches are faster, but document loading is slower and the database files are larger. </p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126384"></a>Fast Phrase Searches</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126386"></a>Specifies whether index terms are included in the database files to support fast phrase searches. When set to true, phrase searches are faster, but document loading is slower and the database files are larger. </p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126388"></a>Fast Reverse Searches</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126390"></a>Specifies whether index terms are included in the database files to support fast reverse searches. When set to <code>true</code>, <span><a href="http://docs.marklogic.com/9.0/cts:reverse-query" target="_blank">cts:reverse-query</a></span> searches are faster, but document loading is slower and the database files are larger. </p><blockquote><p><b>Note:&#160;&#160;</b><a id="pgfId-1127115"></a>A valid alerting license key is required.</p></blockquote></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126392"></a>Field</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127154"></a>The configuration of any fields in the database. For details on fields, see <a href="http://docs.marklogic.com/9.0/guide/admin/fields#id_61682" target="_blank">Fields Database Settings</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126396"></a>Field Value Positions</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126398"></a>Specifies whether index data is included which speeds up the performance of proximity queries that use the <span><a href="http://docs.marklogic.com/9.0/cts:field-value-query" target="_blank">cts:field-value-query</a></span> function. Turn this index off if you are not interested in proximity queries and if you want to conserve disk space and decrease loading time. </p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126400"></a>Field Value Searches</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126402"></a>Specifies whether index data is included which speeds up the performance of field value queries that use the <span><a href="http://docs.marklogic.com/9.0/cts:field-value-query" target="_blank">cts:field-value-query</a></span> function. Turn this index off if you are not interested in field value queries and if you want to conserve disk space and decrease loading time. </p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126404"></a>Forest</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126406"></a>The names of the forests used by the database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126408"></a>Format Compatibility</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127190"></a>The version compatibility that MarkLogic Server applies to the indexes for the database during request evaluation. A value other than <code>automatic</code> specifies that all forest data has the specified on-disk format, and it disables the automatic checking for index compatibility information. The automatic detection occurs during database startup and after any database configuration changes, and can take some time and system resources for very large forests and for very large clusters. The default value of <code>automatic</code> is recommended for most installations.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126412"></a>In-memory Geospatial Region Index Size</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127207"></a>The amount of cache and buffer memory to be allocated for managing geospatial region index data for an in-memory stand.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126416"></a>In-memory Limit</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126418"></a>The maximum number of fragments in an in-memory stand. An in-memory stand contains the latest version of any new or changed fragments. Periodically, in-memory stands are written to disk as a new stand in the forest. Also, if a stand accumulates a number of fragments beyond this limit, it is automatically saved to disk by a background thread.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126420"></a><a id="74884"></a>In-memory List Size</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127260"></a>The amount of cache and buffer memory allocated for managing termlist data for an in-memory stand.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126424"></a>In-memory Range Index Size</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126426"></a>The amount of cache and buffer memory allocated for managing range index data for an in-memory stand. </p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126428"></a>In-memory Reverse Index Size</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126430"></a>The amount of cache and buffer memory allocated for managing reverse index data for an in-memory stand. </p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126432"></a><a id="19921"></a>In-memory Tree Size</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127323"></a>The size, in megabytes, of the in-memory tree storage. The In-memory Tree Size must be at least one or two megabytes larger than the largest text or small binary document you plan on loading into the database. The largest small binary file size is always constrained by the <a href="#22286">Large Size Threshold</a> database configuration setting.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126436"></a>In-memory Triple Index Size</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126438"></a>The amount of cache and buffer memory allocated for managing triple index data for an in-memory stand. </p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126440"></a>Index Detection</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127355"></a>Specifies whether to auto-detect index compatibility between the content and the current database settings. This detection occurs during database startup and after any database configuration changes, and can take some time and system resources for very large forests and for very large clusters. The possible values are: </p><ul>
	  <li><a id="pgfId-1130385"></a>automatic: Auto-detect index. This is the default value and is recommended for most installations.</li>
	</ul><ul>
	  <li><a id="pgfId-1130334"></a>none: Causes queries to use the current database index settings, even if some settings have not completed reindexing. </li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126444"></a>Inherit Collections</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127383"></a>When set to true, documents and directories automatically inherit collection settings from their parent directory (if collections are not set explicitly when creating the document or directory). If there are any default collections on the user who is creating the document or directory, those permissions are combined with any inherited collections.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126448"></a>Inherit Permissions</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127395"></a>When set to true, documents and directories automatically inherit permissions from their parent directory (if permissions are not set explicitly when creating the document or directory). If there are any default permissions on the user who is creating the document or directory, those permissions are combined with any inherited permissions.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126452"></a>Inherit Quality</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127411"></a>When set to true, documents and directories automatically inherit any quality settings from their parent directory (if quality is not set explicitly when creating the document or directory).</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126456"></a>Journal Count</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126458"></a>The number of journal files for the database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126460"></a>Journal Size</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127444"></a>The size, in megabytes, of each journal file. The system uses journal files for recovery operations if a transaction fails to complete successfully. The default value is sufficient for most systems; it is calculated at database configuration time based on the size of your system. If you change the other memory settings, however, the journal size must equal the sum of the <a href="#74884">In-memory List Size</a> and the <a href="#19921">In-memory Tree Size</a>. Additionally, you must add space to the journal size if you use range indexes (particularly if you use a lot of range indexes or have extremely large range indexes), as range index data can take up journal space. Also, if your transactions span multiple forests, you may also need to add journal size, as each journal must keep the lock information for all of the documents in the transaction, not just for the documents that reside in the forest in which the journal exists.</p><p><a id="pgfId-1127446"></a>When you change the journal size, the next time the system creates a new journal, it will use the new size limit; existing journals will continue to use the old size limit until they are replaced with new ones (for example, when a journal fills up, when a forest is cleared, or when the system is cleanly shutdown and restarted).</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126464"></a>Journaling</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1130145"></a>Specifies how robust transaction journaling is. The possible values are:</p><ul>
	  <li><a id="pgfId-1130119"></a>strict: The journal protects against MarkLogic Server process failures, host operating system kernel failures, and host hardware failures. </li>
	</ul><ul>
	  <li><a id="pgfId-1130130"></a>fast: The journal protects against MarkLogic Server process failures but not against host operating system kernel failures or host hardware failures. </li>
	</ul><ul>
	  <li><a id="pgfId-1130137"></a>off: The journal does not protect against MarkLogic Server process failures, host operating system kernel failures, or host hardware failures. </li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126468"></a>Language</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126470"></a>The default language for content in the database. Any content without an <code>xml:lang</code> attribute is indexed in the language specified here. </p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126472"></a><a id="22286"></a>Large Size Threshold</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127490"></a>The size, in kilobytes, beyond which large binary documents are stored in the Large Data Directory instead of directly in a stand. Binaries smaller than or equal to the threshold are considered small binary files and stored in stands. Binaries larger the threshold are considered large binary files and stored in the Large Data Directory.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126476"></a>Locking</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126478"></a>Specifies how robust transaction locking is. The possible values are:</p><ul>
	  <li><a id="pgfId-1130217"></a>strict: Locking enforces mutual exclusion on existing documents and on new documents. </li>
	</ul><ul>
	  <li><a id="pgfId-1130228"></a>fast: Locking enforces mutual exclusion on existing and new documents. Instead of locking all the forests on new documents, it uses a hash function to select one forest to lock. In general, this is faster than strict. However, for a short period of time after a new forest is added, some of the transactions need to be retried internally. </li>
	</ul><ul>
	  <li><a id="pgfId-1130235"></a>off: Locking does not enforce mutual exclusion on existing documents or on new documents; only use this setting if you are sure all documents you are loading are new (a new bulk load, for example), otherwise you might create duplicate URIs in the database.</li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126480"></a>Maintain Directory Last Modified</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127531"></a>Specifies whether to include a timestamp on the properties for each directory in the database. If set to true, update operations on documents in a directory also update the directory last-modified timestamp, which can cause some contention when multiple documents in the directory are being updated. If your application is experiencing contention during these type of updates (for example, if you see <code>deadlock-detected</code> messages in the error log), set this property to <b>false</b>. The default is <b>false</b>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126484"></a>Maintain Last Modified</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126486"></a>Specifies whether to include a timestamp on the properties document for each document in the database. The default is <b>true</b>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126488"></a>Merge Max Size</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127633"></a>The maximum size, in megabytes, of a stand that will result from a merge. If a stand grows beyond the specified size, it will not be merged. If two stands would be larger than the specified size if merged, they will not be merged together. If you set this to smaller sizes, large merges (which may require more disk and CPU resources) will be prevented. The default is 48&#160;GB (49152&#160;MB), which is recommended because it provides a good balance between keeping the number of stands low and preventing very large merges from using large amounts of disk space. Set this to 0 to allow any sized stand to merge. Use care when setting this to a non-zero value lower than the default value, as this can prevent merges which are ultimately required for the system to maintain performance levels and to allow optimized updates to the system. </p><p><a id="pgfId-1127624"></a>For details on controlling merges, see <a href="http://docs.marklogic.com/9.0/guide/admin/merges#id_83498" target="_blank">Understanding and Controlling Database Merges</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126492"></a>Merge Min Ratio</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127645"></a>A positive integer indicating the minimum ratio between the number of fragments in a stand and the number of fragments in all of the other smaller stands (the stands with fewer fragments) in the forest. Stands with a fragment count below this ratio relative to all smaller stands are automatically merged with the smaller stands. For an example, see <a href="http://docs.marklogic.com/9.0/guide/admin/merges#id_39419" target="_blank">If You Want to Reduce the Number of &#x2018;Large' Merges</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126496"></a>Merge Min Size</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127684"></a>The minimum number of fragments that a stand can contain. Two or more stands with fewer than this number of fragments are automatically merged. </p><p><a id="pgfId-1127702"></a>For details on controlling merges, see <a href="http://docs.marklogic.com/9.0/guide/admin/merges#id_83498" target="_blank">Understanding and Controlling Database Merges</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126500"></a>Merge Priority</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1128500"></a>Specifies the CPU scheduler priority at which merges run. The settings are: </p><ul>
	  <li><a id="pgfId-1128501"></a>normal: Specifies the same CPU scheduler priority as for requests. </li>
	</ul><ul>
	  <li><a id="pgfId-1127722"></a>lower: Specifies a lower CPU scheduler priority than for requests.</li>
	</ul><p><a id="pgfId-1127723"></a>Merges always run with normal priority on forests with more than 16 stands.</p><p><a id="pgfId-1128596"></a>For details on controlling merges, see <a href="http://docs.marklogic.com/9.0/guide/admin/merges#id_83498" target="_blank">Understanding and Controlling Database Merges</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126504"></a><a id="91760"></a>Merge Timestamp</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127737"></a>The timestamp stored on merged stands. This is used for point-in-time queries, and determines when space occupied by deleted fragments and old versions of fragments may be reclaimed by the database. If a fragment is deleted or updated at a time after the merge timestamp, the old version of the fragment is retained for use in point-in-time queries. Set this to 0 (the default) to let the system reclaim the maximum amount of disk space during merge activities. A setting of 0 removes all deleted and updated fragments when a merge occurs. Set this to 1 before loading or updating any content to create a complete archive of the changes to the database over time. Set this to the current timestamp to preserve all versions of content from this point on. Set this to a negative number to specify a window of timestamp values, relative to the last merge, at ten million ticks per second. The timestamp is a number maintained by MarkLogic Server that increments every time a change occurs in any of the databases in a system (including configuration changes from any host in a cluster). For details on point-in-time queries, see <a href="http://docs.marklogic.com/9.0/guide/app-dev/point_in_time#id_65723" target="_blank">Point-In-Time Queries</a> in the <i>Application Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126508"></a>One Character Searches</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127774"></a>Specifies whether wildcard searches are enabled so that the search pattern contains a single non-wildcard characters (for example, '<code>a*</code>'). This index is not needed if you have <a href="#39156">Three Character Searches</a> and a word lexicon. For details about wildcard searches, see <a href="http://docs.marklogic.com/9.0/guide/search-dev/wildcard#id_66341" target="_blank">Understanding and Using Wildcard Searches</a> in the <i>Search Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126512"></a>Phrase Around</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127827"></a>Specifies the element markup phrased around in searches. Searches for phrases can skip around element boundaries when a phrase-around is configured for that element. For example, if there is a Phrase Around configured on a <code>&lt;b&gt;</code> tag, the following XML snippet will return a match for a search for the phrase 'to be or not to be':</p><blockquote><pre><a id="pgfId-1127829"></a>&lt;p&gt;to &lt;b&gt;be&lt;/b&gt; or not to be&lt;/p&gt; </pre></blockquote><p><a id="pgfId-1127831"></a>The phrase indexer needs to know phrases may cross these markup boundaries at load time and reindex time so that it includes the right information in the indexes supporting phrase search.</p><p><a id="pgfId-1127833"></a>Each phrase-around has the following settings:</p><ul>
	  <li><a id="pgfId-1127835"></a><b>Namespace URI</b>: The namespace for an element or an attribute.</li>
	</ul><ul>
	  <li><a id="pgfId-1127836"></a><b>Localname</b>: The local name for an XML element or attribute.</li>
	</ul><p><a id="pgfId-1128024"></a>For more detail, see <a href="http://docs.marklogic.com/9.0/guide/admin/text_index#id_29138" target="_blank">Phrasing and Element-Word-Query Boundary Control</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126516"></a>Phrase Through</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127922"></a>Specifies the element markup to be phrased through in searches. Searches for phrases can cross element boundaries when a phrase-through is configured for that element. For example, if there is a phrase-through configured on a <code>&lt;b&gt;</code> tag, the following XML snippet returns a match for a search for the phrase 'to be or not to be':</p><blockquote><pre><a id="pgfId-1127924"></a>&lt;p&gt;to &lt;b&gt;be&lt;/b&gt; or not to be&lt;/p&gt; </pre></blockquote><p><a id="pgfId-1127926"></a>The phrase indexer needs to know phrases may cross these markup boundaries at load time and reindex time so that it includes the right information in the indexes supporting phrase search.</p><p><a id="pgfId-1127928"></a>Words contained in text node children of a phrase-through or <a href="#70499">Element Word Query Through</a> element node match words in a <span><a href="http://docs.marklogic.com/9.0/cts:element-word-query" target="_blank">cts:element-word-query</a></span> for both the element and for the element's parent. If the parent is also a phrase-through or <a href="#70499">Element Word Query Through</a> element, the words also match words in a <span><a href="http://docs.marklogic.com/9.0/cts:element-word-query" target="_blank">cts:element-word-query</a></span> for the grandparent.</p><p><a id="pgfId-1126518"></a>If you delete a phrase-through, the system will not automatically reindex away the indexed phrase-throughs, even if reindexing is enabled; to reindex deleted phrase-throughs, force a reindex (for example, by clicking the reindex button on the database configuration page).</p><p><a id="pgfId-1127980"></a>Each phrase-through has the following settings:</p><ul>
	  <li><a id="pgfId-1127981"></a><b>Namespace URI</b>: Specifies the namespace for an element or an attribute.</li>
	</ul><ul>
	  <li><a id="pgfId-1127982"></a><b>Localname</b>: Specifies the local name for an XML element or attribute.</li>
	</ul><p><a id="pgfId-1128054"></a>For more detail, see <a href="http://docs.marklogic.com/9.0/guide/admin/text_index#id_29138" target="_blank">Phrasing and Element-Word-Query Boundary Control</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126520"></a>Positions List Max Size</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126522"></a>The maximum size, in megabytes, of the position list portion of the index for a given term. If the position list size for a given term grows larger than the limit specified, the position information for that term is discarded. The default value is 256, the minimum value is 1, and the maximum value is 512. For example, position queries (<code>cts:near-query</code>) for frequently occurring words that have reached this limit (words like a, an, the, and so on) are resolved without using the indexes. Even though those types of words are resolved without using the indexes, this limit helps improve performance by making the indexes smaller and more efficient to the data actually loaded in the database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126524"></a>Preallocate Journals</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126526"></a>Has no effect as of MarkLogic, Version 8.0-4. </p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126528"></a><a id="70266"></a>Preload Mapped Data</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1128119"></a>Specifies whether memory mapped data (for example, range indexes and word lexicons) is loaded into memory when a forest is mounted to the database. Preloading the memory mapped data improves query performance, but uses more memory, especially if you have a lot of range indexes and/or lexicons. Also, it will cause a lot of disk I/O at database startup time, slowing the system performance during the time the mapped data is read into memory. If you do not preload the mapped data, it will be paged into memory dynamically when a query requests data that needs it, slowing the query response time.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126532"></a>Preload Replica Mapped Data</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126534"></a>Specifies whether memory mapped data (for example, range indexes and word lexicons) are loaded immediately into memory when a stand is opened. The setting of preload-replica-mapped-data is ignored if <a href="#70266">Preload Mapped Data</a> is set to <b>false</b>. </p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126536"></a>Range Element Attribute Index</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1128427"></a>The range indexes on attributes in XML elements.</p><p><a id="pgfId-1126538"></a>The fields are as follows:</p><ul>
	  <li><a id="pgfId-1128162"></a><b>Range Value Positions</b>: Specifies whether index data is included that speeds up the performance of proximity queries involving range queries. Turn this index off if you are not interested in proximity queries and if you want to conserve disk space and decrease loading time. </li>
	</ul><ul>
	  <li><a id="pgfId-1128184"></a><b>Parent Namespace URI</b>: The namespace URI of the parent element.</li>
	</ul><ul>
	  <li><a id="pgfId-1128191"></a><b>Parent Localname</b>: The local name of the parent XML element or the name of the parent JSON property.</li>
	</ul><ul>
	  <li><a id="pgfId-1128198"></a><b>Invalid Values</b>: Specifies whether the server allows insertion of documents that contain XML elements or JSON properties on which range index is configured and their contents cannot be coerced to the index data type. It can be configured to either ignore or reject. By default server rejects insertion of such documents. However, if you set invalid values to ignore, these documents can be inserted. This setting does not change the behavior of queries on invalid values after documents are inserted in the database. Performing an operation on an invalid value at query time can still result in an error. </li>
	</ul><ul>
	  <li><a id="pgfId-1128212"></a><b>Namespace URI</b>: The namespace for an element or an attribute.</li>
	</ul><ul>
	  <li><a id="pgfId-1128220"></a><b>Collation</b>: The collation to use in the comparison operations. </li>
	</ul><ul>
	  <li><a id="pgfId-1128236"></a><b>Scalar Type</b>: The ordered domain for the index. Each of the types correspond with an XQuery type.</li>
	</ul><ul>
	  <li><a id="pgfId-1128228"></a><b>Localname</b>: The local name of an XML element or attribute, or the name of a JSON property.</li>
	</ul><p><a id="pgfId-1128169"></a>For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/range_index#id_63906" target="_blank">Defining Attribute Range Indexes</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126540"></a>Range Element Index</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1128614"></a>The range indexes on XML elements or JSON properties.</p><p><a id="pgfId-1128615"></a>The fields are as follows:</p><ul>
	  <li><a id="pgfId-1148130"></a><b>Range Value Positions</b>: Specifies whether index data is included that speeds up the performance of proximity queries involving range queries. Turn this index off if you are not interested in proximity queries and if you want to conserve disk space and decrease loading time. </li>
	</ul><ul>
	  <li><a id="pgfId-1128835"></a><b>Invalid Values</b>: Specifies whether the server allows insertion of documents that contain XML elements or JSON properties on which range index is configured and their contents cannot be coerced to the index data type. It can be configured to either ignore or reject. By default server rejects insertion of such documents. However, if you set invalid values to ignore, these documents can be inserted. This setting does not change the behavior of queries on invalid values after documents are inserted in the database. Performing an operation on an invalid value at query time can still result in an error.</li>
	</ul><ul>
	  <li><a id="pgfId-1128643"></a><b>Namespace URI</b>: The namespace for an element or an attribute.</li>
	</ul><ul>
	  <li><a id="pgfId-1128650"></a><b>Collation</b>: The collation to use in the comparison operations. </li>
	</ul><ul>
	  <li><a id="pgfId-1128657"></a><b>Scalar Type</b>: The ordered domain for the index. Each of the types correspond with an XQuery type.</li>
	</ul><ul>
	  <li><a id="pgfId-1128664"></a><b>Localname</b>: The local name for an XML element or attribute, or the name for a JSON property.</li>
	</ul><p><a id="pgfId-1128682"></a>For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/range_index#id_51346" target="_blank">Defining Element Range Indexes</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126544"></a>Range Index Optimize</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126546"></a>Specifies how range indexes are to be optimized. The values are defined as follows:</p><ul>
	  <li><a id="pgfId-1128873"></a><b>facet-time</b>: Range indexes are optimized to minimize the amount of CPU time used. </li>
	</ul><ul>
	  <li><a id="pgfId-1128880"></a><b>memory-size</b>: Range indexes are optimized to minimize the amount of memory used. </li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126548"></a>Rebalancer Enable</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1128917"></a>Specifies whether rebalancing are automatically performed in the background after configuration settings are changed. When set to true, the database rebalancer automatically redistributes the content across the database forests. When set to false, rebalancing is disabled.</p><p><a id="pgfId-1128976"></a>For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/database-rebalancing#id_13221" target="_blank">Configuring the Rebalancer on a Database</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126552"></a>Rebalancer Throttle</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1128957"></a>The priority of system resources devoted to rebalancing. Higher numbers give rebalancing a higher priority.</p><p><a id="pgfId-1128994"></a>For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/database-rebalancing#id_96058" target="_blank">How the Rebalancer Moves Documents</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126556"></a>Reindexer Enable</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126558"></a>Specifies whether indexes are automatically rebuilt in the background after index configuration settings are changed. When set to <b>true</b>, index configuration changes automatically initiate a background reindexing operation on the entire database. When set to <b>false</b>, any new index settings take effect for future documents loaded into the database; existing documents retain the old settings until they are reloaded or until you set reindexer enable to <b>true</b>.</p><p><a id="pgfId-1129054"></a>For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/text_index#id_22354" target="_blank">Understanding the Reindexer Enable Settings</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126560"></a>Reindexer Throttle</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1129071"></a>The priority of system resources devoted to reindexing. Reindexing occurs in batches, where each batch is approximately 200 fragments. When set to 5 (the default), the reindexer works aggressively, starting the next batch of reindexing soon after finishing the previous batch. When set to 4, it waits longer between batches, when set to 3 it waits longer still, and so on until when it is set to 1, when it waits the longest. Therefore, higher numbers give reindexing a higher priority and use the most system resources. </p><p><a id="pgfId-1129112"></a>For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/text_index#id_22354" target="_blank">Understanding the Reindexer Enable Settings</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126564"></a>Reindexer Timestamp</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1129130"></a>The timestamp of fragments to force a reindex or refragment operation. If Reindex Enable is set to <b>true</b>, a reindex and refragment operation are done on all fragments in the database that have a timestamp equal to or less than the displayed timestamp. Note that when you restore a database that has a timestamp set, if there are fragments in the restored content that are older than the specified content, they will start to reindex as soon as they are restored.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126568"></a>Retain Until Backup</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1129209"></a>Specifies whether the deleted fragments are retained since the last full or incremental backup. When enabled, Retain Until Backup supersedes <a href="#91760">Merge Timestamp</a>. Deleted fragments are not merged until backups are finished, regardless of the <a href="#91760">Merge Timestamp</a> setting. Enabling Retain Until Backup is same to setting the <a href="#91760">Merge Timestamp</a> to the timestamp of the last backup. </p><p><a id="pgfId-1129227"></a>For more information, see <a href="http://docs.marklogic.com/9.0/guide/admin/backup_restore#id_70233" target="_blank">Incremental Backup with Journal Archiving</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126572"></a>Retired Forest Count</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126574"></a>The number of forests used by the database to be retired.</p><p><a id="pgfId-1129252"></a>For more information, see <a href="http://docs.marklogic.com/9.0/guide/admin/database-rebalancing#id_23094" target="_blank">Retiring a Forest from the Database</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126576"></a>Security Database</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126578"></a>The security database used by the database.</p><p><a id="pgfId-1129287"></a>For more information, see <a href="http://docs.marklogic.com/9.0/guide/security/security_db#id_33818" target="_blank">Overview of the Security Database</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126580"></a>Stemmed Searches</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1129304"></a>The level of stemming applied to word searches. Stemmed searches match not only the exact word in the search, but also words that come from the same stem and mean the same thing (for example, a search for <code>be</code> will also match the term <code>is</code>). For details on stemmed searches, see <a href="http://docs.marklogic.com/9.0/guide/search-dev/stemming#id_90878" target="_blank">Understanding and Using Stemmed Searches</a> in the <i>Search Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126584"></a>TF Normalization</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1129331"></a>Specifies the term-frequency normalization. The values are described as follows:</p><ul>
	  <li><a id="pgfId-1129346"></a>scaled-log: The default term-frequency normalization, which specifies the maximum scaling of the document based on document size. </li>
	</ul><ul>
	  <li><a id="pgfId-1129356"></a>unscaled-log: No scaling based on document size. </li>
	</ul><ul>
	  <li><a id="pgfId-1126586"></a>weakest-scaled-log, weakly-scaled-log, moderately-scaled-log, strongly-scaled-log: Increased degrees of scaling in between the least and the most scaling.</li>
	</ul><p><a id="pgfId-1129513"></a>For more information, see <a href="http://docs.marklogic.com/9.0/guide/search-dev/relevance#id_40969" target="_blank">Term Frequency Normalization</a> in the <i>Search Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126588"></a><a id="39156"></a>Three Character Searches</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1129546"></a>Specifies whether to enable wildcard searches where the search pattern contains three or more consecutive non-wildcard characters (for example, <code>abc*x</code>, <code>*abc</code>, <code>a?bcd</code>). When combined with a codepoint word lexicon, speeds the performance of any wildcard search (including searches with fewer than three consecutive non-wildcard characters). MarkLogic recommends combining the three character search index with a codepoint collation word lexicon. </p><p><a id="pgfId-1129574"></a>For details about wildcard searches, see <a href="http://docs.marklogic.com/9.0/guide/search-dev/wildcard#id_66341" target="_blank">Understanding and Using Wildcard Searches</a> in the <i>Search Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126592"></a>Three Character Word Positions</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1131079"></a>Specifies whether index data is included in the database files to enable proximity searches (<span><a href="http://docs.marklogic.com/9.0/cts:near-query" target="_blank">cts:near-query</a></span>) within wildcard queries. You must also enable <a href="#39156">Three Character Searches</a> to perform wildcard position searches. When set to <code>true</code>, positional searches are possible within a wildcard query, but document loading is slower and the database files are larger. </p><p><a id="pgfId-1129637"></a>For details about wildcard searches, see <a href="http://docs.marklogic.com/9.0/guide/search-dev/wildcard#id_61884" target="_blank">Understanding the Wildcard Indexes</a> in the <i>Search Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126596"></a>Trailing Wildcard Searches</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1129663"></a>Specifies whether indexes are created to enable wildcard searches where the search pattern contains one or more consecutive non-wildcard characters at the beginning of the word, with the wildcard at the end of the word (for example, abc*). When this setting is <b>true</b>, character searches are faster, but document loading is slower and the database files are larger.</p><p><a id="pgfId-1129666"></a>For details about wildcard searches, see <a href="http://docs.marklogic.com/9.0/guide/search-dev/wildcard#id_66341" target="_blank">Understanding and Using Wildcard Searches</a> in the <i>Search Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126600"></a>Trailing Wildcard Word Positions</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1129700"></a>Specifies whether index data is included in the database files to enable proximity searches (<span><a href="http://docs.marklogic.com/9.0/cts:near-query" target="_blank">cts:near-query</a></span>) within trailing wildcard queries. You must also enable trailing wildcard searches to perform trailing wildcard position searches. When this setting is <b>true</b>, positional searches are possible within a trailing wildcard query, but document loading is slower and the database files are larger. </p><p><a id="pgfId-1129745"></a>For details about wildcard searches, see <a href="http://docs.marklogic.com/9.0/guide/search-dev/wildcard#id_61884" target="_blank">Understanding the Wildcard Indexes</a> in the <i>Search Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126604"></a>Triple Index</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1129773"></a>Specifies whether the RDF triple index is enabled to support SPARQL execution over RDF triples. When set to <code>true</code>, <code>sem:sparql</code> can be used, but document loading is slower and the database files are larger. This index must also be enabled to support Optic and SQL queries.</p><blockquote><p><b>Note:&#160;&#160;</b><a id="pgfId-1129774"></a>This feature requires a valid semantics license key.</p></blockquote><p><a id="pgfId-1129797"></a>For details, see <a href="http://docs.marklogic.com/9.0/guide/semantics/indexes#id_91520" target="_blank">Triple Index Overview</a> in the <i>Semantics Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126608"></a>Triple Positions</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126610"></a>Specifies whether index data is included which speeds up the performance of proximity queries that use the <span><a href="http://docs.marklogic.com/9.0/cts:triple-range-query" target="_blank">cts:triple-range-query</a></span> function. Triple positions also improve the accuracy of the item-frequency option of <span><a href="http://docs.marklogic.com/9.0/cts:triples" target="_blank">cts:triples</a></span>. </p><p><a id="pgfId-1129843"></a>For details, see <a href="http://docs.marklogic.com/9.0/guide/semantics/indexes#id_34194" target="_blank">Triple Positions</a> in the <i>Semantics Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126612"></a>Two Character Searches</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1129876"></a>Specifies whether to enable wildcard searches where the search pattern contains two or more consecutive non-wildcard characters (for example, <code>ab*</code>). This index is not needed if you have <b>Three Character Searches</b> and a word lexicon. </p><p><a id="pgfId-1129944"></a>For details about wildcard searches, see <a href="http://docs.marklogic.com/9.0/guide/search-dev/wildcard#id_66341" target="_blank">Understanding and Using Wildcard Searches</a> in the <i>Search Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126616"></a>URI Lexicon</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1129918"></a>Specifies whether to create a lexicon of all of the URIs used in a database. The URI lexicon speeds up queries that constrain on URIs. It is like a range index of all of the URIs in the database. To access values from the URI lexicon, use the <span><a href="http://docs.marklogic.com/9.0/cts:uris" target="_blank">cts:uris</a></span> or <span><a href="http://docs.marklogic.com/9.0/cts:uri-match" target="_blank">cts:uri-match</a></span> functions.</p><p><a id="pgfId-1129961"></a>For details, see <a href="http://docs.marklogic.com/9.0/guide/search-dev/lexicon#id_50782" target="_blank">URI and Collection Lexicons</a> in the <i>Search Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126620"></a>Word Positions</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126622"></a>Specifies whether index data is included in the database files to enable proximity searches (<span><a href="http://docs.marklogic.com/9.0/cts:near-query" target="_blank">cts:near-query</a></span>). When set to <b>true</b>, positional searches are possible, but document loading is slower and the database files are larger. </p><p><a id="pgfId-1130067"></a>For details, see <a href="http://docs.marklogic.com/9.0/guide/performance/perftune#id_82329" target="_blank">Positions Indexes Can Help Speed Phrase Searches</a> in the <i>Query Performance and Tuning Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126624"></a>Word Searches</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126626"></a>Specifies whether index terms are included in the database files to support fast word searches. When this setting is <code>true</code>, word searches are faster, but document loading is slower and the database files are larger.</p><p><a id="pgfId-1130100"></a>For details, see the <i>Search Developer's Guide</i>.</p></td>
    </tr></table></span>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121638"></a><a id="88727"></a>Database Tasks</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1131554"></a>Use the <b>TASKS</b> tab to get the list of the database tasks. </p>

<blockquote xmlns="http://www.w3.org/1999/xhtml"><p><b>Note:&#160;&#160;</b><a id="pgfId-1131555"></a>You can only see the tasks for the databases to which you have access.For access rules, see <a href="http://docs.marklogic.com/9.0/guide/opsdir/intro#id_93519" target="_blank">Access Inheritance in Resource Groups</a> in the <em xmlns="">Ops Director Guide</em>.</p></blockquote>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1131505"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1143353"></a>The columns displayed in the database <b>TASKS</b> tab are described in the following table.</p>


<a id="pgfId-1143415" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1143356"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1143358"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143360"></a>Cluster</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143362"></a>Cluster on which the task host is located.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143364"></a>Host</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143366"></a>The hostname of the host computer on which the scheduled module is to be invoked.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143368"></a>Enabled</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143370"></a>Whether the task is enabled (true) or disabled (false).</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143372"></a>Task Root</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143374"></a>The root directory (filesystem) or URI root (database) that contains the module.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143376"></a>Task Path</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143378"></a>The module the task is to invoke.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143380"></a>Task Type</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143382"></a>The task type:</p><ul>
	  <li><a id="pgfId-1143383"></a><b>minutely</b> specifies how many minutes between each invocation of the module.</li>
	</ul><ul>
	  <li><a id="pgfId-1143384"></a><b>hourly</b> specifies how many hours and minutes between each invocation of the module.</li>
	</ul><ul>
	  <li><a id="pgfId-1143385"></a><b>daily</b> specifies how many days between each invocation of the module and the time of day (in 24:00 notation).</li>
	</ul><ul>
	  <li><a id="pgfId-1143386"></a><b>weekly</b> specifies how many weeks between each invocation of the module, check one or more days of the week, and the time of day (in 24:00 notation) for the task to start.</li>
	</ul><ul>
	  <li><a id="pgfId-1143387"></a><b>monthly</b> specifies how many months between each invocation of the module, select one day of the month (1-31), and the time of day (in 24:00 notation) for the task to start.</li>
	</ul><ul>
	  <li><a id="pgfId-1143388"></a><b>one-time</b> specifies the start date in MM/DD/YYYY notation (for example, 07/29/2009 for July 29, 2009) and time in 24:00 notation.</li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143390"></a>Task Period</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143392"></a>How often the module is to be invoked (every n months, weeks, days, hours, or minutes).</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143394"></a>Created on</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143396"></a>The datetime the task was created.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143398"></a>Database</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143400"></a>The database to which the scheduled module connects for query execution.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143402"></a>Task Modules</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143404"></a>The name of the database in which the scheduled module locates the application code. If set to (filesystem), any files in the specified task root directory are executable (given the proper permissions). If set to a database, any documents in the database whose URI begins with the specified task root directory are executable.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143406"></a>User</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143408"></a>The user with permission to invoke the module.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143410"></a>Priority</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143412"></a>The priority of the task:</p><ul>
	  <li><a id="pgfId-1143413"></a><b>normal</b> specifies the task is queued with normal priority.</li>
	</ul><ul>
	  <li><a id="pgfId-1143414"></a><b>higher</b> specifies the task is queued with higher priority.</li>
	</ul></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144441"></a>You can export data from the Database Tasks tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144445"></a>The resulting CSV file will have the same columns as the Database Tasks table in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144446"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144447"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144448"></a>Data types of the fields in the CSV file correspond to those in the UI. in the case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144449"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121829"></a><a id="30357"></a>Database Hosts</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121984"></a>Use the <b>HOSTS</b> tab to get the list of hosts on which the database is deployed. This tab shows host name as the first column, followed by other properties. Click on the host name to navigate to the manage view of the selected host.</p>

<blockquote xmlns="http://www.w3.org/1999/xhtml"><p><b>Note:&#160;&#160;</b><a id="pgfId-1124446"></a>Access to hosts is not implicit with database access. For access rules, see <a href="http://docs.marklogic.com/9.0/guide/opsdir/intro#id_93519" target="_blank">Access Inheritance in Resource Groups</a> in the <em xmlns="">Ops Director Guide</em>.</p></blockquote>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1131598"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144498"></a>The columns displayed in the Database Hosts tab are described in the following table.</p>


<a id="pgfId-1144560" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1144501"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1144503"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144505"></a>Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144507"></a>The hostname of the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144509"></a>Group</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144511"></a>The name of the group that contains the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144513"></a>OS</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144515"></a>The name and version of the operating system on which the host runs.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144517"></a>Server Version</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144522"></a>The version of MarkLogic Server on each host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144524"></a>Forests</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144526"></a>The number of forests on the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144528"></a>Databases</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144530"></a>The number of databases on the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144532"></a>App Servers</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144534"></a>The number of App Servers on the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144536"></a>Disk Space (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144538"></a>The amount of disk space (in MB) used on the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144540"></a>Uptime</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144542"></a>The duration (Days Hrs:Min) the host has been available.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144544"></a>Maint. Mode</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144546"></a>The host maintenance mode (normal or maintenance). For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/rolling-upgrades#id_12339" target="_blank">Rolling Upgrades</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144554"></a>Zone</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144556"></a>The Amazon Web Services (AWS) zone in which the host resides, if applicable. For details, see <i>MarkLogic Server on Amazon Web Services (AWS) Guide</i>.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144575"></a>You can export data from the Database Hosts tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144579"></a>The resulting CSV file will have the same columns as the Database Hosts table in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144580"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144581"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144582"></a>Data types of the fields in the CSV file correspond to those in the UI. in the case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144583"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144562"></a><a id="27279"></a>Database App Servers</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1142439"></a>Use the <b>APP SERVERS</b> tab to get the list of all the application servers that use the database, with App Server name as the first column followed by other properties. Click on the App Server name to navigate to the METRICS view of the selected application server.</p>

<blockquote xmlns="http://www.w3.org/1999/xhtml"><p><b>Note:&#160;&#160;</b><a id="pgfId-1134792"></a>Access to the APP SERVERS tab is not implicit with database access. For access rules, see <a href="http://docs.marklogic.com/9.0/guide/opsdir/intro#id_93519" target="_blank">Access Inheritance in Resource Groups</a> in the <em xmlns="">Ops Director Guide</em>.</p></blockquote>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121883"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1134817"></a>The columns displayed in the database <b>APP SERVERS</b> tab are described in the following table.</p>


<a id="pgfId-1134855" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1134820"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1134822"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134824"></a>Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134826"></a>The name of the App Server.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134828"></a>Type</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134830"></a>The App Server type (HTTP, WebDAV, XDBC, ODBC).</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134832"></a>Database</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134834"></a>The name of the App Server content database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134836"></a>Port</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134838"></a>The port number used to access the App Server.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134840"></a>SSL</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134842"></a>Whether the App Server has SSL enabled (yes) or disabled (no). For details, see <a href="http://docs.marklogic.com/9.0/guide/security/SSL#id_85783" target="_blank">Configuring SSL on App Servers</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134844"></a>Group</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134846"></a>The name of the group to which the App Server belongs</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134848"></a>Modules DB+Root</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134850"></a>The name of the modules database, or if <code>filesystem</code>, the root directory.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134852"></a>Security</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134854"></a>The type of security (<code>internal</code> or <code>external</code>).</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144614"></a>You can export data from the database <b>APP SERVERS</b> tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144618"></a>The resulting CSV file will have the same columns as the Database App Servers table in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144619"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144620"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144621"></a>Data types of the fields in the CSV file correspond to those in the UI. in the case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144622"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1140427"></a><a id="48905"></a>Database Forests</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1140428"></a>Use the <b>FORESTS</b> tab to list all the forests within the database, with forest name as the first column, followed by other properties. Click on the forest name to navigate to the manage view of the selected forest.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1148389"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1148390"></a>The columns displayed in the database <b>FORESTS</b> tab are described in the following table.</p>


<a id="pgfId-1148489" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1148393"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1148395"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148397"></a>Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148399"></a>The name of the forest.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148401"></a>Host</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148403"></a>The forest host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148405"></a>Documents</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148407"></a>The number of documents in the forest.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148409"></a>Status</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148411"></a>The status of the forest. <b>Enabled</b> or <b>Disabled</b>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148413"></a>Availability</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148415"></a>The availability of the forest. <b>Online</b> or <b>Offline</b>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148417"></a>Fragments</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148419"></a>The number of active fragments (the fragments available to queries) in the forest.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148421"></a>Deleted Fragments</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148423"></a>The number of deleted fragments (the fragments to be removed by the next merge operation) in the forest.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148425"></a>Stands</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148427"></a>The number of stands in the forest. For more information on stands, see <a href="http://docs.marklogic.com/9.0/guide/concepts/data-management#id_85565" target="_blank">Databases, Forests, and Stands</a> in the <i>Concepts Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148435"></a>Size (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148437"></a>The size of the forest, in MB.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148439"></a>Encrypted Size (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148441"></a>The amount of encrypted data in the forest. For details on data encryption, see <a href="http://docs.marklogic.com/9.0/guide/security/encryption#id_37353" target="_blank">Encryption at Rest</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148449"></a>Free Space (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148451"></a>The number of MB of free space on this forest.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148453"></a>Large Data Size (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148455"></a>The amount of data in the large data directories of the forest. For more information on Large Data, see <a href="http://docs.marklogic.com/9.0/guide/app-dev/binaries#id_46976" target="_blank">Working With Binary Documents</a> in the <i>Application Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148463"></a>Fast Data Size (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148465"></a>The amount of data in the fast data directories of the forest. For more information on Fast Data, see <a href="http://docs.marklogic.com/9.0/guide/performance/disk-storage#id_17115" target="_blank">Fast Data Directory on Forests</a> in the <i>Query Performance and Tuning Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148473"></a>Failover Enabled</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148475"></a>Whether failover is enabled for the forest. For more information on stands, see <a href="http://docs.marklogic.com/9.0/guide/cluster/failover#id_82157" target="_blank">High Availability of Data Nodes With Failover</a> in the <i>Scalability, Availability, and Failover Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148483"></a>Replication</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148485"></a>Specifies whether or not database replication is enabled for this forest. For details, see the <i>Database Replication Guide</i>.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144656"></a>You can export data from the Database Forests tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144660"></a>The resulting CSV file will have the same columns as the Database Forests table in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144661"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144662"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144663"></a>Data types of the fields in the CSV file correspond to those in the UI. in the case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144664"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<p>Available help topics:</p>
<span><table width="50%" border="0" style="text-align: left"><tr><td rowspan="1" colspan="1"><ul xmlns="http://www.w3.org/1999/xhtml">
	  <li>Manage Databases Tab</li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-database-metrics">Database Metrics</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-database-info">Database Information</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-database-tasks">Database Tasks</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-database-hosts">Database Hosts</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-database-appservers">Database App Servers</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-database-forests">Database Forests</a></li>
	</ul></td></tr></table></span> </div>
   case element(manage-database-metrics) return
     <div id=" manage-database-metrics "> <p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=overview" xmlns="http://www.w3.org/1999/xhtml">Monitoring MarkLogic with Ops Director</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=navigation" xmlns="http://www.w3.org/1999/xhtml">Navigating and Filtering Ops Director Views</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=Manage" xmlns="http://www.w3.org/1999/xhtml">Manage View</a></p>
<h1 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1147635"></a><a id="70357"></a>Database Metrics</h1>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1147636"></a>Select a single database or all databases from the navigation tree. The <b>METRICS</b> tab displays key indicators enabling you to determine the health of the selected resource or resource group. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1141418"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1146158"></a>To filter the data used for rendering the graphs, select a pre-defined time period or specify a custom time period, as described in <a href="http://docs.marklogic.com/9.0/guide/opsdir/Navigation#id_89836" target="_blank">Date and Time Filters</a> in the <em xmlns="">Ops Director Guide</em>.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1141420"></a>The metrics displayed by the charts on the database <b>METRICS</b> tab are described in the following table.</p>


<a id="pgfId-1121686" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1147918"></a>Chart</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1147920"></a>Definition of Displayed Metric</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1147922"></a>Disk I/O</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1147926"></a>Disk I/O in MB/sec. The displayed metrics are described in <a href="http://docs.marklogic.com/9.0/guide/opsdir/Analyse#id_21175" target="_blank">Disk Performance Data</a> in the <em xmlns="">Ops Director Guide</em>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1147929"></a>Memory Footprint</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1147931"></a>The total amount (in MB) of memory consumed by the database. </p><p><a id="pgfId-1147932"></a>The displayed metrics are:</p><ul>
	  <li><a id="pgfId-1147933"></a>RSS: The total amount of MB of Process Resident Size (RSS) consumed by the database.</li>
	</ul><ul>
	  <li><a id="pgfId-1147934"></a>Anon: The total amount of MB of Process Anonymous Memory consumed by the database.</li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1147936"></a>Memory Size</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1147938"></a>The amount of space (in MB) forest data files for the database take up in memory.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1147940"></a>Memory I/O</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1147942"></a>The number of pages per second moved between memory and disk.</p><p><a id="pgfId-1147943"></a>The displayed metrics are:</p><ul>
	  <li><a id="pgfId-1147944"></a>Page-In Rate: The page-in rate (from Linux /proc/vmstat) for the database in pages per second.</li>
	</ul><ul>
	  <li><a id="pgfId-1147945"></a>Page-Out Rate: The page-out rate (from Linux /proc/vmstat) for the database in pages per second.</li>
	</ul><ul>
	  <li><a id="pgfId-1147946"></a>Swap-In Rate: The swap-in rate (from Linux /proc/vmstat) for the database in pages per second.</li>
	</ul><ul>
	  <li><a id="pgfId-1147947"></a>Swap-Out Rate: The swap-out rate (from Linux /proc/vmstat) for the database in pages per second.</li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1147949"></a>Lock Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1147951"></a>The number of locks set per second across all of the databases in the cluster.</p><p><a id="pgfId-1147952"></a>The displayed lines are:</p><ul>
	  <li><a id="pgfId-1147953"></a>Read: The number of read locks set per second.</li>
	</ul><ul>
	  <li><a id="pgfId-1147954"></a>Write: The number of write locks set per second.</li>
	</ul><ul>
	  <li><a id="pgfId-1147955"></a>Deadlock: The number of deadlocks per second.</li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1147957"></a>Lock Wait Load</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1147959"></a>The aggregate time (in seconds) transactions wait for locks.</p><p><a id="pgfId-1147960"></a>The displayed lines are:</p><ul>
	  <li><a id="pgfId-1147961"></a>Read: The time transactions wait for read locks.</li>
	</ul><ul>
	  <li><a id="pgfId-1147962"></a>Write: The time transactions wait for write locks.</li>
	</ul></td>
    </tr></table></span>

<p>Available help topics:</p>
<span><table width="50%" border="0" style="text-align: left"><tr><td rowspan="1" colspan="1"><ul xmlns="http://www.w3.org/1999/xhtml">
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-database">Manage Databases Tab</a></li>
	  <li>Database Metrics</li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-database-info">Database Information</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-database-tasks">Database Tasks</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-database-hosts">Database Hosts</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-database-appservers">Database App Servers</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-database-forests">Database Forests</a></li>
	</ul></td></tr></table></span> </div>
   case element(manage-database-info) return
     <div id=" manage-database-info "> <p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=overview" xmlns="http://www.w3.org/1999/xhtml">Monitoring MarkLogic with Ops Director</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=navigation" xmlns="http://www.w3.org/1999/xhtml">Navigating and Filtering Ops Director Views</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=Manage" xmlns="http://www.w3.org/1999/xhtml">Manage View</a></p>
<h1 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121721"></a><a id="46319"></a>Database Information</h1>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1142328"></a>Use the <b>INFORMATION</b> tab to access properties of the selected database.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1130707"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1130734"></a>The properties displayed in the database <b>INFORMATION</b> tab are described in the following table.</p>


<a id="pgfId-1125149" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1126308"></a>Field</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1126310"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126312"></a>Assignment Policy</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126314"></a>Database rebalancer assignment policy. For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/database-rebalancing#id_23383" target="_blank">Rebalancer Document Assignment Policies</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126316"></a>Attribute Value Positions</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126318"></a>Specifies whether index data is included which speeds up the performance of proximity queries that use the <span><a href="http://docs.marklogic.com/9.0/cts:field-value-query" target="_blank">cts:field-value-query</a></span> function. Turn this index off if you are not interested in proximity queries and if you want to conserve disk space and decrease loading time. </p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126320"></a>Collection Lexicon</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126322"></a>Specifies whether to create a lexicon of all of the collection URIs in the database. The collection lexicon lets you tolist all of the collection URIs in the database and perform lexicon-based queries on the URIs.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126324"></a>Data Encryption</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126807"></a>Specifies whether or not encryption at rest is enabled. For details, see <a href="http://docs.marklogic.com/9.0/guide/security/encryption#id_37353" target="_blank">Encryption at Rest</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126328"></a>Database Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126330"></a>The name of the database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126332"></a>Database Replication</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1138336"></a>Specifies whether or not database replication is enabled.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126336"></a>Directory Creation</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126737"></a>Specifies whether directories are automatically created in the database when documents are created. The default for a new database is manual. The settings are:</p><ul>
	  <li><a id="pgfId-1126739"></a><b>automatic</b>: Specifies that a directory hierarchy is automatically created to match the URI of a document or a directory that is created. This is the recommended setting, especially if you are accessing the database with a WebDAV Server or if you are using it as a Modules database.</li>
	</ul><ul>
	  <li><a id="pgfId-1126740"></a><b>manual</b>: Specifies that directories must be manually created. No directory hierarchy is enforced.</li>
	</ul><ul>
	  <li><a id="pgfId-1126741"></a><b>manual-enforced</b>: The same as <b>manual</b>, except it raises an error if the parent directory does not exist when creating a document or directory. For example, to create a document with the URI <code>http://marklogic/file.xml</code>, the directory <code>http://marklogic/</code> must first exist.</li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126340"></a>Element Value Positions</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126827"></a>Specifies whether index data is included for faster element-based phrase and <span><a href="http://docs.marklogic.com/9.0/cts:near-query" target="_blank">cts:near-query</a></span> searches that use <span><a href="http://docs.marklogic.com/9.0/cts:element-value-query" target="_blank">cts:element-value-query</a></span>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126344"></a>Element Word Positions</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126346"></a>Specifies whether index data is included in the database files to enable proximity searches (<span><a href="http://docs.marklogic.com/9.0/cts:near-query" target="_blank">cts:near-query</a></span>) within specific XML elements or JSON properties. You must also enable word positions to perform element position searches. When this setting is true, positional searches are possible within an XML element or JSON property, but document loading is slower and the database files are larger. </p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126348"></a><a id="70499"></a>Element Word Query Through</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126350"></a>The element markup to be searched through in searches that use the <span><a href="http://docs.marklogic.com/9.0/cts:element-word-query" target="_blank">cts:element-word-query</a></span> constructor.</p><p><a id="pgfId-1130547"></a>Words contained in text node children of a phrase through or Element Word Query Through element node match words in a <span><a href="http://docs.marklogic.com/9.0/cts:element-word-query" target="_blank">cts:element-word-query</a></span> for both the element and for the element's parent. If the parent is also a Phrase Through or Element Word Query Through element, the words also match words in a <span><a href="http://docs.marklogic.com/9.0/cts:element-word-query" target="_blank">cts:element-word-query</a></span> for the grandparent.</p><ul>
	  <li><a id="pgfId-1130471"></a><b>Namespace URI</b>: The namespace for an element or an attribute.</li>
	</ul><ul>
	  <li><a id="pgfId-1130460"></a><b>Localname</b>: The local name for an XML element or attribute, or the name of a JSON property.</li>
	</ul><p><a id="pgfId-1130522"></a>For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/text_index#id_93943" target="_blank">Element Word Query Throughs</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139621"></a>Enabled </p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139626"></a>Whether data encryption is enabled. For details, see <a href="http://docs.marklogic.com/9.0/guide/security/encryption#id_37353" target="_blank">Encryption at Rest</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126352"></a>Encryption Key ID</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126883"></a>Data encryption key ID. For details, see <a href="http://docs.marklogic.com/9.0/guide/security/encryption#id_37353" target="_blank">Encryption at Rest</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126356"></a>Expunge Locks </p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126898"></a>Specifies if MarkLogic Server automatically expunges any lock fragments created using <span><a href="http://docs.marklogic.com/9.0/xdmp:lock-acquire" target="_blank">xdmp:lock-acquire</a></span> with specified timeouts. The possible values are: </p><ul>
	  <li><a id="pgfId-1130621"></a><b>automatic</b>: Cleans up the locks as they expire. This is the default value and is recommended for most installations.</li>
	</ul><ul>
	  <li><a id="pgfId-1130622"></a><b>none</b>: The lock fragments remain in the database after the locks expire (although they will no longer be locking any documents) until they are explicitly removed with <span><a href="http://docs.marklogic.com/9.0/xdmp:lock-release" target="_blank">xdmp:lock-release</a></span>. This setting is only recommended to speed cluster startup time for extremely large clusters. </li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126360"></a>Fast Case Sensitive Searches</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126913"></a>Specifies whether index terms are included in the database files to support fast case-sensitive searches. When this setting is true, case-sensitive searches are faster, but document loading is slower and the database files are larger. </p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126364"></a>Fast Diacritic Sensitive Searches</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126925"></a>Specifies whether index terms are included in the database files to support fast diacritic-sensitive searches. When this setting is true, diacritic-sensitive searches are faster, but document loading is slower and the database files are larger. </p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126368"></a>Fast Element Character Searches</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126977"></a>Specifies whether wildcard searches are enabled to speed up element-based wildcard searches. For details about wildcard searches, see <a href="http://docs.marklogic.com/9.0/guide/search-dev/wildcard#id_66341" target="_blank">Understanding and Using Wildcard Searches</a> in the <i>Search Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126372"></a>Fast Element Phrase Searches</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126374"></a>Specifies whether index terms are included in the database files to enable fast element-phrase searches. When set to true, element-phrase searches are faster, but document loading is slower and the database files are larger. </p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126376"></a>Fast Element Trailing Wildcard Searches</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126378"></a>Specifies whether index terms are included in the database files to enable element trailing wildcard searches and faster character-based XQuery predicates. When set to true, element-trailing-wildcard searches are faster, but document loading is slower and the database files are larger. </p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126380"></a>Fast Element Word Searches</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126382"></a>Specifies whether index terms are included in the database files to support fast element-word searches. When set to true, element-word searches are faster, but document loading is slower and the database files are larger. </p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126384"></a>Fast Phrase Searches</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126386"></a>Specifies whether index terms are included in the database files to support fast phrase searches. When set to true, phrase searches are faster, but document loading is slower and the database files are larger. </p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126388"></a>Fast Reverse Searches</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126390"></a>Specifies whether index terms are included in the database files to support fast reverse searches. When set to <code>true</code>, <span><a href="http://docs.marklogic.com/9.0/cts:reverse-query" target="_blank">cts:reverse-query</a></span> searches are faster, but document loading is slower and the database files are larger. </p><blockquote><p><b>Note:&#160;&#160;</b><a id="pgfId-1127115"></a>A valid alerting license key is required.</p></blockquote></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126392"></a>Field</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127154"></a>The configuration of any fields in the database. For details on fields, see <a href="http://docs.marklogic.com/9.0/guide/admin/fields#id_61682" target="_blank">Fields Database Settings</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126396"></a>Field Value Positions</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126398"></a>Specifies whether index data is included which speeds up the performance of proximity queries that use the <span><a href="http://docs.marklogic.com/9.0/cts:field-value-query" target="_blank">cts:field-value-query</a></span> function. Turn this index off if you are not interested in proximity queries and if you want to conserve disk space and decrease loading time. </p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126400"></a>Field Value Searches</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126402"></a>Specifies whether index data is included which speeds up the performance of field value queries that use the <span><a href="http://docs.marklogic.com/9.0/cts:field-value-query" target="_blank">cts:field-value-query</a></span> function. Turn this index off if you are not interested in field value queries and if you want to conserve disk space and decrease loading time. </p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126404"></a>Forest</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126406"></a>The names of the forests used by the database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126408"></a>Format Compatibility</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127190"></a>The version compatibility that MarkLogic Server applies to the indexes for the database during request evaluation. A value other than <code>automatic</code> specifies that all forest data has the specified on-disk format, and it disables the automatic checking for index compatibility information. The automatic detection occurs during database startup and after any database configuration changes, and can take some time and system resources for very large forests and for very large clusters. The default value of <code>automatic</code> is recommended for most installations.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126412"></a>In-memory Geospatial Region Index Size</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127207"></a>The amount of cache and buffer memory to be allocated for managing geospatial region index data for an in-memory stand.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126416"></a>In-memory Limit</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126418"></a>The maximum number of fragments in an in-memory stand. An in-memory stand contains the latest version of any new or changed fragments. Periodically, in-memory stands are written to disk as a new stand in the forest. Also, if a stand accumulates a number of fragments beyond this limit, it is automatically saved to disk by a background thread.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126420"></a><a id="74884"></a>In-memory List Size</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127260"></a>The amount of cache and buffer memory allocated for managing termlist data for an in-memory stand.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126424"></a>In-memory Range Index Size</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126426"></a>The amount of cache and buffer memory allocated for managing range index data for an in-memory stand. </p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126428"></a>In-memory Reverse Index Size</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126430"></a>The amount of cache and buffer memory allocated for managing reverse index data for an in-memory stand. </p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126432"></a><a id="19921"></a>In-memory Tree Size</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127323"></a>The size, in megabytes, of the in-memory tree storage. The In-memory Tree Size must be at least one or two megabytes larger than the largest text or small binary document you plan on loading into the database. The largest small binary file size is always constrained by the <a href="#22286">Large Size Threshold</a> database configuration setting.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126436"></a>In-memory Triple Index Size</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126438"></a>The amount of cache and buffer memory allocated for managing triple index data for an in-memory stand. </p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126440"></a>Index Detection</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127355"></a>Specifies whether to auto-detect index compatibility between the content and the current database settings. This detection occurs during database startup and after any database configuration changes, and can take some time and system resources for very large forests and for very large clusters. The possible values are: </p><ul>
	  <li><a id="pgfId-1130385"></a>automatic: Auto-detect index. This is the default value and is recommended for most installations.</li>
	</ul><ul>
	  <li><a id="pgfId-1130334"></a>none: Causes queries to use the current database index settings, even if some settings have not completed reindexing. </li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126444"></a>Inherit Collections</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127383"></a>When set to true, documents and directories automatically inherit collection settings from their parent directory (if collections are not set explicitly when creating the document or directory). If there are any default collections on the user who is creating the document or directory, those permissions are combined with any inherited collections.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126448"></a>Inherit Permissions</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127395"></a>When set to true, documents and directories automatically inherit permissions from their parent directory (if permissions are not set explicitly when creating the document or directory). If there are any default permissions on the user who is creating the document or directory, those permissions are combined with any inherited permissions.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126452"></a>Inherit Quality</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127411"></a>When set to true, documents and directories automatically inherit any quality settings from their parent directory (if quality is not set explicitly when creating the document or directory).</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126456"></a>Journal Count</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126458"></a>The number of journal files for the database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126460"></a>Journal Size</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127444"></a>The size, in megabytes, of each journal file. The system uses journal files for recovery operations if a transaction fails to complete successfully. The default value is sufficient for most systems; it is calculated at database configuration time based on the size of your system. If you change the other memory settings, however, the journal size must equal the sum of the <a href="#74884">In-memory List Size</a> and the <a href="#19921">In-memory Tree Size</a>. Additionally, you must add space to the journal size if you use range indexes (particularly if you use a lot of range indexes or have extremely large range indexes), as range index data can take up journal space. Also, if your transactions span multiple forests, you may also need to add journal size, as each journal must keep the lock information for all of the documents in the transaction, not just for the documents that reside in the forest in which the journal exists.</p><p><a id="pgfId-1127446"></a>When you change the journal size, the next time the system creates a new journal, it will use the new size limit; existing journals will continue to use the old size limit until they are replaced with new ones (for example, when a journal fills up, when a forest is cleared, or when the system is cleanly shutdown and restarted).</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126464"></a>Journaling</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1130145"></a>Specifies how robust transaction journaling is. The possible values are:</p><ul>
	  <li><a id="pgfId-1130119"></a>strict: The journal protects against MarkLogic Server process failures, host operating system kernel failures, and host hardware failures. </li>
	</ul><ul>
	  <li><a id="pgfId-1130130"></a>fast: The journal protects against MarkLogic Server process failures but not against host operating system kernel failures or host hardware failures. </li>
	</ul><ul>
	  <li><a id="pgfId-1130137"></a>off: The journal does not protect against MarkLogic Server process failures, host operating system kernel failures, or host hardware failures. </li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126468"></a>Language</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126470"></a>The default language for content in the database. Any content without an <code>xml:lang</code> attribute is indexed in the language specified here. </p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126472"></a><a id="22286"></a>Large Size Threshold</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127490"></a>The size, in kilobytes, beyond which large binary documents are stored in the Large Data Directory instead of directly in a stand. Binaries smaller than or equal to the threshold are considered small binary files and stored in stands. Binaries larger the threshold are considered large binary files and stored in the Large Data Directory.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126476"></a>Locking</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126478"></a>Specifies how robust transaction locking is. The possible values are:</p><ul>
	  <li><a id="pgfId-1130217"></a>strict: Locking enforces mutual exclusion on existing documents and on new documents. </li>
	</ul><ul>
	  <li><a id="pgfId-1130228"></a>fast: Locking enforces mutual exclusion on existing and new documents. Instead of locking all the forests on new documents, it uses a hash function to select one forest to lock. In general, this is faster than strict. However, for a short period of time after a new forest is added, some of the transactions need to be retried internally. </li>
	</ul><ul>
	  <li><a id="pgfId-1130235"></a>off: Locking does not enforce mutual exclusion on existing documents or on new documents; only use this setting if you are sure all documents you are loading are new (a new bulk load, for example), otherwise you might create duplicate URIs in the database.</li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126480"></a>Maintain Directory Last Modified</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127531"></a>Specifies whether to include a timestamp on the properties for each directory in the database. If set to true, update operations on documents in a directory also update the directory last-modified timestamp, which can cause some contention when multiple documents in the directory are being updated. If your application is experiencing contention during these type of updates (for example, if you see <code>deadlock-detected</code> messages in the error log), set this property to <b>false</b>. The default is <b>false</b>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126484"></a>Maintain Last Modified</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126486"></a>Specifies whether to include a timestamp on the properties document for each document in the database. The default is <b>true</b>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126488"></a>Merge Max Size</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127633"></a>The maximum size, in megabytes, of a stand that will result from a merge. If a stand grows beyond the specified size, it will not be merged. If two stands would be larger than the specified size if merged, they will not be merged together. If you set this to smaller sizes, large merges (which may require more disk and CPU resources) will be prevented. The default is 48&#160;GB (49152&#160;MB), which is recommended because it provides a good balance between keeping the number of stands low and preventing very large merges from using large amounts of disk space. Set this to 0 to allow any sized stand to merge. Use care when setting this to a non-zero value lower than the default value, as this can prevent merges which are ultimately required for the system to maintain performance levels and to allow optimized updates to the system. </p><p><a id="pgfId-1127624"></a>For details on controlling merges, see <a href="http://docs.marklogic.com/9.0/guide/admin/merges#id_83498" target="_blank">Understanding and Controlling Database Merges</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126492"></a>Merge Min Ratio</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127645"></a>A positive integer indicating the minimum ratio between the number of fragments in a stand and the number of fragments in all of the other smaller stands (the stands with fewer fragments) in the forest. Stands with a fragment count below this ratio relative to all smaller stands are automatically merged with the smaller stands. For an example, see <a href="http://docs.marklogic.com/9.0/guide/admin/merges#id_39419" target="_blank">If You Want to Reduce the Number of &#x2018;Large' Merges</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126496"></a>Merge Min Size</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127684"></a>The minimum number of fragments that a stand can contain. Two or more stands with fewer than this number of fragments are automatically merged. </p><p><a id="pgfId-1127702"></a>For details on controlling merges, see <a href="http://docs.marklogic.com/9.0/guide/admin/merges#id_83498" target="_blank">Understanding and Controlling Database Merges</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126500"></a>Merge Priority</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1128500"></a>Specifies the CPU scheduler priority at which merges run. The settings are: </p><ul>
	  <li><a id="pgfId-1128501"></a>normal: Specifies the same CPU scheduler priority as for requests. </li>
	</ul><ul>
	  <li><a id="pgfId-1127722"></a>lower: Specifies a lower CPU scheduler priority than for requests.</li>
	</ul><p><a id="pgfId-1127723"></a>Merges always run with normal priority on forests with more than 16 stands.</p><p><a id="pgfId-1128596"></a>For details on controlling merges, see <a href="http://docs.marklogic.com/9.0/guide/admin/merges#id_83498" target="_blank">Understanding and Controlling Database Merges</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126504"></a><a id="91760"></a>Merge Timestamp</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127737"></a>The timestamp stored on merged stands. This is used for point-in-time queries, and determines when space occupied by deleted fragments and old versions of fragments may be reclaimed by the database. If a fragment is deleted or updated at a time after the merge timestamp, the old version of the fragment is retained for use in point-in-time queries. Set this to 0 (the default) to let the system reclaim the maximum amount of disk space during merge activities. A setting of 0 removes all deleted and updated fragments when a merge occurs. Set this to 1 before loading or updating any content to create a complete archive of the changes to the database over time. Set this to the current timestamp to preserve all versions of content from this point on. Set this to a negative number to specify a window of timestamp values, relative to the last merge, at ten million ticks per second. The timestamp is a number maintained by MarkLogic Server that increments every time a change occurs in any of the databases in a system (including configuration changes from any host in a cluster). For details on point-in-time queries, see <a href="http://docs.marklogic.com/9.0/guide/app-dev/point_in_time#id_65723" target="_blank">Point-In-Time Queries</a> in the <i>Application Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126508"></a>One Character Searches</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127774"></a>Specifies whether wildcard searches are enabled so that the search pattern contains a single non-wildcard characters (for example, '<code>a*</code>'). This index is not needed if you have <a href="#39156">Three Character Searches</a> and a word lexicon. For details about wildcard searches, see <a href="http://docs.marklogic.com/9.0/guide/search-dev/wildcard#id_66341" target="_blank">Understanding and Using Wildcard Searches</a> in the <i>Search Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126512"></a>Phrase Around</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127827"></a>Specifies the element markup phrased around in searches. Searches for phrases can skip around element boundaries when a phrase-around is configured for that element. For example, if there is a Phrase Around configured on a <code>&lt;b&gt;</code> tag, the following XML snippet will return a match for a search for the phrase 'to be or not to be':</p><blockquote><pre><a id="pgfId-1127829"></a>&lt;p&gt;to &lt;b&gt;be&lt;/b&gt; or not to be&lt;/p&gt; </pre></blockquote><p><a id="pgfId-1127831"></a>The phrase indexer needs to know phrases may cross these markup boundaries at load time and reindex time so that it includes the right information in the indexes supporting phrase search.</p><p><a id="pgfId-1127833"></a>Each phrase-around has the following settings:</p><ul>
	  <li><a id="pgfId-1127835"></a><b>Namespace URI</b>: The namespace for an element or an attribute.</li>
	</ul><ul>
	  <li><a id="pgfId-1127836"></a><b>Localname</b>: The local name for an XML element or attribute.</li>
	</ul><p><a id="pgfId-1128024"></a>For more detail, see <a href="http://docs.marklogic.com/9.0/guide/admin/text_index#id_29138" target="_blank">Phrasing and Element-Word-Query Boundary Control</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126516"></a>Phrase Through</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127922"></a>Specifies the element markup to be phrased through in searches. Searches for phrases can cross element boundaries when a phrase-through is configured for that element. For example, if there is a phrase-through configured on a <code>&lt;b&gt;</code> tag, the following XML snippet returns a match for a search for the phrase 'to be or not to be':</p><blockquote><pre><a id="pgfId-1127924"></a>&lt;p&gt;to &lt;b&gt;be&lt;/b&gt; or not to be&lt;/p&gt; </pre></blockquote><p><a id="pgfId-1127926"></a>The phrase indexer needs to know phrases may cross these markup boundaries at load time and reindex time so that it includes the right information in the indexes supporting phrase search.</p><p><a id="pgfId-1127928"></a>Words contained in text node children of a phrase-through or <a href="#70499">Element Word Query Through</a> element node match words in a <span><a href="http://docs.marklogic.com/9.0/cts:element-word-query" target="_blank">cts:element-word-query</a></span> for both the element and for the element's parent. If the parent is also a phrase-through or <a href="#70499">Element Word Query Through</a> element, the words also match words in a <span><a href="http://docs.marklogic.com/9.0/cts:element-word-query" target="_blank">cts:element-word-query</a></span> for the grandparent.</p><p><a id="pgfId-1126518"></a>If you delete a phrase-through, the system will not automatically reindex away the indexed phrase-throughs, even if reindexing is enabled; to reindex deleted phrase-throughs, force a reindex (for example, by clicking the reindex button on the database configuration page).</p><p><a id="pgfId-1127980"></a>Each phrase-through has the following settings:</p><ul>
	  <li><a id="pgfId-1127981"></a><b>Namespace URI</b>: Specifies the namespace for an element or an attribute.</li>
	</ul><ul>
	  <li><a id="pgfId-1127982"></a><b>Localname</b>: Specifies the local name for an XML element or attribute.</li>
	</ul><p><a id="pgfId-1128054"></a>For more detail, see <a href="http://docs.marklogic.com/9.0/guide/admin/text_index#id_29138" target="_blank">Phrasing and Element-Word-Query Boundary Control</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126520"></a>Positions List Max Size</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126522"></a>The maximum size, in megabytes, of the position list portion of the index for a given term. If the position list size for a given term grows larger than the limit specified, the position information for that term is discarded. The default value is 256, the minimum value is 1, and the maximum value is 512. For example, position queries (<code>cts:near-query</code>) for frequently occurring words that have reached this limit (words like a, an, the, and so on) are resolved without using the indexes. Even though those types of words are resolved without using the indexes, this limit helps improve performance by making the indexes smaller and more efficient to the data actually loaded in the database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126524"></a>Preallocate Journals</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126526"></a>Has no effect as of MarkLogic, Version 8.0-4. </p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126528"></a><a id="70266"></a>Preload Mapped Data</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1128119"></a>Specifies whether memory mapped data (for example, range indexes and word lexicons) is loaded into memory when a forest is mounted to the database. Preloading the memory mapped data improves query performance, but uses more memory, especially if you have a lot of range indexes and/or lexicons. Also, it will cause a lot of disk I/O at database startup time, slowing the system performance during the time the mapped data is read into memory. If you do not preload the mapped data, it will be paged into memory dynamically when a query requests data that needs it, slowing the query response time.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126532"></a>Preload Replica Mapped Data</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126534"></a>Specifies whether memory mapped data (for example, range indexes and word lexicons) are loaded immediately into memory when a stand is opened. The setting of preload-replica-mapped-data is ignored if <a href="#70266">Preload Mapped Data</a> is set to <b>false</b>. </p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126536"></a>Range Element Attribute Index</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1128427"></a>The range indexes on attributes in XML elements.</p><p><a id="pgfId-1126538"></a>The fields are as follows:</p><ul>
	  <li><a id="pgfId-1128162"></a><b>Range Value Positions</b>: Specifies whether index data is included that speeds up the performance of proximity queries involving range queries. Turn this index off if you are not interested in proximity queries and if you want to conserve disk space and decrease loading time. </li>
	</ul><ul>
	  <li><a id="pgfId-1128184"></a><b>Parent Namespace URI</b>: The namespace URI of the parent element.</li>
	</ul><ul>
	  <li><a id="pgfId-1128191"></a><b>Parent Localname</b>: The local name of the parent XML element or the name of the parent JSON property.</li>
	</ul><ul>
	  <li><a id="pgfId-1128198"></a><b>Invalid Values</b>: Specifies whether the server allows insertion of documents that contain XML elements or JSON properties on which range index is configured and their contents cannot be coerced to the index data type. It can be configured to either ignore or reject. By default server rejects insertion of such documents. However, if you set invalid values to ignore, these documents can be inserted. This setting does not change the behavior of queries on invalid values after documents are inserted in the database. Performing an operation on an invalid value at query time can still result in an error. </li>
	</ul><ul>
	  <li><a id="pgfId-1128212"></a><b>Namespace URI</b>: The namespace for an element or an attribute.</li>
	</ul><ul>
	  <li><a id="pgfId-1128220"></a><b>Collation</b>: The collation to use in the comparison operations. </li>
	</ul><ul>
	  <li><a id="pgfId-1128236"></a><b>Scalar Type</b>: The ordered domain for the index. Each of the types correspond with an XQuery type.</li>
	</ul><ul>
	  <li><a id="pgfId-1128228"></a><b>Localname</b>: The local name of an XML element or attribute, or the name of a JSON property.</li>
	</ul><p><a id="pgfId-1128169"></a>For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/range_index#id_63906" target="_blank">Defining Attribute Range Indexes</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126540"></a>Range Element Index</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1128614"></a>The range indexes on XML elements or JSON properties.</p><p><a id="pgfId-1128615"></a>The fields are as follows:</p><ul>
	  <li><a id="pgfId-1148130"></a><b>Range Value Positions</b>: Specifies whether index data is included that speeds up the performance of proximity queries involving range queries. Turn this index off if you are not interested in proximity queries and if you want to conserve disk space and decrease loading time. </li>
	</ul><ul>
	  <li><a id="pgfId-1128835"></a><b>Invalid Values</b>: Specifies whether the server allows insertion of documents that contain XML elements or JSON properties on which range index is configured and their contents cannot be coerced to the index data type. It can be configured to either ignore or reject. By default server rejects insertion of such documents. However, if you set invalid values to ignore, these documents can be inserted. This setting does not change the behavior of queries on invalid values after documents are inserted in the database. Performing an operation on an invalid value at query time can still result in an error.</li>
	</ul><ul>
	  <li><a id="pgfId-1128643"></a><b>Namespace URI</b>: The namespace for an element or an attribute.</li>
	</ul><ul>
	  <li><a id="pgfId-1128650"></a><b>Collation</b>: The collation to use in the comparison operations. </li>
	</ul><ul>
	  <li><a id="pgfId-1128657"></a><b>Scalar Type</b>: The ordered domain for the index. Each of the types correspond with an XQuery type.</li>
	</ul><ul>
	  <li><a id="pgfId-1128664"></a><b>Localname</b>: The local name for an XML element or attribute, or the name for a JSON property.</li>
	</ul><p><a id="pgfId-1128682"></a>For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/range_index#id_51346" target="_blank">Defining Element Range Indexes</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126544"></a>Range Index Optimize</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126546"></a>Specifies how range indexes are to be optimized. The values are defined as follows:</p><ul>
	  <li><a id="pgfId-1128873"></a><b>facet-time</b>: Range indexes are optimized to minimize the amount of CPU time used. </li>
	</ul><ul>
	  <li><a id="pgfId-1128880"></a><b>memory-size</b>: Range indexes are optimized to minimize the amount of memory used. </li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126548"></a>Rebalancer Enable</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1128917"></a>Specifies whether rebalancing are automatically performed in the background after configuration settings are changed. When set to true, the database rebalancer automatically redistributes the content across the database forests. When set to false, rebalancing is disabled.</p><p><a id="pgfId-1128976"></a>For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/database-rebalancing#id_13221" target="_blank">Configuring the Rebalancer on a Database</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126552"></a>Rebalancer Throttle</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1128957"></a>The priority of system resources devoted to rebalancing. Higher numbers give rebalancing a higher priority.</p><p><a id="pgfId-1128994"></a>For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/database-rebalancing#id_96058" target="_blank">How the Rebalancer Moves Documents</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126556"></a>Reindexer Enable</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126558"></a>Specifies whether indexes are automatically rebuilt in the background after index configuration settings are changed. When set to <b>true</b>, index configuration changes automatically initiate a background reindexing operation on the entire database. When set to <b>false</b>, any new index settings take effect for future documents loaded into the database; existing documents retain the old settings until they are reloaded or until you set reindexer enable to <b>true</b>.</p><p><a id="pgfId-1129054"></a>For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/text_index#id_22354" target="_blank">Understanding the Reindexer Enable Settings</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126560"></a>Reindexer Throttle</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1129071"></a>The priority of system resources devoted to reindexing. Reindexing occurs in batches, where each batch is approximately 200 fragments. When set to 5 (the default), the reindexer works aggressively, starting the next batch of reindexing soon after finishing the previous batch. When set to 4, it waits longer between batches, when set to 3 it waits longer still, and so on until when it is set to 1, when it waits the longest. Therefore, higher numbers give reindexing a higher priority and use the most system resources. </p><p><a id="pgfId-1129112"></a>For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/text_index#id_22354" target="_blank">Understanding the Reindexer Enable Settings</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126564"></a>Reindexer Timestamp</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1129130"></a>The timestamp of fragments to force a reindex or refragment operation. If Reindex Enable is set to <b>true</b>, a reindex and refragment operation are done on all fragments in the database that have a timestamp equal to or less than the displayed timestamp. Note that when you restore a database that has a timestamp set, if there are fragments in the restored content that are older than the specified content, they will start to reindex as soon as they are restored.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126568"></a>Retain Until Backup</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1129209"></a>Specifies whether the deleted fragments are retained since the last full or incremental backup. When enabled, Retain Until Backup supersedes <a href="#91760">Merge Timestamp</a>. Deleted fragments are not merged until backups are finished, regardless of the <a href="#91760">Merge Timestamp</a> setting. Enabling Retain Until Backup is same to setting the <a href="#91760">Merge Timestamp</a> to the timestamp of the last backup. </p><p><a id="pgfId-1129227"></a>For more information, see <a href="http://docs.marklogic.com/9.0/guide/admin/backup_restore#id_70233" target="_blank">Incremental Backup with Journal Archiving</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126572"></a>Retired Forest Count</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126574"></a>The number of forests used by the database to be retired.</p><p><a id="pgfId-1129252"></a>For more information, see <a href="http://docs.marklogic.com/9.0/guide/admin/database-rebalancing#id_23094" target="_blank">Retiring a Forest from the Database</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126576"></a>Security Database</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126578"></a>The security database used by the database.</p><p><a id="pgfId-1129287"></a>For more information, see <a href="http://docs.marklogic.com/9.0/guide/security/security_db#id_33818" target="_blank">Overview of the Security Database</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126580"></a>Stemmed Searches</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1129304"></a>The level of stemming applied to word searches. Stemmed searches match not only the exact word in the search, but also words that come from the same stem and mean the same thing (for example, a search for <code>be</code> will also match the term <code>is</code>). For details on stemmed searches, see <a href="http://docs.marklogic.com/9.0/guide/search-dev/stemming#id_90878" target="_blank">Understanding and Using Stemmed Searches</a> in the <i>Search Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126584"></a>TF Normalization</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1129331"></a>Specifies the term-frequency normalization. The values are described as follows:</p><ul>
	  <li><a id="pgfId-1129346"></a>scaled-log: The default term-frequency normalization, which specifies the maximum scaling of the document based on document size. </li>
	</ul><ul>
	  <li><a id="pgfId-1129356"></a>unscaled-log: No scaling based on document size. </li>
	</ul><ul>
	  <li><a id="pgfId-1126586"></a>weakest-scaled-log, weakly-scaled-log, moderately-scaled-log, strongly-scaled-log: Increased degrees of scaling in between the least and the most scaling.</li>
	</ul><p><a id="pgfId-1129513"></a>For more information, see <a href="http://docs.marklogic.com/9.0/guide/search-dev/relevance#id_40969" target="_blank">Term Frequency Normalization</a> in the <i>Search Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126588"></a><a id="39156"></a>Three Character Searches</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1129546"></a>Specifies whether to enable wildcard searches where the search pattern contains three or more consecutive non-wildcard characters (for example, <code>abc*x</code>, <code>*abc</code>, <code>a?bcd</code>). When combined with a codepoint word lexicon, speeds the performance of any wildcard search (including searches with fewer than three consecutive non-wildcard characters). MarkLogic recommends combining the three character search index with a codepoint collation word lexicon. </p><p><a id="pgfId-1129574"></a>For details about wildcard searches, see <a href="http://docs.marklogic.com/9.0/guide/search-dev/wildcard#id_66341" target="_blank">Understanding and Using Wildcard Searches</a> in the <i>Search Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126592"></a>Three Character Word Positions</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1131079"></a>Specifies whether index data is included in the database files to enable proximity searches (<span><a href="http://docs.marklogic.com/9.0/cts:near-query" target="_blank">cts:near-query</a></span>) within wildcard queries. You must also enable <a href="#39156">Three Character Searches</a> to perform wildcard position searches. When set to <code>true</code>, positional searches are possible within a wildcard query, but document loading is slower and the database files are larger. </p><p><a id="pgfId-1129637"></a>For details about wildcard searches, see <a href="http://docs.marklogic.com/9.0/guide/search-dev/wildcard#id_61884" target="_blank">Understanding the Wildcard Indexes</a> in the <i>Search Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126596"></a>Trailing Wildcard Searches</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1129663"></a>Specifies whether indexes are created to enable wildcard searches where the search pattern contains one or more consecutive non-wildcard characters at the beginning of the word, with the wildcard at the end of the word (for example, abc*). When this setting is <b>true</b>, character searches are faster, but document loading is slower and the database files are larger.</p><p><a id="pgfId-1129666"></a>For details about wildcard searches, see <a href="http://docs.marklogic.com/9.0/guide/search-dev/wildcard#id_66341" target="_blank">Understanding and Using Wildcard Searches</a> in the <i>Search Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126600"></a>Trailing Wildcard Word Positions</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1129700"></a>Specifies whether index data is included in the database files to enable proximity searches (<span><a href="http://docs.marklogic.com/9.0/cts:near-query" target="_blank">cts:near-query</a></span>) within trailing wildcard queries. You must also enable trailing wildcard searches to perform trailing wildcard position searches. When this setting is <b>true</b>, positional searches are possible within a trailing wildcard query, but document loading is slower and the database files are larger. </p><p><a id="pgfId-1129745"></a>For details about wildcard searches, see <a href="http://docs.marklogic.com/9.0/guide/search-dev/wildcard#id_61884" target="_blank">Understanding the Wildcard Indexes</a> in the <i>Search Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126604"></a>Triple Index</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1129773"></a>Specifies whether the RDF triple index is enabled to support SPARQL execution over RDF triples. When set to <code>true</code>, <code>sem:sparql</code> can be used, but document loading is slower and the database files are larger. This index must also be enabled to support Optic and SQL queries.</p><blockquote><p><b>Note:&#160;&#160;</b><a id="pgfId-1129774"></a>This feature requires a valid semantics license key.</p></blockquote><p><a id="pgfId-1129797"></a>For details, see <a href="http://docs.marklogic.com/9.0/guide/semantics/indexes#id_91520" target="_blank">Triple Index Overview</a> in the <i>Semantics Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126608"></a>Triple Positions</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126610"></a>Specifies whether index data is included which speeds up the performance of proximity queries that use the <span><a href="http://docs.marklogic.com/9.0/cts:triple-range-query" target="_blank">cts:triple-range-query</a></span> function. Triple positions also improve the accuracy of the item-frequency option of <span><a href="http://docs.marklogic.com/9.0/cts:triples" target="_blank">cts:triples</a></span>. </p><p><a id="pgfId-1129843"></a>For details, see <a href="http://docs.marklogic.com/9.0/guide/semantics/indexes#id_34194" target="_blank">Triple Positions</a> in the <i>Semantics Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126612"></a>Two Character Searches</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1129876"></a>Specifies whether to enable wildcard searches where the search pattern contains two or more consecutive non-wildcard characters (for example, <code>ab*</code>). This index is not needed if you have <b>Three Character Searches</b> and a word lexicon. </p><p><a id="pgfId-1129944"></a>For details about wildcard searches, see <a href="http://docs.marklogic.com/9.0/guide/search-dev/wildcard#id_66341" target="_blank">Understanding and Using Wildcard Searches</a> in the <i>Search Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126616"></a>URI Lexicon</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1129918"></a>Specifies whether to create a lexicon of all of the URIs used in a database. The URI lexicon speeds up queries that constrain on URIs. It is like a range index of all of the URIs in the database. To access values from the URI lexicon, use the <span><a href="http://docs.marklogic.com/9.0/cts:uris" target="_blank">cts:uris</a></span> or <span><a href="http://docs.marklogic.com/9.0/cts:uri-match" target="_blank">cts:uri-match</a></span> functions.</p><p><a id="pgfId-1129961"></a>For details, see <a href="http://docs.marklogic.com/9.0/guide/search-dev/lexicon#id_50782" target="_blank">URI and Collection Lexicons</a> in the <i>Search Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126620"></a>Word Positions</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126622"></a>Specifies whether index data is included in the database files to enable proximity searches (<span><a href="http://docs.marklogic.com/9.0/cts:near-query" target="_blank">cts:near-query</a></span>). When set to <b>true</b>, positional searches are possible, but document loading is slower and the database files are larger. </p><p><a id="pgfId-1130067"></a>For details, see <a href="http://docs.marklogic.com/9.0/guide/performance/perftune#id_82329" target="_blank">Positions Indexes Can Help Speed Phrase Searches</a> in the <i>Query Performance and Tuning Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126624"></a>Word Searches</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126626"></a>Specifies whether index terms are included in the database files to support fast word searches. When this setting is <code>true</code>, word searches are faster, but document loading is slower and the database files are larger.</p><p><a id="pgfId-1130100"></a>For details, see the <i>Search Developer's Guide</i>.</p></td>
    </tr></table></span>

<p>Available help topics:</p>
<span><table width="50%" border="0" style="text-align: left"><tr><td rowspan="1" colspan="1"><ul xmlns="http://www.w3.org/1999/xhtml">
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-database">Manage Databases Tab</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-database-metrics">Database Metrics</a></li>
	  <li>Database Information</li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-database-tasks">Database Tasks</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-database-hosts">Database Hosts</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-database-appservers">Database App Servers</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-database-forests">Database Forests</a></li>
	</ul></td></tr></table></span> </div>
   case element(manage-database-tasks) return
     <div id=" manage-database-tasks "> <p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=overview" xmlns="http://www.w3.org/1999/xhtml">Monitoring MarkLogic with Ops Director</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=navigation" xmlns="http://www.w3.org/1999/xhtml">Navigating and Filtering Ops Director Views</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=Manage" xmlns="http://www.w3.org/1999/xhtml">Manage View</a></p>
<h1 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121638"></a><a id="88727"></a>Database Tasks</h1>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1131554"></a>Use the <b>TASKS</b> tab to get the list of the database tasks. </p>

<blockquote xmlns="http://www.w3.org/1999/xhtml"><p><b>Note:&#160;&#160;</b><a id="pgfId-1131555"></a>You can only see the tasks for the databases to which you have access.For access rules, see <a href="http://docs.marklogic.com/9.0/guide/opsdir/intro#id_93519" target="_blank">Access Inheritance in Resource Groups</a> in the <em xmlns="">Ops Director Guide</em>.</p></blockquote>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1131505"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1143353"></a>The columns displayed in the database <b>TASKS</b> tab are described in the following table.</p>


<a id="pgfId-1143415" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1143356"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1143358"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143360"></a>Cluster</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143362"></a>Cluster on which the task host is located.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143364"></a>Host</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143366"></a>The hostname of the host computer on which the scheduled module is to be invoked.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143368"></a>Enabled</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143370"></a>Whether the task is enabled (true) or disabled (false).</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143372"></a>Task Root</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143374"></a>The root directory (filesystem) or URI root (database) that contains the module.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143376"></a>Task Path</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143378"></a>The module the task is to invoke.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143380"></a>Task Type</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143382"></a>The task type:</p><ul>
	  <li><a id="pgfId-1143383"></a><b>minutely</b> specifies how many minutes between each invocation of the module.</li>
	</ul><ul>
	  <li><a id="pgfId-1143384"></a><b>hourly</b> specifies how many hours and minutes between each invocation of the module.</li>
	</ul><ul>
	  <li><a id="pgfId-1143385"></a><b>daily</b> specifies how many days between each invocation of the module and the time of day (in 24:00 notation).</li>
	</ul><ul>
	  <li><a id="pgfId-1143386"></a><b>weekly</b> specifies how many weeks between each invocation of the module, check one or more days of the week, and the time of day (in 24:00 notation) for the task to start.</li>
	</ul><ul>
	  <li><a id="pgfId-1143387"></a><b>monthly</b> specifies how many months between each invocation of the module, select one day of the month (1-31), and the time of day (in 24:00 notation) for the task to start.</li>
	</ul><ul>
	  <li><a id="pgfId-1143388"></a><b>one-time</b> specifies the start date in MM/DD/YYYY notation (for example, 07/29/2009 for July 29, 2009) and time in 24:00 notation.</li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143390"></a>Task Period</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143392"></a>How often the module is to be invoked (every n months, weeks, days, hours, or minutes).</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143394"></a>Created on</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143396"></a>The datetime the task was created.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143398"></a>Database</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143400"></a>The database to which the scheduled module connects for query execution.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143402"></a>Task Modules</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143404"></a>The name of the database in which the scheduled module locates the application code. If set to (filesystem), any files in the specified task root directory are executable (given the proper permissions). If set to a database, any documents in the database whose URI begins with the specified task root directory are executable.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143406"></a>User</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143408"></a>The user with permission to invoke the module.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143410"></a>Priority</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1143412"></a>The priority of the task:</p><ul>
	  <li><a id="pgfId-1143413"></a><b>normal</b> specifies the task is queued with normal priority.</li>
	</ul><ul>
	  <li><a id="pgfId-1143414"></a><b>higher</b> specifies the task is queued with higher priority.</li>
	</ul></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144441"></a>You can export data from the Database Tasks tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144445"></a>The resulting CSV file will have the same columns as the Database Tasks table in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144446"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144447"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144448"></a>Data types of the fields in the CSV file correspond to those in the UI. in the case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144449"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<p>Available help topics:</p>
<span><table width="50%" border="0" style="text-align: left"><tr><td rowspan="1" colspan="1"><ul xmlns="http://www.w3.org/1999/xhtml">
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-database">Manage Databases Tab</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-database-metrics">Database Metrics</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-database-info">Database Information</a></li>
	  <li>Database Tasks</li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-database-hosts">Database Hosts</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-database-appservers">Database App Servers</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-database-forests">Database Forests</a></li>
	</ul></td></tr></table></span> </div>
   case element(manage-database-hosts) return
     <div id=" manage-database-hosts "> <p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=overview" xmlns="http://www.w3.org/1999/xhtml">Monitoring MarkLogic with Ops Director</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=navigation" xmlns="http://www.w3.org/1999/xhtml">Navigating and Filtering Ops Director Views</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=Manage" xmlns="http://www.w3.org/1999/xhtml">Manage View</a></p>
<h1 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121829"></a><a id="30357"></a>Database Hosts</h1>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121984"></a>Use the <b>HOSTS</b> tab to get the list of hosts on which the database is deployed. This tab shows host name as the first column, followed by other properties. Click on the host name to navigate to the manage view of the selected host.</p>

<blockquote xmlns="http://www.w3.org/1999/xhtml"><p><b>Note:&#160;&#160;</b><a id="pgfId-1124446"></a>Access to hosts is not implicit with database access. For access rules, see <a href="http://docs.marklogic.com/9.0/guide/opsdir/intro#id_93519" target="_blank">Access Inheritance in Resource Groups</a> in the <em xmlns="">Ops Director Guide</em>.</p></blockquote>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1131598"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144498"></a>The columns displayed in the Database Hosts tab are described in the following table.</p>


<a id="pgfId-1144560" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1144501"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1144503"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144505"></a>Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144507"></a>The hostname of the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144509"></a>Group</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144511"></a>The name of the group that contains the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144513"></a>OS</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144515"></a>The name and version of the operating system on which the host runs.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144517"></a>Server Version</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144522"></a>The version of MarkLogic Server on each host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144524"></a>Forests</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144526"></a>The number of forests on the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144528"></a>Databases</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144530"></a>The number of databases on the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144532"></a>App Servers</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144534"></a>The number of App Servers on the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144536"></a>Disk Space (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144538"></a>The amount of disk space (in MB) used on the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144540"></a>Uptime</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144542"></a>The duration (Days Hrs:Min) the host has been available.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144544"></a>Maint. Mode</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144546"></a>The host maintenance mode (normal or maintenance). For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/rolling-upgrades#id_12339" target="_blank">Rolling Upgrades</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144554"></a>Zone</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144556"></a>The Amazon Web Services (AWS) zone in which the host resides, if applicable. For details, see <i>MarkLogic Server on Amazon Web Services (AWS) Guide</i>.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144575"></a>You can export data from the Database Hosts tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144579"></a>The resulting CSV file will have the same columns as the Database Hosts table in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144580"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144581"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144582"></a>Data types of the fields in the CSV file correspond to those in the UI. in the case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144583"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<p>Available help topics:</p>
<span><table width="50%" border="0" style="text-align: left"><tr><td rowspan="1" colspan="1"><ul xmlns="http://www.w3.org/1999/xhtml">
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-database">Manage Databases Tab</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-database-metrics">Database Metrics</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-database-info">Database Information</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-database-tasks">Database Tasks</a></li>
	  <li>Database Hosts</li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-database-appservers">Database App Servers</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-database-forests">Database Forests</a></li>
	</ul></td></tr></table></span> </div>
   case element(manage-database-appservers) return
     <div id=" manage-database-appservers "> <p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=overview" xmlns="http://www.w3.org/1999/xhtml">Monitoring MarkLogic with Ops Director</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=navigation" xmlns="http://www.w3.org/1999/xhtml">Navigating and Filtering Ops Director Views</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=Manage" xmlns="http://www.w3.org/1999/xhtml">Manage View</a></p>
<h1 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144562"></a><a id="27279"></a>Database App Servers</h1>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1142439"></a>Use the <b>APP SERVERS</b> tab to get the list of all the application servers that use the database, with App Server name as the first column followed by other properties. Click on the App Server name to navigate to the METRICS view of the selected application server.</p>

<blockquote xmlns="http://www.w3.org/1999/xhtml"><p><b>Note:&#160;&#160;</b><a id="pgfId-1134792"></a>Access to the APP SERVERS tab is not implicit with database access. For access rules, see <a href="http://docs.marklogic.com/9.0/guide/opsdir/intro#id_93519" target="_blank">Access Inheritance in Resource Groups</a> in the <em xmlns="">Ops Director Guide</em>.</p></blockquote>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121883"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1134817"></a>The columns displayed in the database <b>APP SERVERS</b> tab are described in the following table.</p>


<a id="pgfId-1134855" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1134820"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1134822"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134824"></a>Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134826"></a>The name of the App Server.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134828"></a>Type</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134830"></a>The App Server type (HTTP, WebDAV, XDBC, ODBC).</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134832"></a>Database</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134834"></a>The name of the App Server content database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134836"></a>Port</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134838"></a>The port number used to access the App Server.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134840"></a>SSL</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134842"></a>Whether the App Server has SSL enabled (yes) or disabled (no). For details, see <a href="http://docs.marklogic.com/9.0/guide/security/SSL#id_85783" target="_blank">Configuring SSL on App Servers</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134844"></a>Group</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134846"></a>The name of the group to which the App Server belongs</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134848"></a>Modules DB+Root</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134850"></a>The name of the modules database, or if <code>filesystem</code>, the root directory.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134852"></a>Security</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134854"></a>The type of security (<code>internal</code> or <code>external</code>).</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144614"></a>You can export data from the database <b>APP SERVERS</b> tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144618"></a>The resulting CSV file will have the same columns as the Database App Servers table in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144619"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144620"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144621"></a>Data types of the fields in the CSV file correspond to those in the UI. in the case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144622"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<p>Available help topics:</p>
<span><table width="50%" border="0" style="text-align: left"><tr><td rowspan="1" colspan="1"><ul xmlns="http://www.w3.org/1999/xhtml">
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-database">Manage Databases Tab</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-database-metrics">Database Metrics</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-database-info">Database Information</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-database-tasks">Database Tasks</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-database-hosts">Database Hosts</a></li>
	  <li>Database App Servers</li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-database-forests">Database Forests</a></li>
	</ul></td></tr></table></span> </div>
   case element(manage-database-forests) return
     <div id=" manage-database-forests "> <p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=overview" xmlns="http://www.w3.org/1999/xhtml">Monitoring MarkLogic with Ops Director</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=navigation" xmlns="http://www.w3.org/1999/xhtml">Navigating and Filtering Ops Director Views</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=Manage" xmlns="http://www.w3.org/1999/xhtml">Manage View</a></p>
<h1 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1140427"></a><a id="48905"></a>Database Forests</h1>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1140428"></a>Use the <b>FORESTS</b> tab to list all the forests within the database, with forest name as the first column, followed by other properties. Click on the forest name to navigate to the manage view of the selected forest.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1148389"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1148390"></a>The columns displayed in the database <b>FORESTS</b> tab are described in the following table.</p>


<a id="pgfId-1148489" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1148393"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1148395"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148397"></a>Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148399"></a>The name of the forest.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148401"></a>Host</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148403"></a>The forest host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148405"></a>Documents</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148407"></a>The number of documents in the forest.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148409"></a>Status</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148411"></a>The status of the forest. <b>Enabled</b> or <b>Disabled</b>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148413"></a>Availability</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148415"></a>The availability of the forest. <b>Online</b> or <b>Offline</b>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148417"></a>Fragments</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148419"></a>The number of active fragments (the fragments available to queries) in the forest.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148421"></a>Deleted Fragments</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148423"></a>The number of deleted fragments (the fragments to be removed by the next merge operation) in the forest.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148425"></a>Stands</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148427"></a>The number of stands in the forest. For more information on stands, see <a href="http://docs.marklogic.com/9.0/guide/concepts/data-management#id_85565" target="_blank">Databases, Forests, and Stands</a> in the <i>Concepts Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148435"></a>Size (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148437"></a>The size of the forest, in MB.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148439"></a>Encrypted Size (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148441"></a>The amount of encrypted data in the forest. For details on data encryption, see <a href="http://docs.marklogic.com/9.0/guide/security/encryption#id_37353" target="_blank">Encryption at Rest</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148449"></a>Free Space (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148451"></a>The number of MB of free space on this forest.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148453"></a>Large Data Size (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148455"></a>The amount of data in the large data directories of the forest. For more information on Large Data, see <a href="http://docs.marklogic.com/9.0/guide/app-dev/binaries#id_46976" target="_blank">Working With Binary Documents</a> in the <i>Application Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148463"></a>Fast Data Size (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148465"></a>The amount of data in the fast data directories of the forest. For more information on Fast Data, see <a href="http://docs.marklogic.com/9.0/guide/performance/disk-storage#id_17115" target="_blank">Fast Data Directory on Forests</a> in the <i>Query Performance and Tuning Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148473"></a>Failover Enabled</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148475"></a>Whether failover is enabled for the forest. For more information on stands, see <a href="http://docs.marklogic.com/9.0/guide/cluster/failover#id_82157" target="_blank">High Availability of Data Nodes With Failover</a> in the <i>Scalability, Availability, and Failover Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148483"></a>Replication</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1148485"></a>Specifies whether or not database replication is enabled for this forest. For details, see the <i>Database Replication Guide</i>.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144656"></a>You can export data from the Database Forests tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144660"></a>The resulting CSV file will have the same columns as the Database Forests table in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144661"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144662"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144663"></a>Data types of the fields in the CSV file correspond to those in the UI. in the case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144664"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<p>Available help topics:</p>
<span><table width="50%" border="0" style="text-align: left"><tr><td rowspan="1" colspan="1"><ul xmlns="http://www.w3.org/1999/xhtml">
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-database">Manage Databases Tab</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-database-metrics">Database Metrics</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-database-info">Database Information</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-database-tasks">Database Tasks</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-database-hosts">Database Hosts</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-database-appservers">Database App Servers</a></li>
	  <li>Database Forests</li>
	</ul></td></tr></table></span> </div>
   case element(manage-appserver) return
     <div id=" manage-appserver "> <p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=overview" xmlns="http://www.w3.org/1999/xhtml">Monitoring MarkLogic with Ops Director</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=navigation" xmlns="http://www.w3.org/1999/xhtml">Navigating and Filtering Ops Director Views</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=Manage" xmlns="http://www.w3.org/1999/xhtml">Manage View</a></p>
<h1 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1116607"></a><a id="98405"></a>Manage App Servers Tab</h1>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1139120"></a>The <b>APP SERVERS</b> tab displays a list of App Servers in your enterprise. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1117572"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1134884"></a>The columns displayed in the manage <b>APP SERVERS</b> tab are described in the following table.</p>


<a id="pgfId-1117591" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1117703"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1117705"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134896"></a>Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1134898"></a>The name of the App Server.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117707"></a>Cluster</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117709"></a>The name of the cluster that hosts the App Server.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117715"></a>Type</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117717"></a>The App Server type (HTTP, WebDAV, XDBC, ODBC).</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117719"></a>Database</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117721"></a>The name of the App Server content database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117723"></a>Port</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117725"></a>The port number used to access the App Server.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117727"></a>SSL</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117729"></a>Whether the App Server has SSL enabled (yes) or disabled (no). For details, see <a href="http://docs.marklogic.com/9.0/guide/security/SSL#id_85783" target="_blank">Configuring SSL on App Servers</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117731"></a>Group</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117733"></a>The name of the group to which the App Server belongs</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117735"></a>Modules DB+Root</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117737"></a>The name of the modules database, or if <code>filesystem</code>, the root directory.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117739"></a>Security</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117741"></a>The type of security (internal or external).</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144695"></a>You can export data from the Manage App Servers tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144699"></a>The resulting CSV file will have the same columns as the Manage App Servers table in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144700"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144701"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144702"></a>Data types of the fields in the CSV file correspond to those in the UI. in the case of boolean values, <code>Yes/No</code> in the UI corresponds to <code>TRUE/FALSE</code> in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144703"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144683"></a>To drill down for a particular App Server, click on the App Server name in the App Servers table. The following content tabs each represent an information category for the selected App Server:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1133455"></a><a href="#37826">App Server Metrics</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1133486"></a><a href="#71542">App Server Information</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1133508"></a><a href="#28567">App Server Hosts</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1133530"></a><a href="#45092">App Server Databases</a></li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1146195"></a>You can export all tables from the App Server content tabs for a particular App Server. When you select a specific App Server (either in the left side resource navigation panel or in the content area of the view), <b>Actions</b> menu becomes available in the upper right corner.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1146196"></a>From the <b>Actions</b> menu, select <b>Download all tables</b> to export all tables for the selected App Server.</p>

<Balloon-Text><a id="pgfId-1146501" xmlns="http://www.w3.org/1999/xhtml"></a><span xmlns="http://www.w3.org/1999/xhtml"></span></Balloon-Text>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1147824"></a>As the result, a zip file with all exported tables for this App Server will be downloaded to your computer. Each table is represented by the corresponding CSV file. The zip file will contain the following CSV files for the App Server:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1147828"></a>Hosts CVS file (see the <a href="#28567">App Server Hosts</a> section for details on the contents)</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1147839"></a>Databases CVS file (see the <a href="#45092">App Server Databases</a> section for details on the contents)</li>
</ul>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1147834"></a><a id="37826"></a>App Server Metrics</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1148493"></a>Select a single App Server or all App Servers from the navigation tree. The <b>METRICS</b> tab displays key indicators allowing administrators to determine the selected resource or resource group's health. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1148497"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1148498"></a>To filter the data used for rendering the graphs, select a pre-defined time period or specify a custom time period, as described in <a href="http://docs.marklogic.com/9.0/guide/opsdir/Navigation#id_89836" target="_blank">Date and Time Filters</a> in the <em xmlns="">Ops Director Guide</em>.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1116216"></a>The metrics displayed by charts on the App Server Metrics tab are described in the following table.</p>


<a id="pgfId-1116188" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1116153"></a>Chart</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1116155"></a>Definition of Displayed Metric</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1116161"></a>App Server Request Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1116163"></a>The total number of queries being processed per second, across all of the App Servers in the cluster.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1116165"></a>App Server Latency</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1116167"></a>The average time (in seconds) it takes to process queries, across all of the App Servers in the cluster.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1116169"></a>Expanded Tree Cache Hits/Misses</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1116171"></a>The aggregate I/O performance data for the CPUs in the cluster.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1116185"></a>Network</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1116187"></a>Various XDQP performance metrics as the sum of XDQP activity across the cluster. (For further detail, see Cluster Metrics.</p></td>
    </tr></table></span>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1118943"></a><a id="71542"></a>App Server Information</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1142490"></a>Use the Information tab to access properties of the selected application server.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1132476"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1142524"></a>The properties displayed in the App Server Information tab are described in the following table.</p>

<blockquote xmlns="http://www.w3.org/1999/xhtml"><p><b>Note:&#160;&#160;</b><a id="pgfId-1142517"></a>Most of these properties are described in detail in the <a href="http://docs.marklogic.com/9.0/guide/admin/http#id_28058" target="_blank">HTTP Servers</a>, <a href="http://docs.marklogic.com/9.0/guide/admin/xdbc#id_11456" target="_blank">XDBC Servers</a>, <a href="http://docs.marklogic.com/9.0/guide/admin/webdav#id_65018" target="_blank">WebDAV Servers</a>, and <a href="http://docs.marklogic.com/9.0/guide/admin/odbc#id_33148" target="_blank">ODBC Servers</a> chapters in the <i>Administrator's Guide</i>.</p></blockquote>


<a id="pgfId-1131902" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1132073"></a>Field</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1132075"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132077"></a>Address</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132079"></a>The IP address for the App Server.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132081"></a>Authentication</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132083"></a>The authentication scheme used by this App Server. The authentication scheme can be one of: <code>digest</code>, <code>basic</code>, <code>digestbasic</code>, <code>certificate</code>, <code>kerberos-ticket</code>, or <code>application-level</code>. For details, see <a href="http://docs.marklogic.com/9.0/guide/security/authentication#id_56266" target="_blank">Types of Authentication</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132085"></a>Backlog</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132087"></a>The maximum number of pending connections allowed on the App Server socket.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132089"></a>Collation</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1135099"></a>The default collation for queries run in this App Server. This is the collation used for string comparison and sorting if none is specified in the query. For details, see <a href="http://docs.marklogic.com/9.0/guide/search-dev/encodings_collations#id_40505" target="_blank">Encodings and Collations</a> in the <i>Search Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132093"></a>Compute Content Length</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132095"></a>Specifies whether to compute content length when using a webDAV server. A value of <code>true</code> indicates to compute content length; otherwise <code>false</code>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132097"></a>Concurrent Request Limit</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1135126"></a>The maximum number of requests any user may have been running at a specific time. 0 indicates no maximum. For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/session-login#id_48668" target="_blank">Managing Concurrent User Sessions</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132101"></a>Content Database</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132103"></a>The content database for this App Server.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132105"></a>Coordinate System</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132107"></a>The default coordinate system for queries run in this App Server. This will be the coordinate system used for geospatial operations if none is specified in the query. For details, see <a href="http://docs.marklogic.com/9.0/guide/search-dev/geospatial#id_97677" target="_blank">Understanding Coordinate Systems</a> in the <i>Search Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132109"></a>Debug Allow</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1135203"></a>Specifies whether to allow requests against this App Server to be stopped for debugging, using the MarkLogic Server debugging APIs. A value of <code>true</code> allows the App Server to be stopped; otherwise <code>false</code>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132113"></a>Default Error Format</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132115"></a>The default format for protocol errors for this server. The value can be:</p><ul>
	  <li><a id="pgfId-1135278"></a>html: Errors formatted as HTML.</li>
	</ul><ul>
	  <li><a id="pgfId-1135285"></a>xml: Errors formatted as XML.</li>
	</ul><ul>
	  <li><a id="pgfId-1135292"></a>json: Errors formatted as JSON.</li>
	</ul><ul>
	  <li><a id="pgfId-1135259"></a>compatible: Match as closely as possible the format used in prior releases for the type of request and error.</li>
	</ul><p><a id="pgfId-1135373"></a>For more information, see <a href="http://docs.marklogic.com/9.0/guide/app-dev/XMLrewriter#id_26754" target="_blank">set-error-format</a> in the <i>Application Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132117"></a>Default Inference Size</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1135422"></a>The amount of memory available to use for semantic inference queries. By default the amount of memory available for inference is 100mb (size=100). For details, see <a href="http://docs.marklogic.com/9.0/guide/semantics/inferencing#id_38130" target="_blank">Memory Available for Inference</a> in the <i>Semantics Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132121"></a>Default Time Limit</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1135453"></a>The default value for any request's time limit (in seconds), when otherwise unspecified. A request can change its time limit using the <span><a href="http://docs.marklogic.com/9.0/xdmp:set-request-time-limit" target="_blank">xdmp:set-request-time-limit</a></span> function. The time limit, in turn, is the maximum number of seconds allowed for servicing a query request. The App Server gives up on queries that take longer, and returns an error.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132125"></a>Default User</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132127"></a>The user used as the default user in application-level authentication. Setting the <code>admin</code> user as the default user is equivalent to turning security off. For details, see <a href="http://docs.marklogic.com/9.0/guide/security/authentication#id_60432" target="_blank">Application Level</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132129"></a>Default Xquery Version</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1135534"></a>The default XQuery language for this App Server if an XQuery module does explicitly declare its language version.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132133"></a>Display Last Login</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132135"></a>Specifies whether the <code>xdmp:display-last-login</code> API returns <b>true</b> or <b>false</b> in the <code>display-last-login</code> element. For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/session-login#id_54951" target="_blank">Storing and Monitoring the Last User Login Attempt</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132137"></a>Distribute Timestamps</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1135610"></a>Specifies how the latest timestamp is distributed after updates. This affects performance of updates and the timeliness of read-after-write query results from other hosts in the group. The possible values are:</p><ul>
	  <li><a id="pgfId-1135611"></a>fast: Updates return as quickly as possible. No special timestamp notification messages are broadcasted to other hosts. Instead, timestamps are distributed to other hosts when any other message is sent. The maximum amount of time that could pass before other hosts see the timestamp is one second, because a heartbeat message is sent to other hosts every second.</li>
	</ul><ul>
	  <li><a id="pgfId-1135612"></a>strict: Updates immediately broadcast timestamp notification messages to every other host in the group. Updates do not return until their timestamp has been distributed. This ensures timeliness of read-after-write query results from other hosts in the group, so requests made to this app server on other hosts in the group will see immediately consistent results.</li>
	</ul><ul>
	  <li><a id="pgfId-1132139"></a>cluster: Updates immediately broadcast timestamp notification messages to every other host in the cluster. Updates do not return until their timestamp has been distributed. This ensures timeliness of read-after-write query results from any host in the cluster, so requests made to any app server on any host in the cluster will see immediately consistent results.</li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132141"></a>Enabled</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132143"></a>Whether this App Server is enabled (<b>true</b>) or disabled (<b>false</b>).</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132145"></a>Error Handler</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1135686"></a>The page to internally redirect to in case of any 400 or 500 errors. For details, see <a href="http://docs.marklogic.com/9.0/guide/app-dev/appserver-control#id_86523" target="_blank">Controlling App Server Access, Output, and Errors</a> in the <i>Application Developer's Guide</i>. </p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132149"></a>Execute</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132151"></a>Specifies whether this App Server executes XQuery modules (for example, a WevDAV server does not). If <b>true</b>, the App Server executes XQuery modules; otherwise <code>false.</code></p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132153"></a>File Log Level</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1135750"></a>The minimum log level for log messages sent to the MarkLogic Server log file (<code>ErrorLog.txt</code>). For a description of the log levels, see <a href="http://docs.marklogic.com/9.0/guide/admin/logfiles#id_37841" target="_blank">Understanding the Log Levels</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132157"></a>Group Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132159"></a>The group to which this App Server belongs. For details on groups, see <a href="http://docs.marklogic.com/9.0/guide/admin/groups#id_34776" target="_blank">Groups</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132161"></a>Internal Security</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132163"></a>Specifies whether the security database is used for authentication and authorization if the user is found in the security database. If <b>true</b>, use the security database; if <b>false</b>, external authentication/authorization is used. For details, see <a href="http://docs.marklogic.com/9.0/guide/security/external-auth#id_75253" target="_blank">External Security</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132165"></a>Keep Alive Timeout</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132167"></a>The maximum number of seconds before a socket receives a timeout for subsequent requests over the same connection.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132169"></a>Log Errors</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132171"></a>Specifies whether to log uncaught errors for this App Server to the <code>ErrorLog.txt</code> file. This is useful to log exceptions that might occur on an App Server for later debugging. If <b>true</b>, log errors; if <b>false</b>, do not log errors.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132173"></a>Max Inference Size</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1135902"></a>The maximum memory limit for semantic inference queries. For details, see <a href="http://docs.marklogic.com/9.0/guide/semantics/inferencing#id_38130" target="_blank">Memory Available for Inference</a> in the <i>Semantics Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132177"></a>Max Time Limit</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1135934"></a>The upper bound for any request's time limit. No request may set its time limit (for example with <code>xdmp:set-request-time-limit</code>) higher than this number. The time limit, in turn, is the maximum number of seconds allowed for servicing a query request. The App Server gives up on queries which take longer, and returns an error.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132181"></a>Multi Version Concurrency Control</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1135984"></a>Specifies how the latest timestamp is chosen for lock-free queries. This only affects query statements, not update statements. The following are the possible values:</p><ul>
	  <li><a id="pgfId-1136022"></a>contemporaneous: App Server chooses the latest timestamp for which any transaction is known to have committed, even though there still may be other transactions for that timestamp that have not yet fully committed. Queries will see more timely results, but may block waiting for contemporaneous transactions to fully commit. </li>
	</ul><ul>
	  <li><a id="pgfId-1136034"></a>nonblocking: App Server chooses the latest timestamp for which all transactions are known to have committed, even though there may be a slightly later timestamp for which another transaction has committed. Queries won't block waiting for transactions, but they may see less timely results.</li>
	</ul><p><a id="pgfId-1136067"></a>For details about queries and transactions in MarkLogic Server, see <a href="http://docs.marklogic.com/9.0/guide/app-dev/transactions#id_44680" target="_blank">Understanding Transactions in MarkLogic Server</a> in the <i>Application Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="20" colspan="1"><p><a id="pgfId-1132185"></a>Output Byte Order Mark</p><p><a id="pgfId-1132189"></a>Output Cdata Section Localname</p><p><a id="pgfId-1132193"></a>Output Cdata Section Namespace URI</p><p><a id="pgfId-1132197"></a>Output Doctype Public</p><p><a id="pgfId-1132201"></a>Output Doctype System</p><p><a id="pgfId-1132205"></a>Output Encoding</p><p><a id="pgfId-1132209"></a>Output Escape URI Attributes</p><p><a id="pgfId-1132213"></a>Output Include Content Type</p><p><a id="pgfId-1132217"></a>Output Include Default Attributes</p><p><a id="pgfId-1132221"></a>Output Indent</p><p><a id="pgfId-1132225"></a>Output Indent Tabs</p><p><a id="pgfId-1132229"></a>Output Indent Untyped</p><p><a id="pgfId-1132233"></a>Output Media Type</p><p><a id="pgfId-1132237"></a>Output Method</p><p><a id="pgfId-1132241"></a>Output Normalization Form</p><p><a id="pgfId-1132245"></a>Output Omit Xml Declaration</p><p><a id="pgfId-1132249"></a>Output Sgml Character Entities</p><p><a id="pgfId-1132253"></a>Output Standalone</p><p><a id="pgfId-1132257"></a>Output Undeclare Prefixes</p><p><a id="pgfId-1132261"></a>Output Version</p></td>
      <td rowspan="20" colspan="1"><p><a id="pgfId-1132187"></a>The output options for the App Server.</p><p><a id="pgfId-1137113"></a>For details about controlling App Server output, see <a href="http://docs.marklogic.com/9.0/guide/app-dev/appserver-control#id_86523" target="_blank">Controlling App Server Access, Output, and Errors</a> in the <i>Application Developer's Guide</i> and <a href="http://docs.marklogic.com/9.0/guide/admin/http#id_27346" target="_blank">Setting Output Options for an HTTP Server</a>, <a href="http://docs.marklogic.com/9.0/guide/admin/xdbc#id_12758" target="_blank">Setting Output Options for an XDBC Server</a>, <a href="http://docs.marklogic.com/9.0/guide/admin/odbc#id_27346" target="_blank">Setting Output Options for an ODBC Server</a>, and <a href="http://docs.marklogic.com/9.0/guide/admin/webdav#id_21988" target="_blank">Setting Output Options for a WebDAV Server</a> in the <i>Administrator's Guide</i>.</p><p><a id="pgfId-1137136"></a>For details on setting the serialization options in XQuery, see <a href="http://docs.marklogic.com/9.0/guide/xquery/langoverview#id_47415" target="_blank">Declaring Options</a> in the <i>XQuery and XSLT Reference Guide</i>. For XSLT output details, see the XSLT specification (<span><a href="http://www.w3.org/TR/xslt20#serialization" xml:link="simple" show="replace" actuate="user" CLASS="URL" target="_blank">http://www.w3.org/TR/xslt20#serialization</a></span>).</p></td>
    </tr><tr></tr><tr></tr><tr></tr><tr></tr><tr></tr><tr></tr><tr></tr><tr></tr><tr></tr><tr></tr><tr></tr><tr></tr><tr></tr><tr></tr><tr></tr><tr></tr><tr></tr><tr></tr><tr></tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132265"></a>Port</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132267"></a>The port number applications use to access this App Server.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132269"></a>Pre Commit Trigger Depth</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1137170"></a>The maximum depth (how many triggers can cause other triggers to fire, which in turn cause others to fire, and so on) for pre-commit triggers that are executed against this App Server. For more information on triggers, see <a href="http://docs.marklogic.com/9.0/guide/app-dev/triggers#id_17020" target="_blank">Using Triggers to Spawn Actions</a> in the <i>Application Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132273"></a>Pre Commit Trigger Limit</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1137207"></a>The maximum number of pre-commit triggers this App Server can invoke for a single statement. For more information on triggers, see <a href="http://docs.marklogic.com/9.0/guide/app-dev/triggers#id_17020" target="_blank">Using Triggers to Spawn Actions</a> in the <i>Application Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132277"></a>Privilege</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132279"></a>The execute privilege required to access this App Server.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132281"></a>Profile Allow</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1137299"></a>Specifies whether to allow requests against this App Server to be profiled, using the MarkLogic Server profiling APIs. For details, see <a href="http://docs.marklogic.com/9.0/guide/performance/profile#id_94939" target="_blank">Profiling Requests to Evaluate Performance</a> in the Query Performance and Tuning guide.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132285"></a>Request Timeout</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1137318"></a>The maximum number of seconds before a socket receives a timeout for the first request.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132289"></a>Rewrite Resolves Globally</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132291"></a>Specifies whether to allow rewritten URLs to be resolved from the global <code>MarkLogic/Modules</code> directory or App Server root. </p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132293"></a>Root</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1137378"></a>The directory in which programs executed against this App Server are stored. If the Modules field is set to a database, the root must be a directory URI in the specified modules database. </p><p><a id="pgfId-1137379"></a>If the Modules field is set to file system, the root directory is either a fully-qualified pathname or is relative to the directory in which MarkLogic Server is installed.   For details on where the MarkLogic&#160;Server is installed by default on your platform, see <a href="http://docs.marklogic.com/9.0/guide/installation/procedures#id_28962" target="_blank">Installing MarkLogic</a> in the <i>Installation Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132297"></a>Server Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132299"></a>The name of this App Server.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132301"></a>Server Type</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132303"></a>The App Server type (<code>http</code>, <code>odbc</code>, <code>xdbc</code>, or <code>WebDAV</code>).</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132305"></a>Session Timeout</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1137434"></a>The maximum number of seconds before an inactive session times out.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132309"></a>SSL Allow SSLv3</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1137457"></a>Specifies whether to allow this App Server to communicate with applications by means of the SSLv3 security protocol.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132313"></a>SSL Allow TLS</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1137498"></a>Specifies whether to allow this App Server to communicate with applications by means of the TLSv1 security protocol.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132317"></a>SSL Ciphers</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1137515"></a>The SSL ciphers that may be used. For details, see <a href="http://docs.marklogic.com/9.0/guide/security/SSL#id_85783" target="_blank">Configuring SSL on App Servers</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132321"></a>SSL Disable SSLv3</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1137573"></a>Specifies whether to prevent this App Server from communicating with applications by means of the SSLv3 security protocol.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132325"></a>SSL Disable TLSv1</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1137623"></a>Specifies whether to prevent this App Server from communicating with applications by means of the TLSv1 security protocol.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132329"></a>SSL Disable TLSv11</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1137660"></a>Specifies whether to prevent this App Server from communicating with applications by means of the TLSv11 security protocol.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132333"></a>SSL Disable TLSv12</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132335"></a>Specifies whether to prevent this App Server from communicating with applications by means of the TLSv12 security protocol.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132337"></a>SSL Hostname</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1137733"></a>The hostname for the App Server SSL certificate. This is useful when many App Servers are running behind a load balancer. If not specified, each host will use a certificate for its own hostname. For details, see <a href="http://docs.marklogic.com/9.0/guide/security/SSL#id_85783" target="_blank">Configuring SSL on App Servers</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132341"></a>SSL Require Client Certificate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1137788"></a>Specifies whether to enable mutual authentication, where the client also holds a digital certificate that it sends to the server. Select which certificate authority is to be used to sign client certificates for the server. For details, see <a href="http://docs.marklogic.com/9.0/guide/security/SSL#id_85783" target="_blank">Configuring SSL on App Servers</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132345"></a>Static Expires</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132347"></a>The number of seconds before an <code>expires</code> HTTP header is added for static content.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132349"></a>Threads</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132351"></a>The maximum number of App Server threads.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132353"></a>URL Rewriter</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1137847"></a>The path to the script to run to rewrite URLs. For details, see <a href="http://docs.marklogic.com/9.0/guide/app-dev/appserver-control#id_85396" target="_blank">Setting Up URL Rewriting for an HTTP App Server</a> in the <i>Application Developer's Guide</i>. </p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132357"></a>WebDAV</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132359"></a>Specifies whether this App Server is a WebDAV App Server.</p></td>
    </tr></table></span>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1132434"></a><a id="28567"></a>App Server Hosts</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1131904"></a>Use the <b>HOSTS</b> tab to see the host that contains the selected App Server. This tab shows the host name as the first column, followed by other properties. Click on the host name to navigate to the manage view of the host.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1132507"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1133664"></a>The columns displayed in the App Server <b>HOSTS</b> tab are described in the following table.</p>


<a id="pgfId-1144870" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1144811"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1144813"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144815"></a>Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144817"></a>The hostname of the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144819"></a>Group</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144821"></a>The name of the group that contains the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144823"></a>OS</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144825"></a>The name and version of the operating system on which the host runs.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144827"></a>Server Version</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144832"></a>The version of MarkLogic Server on the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144834"></a>Forests</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144836"></a>The number of forests on the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144838"></a>Databases</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144840"></a>The number of databases on the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144842"></a>App Servers</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144844"></a>The number of App Servers on the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144846"></a>Disk Space (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144848"></a>The amount of disk space (in MB) used on the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144850"></a>Uptime</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144852"></a>The duration (Days Hrs:Min) the host has been available.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144854"></a>Maint. Mode</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144856"></a>The host maintenance mode (normal or maintenance). For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/rolling-upgrades#id_12339" target="_blank">Rolling Upgrades</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144864"></a>Zone</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144866"></a>The Amazon Web Services (AWS) zone in which the host resides, if applicable. For details, see <i>MarkLogic Server on Amazon Web Services (AWS) Guide</i>.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144889"></a>You can export data from the App Server Hosts tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144893"></a>The resulting CSV file will have the same columns as the App Server Hosts table in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144894"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144895"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144896"></a>Data types of the fields in the CSV file correspond to those in the UI. in the case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144897"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144878"></a><a id="45092"></a>App Server Databases</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144873"></a>Use the <b>DATABASES</b> tab to get a list of databases used by this App Server, with the database name as the first column, followed by other properties. Click on the database name to navigate to the manage view of the selected database. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1131700"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1132701"></a>The columns displayed in the App Server <b>DATABASES</b> tab are described in the following table.</p>


<a id="pgfId-1132789" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1132704"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1132706"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132708"></a>Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132710"></a>Name of the database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132716"></a>Forests</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132718"></a>The number of forests used by the database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132720"></a>Disk Size (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132722"></a>The amount of disk space used by the database forests, in megabytes.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132724"></a>Documents</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132726"></a>The number of documents in the database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132728"></a>Last Backup</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132730"></a>The data-time of the last backup of the database. No value, if the database has never been backed up. For details on backing up a database, see <a href="http://docs.marklogic.com/9.0/guide/admin/backup_restore#id_93243" target="_blank">Backing Up and Restoring a Database</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132742"></a>Encryption</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132744"></a>Specifies whether or not encryption at rest is enabled for the database. For details, see <a href="http://docs.marklogic.com/9.0/guide/security/encryption#id_37353" target="_blank">Encryption at Rest</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132752"></a>HA</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139253"></a>Specifies whether or not shared disk failover is enabled. For details, see <a href="http://docs.marklogic.com/9.0/guide/cluster/failover#id_82157" target="_blank">High Availability of Data Nodes With Failover</a> in the <i>Scalability, Availability, and Failover Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132806"></a>Replication</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139311"></a>Specifies whether or not database replication is enabled. For details, see the <i>Database Replication Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132756"></a>Replication Status</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132758"></a>Specifies whether or not database replication is configured for the database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132760"></a>Security DB</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132762"></a>The name of the security database used by the database. For details, see <a href="http://docs.marklogic.com/9.0/guide/security/security_db#id_66642" target="_blank">Administering Security</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132770"></a>Schemas DB</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132772"></a>The name of the schemas database used by the database. For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/schemas#id_43671" target="_blank">Understanding and Defining Schemas</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132780"></a>Triggers DB</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132782"></a>The name of the schemas database used by the database. For details, see <a href="http://docs.marklogic.com/9.0/guide/app-dev/triggers#id_17020" target="_blank">Using Triggers to Spawn Actions</a> in the <i>Application Developer's Guide</i>.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144928"></a>You can export data from the App Server <b>DATABASES</b> tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144932"></a>The resulting CSV file will have the same columns as the App Server DATABASES table in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1148637"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1148638"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1148639"></a>Data types of the fields in the CSV file correspond to those in the UI. in the case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144936"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1148644"></a></p>

<p>Available help topics:</p>
<span><table width="50%" border="0" style="text-align: left"><tr><td rowspan="1" colspan="1"><ul xmlns="http://www.w3.org/1999/xhtml">
	  <li>Manage App Servers Tab</li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-appserver-metrics">App Server Metrics</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-appserver-info">App Server Information</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-appserver-hosts">App Server Hosts</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-appserver-databases">App Server Databases</a></li>
	</ul></td></tr></table></span> </div>
   case element(manage-appserver-metrics) return
     <div id=" manage-appserver-metrics "> <p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=overview" xmlns="http://www.w3.org/1999/xhtml">Monitoring MarkLogic with Ops Director</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=navigation" xmlns="http://www.w3.org/1999/xhtml">Navigating and Filtering Ops Director Views</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=Manage" xmlns="http://www.w3.org/1999/xhtml">Manage View</a></p>
<h1 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1147834"></a><a id="37826"></a>App Server Metrics</h1>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1148493"></a>Select a single App Server or all App Servers from the navigation tree. The <b>METRICS</b> tab displays key indicators allowing administrators to determine the selected resource or resource group's health. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1148497"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1148498"></a>To filter the data used for rendering the graphs, select a pre-defined time period or specify a custom time period, as described in <a href="http://docs.marklogic.com/9.0/guide/opsdir/Navigation#id_89836" target="_blank">Date and Time Filters</a> in the <em xmlns="">Ops Director Guide</em>.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1116216"></a>The metrics displayed by charts on the App Server Metrics tab are described in the following table.</p>


<a id="pgfId-1116188" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1116153"></a>Chart</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1116155"></a>Definition of Displayed Metric</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1116161"></a>App Server Request Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1116163"></a>The total number of queries being processed per second, across all of the App Servers in the cluster.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1116165"></a>App Server Latency</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1116167"></a>The average time (in seconds) it takes to process queries, across all of the App Servers in the cluster.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1116169"></a>Expanded Tree Cache Hits/Misses</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1116171"></a>The aggregate I/O performance data for the CPUs in the cluster.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1116185"></a>Network</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1116187"></a>Various XDQP performance metrics as the sum of XDQP activity across the cluster. (For further detail, see Cluster Metrics.</p></td>
    </tr></table></span>

<p>Available help topics:</p>
<span><table width="50%" border="0" style="text-align: left"><tr><td rowspan="1" colspan="1"><ul xmlns="http://www.w3.org/1999/xhtml">
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-appserver">Manage App Servers Tab</a></li>
	  <li>App Server Metrics</li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-appserver-info">App Server Information</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-appserver-hosts">App Server Hosts</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-appserver-databases">App Server Databases</a></li>
	</ul></td></tr></table></span> </div>
   case element(manage-appserver-info) return
     <div id=" manage-appserver-info "> <p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=overview" xmlns="http://www.w3.org/1999/xhtml">Monitoring MarkLogic with Ops Director</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=navigation" xmlns="http://www.w3.org/1999/xhtml">Navigating and Filtering Ops Director Views</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=Manage" xmlns="http://www.w3.org/1999/xhtml">Manage View</a></p>
<h1 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1118943"></a><a id="71542"></a>App Server Information</h1>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1142490"></a>Use the Information tab to access properties of the selected application server.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1132476"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1142524"></a>The properties displayed in the App Server Information tab are described in the following table.</p>

<blockquote xmlns="http://www.w3.org/1999/xhtml"><p><b>Note:&#160;&#160;</b><a id="pgfId-1142517"></a>Most of these properties are described in detail in the <a href="http://docs.marklogic.com/9.0/guide/admin/http#id_28058" target="_blank">HTTP Servers</a>, <a href="http://docs.marklogic.com/9.0/guide/admin/xdbc#id_11456" target="_blank">XDBC Servers</a>, <a href="http://docs.marklogic.com/9.0/guide/admin/webdav#id_65018" target="_blank">WebDAV Servers</a>, and <a href="http://docs.marklogic.com/9.0/guide/admin/odbc#id_33148" target="_blank">ODBC Servers</a> chapters in the <i>Administrator's Guide</i>.</p></blockquote>


<a id="pgfId-1131902" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1132073"></a>Field</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1132075"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132077"></a>Address</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132079"></a>The IP address for the App Server.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132081"></a>Authentication</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132083"></a>The authentication scheme used by this App Server. The authentication scheme can be one of: <code>digest</code>, <code>basic</code>, <code>digestbasic</code>, <code>certificate</code>, <code>kerberos-ticket</code>, or <code>application-level</code>. For details, see <a href="http://docs.marklogic.com/9.0/guide/security/authentication#id_56266" target="_blank">Types of Authentication</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132085"></a>Backlog</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132087"></a>The maximum number of pending connections allowed on the App Server socket.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132089"></a>Collation</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1135099"></a>The default collation for queries run in this App Server. This is the collation used for string comparison and sorting if none is specified in the query. For details, see <a href="http://docs.marklogic.com/9.0/guide/search-dev/encodings_collations#id_40505" target="_blank">Encodings and Collations</a> in the <i>Search Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132093"></a>Compute Content Length</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132095"></a>Specifies whether to compute content length when using a webDAV server. A value of <code>true</code> indicates to compute content length; otherwise <code>false</code>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132097"></a>Concurrent Request Limit</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1135126"></a>The maximum number of requests any user may have been running at a specific time. 0 indicates no maximum. For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/session-login#id_48668" target="_blank">Managing Concurrent User Sessions</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132101"></a>Content Database</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132103"></a>The content database for this App Server.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132105"></a>Coordinate System</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132107"></a>The default coordinate system for queries run in this App Server. This will be the coordinate system used for geospatial operations if none is specified in the query. For details, see <a href="http://docs.marklogic.com/9.0/guide/search-dev/geospatial#id_97677" target="_blank">Understanding Coordinate Systems</a> in the <i>Search Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132109"></a>Debug Allow</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1135203"></a>Specifies whether to allow requests against this App Server to be stopped for debugging, using the MarkLogic Server debugging APIs. A value of <code>true</code> allows the App Server to be stopped; otherwise <code>false</code>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132113"></a>Default Error Format</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132115"></a>The default format for protocol errors for this server. The value can be:</p><ul>
	  <li><a id="pgfId-1135278"></a>html: Errors formatted as HTML.</li>
	</ul><ul>
	  <li><a id="pgfId-1135285"></a>xml: Errors formatted as XML.</li>
	</ul><ul>
	  <li><a id="pgfId-1135292"></a>json: Errors formatted as JSON.</li>
	</ul><ul>
	  <li><a id="pgfId-1135259"></a>compatible: Match as closely as possible the format used in prior releases for the type of request and error.</li>
	</ul><p><a id="pgfId-1135373"></a>For more information, see <a href="http://docs.marklogic.com/9.0/guide/app-dev/XMLrewriter#id_26754" target="_blank">set-error-format</a> in the <i>Application Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132117"></a>Default Inference Size</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1135422"></a>The amount of memory available to use for semantic inference queries. By default the amount of memory available for inference is 100mb (size=100). For details, see <a href="http://docs.marklogic.com/9.0/guide/semantics/inferencing#id_38130" target="_blank">Memory Available for Inference</a> in the <i>Semantics Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132121"></a>Default Time Limit</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1135453"></a>The default value for any request's time limit (in seconds), when otherwise unspecified. A request can change its time limit using the <span><a href="http://docs.marklogic.com/9.0/xdmp:set-request-time-limit" target="_blank">xdmp:set-request-time-limit</a></span> function. The time limit, in turn, is the maximum number of seconds allowed for servicing a query request. The App Server gives up on queries that take longer, and returns an error.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132125"></a>Default User</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132127"></a>The user used as the default user in application-level authentication. Setting the <code>admin</code> user as the default user is equivalent to turning security off. For details, see <a href="http://docs.marklogic.com/9.0/guide/security/authentication#id_60432" target="_blank">Application Level</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132129"></a>Default Xquery Version</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1135534"></a>The default XQuery language for this App Server if an XQuery module does explicitly declare its language version.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132133"></a>Display Last Login</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132135"></a>Specifies whether the <code>xdmp:display-last-login</code> API returns <b>true</b> or <b>false</b> in the <code>display-last-login</code> element. For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/session-login#id_54951" target="_blank">Storing and Monitoring the Last User Login Attempt</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132137"></a>Distribute Timestamps</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1135610"></a>Specifies how the latest timestamp is distributed after updates. This affects performance of updates and the timeliness of read-after-write query results from other hosts in the group. The possible values are:</p><ul>
	  <li><a id="pgfId-1135611"></a>fast: Updates return as quickly as possible. No special timestamp notification messages are broadcasted to other hosts. Instead, timestamps are distributed to other hosts when any other message is sent. The maximum amount of time that could pass before other hosts see the timestamp is one second, because a heartbeat message is sent to other hosts every second.</li>
	</ul><ul>
	  <li><a id="pgfId-1135612"></a>strict: Updates immediately broadcast timestamp notification messages to every other host in the group. Updates do not return until their timestamp has been distributed. This ensures timeliness of read-after-write query results from other hosts in the group, so requests made to this app server on other hosts in the group will see immediately consistent results.</li>
	</ul><ul>
	  <li><a id="pgfId-1132139"></a>cluster: Updates immediately broadcast timestamp notification messages to every other host in the cluster. Updates do not return until their timestamp has been distributed. This ensures timeliness of read-after-write query results from any host in the cluster, so requests made to any app server on any host in the cluster will see immediately consistent results.</li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132141"></a>Enabled</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132143"></a>Whether this App Server is enabled (<b>true</b>) or disabled (<b>false</b>).</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132145"></a>Error Handler</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1135686"></a>The page to internally redirect to in case of any 400 or 500 errors. For details, see <a href="http://docs.marklogic.com/9.0/guide/app-dev/appserver-control#id_86523" target="_blank">Controlling App Server Access, Output, and Errors</a> in the <i>Application Developer's Guide</i>. </p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132149"></a>Execute</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132151"></a>Specifies whether this App Server executes XQuery modules (for example, a WevDAV server does not). If <b>true</b>, the App Server executes XQuery modules; otherwise <code>false.</code></p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132153"></a>File Log Level</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1135750"></a>The minimum log level for log messages sent to the MarkLogic Server log file (<code>ErrorLog.txt</code>). For a description of the log levels, see <a href="http://docs.marklogic.com/9.0/guide/admin/logfiles#id_37841" target="_blank">Understanding the Log Levels</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132157"></a>Group Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132159"></a>The group to which this App Server belongs. For details on groups, see <a href="http://docs.marklogic.com/9.0/guide/admin/groups#id_34776" target="_blank">Groups</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132161"></a>Internal Security</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132163"></a>Specifies whether the security database is used for authentication and authorization if the user is found in the security database. If <b>true</b>, use the security database; if <b>false</b>, external authentication/authorization is used. For details, see <a href="http://docs.marklogic.com/9.0/guide/security/external-auth#id_75253" target="_blank">External Security</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132165"></a>Keep Alive Timeout</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132167"></a>The maximum number of seconds before a socket receives a timeout for subsequent requests over the same connection.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132169"></a>Log Errors</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132171"></a>Specifies whether to log uncaught errors for this App Server to the <code>ErrorLog.txt</code> file. This is useful to log exceptions that might occur on an App Server for later debugging. If <b>true</b>, log errors; if <b>false</b>, do not log errors.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132173"></a>Max Inference Size</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1135902"></a>The maximum memory limit for semantic inference queries. For details, see <a href="http://docs.marklogic.com/9.0/guide/semantics/inferencing#id_38130" target="_blank">Memory Available for Inference</a> in the <i>Semantics Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132177"></a>Max Time Limit</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1135934"></a>The upper bound for any request's time limit. No request may set its time limit (for example with <code>xdmp:set-request-time-limit</code>) higher than this number. The time limit, in turn, is the maximum number of seconds allowed for servicing a query request. The App Server gives up on queries which take longer, and returns an error.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132181"></a>Multi Version Concurrency Control</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1135984"></a>Specifies how the latest timestamp is chosen for lock-free queries. This only affects query statements, not update statements. The following are the possible values:</p><ul>
	  <li><a id="pgfId-1136022"></a>contemporaneous: App Server chooses the latest timestamp for which any transaction is known to have committed, even though there still may be other transactions for that timestamp that have not yet fully committed. Queries will see more timely results, but may block waiting for contemporaneous transactions to fully commit. </li>
	</ul><ul>
	  <li><a id="pgfId-1136034"></a>nonblocking: App Server chooses the latest timestamp for which all transactions are known to have committed, even though there may be a slightly later timestamp for which another transaction has committed. Queries won't block waiting for transactions, but they may see less timely results.</li>
	</ul><p><a id="pgfId-1136067"></a>For details about queries and transactions in MarkLogic Server, see <a href="http://docs.marklogic.com/9.0/guide/app-dev/transactions#id_44680" target="_blank">Understanding Transactions in MarkLogic Server</a> in the <i>Application Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="20" colspan="1"><p><a id="pgfId-1132185"></a>Output Byte Order Mark</p><p><a id="pgfId-1132189"></a>Output Cdata Section Localname</p><p><a id="pgfId-1132193"></a>Output Cdata Section Namespace URI</p><p><a id="pgfId-1132197"></a>Output Doctype Public</p><p><a id="pgfId-1132201"></a>Output Doctype System</p><p><a id="pgfId-1132205"></a>Output Encoding</p><p><a id="pgfId-1132209"></a>Output Escape URI Attributes</p><p><a id="pgfId-1132213"></a>Output Include Content Type</p><p><a id="pgfId-1132217"></a>Output Include Default Attributes</p><p><a id="pgfId-1132221"></a>Output Indent</p><p><a id="pgfId-1132225"></a>Output Indent Tabs</p><p><a id="pgfId-1132229"></a>Output Indent Untyped</p><p><a id="pgfId-1132233"></a>Output Media Type</p><p><a id="pgfId-1132237"></a>Output Method</p><p><a id="pgfId-1132241"></a>Output Normalization Form</p><p><a id="pgfId-1132245"></a>Output Omit Xml Declaration</p><p><a id="pgfId-1132249"></a>Output Sgml Character Entities</p><p><a id="pgfId-1132253"></a>Output Standalone</p><p><a id="pgfId-1132257"></a>Output Undeclare Prefixes</p><p><a id="pgfId-1132261"></a>Output Version</p></td>
      <td rowspan="20" colspan="1"><p><a id="pgfId-1132187"></a>The output options for the App Server.</p><p><a id="pgfId-1137113"></a>For details about controlling App Server output, see <a href="http://docs.marklogic.com/9.0/guide/app-dev/appserver-control#id_86523" target="_blank">Controlling App Server Access, Output, and Errors</a> in the <i>Application Developer's Guide</i> and <a href="http://docs.marklogic.com/9.0/guide/admin/http#id_27346" target="_blank">Setting Output Options for an HTTP Server</a>, <a href="http://docs.marklogic.com/9.0/guide/admin/xdbc#id_12758" target="_blank">Setting Output Options for an XDBC Server</a>, <a href="http://docs.marklogic.com/9.0/guide/admin/odbc#id_27346" target="_blank">Setting Output Options for an ODBC Server</a>, and <a href="http://docs.marklogic.com/9.0/guide/admin/webdav#id_21988" target="_blank">Setting Output Options for a WebDAV Server</a> in the <i>Administrator's Guide</i>.</p><p><a id="pgfId-1137136"></a>For details on setting the serialization options in XQuery, see <a href="http://docs.marklogic.com/9.0/guide/xquery/langoverview#id_47415" target="_blank">Declaring Options</a> in the <i>XQuery and XSLT Reference Guide</i>. For XSLT output details, see the XSLT specification (<span><a href="http://www.w3.org/TR/xslt20#serialization" xml:link="simple" show="replace" actuate="user" CLASS="URL" target="_blank">http://www.w3.org/TR/xslt20#serialization</a></span>).</p></td>
    </tr><tr></tr><tr></tr><tr></tr><tr></tr><tr></tr><tr></tr><tr></tr><tr></tr><tr></tr><tr></tr><tr></tr><tr></tr><tr></tr><tr></tr><tr></tr><tr></tr><tr></tr><tr></tr><tr></tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132265"></a>Port</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132267"></a>The port number applications use to access this App Server.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132269"></a>Pre Commit Trigger Depth</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1137170"></a>The maximum depth (how many triggers can cause other triggers to fire, which in turn cause others to fire, and so on) for pre-commit triggers that are executed against this App Server. For more information on triggers, see <a href="http://docs.marklogic.com/9.0/guide/app-dev/triggers#id_17020" target="_blank">Using Triggers to Spawn Actions</a> in the <i>Application Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132273"></a>Pre Commit Trigger Limit</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1137207"></a>The maximum number of pre-commit triggers this App Server can invoke for a single statement. For more information on triggers, see <a href="http://docs.marklogic.com/9.0/guide/app-dev/triggers#id_17020" target="_blank">Using Triggers to Spawn Actions</a> in the <i>Application Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132277"></a>Privilege</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132279"></a>The execute privilege required to access this App Server.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132281"></a>Profile Allow</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1137299"></a>Specifies whether to allow requests against this App Server to be profiled, using the MarkLogic Server profiling APIs. For details, see <a href="http://docs.marklogic.com/9.0/guide/performance/profile#id_94939" target="_blank">Profiling Requests to Evaluate Performance</a> in the Query Performance and Tuning guide.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132285"></a>Request Timeout</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1137318"></a>The maximum number of seconds before a socket receives a timeout for the first request.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132289"></a>Rewrite Resolves Globally</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132291"></a>Specifies whether to allow rewritten URLs to be resolved from the global <code>MarkLogic/Modules</code> directory or App Server root. </p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132293"></a>Root</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1137378"></a>The directory in which programs executed against this App Server are stored. If the Modules field is set to a database, the root must be a directory URI in the specified modules database. </p><p><a id="pgfId-1137379"></a>If the Modules field is set to file system, the root directory is either a fully-qualified pathname or is relative to the directory in which MarkLogic Server is installed.   For details on where the MarkLogic&#160;Server is installed by default on your platform, see <a href="http://docs.marklogic.com/9.0/guide/installation/procedures#id_28962" target="_blank">Installing MarkLogic</a> in the <i>Installation Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132297"></a>Server Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132299"></a>The name of this App Server.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132301"></a>Server Type</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132303"></a>The App Server type (<code>http</code>, <code>odbc</code>, <code>xdbc</code>, or <code>WebDAV</code>).</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132305"></a>Session Timeout</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1137434"></a>The maximum number of seconds before an inactive session times out.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132309"></a>SSL Allow SSLv3</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1137457"></a>Specifies whether to allow this App Server to communicate with applications by means of the SSLv3 security protocol.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132313"></a>SSL Allow TLS</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1137498"></a>Specifies whether to allow this App Server to communicate with applications by means of the TLSv1 security protocol.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132317"></a>SSL Ciphers</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1137515"></a>The SSL ciphers that may be used. For details, see <a href="http://docs.marklogic.com/9.0/guide/security/SSL#id_85783" target="_blank">Configuring SSL on App Servers</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132321"></a>SSL Disable SSLv3</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1137573"></a>Specifies whether to prevent this App Server from communicating with applications by means of the SSLv3 security protocol.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132325"></a>SSL Disable TLSv1</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1137623"></a>Specifies whether to prevent this App Server from communicating with applications by means of the TLSv1 security protocol.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132329"></a>SSL Disable TLSv11</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1137660"></a>Specifies whether to prevent this App Server from communicating with applications by means of the TLSv11 security protocol.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132333"></a>SSL Disable TLSv12</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132335"></a>Specifies whether to prevent this App Server from communicating with applications by means of the TLSv12 security protocol.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132337"></a>SSL Hostname</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1137733"></a>The hostname for the App Server SSL certificate. This is useful when many App Servers are running behind a load balancer. If not specified, each host will use a certificate for its own hostname. For details, see <a href="http://docs.marklogic.com/9.0/guide/security/SSL#id_85783" target="_blank">Configuring SSL on App Servers</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132341"></a>SSL Require Client Certificate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1137788"></a>Specifies whether to enable mutual authentication, where the client also holds a digital certificate that it sends to the server. Select which certificate authority is to be used to sign client certificates for the server. For details, see <a href="http://docs.marklogic.com/9.0/guide/security/SSL#id_85783" target="_blank">Configuring SSL on App Servers</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132345"></a>Static Expires</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132347"></a>The number of seconds before an <code>expires</code> HTTP header is added for static content.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132349"></a>Threads</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132351"></a>The maximum number of App Server threads.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132353"></a>URL Rewriter</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1137847"></a>The path to the script to run to rewrite URLs. For details, see <a href="http://docs.marklogic.com/9.0/guide/app-dev/appserver-control#id_85396" target="_blank">Setting Up URL Rewriting for an HTTP App Server</a> in the <i>Application Developer's Guide</i>. </p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132357"></a>WebDAV</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132359"></a>Specifies whether this App Server is a WebDAV App Server.</p></td>
    </tr></table></span>

<p>Available help topics:</p>
<span><table width="50%" border="0" style="text-align: left"><tr><td rowspan="1" colspan="1"><ul xmlns="http://www.w3.org/1999/xhtml">
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-appserver">Manage App Servers Tab</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-appserver-metrics">App Server Metrics</a></li>
	  <li>App Server Information</li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-appserver-hosts">App Server Hosts</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-appserver-databases">App Server Databases</a></li>
	</ul></td></tr></table></span> </div>
   case element(manage-appserver-hosts) return
     <div id=" manage-appserver-hosts "> <p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=overview" xmlns="http://www.w3.org/1999/xhtml">Monitoring MarkLogic with Ops Director</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=navigation" xmlns="http://www.w3.org/1999/xhtml">Navigating and Filtering Ops Director Views</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=Manage" xmlns="http://www.w3.org/1999/xhtml">Manage View</a></p>
<h1 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1132434"></a><a id="28567"></a>App Server Hosts</h1>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1131904"></a>Use the <b>HOSTS</b> tab to see the host that contains the selected App Server. This tab shows the host name as the first column, followed by other properties. Click on the host name to navigate to the manage view of the host.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1132507"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1133664"></a>The columns displayed in the App Server <b>HOSTS</b> tab are described in the following table.</p>


<a id="pgfId-1144870" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1144811"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1144813"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144815"></a>Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144817"></a>The hostname of the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144819"></a>Group</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144821"></a>The name of the group that contains the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144823"></a>OS</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144825"></a>The name and version of the operating system on which the host runs.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144827"></a>Server Version</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144832"></a>The version of MarkLogic Server on the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144834"></a>Forests</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144836"></a>The number of forests on the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144838"></a>Databases</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144840"></a>The number of databases on the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144842"></a>App Servers</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144844"></a>The number of App Servers on the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144846"></a>Disk Space (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144848"></a>The amount of disk space (in MB) used on the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144850"></a>Uptime</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144852"></a>The duration (Days Hrs:Min) the host has been available.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144854"></a>Maint. Mode</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144856"></a>The host maintenance mode (normal or maintenance). For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/rolling-upgrades#id_12339" target="_blank">Rolling Upgrades</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144864"></a>Zone</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1144866"></a>The Amazon Web Services (AWS) zone in which the host resides, if applicable. For details, see <i>MarkLogic Server on Amazon Web Services (AWS) Guide</i>.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144889"></a>You can export data from the App Server Hosts tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144893"></a>The resulting CSV file will have the same columns as the App Server Hosts table in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144894"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144895"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144896"></a>Data types of the fields in the CSV file correspond to those in the UI. in the case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144897"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<p>Available help topics:</p>
<span><table width="50%" border="0" style="text-align: left"><tr><td rowspan="1" colspan="1"><ul xmlns="http://www.w3.org/1999/xhtml">
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-appserver">Manage App Servers Tab</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-appserver-metrics">App Server Metrics</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-appserver-info">App Server Information</a></li>
	  <li>App Server Hosts</li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-appserver-databases">App Server Databases</a></li>
	</ul></td></tr></table></span> </div>
   case element(manage-appserver-databases) return
     <div id=" manage-appserver-databases "> <p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=overview" xmlns="http://www.w3.org/1999/xhtml">Monitoring MarkLogic with Ops Director</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=navigation" xmlns="http://www.w3.org/1999/xhtml">Navigating and Filtering Ops Director Views</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=Manage" xmlns="http://www.w3.org/1999/xhtml">Manage View</a></p>
<h1 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144878"></a><a id="45092"></a>App Server Databases</h1>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144873"></a>Use the <b>DATABASES</b> tab to get a list of databases used by this App Server, with the database name as the first column, followed by other properties. Click on the database name to navigate to the manage view of the selected database. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1131700"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1132701"></a>The columns displayed in the App Server <b>DATABASES</b> tab are described in the following table.</p>


<a id="pgfId-1132789" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1132704"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1132706"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132708"></a>Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132710"></a>Name of the database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132716"></a>Forests</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132718"></a>The number of forests used by the database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132720"></a>Disk Size (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132722"></a>The amount of disk space used by the database forests, in megabytes.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132724"></a>Documents</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132726"></a>The number of documents in the database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132728"></a>Last Backup</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132730"></a>The data-time of the last backup of the database. No value, if the database has never been backed up. For details on backing up a database, see <a href="http://docs.marklogic.com/9.0/guide/admin/backup_restore#id_93243" target="_blank">Backing Up and Restoring a Database</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132742"></a>Encryption</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132744"></a>Specifies whether or not encryption at rest is enabled for the database. For details, see <a href="http://docs.marklogic.com/9.0/guide/security/encryption#id_37353" target="_blank">Encryption at Rest</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132752"></a>HA</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139253"></a>Specifies whether or not shared disk failover is enabled. For details, see <a href="http://docs.marklogic.com/9.0/guide/cluster/failover#id_82157" target="_blank">High Availability of Data Nodes With Failover</a> in the <i>Scalability, Availability, and Failover Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132806"></a>Replication</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1139311"></a>Specifies whether or not database replication is enabled. For details, see the <i>Database Replication Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132756"></a>Replication Status</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132758"></a>Specifies whether or not database replication is configured for the database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132760"></a>Security DB</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132762"></a>The name of the security database used by the database. For details, see <a href="http://docs.marklogic.com/9.0/guide/security/security_db#id_66642" target="_blank">Administering Security</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132770"></a>Schemas DB</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132772"></a>The name of the schemas database used by the database. For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/schemas#id_43671" target="_blank">Understanding and Defining Schemas</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132780"></a>Triggers DB</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1132782"></a>The name of the schemas database used by the database. For details, see <a href="http://docs.marklogic.com/9.0/guide/app-dev/triggers#id_17020" target="_blank">Using Triggers to Spawn Actions</a> in the <i>Application Developer's Guide</i>.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144928"></a>You can export data from the App Server <b>DATABASES</b> tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1144932"></a>The resulting CSV file will have the same columns as the App Server DATABASES table in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1148637"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1148638"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1148639"></a>Data types of the fields in the CSV file correspond to those in the UI. in the case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1144936"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1148644"></a></p>

<p>Available help topics:</p>
<span><table width="50%" border="0" style="text-align: left"><tr><td rowspan="1" colspan="1"><ul xmlns="http://www.w3.org/1999/xhtml">
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-appserver">Manage App Servers Tab</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-appserver-metrics">App Server Metrics</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-appserver-info">App Server Information</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-appserver-hosts">App Server Hosts</a></li>
	  <li>App Server Databases</li>
	</ul></td></tr></table></span> </div>
   case element(Analyse) return
     <div id=" Analyse "> <p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=overview" xmlns="http://www.w3.org/1999/xhtml">Monitoring MarkLogic with Ops Director</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=navigation" xmlns="http://www.w3.org/1999/xhtml">Navigating and Filtering Ops Director Views</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=Analyse" xmlns="http://www.w3.org/1999/xhtml">Analyze View</a></p>
<h1 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1053802"></a><a id="13070"></a>Analyze View</h1>


<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1110256"></a>The ANALYZE view presents a comprehensive set of detailed charts that allow to analyze utilization and performance of system resources, such as disks, CPU, memory, network, databases, and servers, in your enterprise.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1118476"></a>This chapter covers the following topics:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1118487"></a><a href="#97896">Configuring and Navigating the Analyze View</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1118498"></a><a href="#51712">Performance Charts by Resource</a></li>
</ul>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1115620"></a><a id="86716"></a><a id="97896"></a>Configuring and Navigating the Analyze View</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1116761"></a>Use the ANALYZE view to examine key performance indicators of various system resources, such as disks, CPU, memory, network, databases, and servers.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1118754"></a>This section describes the general mechanisms for configuring and navigating the ANALYZE view.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1118789"></a>Performance metrics are displayed in the central panel of the ANALYZE view.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1118765"></a>Use the date picker to select the date/time range to inspect. Use the resources panel to select which resources to examine.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1116122"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1119052"></a>Toggle between a normal or expanded view of the data charts by selecting the chart-only icon beside the date filters.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1119053"></a><span><img src="{ $image-source }/doc-View-Analyze-Wide.gif"/><br clear="all"/></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1119054"></a>Select which resources to examine by defining corresponding filters in the resources panel. You can use the search bar to restrict the list of resources to only those matching your specified keywords. These features are described in <a href="http://docs.marklogic.com/9.0/guide/opsdir/Navigation#id_68490" target="_blank">Navigating and Filtering Ops Director Views</a> in the <em xmlns="">Ops Director Guide</em>.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1118845"></a>Drill down for greater detail by selecting the detail icon at the far right side of any top-level section of the Overview page. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1118846"></a><span><img src="{ $image-source }/doc-CH-Disks.gif"/><br clear="all"/></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1118847"></a>Disks Detail page, for example, offers greater detail of the disk operational parameters. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1119071"></a>To return to the Overview page from a DISKS DETAIL page, click on the detail icon at the upper right-hand section of the resource graph on the Detail page.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1116556"></a><span><img src="{ $image-source }/doc-Disks-Detail.gif"/><br clear="all"/></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1119109"></a>You may export data from the charts presented in the ANALYZE view by clicking the Export icon in the upper right corner. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1119179"></a>As the result, a zip file with all exported metrics from the charts will be downloaded to your computer. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1119156"></a>The zip file contains one CSV (Comma Separated Values) file for each plot (i.e. data series) across all charts in the view.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1119790"></a>The CSV files are grouped into folders by resource type: <code>Host</code>, <code>Database</code>, <code>Server</code>, and <code>Forest</code>.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1119395"></a>Each CSV file corresponds to one exported metric and has two columns: one for the timestamp and another for the chart data.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1119491"></a>Metrics exported for the <code>Host</code> resource type are described in the following sections:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1119496"></a><a href="#21175">Disk Performance Data</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1119413"></a><a href="#71159">CPU Performance Data</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1119420"></a><a href="#68608">Memory Performance Data</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1119430"></a><a href="#94112">Network Performance Data</a></li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1119525"></a>Thus, the <code>Host</code> folder in the zip file will contain CSV files that correspond to these metrics.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1119556"></a>Metrics exported for the <code>Database</code> resource type are described in the section <a href="#18781">Database Performance Data</a>.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1119628"></a>Thus, the <code>Database</code> folder in the zip file will contain CSV files that correspond to these metrics. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1119620"></a>Metrics exported for the <code>Server</code> resource type are described in the section <a href="#36450">Server Performance Data</a>.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1119605"></a>Thus, the <code>Server</code> folder in the zip file will contain CSV files that correspond to these metrics.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1119729"></a>Metrics exported for the <code>Forest</code> resource type are described in the following sections:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1119733"></a><a href="#21175">Disk Performance Data</a>, </li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1119737"></a><a href="#71159">CPU Performance Data</a>, </li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1119741"></a><a href="#68608">Memory Performance Data</a>, </li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1119745"></a><a href="#94112">Network Performance Data</a>.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1119676"></a>Thus, the <code>Forest</code> folder in the zip file will contain CSV files that correspond to these metrics.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1119928"></a>You may export metrics also from the second-level pages in the ANALYZE view: </p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1119943"></a>If you click the Export icon from the DISKS DETAIL page, the resulting zip file will contain only <code>Host</code> and <code>Forest</code> folders.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1120015"></a>If you click the Export icon from the CPU DETAIL page, the resulting zip file will contain only <code>Host</code> and <code>Forest</code> folders.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1120027"></a>If you click the Export icon from the MEMORY DETAIL page, the resulting zip file will contain only <code>Host</code> and <code>Forest</code> folders.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1120098"></a>If you click the Export icon from the SERVERS DETAIL page, the resulting zip file will contain only <code>Server</code> folder.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1120039"></a>If you click the Export icon from the NETWORK DETAIL page, the resulting zip file will contain only <code>Host</code> and <code>Forest</code> folders.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1120070"></a>If you click the Export icon from the DATABASES DETAIL page, the resulting zip file will contain only <code>Database</code> folder.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1120268"></a>You may export metrics for selected resources and/or apply date filters:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1120272"></a>If you select some resources in the <b>ALL RESOURCES</b> tab of the left-hand navigation panel, click <b>Apply</b> to apply the new selection, and then click the Export icon, the resulting zip file will contain CSV files with content pertaining to the resources selected.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1120288"></a>If you select some resources in the <b>RESOURCE GROUPS</b> tab of the left-hand navigation panel, click <b>Apply</b> to apply the new selection, and then click the Export icon, the resulting zip file will contain CSV files with content pertaining to the resources selected.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1120382"></a>If you filter the ANALYZE view by selecting date/time range, click <b>Apply</b> to apply the new filtering, and then click the Export icon, the resulting zip file will contain CSV files with content pertaining to the resources that are visible with the applied filter.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1120430"></a>You may then import the CSV files into other applications (such as Excel) for further processing or analysis.</p>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1112677"></a><a id="51712"></a>Performance Charts by Resource</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1112678"></a>The ANALYZE view offers overview and detailed performance metrics in graph form for each resource in the cluster. In the Overview page, the lines on a graph represent an aggregate of the metrics for all of the cluster resources of that type. In each Detail page, the lines represent the metric for each specific resource in the cluster.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1114206"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1116372"></a>This section describes the Overview and Detail pages for the following resources:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1112693"></a><a href="#21175">Disk Performance Data</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1112697"></a><a href="#71159">CPU Performance Data</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1112701"></a><a href="#68608">Memory Performance Data</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1112705"></a><a href="#36450">Server Performance Data</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1112709"></a><a href="#94112">Network Performance Data</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1112713"></a><a href="#18781">Database Performance Data</a></li>
</ul>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1112715"></a><a id="21175"></a>Disk Performance Data</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1112716"></a>The DISKS section of the Overview page displays a graph of the aggregate I/O performance data for the disks used by the hosts selected in the filter.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1112720"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1112724"></a>You can hover on a period point to view what disk operation was taking place at that point in time. Each performance metric is described in the following table.</p>


<a id="pgfId-1112754" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1112727"></a>Metric</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1112729"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112731"></a>Writes</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112733"></a>The disk I/O performance (in MB/sec) during journal and save write operations. This is the sum of journal-write-rate, save-write-rate, and large-write-rate. For more information, see the <i>Query Performance and Tuning Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112735"></a>Query Traffic</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112737"></a>The disk I/O performance (in MB/sec) during a query or queries. This is is the sum of query-read-rate and large-read-rate. For more information, see the <i>Query Performance and Tuning Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112739"></a>Merge Reads</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112741"></a>The disk I/O performance (in MB/sec) during a merge read operation. For more information on merging, see <a href="http://docs.marklogic.com/9.0/guide/admin/merges#id_83498" target="_blank">Understanding and Controlling Database Merges</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112743"></a>Merge Writes</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1116155"></a>The disk I/O performance (in MB/sec) during a merge write operation. For more information on merging, see <a href="http://docs.marklogic.com/9.0/guide/admin/merges#id_83498" target="_blank">Understanding and Controlling Database Merges</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112747"></a>Backup Reads</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1116175"></a>The disk I/O read performance (in MB/sec) during a backup operation. For more information on database backup, see <a href="http://docs.marklogic.com/9.0/guide/admin/backup_restore#id_93243" target="_blank">Backing Up and Restoring a Database</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1114413"></a>Backup Writes</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1116206"></a>The disk I/O write performance (in MB/sec) during a backup operation. For more information on database backup, see <a href="http://docs.marklogic.com/9.0/guide/admin/backup_restore#id_93243" target="_blank">Backing Up and Restoring a Database</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112751"></a>Restore Reads</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1116224"></a>The disk I/O read performance (in MB/sec) during a restore operation. For more information on database restore, see <a href="http://docs.marklogic.com/9.0/guide/admin/backup_restore#id_93243" target="_blank">Backing Up and Restoring a Database</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1114433"></a>Restore Writes</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1116277"></a>The disk I/O read performance (in MB/sec) during a restore operation. For more information on database restore, see <a href="http://docs.marklogic.com/9.0/guide/admin/backup_restore#id_93243" target="_blank">Backing Up and Restoring a Database</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1118708"></a>Click on the detail icon in the upper right-hand section of the DISKS section of the Overview page to view charts that present more detailed disk performance metrics.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1118709"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1118710"></a>The rate metrics displayed by the charts on the Disks Detail page are described in the following table. For guidelines on how to interpret rate metrics, see <a href="http://docs.marklogic.com/9.0/guide/opsdir/Troubleshooting#id_89874" target="_blank">Assess MarkLogic Cluster Performance</a> in the <em xmlns="">Ops Director Guide</em>.</p>


<a id="pgfId-1112805" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1112766"></a>Chart</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1112768"></a>Definition of Displayed Metric</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112770"></a>Journal Write Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112772"></a>The moving average of data writes (in MB/sec) to the journal.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112774"></a>Save Write Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112776"></a>The moving average of data writes (in MB/sec) to in-memory stands.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112778"></a>Query Read Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112780"></a>The moving average of reading query data (in MB/sec) from disk</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112782"></a>Merge Read Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112784"></a>The moving average of reading merge data (in MB/sec) from disk</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112786"></a>Merge Write Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112788"></a>The moving average of writing data (in MB/sec) for merges</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112790"></a>Backup Read Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112792"></a>The moving average of reading backup data (in MB/sec) to disk.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1114340"></a>Backup Write Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1114346"></a>The moving average of writing backup data (in MB/sec) to disk. </p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112794"></a>Restore Read Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112796"></a>The moving average of reading restore data (in MB/sec) from disk.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1114377"></a>Restore Write Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1114379"></a>The moving average of writing restore data (in MB/sec) from disk.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112798"></a>Large Binary Read Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112800"></a>The moving average of reading large documents (in MB/sec) from disk. For more information, see <a href="http://docs.marklogic.com/9.0/guide/app-dev/binaries#id_46976" target="_blank">Working With Binary Documents</a> in the <i>Application Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112802"></a>Large Binary Write Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1116410"></a>The moving average of writing data for large documents (in MB/sec) to disk. For more information, see <a href="http://docs.marklogic.com/9.0/guide/app-dev/binaries#id_46976" target="_blank">Working With Binary Documents</a> in the <i>Application Developer's Guide</i>.</p></td>
    </tr></table></span>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1112817"></a><a id="71159"></a>CPU Performance Data</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1120563"></a>The CPU section of the Overview page displays a graph of the aggregate I/O performance data for the CPUs used by the hosts selected in the filter.</p>

<blockquote xmlns="http://www.w3.org/1999/xhtml"><p><b>Note:&#160;&#160;</b><a id="pgfId-1120565"></a>CPU metrics are not supported on the Mac OS X platform and are only partially supported on Windows.</p></blockquote>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1116889"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1116923"></a>Each performance metric in the CPU section of the Overview page is described in the following table.</p>


<a id="pgfId-1113609" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1120722"></a>Metric</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1120724"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1120726"></a>User</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1120728"></a>Total percentage of CPU used running user processes that are not niced.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1120730"></a>Nice</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1120732"></a>Total percentage of CPU used running user processes that are niced.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1120734"></a>System</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1120736"></a>Total percentage of CPU used running the operating system kernel and its processes. </p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1120738"></a>I/O Wait</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1120740"></a>Total percentage of CPU time spent waiting for I/O operations to complete. </p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1120742"></a>IRQ</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1120744"></a>Total percentage of CPU utilization for servicing soft interrupts.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1120746"></a>Steal</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1120748"></a>Total percentage of CPU &#x2018;stolen' from this virtual machine by the hypervisor for other tasks (such as running another virtual machine).</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1118930"></a>Click on the detail icon to view graphs that present more detailed CPU performance metrics.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1118931"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1118932"></a>The charts on the CPU Detail page are described in the following table.</p>


<a id="pgfId-1115878" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1113662"></a>Chart</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1113664"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113666"></a>I/O Wait</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113668"></a>The percentage of CPU used waiting for I/O operations to complete for each host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113670"></a>User</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113672"></a>The percentage of CPU used running user processes that are not niced for each host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113674"></a>System</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113676"></a>The percentage of CPU used running the operating system kernel and its processes for each host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113678"></a>Nice</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113680"></a>The percentage of CPU used running user processes that are niced for each host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113682"></a>Steal</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113684"></a>The percentage of CPU &#x2018;stolen' from this virtual machine by the hypervisor for other tasks (such as running another virtual machine) for each host. </p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113686"></a>Idle</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113688"></a>The percentage of CPU that is not doing any work for each host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113690"></a>IRQ</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113692"></a>The percentage of CPU servicing soft interrupts for each host.</p></td>
    </tr></table></span>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1113695"></a><a id="68608"></a>Memory Performance Data</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1113696"></a>The MEMORY section of the Overview page displays a graph of the aggregate performance data for the Memory used by the hosts selected in the filter.</p>

<blockquote xmlns="http://www.w3.org/1999/xhtml"><p><b>Note:&#160;&#160;</b><a id="pgfId-1118166"></a>CPU metrics are not supported on the Mac OS X platform and are only partially supported on Windows.</p></blockquote>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1114222"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1112905"></a>You can hover on a period point to view which CPU operation was taking place at that point in time. Each chart and associated performance metrics are described in the following table.</p>


<a id="pgfId-1112927" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1112908"></a>Chart</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1112910"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112912"></a>Memory Footprint</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113813"></a>The total amount (in MB) of memory consumed by the hosts.</p><p><a id="pgfId-1113814"></a>The displayed metrics are:</p><ul>
	  <li><a id="pgfId-1113815"></a>RSS: The total amount of MB of Process Resident Size (RSS) consumed by the hosts.</li>
	</ul><ul>
	  <li><a id="pgfId-1112917"></a>Anon: The total amount of MB of Process Anonymous Memory consumed by the hosts.</li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1114453"></a>Memory Size</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117683"></a>The amount of space (in MB) forest data files for the hosts take up in memory.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112919"></a>Memory I/O</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112921"></a>The number of pages per second moved between memory and disk.</p><p><a id="pgfId-1112922"></a>The displayed metrics are:</p><ul>
	  <li><a id="pgfId-1112923"></a>Page-In Rate: The page-in rate (from Linux /proc/vmstat) for the hosts in pages/sec.</li>
	</ul><ul>
	  <li><a id="pgfId-1112924"></a>Page-Out Rate: The page-out rate (from Linux /proc/vmstat) for the hosts in pages/sec.</li>
	</ul><ul>
	  <li><a id="pgfId-1112925"></a>Swap-In Rate: The swap-in rate (from Linux /proc/vmstat) for the hosts in pages/sec.</li>
	</ul><ul>
	  <li><a id="pgfId-1112926"></a>Swap-Out Rate: The swap-out rate (from Linux /proc/vmstat) for the hosts in pages/sec.</li>
	</ul></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1112931"></a></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1118949"></a>Click on the detail icon to view graphs that present more detailed CPU performance metrics. The charts on the Memory Detail page are described in the following table. The displayed metrics are drawn from <code>/proc/vmstat</code>.</p>


<a id="pgfId-1112961" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1112934"></a>Chart</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1112936"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112938"></a>RSS</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112940"></a>The amount of MB of Process Resident Size (RSS) for each host in the cluster.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112942"></a>Anon</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112944"></a>The amount of MB of Process Anonymous Memory for each host in the cluster.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112946"></a>Page-In Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112948"></a>The page-in rate (in pages/sec) for each host in the cluster.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112950"></a>Page-Out Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112952"></a>The page-out rate (in pages/sec) for each host in the cluster.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112954"></a>Swap-In Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112956"></a>The swap-in rate (in pages/sec) for each host in the cluster.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112958"></a>Swap-Out Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112960"></a>The swap-out rate (in pages/sec) for each host in the cluster.</p></td>
    </tr></table></span>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1112963"></a><a id="36450"></a>Server Performance Data</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1112964"></a>The SERVERS section of the Overview page displays graphs of the aggregate performance data for the App Servers selected in the filter.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1114231"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1112969"></a>The Servers Overview page displays the charts described in the following table.</p>


<a id="pgfId-1112991" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1112972"></a>Chart</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1112974"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112976"></a>App Server Request Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112978"></a>The total number of queries being processed per second, across all of the App Servers.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112980"></a>App Server Latency</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112982"></a>The average time (in seconds) it takes to process queries, across all of the App Servers.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112984"></a>Task Server Queue Size</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112986"></a>The number of tasks in the Task Server queue.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112988"></a>Expanded Tree Cache Hits/Misses</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112990"></a>The number of times per second that queries could use (Hits) and could not use (Misses) the expanded tree cache.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1112992"></a>With the exception of the Task Server Queue Size chart, which only displays the queue size for the one task server, the color-coded metrics for the server charts are as shown in the following table.</p>


<a id="pgfId-1113018" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1112995"></a>Metric</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1112997"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112999"></a>HTTP</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113001"></a>The metrics for the HTTP servers.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113003"></a>ODBC</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113005"></a>The metrics for the ODBC servers.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113007"></a>WebDAV</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113009"></a>The metrics for the WebDAV servers.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113011"></a>XDBC</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113013"></a>The metrics for the XDBC servers.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113015"></a>Task </p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113017"></a>The metrics for the Task server.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1114250"></a>Click on the detail icon to view graphs that present more detailed performance metrics for each App Server. The charts displayed on the SERVERS DETAIL page are described in the following table.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1114259"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1113028"></a>The server type (for example, ODBC) is shown in the upper right-hand section of each server type group.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1117280"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1113033"></a>The following repeating pattern of detailed charts are displayed for each of HTTP, XDBC, ODBC, Task, and WebDAV App Servers:</p>


<a id="pgfId-1113059" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1114478"></a>Chart</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1114480"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1114482"></a>Request Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1114484"></a>The number of queries being processed per second by each App Server.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1114486"></a>Latency</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1114488"></a>The average time it takes each App Server to process queries.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1114490"></a>Expanded Tree Cache Hit Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1114492"></a>The number of times queries could use the expanded tree cache on each App Server.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1114494"></a>Expanded Tree Cache Miss Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1114496"></a>The number of times queries could not use the expanded tree cache on each App Server.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1114498"></a>Send Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1114500"></a>The rate (in MB/sec) at which this App Server sends data.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1114502"></a>Receive Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115600"></a>The rate (in MB/sec) at which this App Server receives data.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1114506"></a>Queue Size (Task Server Only)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1114508"></a>The number of tasks in the Task Server queue on each host.</p></td>
    </tr></table></span>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1113061"></a><a id="94112"></a>Network Performance Data</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1113062"></a>The network performance data graphs display performance in terms of XDQP reads and writes. XDQP is the protocol MarkLogic uses for internal host-to-host communication on port 7999. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1113063"></a>The Network section of the Overview page displays various XDQP performance as the sum of XDQP activity across the cluster. High XDQP rates are usually not an issue unless they are so high as to saturate your internal network. Higher usage occurs during data load and query execution. Merges do not involve XDQP. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1114286"></a><span></span></p>

<blockquote xmlns="http://www.w3.org/1999/xhtml"><p><b>Note:&#160;&#160;</b><a id="pgfId-1114287"></a>If XDQP indicates excessively high during loads, running the MarkLogic Content Pump (<code>mlcp</code>) with fast forest placement will minimize XDQP communication needs. For details on the MarkLogic Content Pump, see <a href="http://docs.marklogic.com/9.0/guide/ingestion/content-pump#id_82077" target="_blank">Loading Content Using MarkLogic Content Pump</a> in the <i>Loading Content Into MarkLogic Server Guide</i>.</p></blockquote>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1113075"></a>The Network section of the Overview page displays a chart with the metrics described in the following table. </p>


<a id="pgfId-1113097" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1113078"></a>Metric</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1113080"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113082"></a>XDQP Read</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113084"></a>The total volume of all XDQP reads between hosts in the cluster. This is the sum of <code>xdqp-client-receive-rate</code> and <code>xdqp-server-receive-rate</code>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113086"></a>XDQP Write</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113088"></a>The total volume of all XDQP writes between hosts in the cluster. This is the sum of <code>xdqp-client-send-rate</code> and <code>xdqp-server-send-rate</code>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113090"></a>Foreign XDQP Read</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113092"></a>The total volume of all XDQP reads by the hosts in the cluster from a foreign cluster. This is the sum of <code>foreign-xdqp-client-receive-rate</code> and <code>foreign-xdqp-server-receive-rate</code>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113094"></a>Foreign XDQP Write</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113096"></a>The total volume of all XDQP writes by the hosts in the cluster to a foreign cluster. This is the sum of <code>foreign-xdqp-client-send-rate</code> and <code>foreign-xdqp-server-send-rate</code>.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1114909"></a>Click on the detail icon to view graphs that present more detailed performance metrics for each host in the cluster. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1114305"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1117945"></a>The charts displayed on the Network Detail page are described in the following table.</p>


<a id="pgfId-1113139" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1113104"></a>Chart</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1113106"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113108"></a>XDQP Read Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113110"></a>The amount of data (in MB/sec) read over XDQP by each host in the cluster. This is the sum of <code>foreign-xdqp-client-receive-rate</code> and <code>foreign-xdqp-server-receive-rate</code>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113112"></a>XDQP Write Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113114"></a>The amount of data (in MB/sec) written over XDQP by each host in the cluster. This is the sum of <code>foreign-xdqp-client-send-rate</code> and <code>foreign-xdqp-server-send-rate</code>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113116"></a>XDQP Read Load</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113118"></a>The execution time (in seconds) of read requests by each host in the cluster. This is the sum of <code>xdqp-client-receive-load</code> and <code>xdqp-server-receive-load</code>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113120"></a>XDQP Write Load</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113122"></a>The execution time (in seconds) of write requests by each host in the cluster. This is the sum of <code>xdqp-client-send-load</code> and <code>xdqp-server-send-load</code>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113124"></a>Foreign XDQP Read Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113126"></a>The amount of data (in MB/sec) read over XDQP by each host in the cluster from a foreign cluster. This is the sum of <code>foreign-xdqp-client-receive-rate</code> and <code>foreign-xdqp-server-receive-rate</code>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113128"></a>Foreign XDQP Write Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113130"></a>The amount of data (in MB/sec) written over XDQP by each host in the cluster to a foreign cluster. This is the sum of <code>foreign-xdqp-client-send-rate</code> and <code>foreign-xdqp-server-send-rate</code>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113132"></a>Foreign XDQP Read Load</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113134"></a>The execution time (in seconds) of read requests by each host in the cluster from a foreign cluster. This is the sum of <code>foreign-xdqp-client-receive-load</code> and <code>foreign-xdqp-server-receive-load</code>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113136"></a>Foreign XDQP Write Load</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113138"></a>The execution time (in seconds) of write requests by each host in the cluster to a foreign cluster. This is the sum of <code>foreign-xdqp-client-send-load</code> and <code>foreign-xdqp-server-send-load</code>.</p></td>
    </tr></table></span>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1113141"></a><a id="18781"></a>Database Performance Data</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1115034"></a>Disk space usage is a key monitoring metric. In general, forest merges require twice as much disk space than that of the data stored in the forests. If a merge runs out of disk space, it will fail. In addition to the need for merge space on the disk, there must be sufficient disk space on the file system in which the log files reside to log any activity on the system. If there is no space left on the log file device, MarkLogic Server will abort. Also, if there is no disk space available to add messages to the log files, MarkLogic Server will fail to start.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1113142"></a>The DATABASES section of the Overview page displays graphs of the aggregate performance data for all of the databases in the cluster.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1114314"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1113147"></a>The following table describes the lines displayed in the DATABASES section of the Overview page.</p>


<a id="pgfId-1113201" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1113150"></a>Chart</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1113152"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113154"></a>Fragments</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113156"></a>Displays the aggregate number of fragments in all of the databases in the cluster.</p><p><a id="pgfId-1113157"></a>The displayed lines are:</p><ul>
	  <li><a id="pgfId-1113158"></a>Active Fragments: The number of fragments available to queries.</li>
	</ul><ul>
	  <li><a id="pgfId-1113159"></a>Deleted Fragments: The number of fragments to be deleted during the next merge operation.</li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113161"></a>Storage FootPrint</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113163"></a>The total disk capacity (in GBs) used by all of the databases in the cluster.</p><p><a id="pgfId-1113164"></a>The displayed lines are:</p><ul>
	  <li><a id="pgfId-1113165"></a>Data Size: The amount of disk space used by the data in the forest stands. This data is subject to periodic merges.</li>
	</ul><ul>
	  <li><a id="pgfId-1114953"></a>Fast Data Size: The amount of data in the forest Fast Data Directories. The Fast Data Directory is typically mounted on a specialized storage device, such as a solid state disk. Fast data consists of transaction journals and as many stands that will fit on the fast storage device. For more information on Fast Data, see <a href="http://docs.marklogic.com/9.0/guide/performance/disk-storage#id_17115" target="_blank">Fast Data Directory on Forests</a> in the <i>Query Performance and Tuning Guide</i>.</li>
	</ul><ul>
	  <li><a id="pgfId-1114979"></a>Large Data Size: The amount of data in the forest Large Data Directories. The Large Data Directory contains binary files that exceed the 'large size threshold' property set for the database. Large Data is not subjected to merges so, unlike Forest Data, Large Data does not require any additional Forest Reserve disk space. For more information on Large Data, see <a href="http://docs.marklogic.com/9.0/guide/app-dev/binaries#id_46976" target="_blank">Working With Binary Documents</a> in the <i>Application Developer's Guide</i>.</li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113169"></a>Lock Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113171"></a>The number of locks set per second across all of the databases in the cluster.</p><p><a id="pgfId-1113172"></a>The displayed lines are:</p><ul>
	  <li><a id="pgfId-1113173"></a>Read: The number of read locks set per second.</li>
	</ul><ul>
	  <li><a id="pgfId-1113174"></a>Write: The number of write locks set per second.</li>
	</ul><ul>
	  <li><a id="pgfId-1113175"></a>Deadlock: The number of deadlocks per second.</li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113177"></a>Lock Wait Load</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113179"></a>The aggregate time (in seconds) transactions wait for locks;</p><p><a id="pgfId-1113180"></a>The displayed lines are:</p><ul>
	  <li><a id="pgfId-1113181"></a>Read: The time transactions wait for read locks.</li>
	</ul><ul>
	  <li><a id="pgfId-1113182"></a>Write: The time transactions wait for write locks.</li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113184"></a>Lock Hold Load</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113186"></a>The aggregate time (in seconds) locks are held.</p><p><a id="pgfId-1113187"></a>The displayed lines are:</p><ul>
	  <li><a id="pgfId-1113188"></a>Read: The time read locks are held.</li>
	</ul><ul>
	  <li><a id="pgfId-1113189"></a>Write: The time write locks are held.</li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113191"></a>Deadlock Wait Load</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113193"></a>The aggregate time (in seconds) deadlocks remain unresolved.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113195"></a>Database Replication</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113197"></a>The amount of data (in MB per second) sent by and received from this cluster and foreign clusters.</p><p><a id="pgfId-1113198"></a>The displayed lines are:</p><ul>
	  <li><a id="pgfId-1113199"></a>Database Replication Send: The amount of data sent to foreign clusters.</li>
	</ul><ul>
	  <li><a id="pgfId-1113200"></a>Database Replication Receive: The amount of data received from foreign clusters.</li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1114529"></a>List Cache Hits/Misses</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1114583"></a>The displayed lines are:</p><ul>
	  <li><a id="pgfId-1114584"></a>List Cache hits/sec</li>
	</ul><ul>
	  <li><a id="pgfId-1114607"></a>List Cache misses/sec</li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1114525"></a>Compressed Tree Cache Hits/Misses</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1114648"></a>The displayed lines are:</p><ul>
	  <li><a id="pgfId-1114649"></a>Compressed Tree Cache hits/sec</li>
	</ul><ul>
	  <li><a id="pgfId-1114650"></a>Compressed Tree Cache misses/sec</li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1114521"></a>Triple Cache Hits/Misses</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1114663"></a>The displayed lines are:</p><ul>
	  <li><a id="pgfId-1114664"></a>Triple Cache hits/sec</li>
	</ul><ul>
	  <li><a id="pgfId-1114665"></a>Triple Cache misses/sec</li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1114517"></a>Triple Value Cache Hits/Misses</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1114678"></a>The displayed lines are:</p><ul>
	  <li><a id="pgfId-1114679"></a>Triple Value Cache hits/sec</li>
	</ul><ul>
	  <li><a id="pgfId-1114680"></a>Triple Value Cache misses/sec</li>
	</ul></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1114332"></a>Click on the detail icon to view graphs that present more detailed performance metrics for each database.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1114324"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1113989"></a>The charts displayed on the Databases Detail page are described in the following table. The metrics for each database in the cluster are displayed as a separate line.</p>


<a id="pgfId-1117184" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1117037"></a>Chart</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1117039"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117041"></a>Active Fragments</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117043"></a>The number of active fragments (the fragments available to queries) in each database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117045"></a>Deleted Fragments</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117047"></a>The number of deleted fragments (the fragments to be removed by the next merge operation) in each database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117049"></a>Data Size</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117051"></a>The amount of data in the data directories of the forests attached to each database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117053"></a>Fast Data Size</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117889"></a>The amount of data in the fast data directories of the forests attached to each database. For more information on Fast Data, see <a href="http://docs.marklogic.com/9.0/guide/performance/disk-storage#id_17115" target="_blank">Fast Data Directory on Forests</a> in the <i>Query Performance and Tuning Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117057"></a>Large Data Size</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117920"></a>The amount of data in the large data directories of the forests attached to each database. For more information on Large Data, see <a href="http://docs.marklogic.com/9.0/guide/app-dev/binaries#id_46976" target="_blank">Working With Binary Documents</a> in the <i>Application Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117061"></a>Read Lock Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117063"></a>The rate of read lock acquisitions, summed across all forests on the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117065"></a>Write Lock Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117067"></a>The number of write locks set per second on each database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117069"></a>Deadlock Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117071"></a>The number of deadlocks per second on each database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117073"></a>Read Lock Wait Load</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117075"></a>Time threads spent waiting for read locks in proportion to the elapsed time, summed across all forests on the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117077"></a>Write Lock Wait Load</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117079"></a>The aggregate time (in seconds) transactions wait for write locks on each database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117081"></a>Deadlock Wait Load</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117083"></a>The aggregate time (in seconds) deadlocks remain unresolved on each database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117085"></a>Read Lock Hold Load</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117087"></a>The time (in seconds) read locks are held on each database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117089"></a>Write Lock Hold Load</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117091"></a>The time (in seconds) write locks are held on each database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117093"></a>Database Replication Send Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117095"></a>The amount of replication data (in MB per second) sent by each database to foreign clusters.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117097"></a>Database Replication Receive Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117099"></a>The amount of replication data (in MB per second) received by each database from foreign clusters.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117101"></a>Database Replication Send Load</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117103"></a>The time (in seconds) it takes each database to send replication data to foreign clusters.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117105"></a>Database Replication Receive Load</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117107"></a>The time (in seconds) it takes each database to receive replication data from foreign clusters.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117109"></a>List Cache Hit Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117111"></a>The number of times per second that queries use (Hit) the expanded tree cache on each App Server.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117113"></a>List Cache Miss Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117115"></a>The number of times per second that queries could not use (Miss) the expanded tree cache on each App Server.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117117"></a>Compressed Tree Cache Hit Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117119"></a>The number of times per second that queries could use (Hit) the compressed tree cache on each App Server. For details, see <a href="http://docs.marklogic.com/9.0/guide/app-dev/binaries#id_29853" target="_blank">Effect of External Binaries on E-node Compressed Tree Cache Size</a> in the <i>Application Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117127"></a>Compressed Tree Cache Miss Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117129"></a>The number of times per second that queries could not use (Miss) the compressed tree cache on each App Server. For details, see <a href="http://docs.marklogic.com/9.0/guide/app-dev/binaries#id_29853" target="_blank">Effect of External Binaries on E-node Compressed Tree Cache Size</a> in the <i>Application Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117137"></a>Triple Cache Hit Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117139"></a>The number of times per second that queries could use (Hit) the triple cache on each App Server. For details, see <a href="http://docs.marklogic.com/9.0/guide/semantics/indexes#id_34945" target="_blank">Triple Cache and Triple Value Cache</a> in the <i>Semantics Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117147"></a>Triple Cache Miss Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117149"></a>The number of times per second that queries could not use (Miss) the triple cache on each App Server. For details, see <a href="http://docs.marklogic.com/9.0/guide/semantics/indexes#id_34945" target="_blank">Triple Cache and Triple Value Cache</a> in the <i>Semantics Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117157"></a>Triple Value Cache Hit Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117159"></a>The number of times per second that queries could use (Hit) the triple value cache on each App Server. For details, see <a href="http://docs.marklogic.com/9.0/guide/semantics/indexes#id_34945" target="_blank">Triple Cache and Triple Value Cache</a> in the <i>Semantics Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117167"></a>Triple Value Cache Miss Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117169"></a>The number of times per second that queries could not use (Miss) the triple value cache on each App Server. For details, see <a href="http://docs.marklogic.com/9.0/guide/semantics/indexes#id_34945" target="_blank">Triple Cache and Triple Value Cache</a> in the <i>Semantics Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117177"></a>Reindex Refragment Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117179"></a>The average rate of the database reindex/refragment process. For more information, see <a href="http://docs.marklogic.com/9.0/guide/admin/databases#id_77401" target="_blank">Reindexing a Database</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117181"></a>Rebalance Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117183"></a>The average rate of the database rebalancing process. For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/database-rebalancing#id_98156" target="_blank">Database Rebalancing</a> in the <i>Administrator's Guide</i></p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1114143"></a></p>

<p>Available help topics:</p>
<span><table width="50%" border="0" style="text-align: left"><tr><td rowspan="1" colspan="1"><ul xmlns="http://www.w3.org/1999/xhtml">
	  <li><a href="help.xqy?app=opsdirector&amp;page=analyze-config-navigation">Configuring and Navigating the Analyze View</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=analyze-performance-disk">Disk Performance Data</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=analyze-performance-cpu">CPU Performance Data</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=analyze-performance-memory">Memory Performance Data</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=analyze-performance-appservers">Server Performance Data</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=analyze-performance-network">Network Performance Data</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=analyze-performance-databases">Database Performance Data</a></li>
	</ul></td></tr></table></span> </div>
   case element(analyze-config-navigation) return
     <div id=" analyze-config-navigation "> <p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=overview" xmlns="http://www.w3.org/1999/xhtml">Monitoring MarkLogic with Ops Director</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=navigation" xmlns="http://www.w3.org/1999/xhtml">Navigating and Filtering Ops Director Views</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=Analyse" xmlns="http://www.w3.org/1999/xhtml">Analyze View</a></p>
<h1 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1115620"></a><a id="86716"></a><a id="97896"></a>Configuring and Navigating the Analyze View</h1>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1116761"></a>Use the ANALYZE view to examine key performance indicators of various system resources, such as disks, CPU, memory, network, databases, and servers.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1118754"></a>This section describes the general mechanisms for configuring and navigating the ANALYZE view.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1118789"></a>Performance metrics are displayed in the central panel of the ANALYZE view.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1118765"></a>Use the date picker to select the date/time range to inspect. Use the resources panel to select which resources to examine.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1116122"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1119052"></a>Toggle between a normal or expanded view of the data charts by selecting the chart-only icon beside the date filters.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1119053"></a><span><img src="{ $image-source }/doc-View-Analyze-Wide.gif"/><br clear="all"/></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1119054"></a>Select which resources to examine by defining corresponding filters in the resources panel. You can use the search bar to restrict the list of resources to only those matching your specified keywords. These features are described in <a href="http://docs.marklogic.com/9.0/guide/opsdir/Navigation#id_68490" target="_blank">Navigating and Filtering Ops Director Views</a> in the <em xmlns="">Ops Director Guide</em>.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1118845"></a>Drill down for greater detail by selecting the detail icon at the far right side of any top-level section of the Overview page. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1118846"></a><span><img src="{ $image-source }/doc-CH-Disks.gif"/><br clear="all"/></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1118847"></a>Disks Detail page, for example, offers greater detail of the disk operational parameters. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1119071"></a>To return to the Overview page from a DISKS DETAIL page, click on the detail icon at the upper right-hand section of the resource graph on the Detail page.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1116556"></a><span><img src="{ $image-source }/doc-Disks-Detail.gif"/><br clear="all"/></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1119109"></a>You may export data from the charts presented in the ANALYZE view by clicking the Export icon in the upper right corner. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1119179"></a>As the result, a zip file with all exported metrics from the charts will be downloaded to your computer. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1119156"></a>The zip file contains one CSV (Comma Separated Values) file for each plot (i.e. data series) across all charts in the view.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1119790"></a>The CSV files are grouped into folders by resource type: <code>Host</code>, <code>Database</code>, <code>Server</code>, and <code>Forest</code>.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1119395"></a>Each CSV file corresponds to one exported metric and has two columns: one for the timestamp and another for the chart data.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1119491"></a>Metrics exported for the <code>Host</code> resource type are described in the following sections:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1119496"></a><a href="#21175">Disk Performance Data</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1119413"></a><a href="#71159">CPU Performance Data</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1119420"></a><a href="#68608">Memory Performance Data</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1119430"></a><a href="#94112">Network Performance Data</a></li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1119525"></a>Thus, the <code>Host</code> folder in the zip file will contain CSV files that correspond to these metrics.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1119556"></a>Metrics exported for the <code>Database</code> resource type are described in the section <a href="#18781">Database Performance Data</a>.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1119628"></a>Thus, the <code>Database</code> folder in the zip file will contain CSV files that correspond to these metrics. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1119620"></a>Metrics exported for the <code>Server</code> resource type are described in the section <a href="#36450">Server Performance Data</a>.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1119605"></a>Thus, the <code>Server</code> folder in the zip file will contain CSV files that correspond to these metrics.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1119729"></a>Metrics exported for the <code>Forest</code> resource type are described in the following sections:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1119733"></a><a href="#21175">Disk Performance Data</a>, </li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1119737"></a><a href="#71159">CPU Performance Data</a>, </li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1119741"></a><a href="#68608">Memory Performance Data</a>, </li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1119745"></a><a href="#94112">Network Performance Data</a>.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1119676"></a>Thus, the <code>Forest</code> folder in the zip file will contain CSV files that correspond to these metrics.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1119928"></a>You may export metrics also from the second-level pages in the ANALYZE view: </p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1119943"></a>If you click the Export icon from the DISKS DETAIL page, the resulting zip file will contain only <code>Host</code> and <code>Forest</code> folders.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1120015"></a>If you click the Export icon from the CPU DETAIL page, the resulting zip file will contain only <code>Host</code> and <code>Forest</code> folders.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1120027"></a>If you click the Export icon from the MEMORY DETAIL page, the resulting zip file will contain only <code>Host</code> and <code>Forest</code> folders.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1120098"></a>If you click the Export icon from the SERVERS DETAIL page, the resulting zip file will contain only <code>Server</code> folder.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1120039"></a>If you click the Export icon from the NETWORK DETAIL page, the resulting zip file will contain only <code>Host</code> and <code>Forest</code> folders.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1120070"></a>If you click the Export icon from the DATABASES DETAIL page, the resulting zip file will contain only <code>Database</code> folder.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1120268"></a>You may export metrics for selected resources and/or apply date filters:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1120272"></a>If you select some resources in the <b>ALL RESOURCES</b> tab of the left-hand navigation panel, click <b>Apply</b> to apply the new selection, and then click the Export icon, the resulting zip file will contain CSV files with content pertaining to the resources selected.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1120288"></a>If you select some resources in the <b>RESOURCE GROUPS</b> tab of the left-hand navigation panel, click <b>Apply</b> to apply the new selection, and then click the Export icon, the resulting zip file will contain CSV files with content pertaining to the resources selected.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1120382"></a>If you filter the ANALYZE view by selecting date/time range, click <b>Apply</b> to apply the new filtering, and then click the Export icon, the resulting zip file will contain CSV files with content pertaining to the resources that are visible with the applied filter.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1120430"></a>You may then import the CSV files into other applications (such as Excel) for further processing or analysis.</p>

<p>Available help topics:</p>
<span><table width="50%" border="0" style="text-align: left"><tr><td rowspan="1" colspan="1"><ul xmlns="http://www.w3.org/1999/xhtml">
	  <li>Configuring and Navigating the Analyze View</li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=analyze-performance-disk">Disk Performance Data</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=analyze-performance-cpu">CPU Performance Data</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=analyze-performance-memory">Memory Performance Data</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=analyze-performance-appservers">Server Performance Data</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=analyze-performance-network">Network Performance Data</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=analyze-performance-databases">Database Performance Data</a></li>
	</ul></td></tr></table></span> </div>
   case element(analyze-performance-disk) return
     <div id=" analyze-performance-disk "> <p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=overview" xmlns="http://www.w3.org/1999/xhtml">Monitoring MarkLogic with Ops Director</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=navigation" xmlns="http://www.w3.org/1999/xhtml">Navigating and Filtering Ops Director Views</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=Analyse" xmlns="http://www.w3.org/1999/xhtml">Analyze View</a></p>
<h1 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1112715"></a><a id="21175"></a>Disk Performance Data</h1>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1112716"></a>The DISKS section of the Overview page displays a graph of the aggregate I/O performance data for the disks used by the hosts selected in the filter.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1112720"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1112724"></a>You can hover on a period point to view what disk operation was taking place at that point in time. Each performance metric is described in the following table.</p>


<a id="pgfId-1112754" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1112727"></a>Metric</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1112729"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112731"></a>Writes</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112733"></a>The disk I/O performance (in MB/sec) during journal and save write operations. This is the sum of journal-write-rate, save-write-rate, and large-write-rate. For more information, see the <i>Query Performance and Tuning Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112735"></a>Query Traffic</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112737"></a>The disk I/O performance (in MB/sec) during a query or queries. This is is the sum of query-read-rate and large-read-rate. For more information, see the <i>Query Performance and Tuning Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112739"></a>Merge Reads</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112741"></a>The disk I/O performance (in MB/sec) during a merge read operation. For more information on merging, see <a href="http://docs.marklogic.com/9.0/guide/admin/merges#id_83498" target="_blank">Understanding and Controlling Database Merges</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112743"></a>Merge Writes</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1116155"></a>The disk I/O performance (in MB/sec) during a merge write operation. For more information on merging, see <a href="http://docs.marklogic.com/9.0/guide/admin/merges#id_83498" target="_blank">Understanding and Controlling Database Merges</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112747"></a>Backup Reads</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1116175"></a>The disk I/O read performance (in MB/sec) during a backup operation. For more information on database backup, see <a href="http://docs.marklogic.com/9.0/guide/admin/backup_restore#id_93243" target="_blank">Backing Up and Restoring a Database</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1114413"></a>Backup Writes</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1116206"></a>The disk I/O write performance (in MB/sec) during a backup operation. For more information on database backup, see <a href="http://docs.marklogic.com/9.0/guide/admin/backup_restore#id_93243" target="_blank">Backing Up and Restoring a Database</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112751"></a>Restore Reads</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1116224"></a>The disk I/O read performance (in MB/sec) during a restore operation. For more information on database restore, see <a href="http://docs.marklogic.com/9.0/guide/admin/backup_restore#id_93243" target="_blank">Backing Up and Restoring a Database</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1114433"></a>Restore Writes</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1116277"></a>The disk I/O read performance (in MB/sec) during a restore operation. For more information on database restore, see <a href="http://docs.marklogic.com/9.0/guide/admin/backup_restore#id_93243" target="_blank">Backing Up and Restoring a Database</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1118708"></a>Click on the detail icon in the upper right-hand section of the DISKS section of the Overview page to view charts that present more detailed disk performance metrics.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1118709"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1118710"></a>The rate metrics displayed by the charts on the Disks Detail page are described in the following table. For guidelines on how to interpret rate metrics, see <a href="http://docs.marklogic.com/9.0/guide/opsdir/Troubleshooting#id_89874" target="_blank">Assess MarkLogic Cluster Performance</a> in the <em xmlns="">Ops Director Guide</em>.</p>


<a id="pgfId-1112805" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1112766"></a>Chart</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1112768"></a>Definition of Displayed Metric</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112770"></a>Journal Write Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112772"></a>The moving average of data writes (in MB/sec) to the journal.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112774"></a>Save Write Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112776"></a>The moving average of data writes (in MB/sec) to in-memory stands.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112778"></a>Query Read Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112780"></a>The moving average of reading query data (in MB/sec) from disk</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112782"></a>Merge Read Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112784"></a>The moving average of reading merge data (in MB/sec) from disk</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112786"></a>Merge Write Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112788"></a>The moving average of writing data (in MB/sec) for merges</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112790"></a>Backup Read Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112792"></a>The moving average of reading backup data (in MB/sec) to disk.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1114340"></a>Backup Write Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1114346"></a>The moving average of writing backup data (in MB/sec) to disk. </p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112794"></a>Restore Read Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112796"></a>The moving average of reading restore data (in MB/sec) from disk.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1114377"></a>Restore Write Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1114379"></a>The moving average of writing restore data (in MB/sec) from disk.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112798"></a>Large Binary Read Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112800"></a>The moving average of reading large documents (in MB/sec) from disk. For more information, see <a href="http://docs.marklogic.com/9.0/guide/app-dev/binaries#id_46976" target="_blank">Working With Binary Documents</a> in the <i>Application Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112802"></a>Large Binary Write Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1116410"></a>The moving average of writing data for large documents (in MB/sec) to disk. For more information, see <a href="http://docs.marklogic.com/9.0/guide/app-dev/binaries#id_46976" target="_blank">Working With Binary Documents</a> in the <i>Application Developer's Guide</i>.</p></td>
    </tr></table></span>

<p>Available help topics:</p>
<span><table width="50%" border="0" style="text-align: left"><tr><td rowspan="1" colspan="1"><ul xmlns="http://www.w3.org/1999/xhtml">
	  <li><a href="help.xqy?app=opsdirector&amp;page=analyze-config-navigation">Configuring and Navigating the Analyze View</a></li>
	  <li>Disk Performance Data</li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=analyze-performance-cpu">CPU Performance Data</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=analyze-performance-memory">Memory Performance Data</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=analyze-performance-appservers">Server Performance Data</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=analyze-performance-network">Network Performance Data</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=analyze-performance-databases">Database Performance Data</a></li>
	</ul></td></tr></table></span> </div>
   case element(analyze-performance-cpu) return
     <div id=" analyze-performance-cpu "> <p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=overview" xmlns="http://www.w3.org/1999/xhtml">Monitoring MarkLogic with Ops Director</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=navigation" xmlns="http://www.w3.org/1999/xhtml">Navigating and Filtering Ops Director Views</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=Analyse" xmlns="http://www.w3.org/1999/xhtml">Analyze View</a></p>
<h1 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1112817"></a><a id="71159"></a>CPU Performance Data</h1>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1120563"></a>The CPU section of the Overview page displays a graph of the aggregate I/O performance data for the CPUs used by the hosts selected in the filter.</p>

<blockquote xmlns="http://www.w3.org/1999/xhtml"><p><b>Note:&#160;&#160;</b><a id="pgfId-1120565"></a>CPU metrics are not supported on the Mac OS X platform and are only partially supported on Windows.</p></blockquote>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1116889"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1116923"></a>Each performance metric in the CPU section of the Overview page is described in the following table.</p>


<a id="pgfId-1113609" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1120722"></a>Metric</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1120724"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1120726"></a>User</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1120728"></a>Total percentage of CPU used running user processes that are not niced.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1120730"></a>Nice</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1120732"></a>Total percentage of CPU used running user processes that are niced.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1120734"></a>System</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1120736"></a>Total percentage of CPU used running the operating system kernel and its processes. </p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1120738"></a>I/O Wait</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1120740"></a>Total percentage of CPU time spent waiting for I/O operations to complete. </p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1120742"></a>IRQ</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1120744"></a>Total percentage of CPU utilization for servicing soft interrupts.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1120746"></a>Steal</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1120748"></a>Total percentage of CPU &#x2018;stolen' from this virtual machine by the hypervisor for other tasks (such as running another virtual machine).</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1118930"></a>Click on the detail icon to view graphs that present more detailed CPU performance metrics.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1118931"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1118932"></a>The charts on the CPU Detail page are described in the following table.</p>


<a id="pgfId-1115878" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1113662"></a>Chart</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1113664"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113666"></a>I/O Wait</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113668"></a>The percentage of CPU used waiting for I/O operations to complete for each host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113670"></a>User</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113672"></a>The percentage of CPU used running user processes that are not niced for each host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113674"></a>System</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113676"></a>The percentage of CPU used running the operating system kernel and its processes for each host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113678"></a>Nice</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113680"></a>The percentage of CPU used running user processes that are niced for each host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113682"></a>Steal</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113684"></a>The percentage of CPU &#x2018;stolen' from this virtual machine by the hypervisor for other tasks (such as running another virtual machine) for each host. </p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113686"></a>Idle</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113688"></a>The percentage of CPU that is not doing any work for each host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113690"></a>IRQ</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113692"></a>The percentage of CPU servicing soft interrupts for each host.</p></td>
    </tr></table></span>

<p>Available help topics:</p>
<span><table width="50%" border="0" style="text-align: left"><tr><td rowspan="1" colspan="1"><ul xmlns="http://www.w3.org/1999/xhtml">
	  <li><a href="help.xqy?app=opsdirector&amp;page=analyze-config-navigation">Configuring and Navigating the Analyze View</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=analyze-performance-disk">Disk Performance Data</a></li>
	  <li>CPU Performance Data</li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=analyze-performance-memory">Memory Performance Data</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=analyze-performance-appservers">Server Performance Data</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=analyze-performance-network">Network Performance Data</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=analyze-performance-databases">Database Performance Data</a></li>
	</ul></td></tr></table></span> </div>
   case element(analyze-performance-memory) return
     <div id=" analyze-performance-memory "> <p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=overview" xmlns="http://www.w3.org/1999/xhtml">Monitoring MarkLogic with Ops Director</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=navigation" xmlns="http://www.w3.org/1999/xhtml">Navigating and Filtering Ops Director Views</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=Analyse" xmlns="http://www.w3.org/1999/xhtml">Analyze View</a></p>
<h1 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1113695"></a><a id="68608"></a>Memory Performance Data</h1>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1113696"></a>The MEMORY section of the Overview page displays a graph of the aggregate performance data for the Memory used by the hosts selected in the filter.</p>

<blockquote xmlns="http://www.w3.org/1999/xhtml"><p><b>Note:&#160;&#160;</b><a id="pgfId-1118166"></a>CPU metrics are not supported on the Mac OS X platform and are only partially supported on Windows.</p></blockquote>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1114222"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1112905"></a>You can hover on a period point to view which CPU operation was taking place at that point in time. Each chart and associated performance metrics are described in the following table.</p>


<a id="pgfId-1112927" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1112908"></a>Chart</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1112910"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112912"></a>Memory Footprint</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113813"></a>The total amount (in MB) of memory consumed by the hosts.</p><p><a id="pgfId-1113814"></a>The displayed metrics are:</p><ul>
	  <li><a id="pgfId-1113815"></a>RSS: The total amount of MB of Process Resident Size (RSS) consumed by the hosts.</li>
	</ul><ul>
	  <li><a id="pgfId-1112917"></a>Anon: The total amount of MB of Process Anonymous Memory consumed by the hosts.</li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1114453"></a>Memory Size</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117683"></a>The amount of space (in MB) forest data files for the hosts take up in memory.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112919"></a>Memory I/O</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112921"></a>The number of pages per second moved between memory and disk.</p><p><a id="pgfId-1112922"></a>The displayed metrics are:</p><ul>
	  <li><a id="pgfId-1112923"></a>Page-In Rate: The page-in rate (from Linux /proc/vmstat) for the hosts in pages/sec.</li>
	</ul><ul>
	  <li><a id="pgfId-1112924"></a>Page-Out Rate: The page-out rate (from Linux /proc/vmstat) for the hosts in pages/sec.</li>
	</ul><ul>
	  <li><a id="pgfId-1112925"></a>Swap-In Rate: The swap-in rate (from Linux /proc/vmstat) for the hosts in pages/sec.</li>
	</ul><ul>
	  <li><a id="pgfId-1112926"></a>Swap-Out Rate: The swap-out rate (from Linux /proc/vmstat) for the hosts in pages/sec.</li>
	</ul></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1112931"></a></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1118949"></a>Click on the detail icon to view graphs that present more detailed CPU performance metrics. The charts on the Memory Detail page are described in the following table. The displayed metrics are drawn from <code>/proc/vmstat</code>.</p>


<a id="pgfId-1112961" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1112934"></a>Chart</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1112936"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112938"></a>RSS</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112940"></a>The amount of MB of Process Resident Size (RSS) for each host in the cluster.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112942"></a>Anon</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112944"></a>The amount of MB of Process Anonymous Memory for each host in the cluster.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112946"></a>Page-In Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112948"></a>The page-in rate (in pages/sec) for each host in the cluster.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112950"></a>Page-Out Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112952"></a>The page-out rate (in pages/sec) for each host in the cluster.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112954"></a>Swap-In Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112956"></a>The swap-in rate (in pages/sec) for each host in the cluster.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112958"></a>Swap-Out Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112960"></a>The swap-out rate (in pages/sec) for each host in the cluster.</p></td>
    </tr></table></span>

<p>Available help topics:</p>
<span><table width="50%" border="0" style="text-align: left"><tr><td rowspan="1" colspan="1"><ul xmlns="http://www.w3.org/1999/xhtml">
	  <li><a href="help.xqy?app=opsdirector&amp;page=analyze-config-navigation">Configuring and Navigating the Analyze View</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=analyze-performance-disk">Disk Performance Data</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=analyze-performance-cpu">CPU Performance Data</a></li>
	  <li>Memory Performance Data</li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=analyze-performance-appservers">Server Performance Data</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=analyze-performance-network">Network Performance Data</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=analyze-performance-databases">Database Performance Data</a></li>
	</ul></td></tr></table></span> </div>
   case element(analyze-performance-appservers) return
     <div id=" analyze-performance-appservers "> <p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=overview" xmlns="http://www.w3.org/1999/xhtml">Monitoring MarkLogic with Ops Director</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=navigation" xmlns="http://www.w3.org/1999/xhtml">Navigating and Filtering Ops Director Views</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=Analyse" xmlns="http://www.w3.org/1999/xhtml">Analyze View</a></p>
<h1 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1112963"></a><a id="36450"></a>Server Performance Data</h1>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1112964"></a>The SERVERS section of the Overview page displays graphs of the aggregate performance data for the App Servers selected in the filter.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1114231"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1112969"></a>The Servers Overview page displays the charts described in the following table.</p>


<a id="pgfId-1112991" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1112972"></a>Chart</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1112974"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112976"></a>App Server Request Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112978"></a>The total number of queries being processed per second, across all of the App Servers.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112980"></a>App Server Latency</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112982"></a>The average time (in seconds) it takes to process queries, across all of the App Servers.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112984"></a>Task Server Queue Size</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112986"></a>The number of tasks in the Task Server queue.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112988"></a>Expanded Tree Cache Hits/Misses</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112990"></a>The number of times per second that queries could use (Hits) and could not use (Misses) the expanded tree cache.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1112992"></a>With the exception of the Task Server Queue Size chart, which only displays the queue size for the one task server, the color-coded metrics for the server charts are as shown in the following table.</p>


<a id="pgfId-1113018" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1112995"></a>Metric</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1112997"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1112999"></a>HTTP</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113001"></a>The metrics for the HTTP servers.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113003"></a>ODBC</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113005"></a>The metrics for the ODBC servers.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113007"></a>WebDAV</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113009"></a>The metrics for the WebDAV servers.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113011"></a>XDBC</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113013"></a>The metrics for the XDBC servers.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113015"></a>Task </p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113017"></a>The metrics for the Task server.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1114250"></a>Click on the detail icon to view graphs that present more detailed performance metrics for each App Server. The charts displayed on the SERVERS DETAIL page are described in the following table.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1114259"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1113028"></a>The server type (for example, ODBC) is shown in the upper right-hand section of each server type group.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1117280"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1113033"></a>The following repeating pattern of detailed charts are displayed for each of HTTP, XDBC, ODBC, Task, and WebDAV App Servers:</p>


<a id="pgfId-1113059" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1114478"></a>Chart</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1114480"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1114482"></a>Request Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1114484"></a>The number of queries being processed per second by each App Server.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1114486"></a>Latency</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1114488"></a>The average time it takes each App Server to process queries.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1114490"></a>Expanded Tree Cache Hit Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1114492"></a>The number of times queries could use the expanded tree cache on each App Server.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1114494"></a>Expanded Tree Cache Miss Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1114496"></a>The number of times queries could not use the expanded tree cache on each App Server.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1114498"></a>Send Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1114500"></a>The rate (in MB/sec) at which this App Server sends data.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1114502"></a>Receive Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115600"></a>The rate (in MB/sec) at which this App Server receives data.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1114506"></a>Queue Size (Task Server Only)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1114508"></a>The number of tasks in the Task Server queue on each host.</p></td>
    </tr></table></span>

<p>Available help topics:</p>
<span><table width="50%" border="0" style="text-align: left"><tr><td rowspan="1" colspan="1"><ul xmlns="http://www.w3.org/1999/xhtml">
	  <li><a href="help.xqy?app=opsdirector&amp;page=analyze-config-navigation">Configuring and Navigating the Analyze View</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=analyze-performance-disk">Disk Performance Data</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=analyze-performance-cpu">CPU Performance Data</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=analyze-performance-memory">Memory Performance Data</a></li>
	  <li>Server Performance Data</li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=analyze-performance-network">Network Performance Data</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=analyze-performance-databases">Database Performance Data</a></li>
	</ul></td></tr></table></span> </div>
   case element(analyze-performance-network) return
     <div id=" analyze-performance-network "> <p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=overview" xmlns="http://www.w3.org/1999/xhtml">Monitoring MarkLogic with Ops Director</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=navigation" xmlns="http://www.w3.org/1999/xhtml">Navigating and Filtering Ops Director Views</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=Analyse" xmlns="http://www.w3.org/1999/xhtml">Analyze View</a></p>
<h1 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1113061"></a><a id="94112"></a>Network Performance Data</h1>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1113062"></a>The network performance data graphs display performance in terms of XDQP reads and writes. XDQP is the protocol MarkLogic uses for internal host-to-host communication on port 7999. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1113063"></a>The Network section of the Overview page displays various XDQP performance as the sum of XDQP activity across the cluster. High XDQP rates are usually not an issue unless they are so high as to saturate your internal network. Higher usage occurs during data load and query execution. Merges do not involve XDQP. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1114286"></a><span></span></p>

<blockquote xmlns="http://www.w3.org/1999/xhtml"><p><b>Note:&#160;&#160;</b><a id="pgfId-1114287"></a>If XDQP indicates excessively high during loads, running the MarkLogic Content Pump (<code>mlcp</code>) with fast forest placement will minimize XDQP communication needs. For details on the MarkLogic Content Pump, see <a href="http://docs.marklogic.com/9.0/guide/ingestion/content-pump#id_82077" target="_blank">Loading Content Using MarkLogic Content Pump</a> in the <i>Loading Content Into MarkLogic Server Guide</i>.</p></blockquote>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1113075"></a>The Network section of the Overview page displays a chart with the metrics described in the following table. </p>


<a id="pgfId-1113097" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1113078"></a>Metric</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1113080"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113082"></a>XDQP Read</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113084"></a>The total volume of all XDQP reads between hosts in the cluster. This is the sum of <code>xdqp-client-receive-rate</code> and <code>xdqp-server-receive-rate</code>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113086"></a>XDQP Write</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113088"></a>The total volume of all XDQP writes between hosts in the cluster. This is the sum of <code>xdqp-client-send-rate</code> and <code>xdqp-server-send-rate</code>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113090"></a>Foreign XDQP Read</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113092"></a>The total volume of all XDQP reads by the hosts in the cluster from a foreign cluster. This is the sum of <code>foreign-xdqp-client-receive-rate</code> and <code>foreign-xdqp-server-receive-rate</code>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113094"></a>Foreign XDQP Write</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113096"></a>The total volume of all XDQP writes by the hosts in the cluster to a foreign cluster. This is the sum of <code>foreign-xdqp-client-send-rate</code> and <code>foreign-xdqp-server-send-rate</code>.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1114909"></a>Click on the detail icon to view graphs that present more detailed performance metrics for each host in the cluster. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1114305"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1117945"></a>The charts displayed on the Network Detail page are described in the following table.</p>


<a id="pgfId-1113139" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1113104"></a>Chart</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1113106"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113108"></a>XDQP Read Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113110"></a>The amount of data (in MB/sec) read over XDQP by each host in the cluster. This is the sum of <code>foreign-xdqp-client-receive-rate</code> and <code>foreign-xdqp-server-receive-rate</code>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113112"></a>XDQP Write Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113114"></a>The amount of data (in MB/sec) written over XDQP by each host in the cluster. This is the sum of <code>foreign-xdqp-client-send-rate</code> and <code>foreign-xdqp-server-send-rate</code>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113116"></a>XDQP Read Load</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113118"></a>The execution time (in seconds) of read requests by each host in the cluster. This is the sum of <code>xdqp-client-receive-load</code> and <code>xdqp-server-receive-load</code>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113120"></a>XDQP Write Load</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113122"></a>The execution time (in seconds) of write requests by each host in the cluster. This is the sum of <code>xdqp-client-send-load</code> and <code>xdqp-server-send-load</code>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113124"></a>Foreign XDQP Read Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113126"></a>The amount of data (in MB/sec) read over XDQP by each host in the cluster from a foreign cluster. This is the sum of <code>foreign-xdqp-client-receive-rate</code> and <code>foreign-xdqp-server-receive-rate</code>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113128"></a>Foreign XDQP Write Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113130"></a>The amount of data (in MB/sec) written over XDQP by each host in the cluster to a foreign cluster. This is the sum of <code>foreign-xdqp-client-send-rate</code> and <code>foreign-xdqp-server-send-rate</code>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113132"></a>Foreign XDQP Read Load</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113134"></a>The execution time (in seconds) of read requests by each host in the cluster from a foreign cluster. This is the sum of <code>foreign-xdqp-client-receive-load</code> and <code>foreign-xdqp-server-receive-load</code>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113136"></a>Foreign XDQP Write Load</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113138"></a>The execution time (in seconds) of write requests by each host in the cluster to a foreign cluster. This is the sum of <code>foreign-xdqp-client-send-load</code> and <code>foreign-xdqp-server-send-load</code>.</p></td>
    </tr></table></span>

<p>Available help topics:</p>
<span><table width="50%" border="0" style="text-align: left"><tr><td rowspan="1" colspan="1"><ul xmlns="http://www.w3.org/1999/xhtml">
	  <li><a href="help.xqy?app=opsdirector&amp;page=analyze-config-navigation">Configuring and Navigating the Analyze View</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=analyze-performance-disk">Disk Performance Data</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=analyze-performance-cpu">CPU Performance Data</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=analyze-performance-memory">Memory Performance Data</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=analyze-performance-appservers">Server Performance Data</a></li>
	  <li>Network Performance Data</li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=analyze-performance-databases">Database Performance Data</a></li>
	</ul></td></tr></table></span> </div>
   case element(analyze-performance-databases) return
     <div id=" analyze-performance-databases "> <p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=overview" xmlns="http://www.w3.org/1999/xhtml">Monitoring MarkLogic with Ops Director</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=navigation" xmlns="http://www.w3.org/1999/xhtml">Navigating and Filtering Ops Director Views</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=Analyse" xmlns="http://www.w3.org/1999/xhtml">Analyze View</a></p>
<h1 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1113141"></a><a id="18781"></a>Database Performance Data</h1>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1115034"></a>Disk space usage is a key monitoring metric. In general, forest merges require twice as much disk space than that of the data stored in the forests. If a merge runs out of disk space, it will fail. In addition to the need for merge space on the disk, there must be sufficient disk space on the file system in which the log files reside to log any activity on the system. If there is no space left on the log file device, MarkLogic Server will abort. Also, if there is no disk space available to add messages to the log files, MarkLogic Server will fail to start.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1113142"></a>The DATABASES section of the Overview page displays graphs of the aggregate performance data for all of the databases in the cluster.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1114314"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1113147"></a>The following table describes the lines displayed in the DATABASES section of the Overview page.</p>


<a id="pgfId-1113201" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1113150"></a>Chart</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1113152"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113154"></a>Fragments</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113156"></a>Displays the aggregate number of fragments in all of the databases in the cluster.</p><p><a id="pgfId-1113157"></a>The displayed lines are:</p><ul>
	  <li><a id="pgfId-1113158"></a>Active Fragments: The number of fragments available to queries.</li>
	</ul><ul>
	  <li><a id="pgfId-1113159"></a>Deleted Fragments: The number of fragments to be deleted during the next merge operation.</li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113161"></a>Storage FootPrint</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113163"></a>The total disk capacity (in GBs) used by all of the databases in the cluster.</p><p><a id="pgfId-1113164"></a>The displayed lines are:</p><ul>
	  <li><a id="pgfId-1113165"></a>Data Size: The amount of disk space used by the data in the forest stands. This data is subject to periodic merges.</li>
	</ul><ul>
	  <li><a id="pgfId-1114953"></a>Fast Data Size: The amount of data in the forest Fast Data Directories. The Fast Data Directory is typically mounted on a specialized storage device, such as a solid state disk. Fast data consists of transaction journals and as many stands that will fit on the fast storage device. For more information on Fast Data, see <a href="http://docs.marklogic.com/9.0/guide/performance/disk-storage#id_17115" target="_blank">Fast Data Directory on Forests</a> in the <i>Query Performance and Tuning Guide</i>.</li>
	</ul><ul>
	  <li><a id="pgfId-1114979"></a>Large Data Size: The amount of data in the forest Large Data Directories. The Large Data Directory contains binary files that exceed the 'large size threshold' property set for the database. Large Data is not subjected to merges so, unlike Forest Data, Large Data does not require any additional Forest Reserve disk space. For more information on Large Data, see <a href="http://docs.marklogic.com/9.0/guide/app-dev/binaries#id_46976" target="_blank">Working With Binary Documents</a> in the <i>Application Developer's Guide</i>.</li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113169"></a>Lock Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113171"></a>The number of locks set per second across all of the databases in the cluster.</p><p><a id="pgfId-1113172"></a>The displayed lines are:</p><ul>
	  <li><a id="pgfId-1113173"></a>Read: The number of read locks set per second.</li>
	</ul><ul>
	  <li><a id="pgfId-1113174"></a>Write: The number of write locks set per second.</li>
	</ul><ul>
	  <li><a id="pgfId-1113175"></a>Deadlock: The number of deadlocks per second.</li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113177"></a>Lock Wait Load</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113179"></a>The aggregate time (in seconds) transactions wait for locks;</p><p><a id="pgfId-1113180"></a>The displayed lines are:</p><ul>
	  <li><a id="pgfId-1113181"></a>Read: The time transactions wait for read locks.</li>
	</ul><ul>
	  <li><a id="pgfId-1113182"></a>Write: The time transactions wait for write locks.</li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113184"></a>Lock Hold Load</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113186"></a>The aggregate time (in seconds) locks are held.</p><p><a id="pgfId-1113187"></a>The displayed lines are:</p><ul>
	  <li><a id="pgfId-1113188"></a>Read: The time read locks are held.</li>
	</ul><ul>
	  <li><a id="pgfId-1113189"></a>Write: The time write locks are held.</li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113191"></a>Deadlock Wait Load</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113193"></a>The aggregate time (in seconds) deadlocks remain unresolved.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113195"></a>Database Replication</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113197"></a>The amount of data (in MB per second) sent by and received from this cluster and foreign clusters.</p><p><a id="pgfId-1113198"></a>The displayed lines are:</p><ul>
	  <li><a id="pgfId-1113199"></a>Database Replication Send: The amount of data sent to foreign clusters.</li>
	</ul><ul>
	  <li><a id="pgfId-1113200"></a>Database Replication Receive: The amount of data received from foreign clusters.</li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1114529"></a>List Cache Hits/Misses</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1114583"></a>The displayed lines are:</p><ul>
	  <li><a id="pgfId-1114584"></a>List Cache hits/sec</li>
	</ul><ul>
	  <li><a id="pgfId-1114607"></a>List Cache misses/sec</li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1114525"></a>Compressed Tree Cache Hits/Misses</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1114648"></a>The displayed lines are:</p><ul>
	  <li><a id="pgfId-1114649"></a>Compressed Tree Cache hits/sec</li>
	</ul><ul>
	  <li><a id="pgfId-1114650"></a>Compressed Tree Cache misses/sec</li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1114521"></a>Triple Cache Hits/Misses</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1114663"></a>The displayed lines are:</p><ul>
	  <li><a id="pgfId-1114664"></a>Triple Cache hits/sec</li>
	</ul><ul>
	  <li><a id="pgfId-1114665"></a>Triple Cache misses/sec</li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1114517"></a>Triple Value Cache Hits/Misses</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1114678"></a>The displayed lines are:</p><ul>
	  <li><a id="pgfId-1114679"></a>Triple Value Cache hits/sec</li>
	</ul><ul>
	  <li><a id="pgfId-1114680"></a>Triple Value Cache misses/sec</li>
	</ul></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1114332"></a>Click on the detail icon to view graphs that present more detailed performance metrics for each database.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1114324"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1113989"></a>The charts displayed on the Databases Detail page are described in the following table. The metrics for each database in the cluster are displayed as a separate line.</p>


<a id="pgfId-1117184" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1117037"></a>Chart</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1117039"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117041"></a>Active Fragments</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117043"></a>The number of active fragments (the fragments available to queries) in each database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117045"></a>Deleted Fragments</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117047"></a>The number of deleted fragments (the fragments to be removed by the next merge operation) in each database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117049"></a>Data Size</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117051"></a>The amount of data in the data directories of the forests attached to each database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117053"></a>Fast Data Size</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117889"></a>The amount of data in the fast data directories of the forests attached to each database. For more information on Fast Data, see <a href="http://docs.marklogic.com/9.0/guide/performance/disk-storage#id_17115" target="_blank">Fast Data Directory on Forests</a> in the <i>Query Performance and Tuning Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117057"></a>Large Data Size</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117920"></a>The amount of data in the large data directories of the forests attached to each database. For more information on Large Data, see <a href="http://docs.marklogic.com/9.0/guide/app-dev/binaries#id_46976" target="_blank">Working With Binary Documents</a> in the <i>Application Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117061"></a>Read Lock Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117063"></a>The rate of read lock acquisitions, summed across all forests on the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117065"></a>Write Lock Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117067"></a>The number of write locks set per second on each database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117069"></a>Deadlock Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117071"></a>The number of deadlocks per second on each database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117073"></a>Read Lock Wait Load</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117075"></a>Time threads spent waiting for read locks in proportion to the elapsed time, summed across all forests on the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117077"></a>Write Lock Wait Load</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117079"></a>The aggregate time (in seconds) transactions wait for write locks on each database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117081"></a>Deadlock Wait Load</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117083"></a>The aggregate time (in seconds) deadlocks remain unresolved on each database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117085"></a>Read Lock Hold Load</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117087"></a>The time (in seconds) read locks are held on each database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117089"></a>Write Lock Hold Load</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117091"></a>The time (in seconds) write locks are held on each database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117093"></a>Database Replication Send Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117095"></a>The amount of replication data (in MB per second) sent by each database to foreign clusters.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117097"></a>Database Replication Receive Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117099"></a>The amount of replication data (in MB per second) received by each database from foreign clusters.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117101"></a>Database Replication Send Load</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117103"></a>The time (in seconds) it takes each database to send replication data to foreign clusters.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117105"></a>Database Replication Receive Load</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117107"></a>The time (in seconds) it takes each database to receive replication data from foreign clusters.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117109"></a>List Cache Hit Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117111"></a>The number of times per second that queries use (Hit) the expanded tree cache on each App Server.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117113"></a>List Cache Miss Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117115"></a>The number of times per second that queries could not use (Miss) the expanded tree cache on each App Server.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117117"></a>Compressed Tree Cache Hit Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117119"></a>The number of times per second that queries could use (Hit) the compressed tree cache on each App Server. For details, see <a href="http://docs.marklogic.com/9.0/guide/app-dev/binaries#id_29853" target="_blank">Effect of External Binaries on E-node Compressed Tree Cache Size</a> in the <i>Application Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117127"></a>Compressed Tree Cache Miss Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117129"></a>The number of times per second that queries could not use (Miss) the compressed tree cache on each App Server. For details, see <a href="http://docs.marklogic.com/9.0/guide/app-dev/binaries#id_29853" target="_blank">Effect of External Binaries on E-node Compressed Tree Cache Size</a> in the <i>Application Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117137"></a>Triple Cache Hit Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117139"></a>The number of times per second that queries could use (Hit) the triple cache on each App Server. For details, see <a href="http://docs.marklogic.com/9.0/guide/semantics/indexes#id_34945" target="_blank">Triple Cache and Triple Value Cache</a> in the <i>Semantics Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117147"></a>Triple Cache Miss Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117149"></a>The number of times per second that queries could not use (Miss) the triple cache on each App Server. For details, see <a href="http://docs.marklogic.com/9.0/guide/semantics/indexes#id_34945" target="_blank">Triple Cache and Triple Value Cache</a> in the <i>Semantics Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117157"></a>Triple Value Cache Hit Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117159"></a>The number of times per second that queries could use (Hit) the triple value cache on each App Server. For details, see <a href="http://docs.marklogic.com/9.0/guide/semantics/indexes#id_34945" target="_blank">Triple Cache and Triple Value Cache</a> in the <i>Semantics Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117167"></a>Triple Value Cache Miss Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117169"></a>The number of times per second that queries could not use (Miss) the triple value cache on each App Server. For details, see <a href="http://docs.marklogic.com/9.0/guide/semantics/indexes#id_34945" target="_blank">Triple Cache and Triple Value Cache</a> in the <i>Semantics Developer's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117177"></a>Reindex Refragment Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117179"></a>The average rate of the database reindex/refragment process. For more information, see <a href="http://docs.marklogic.com/9.0/guide/admin/databases#id_77401" target="_blank">Reindexing a Database</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117181"></a>Rebalance Rate</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117183"></a>The average rate of the database rebalancing process. For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/database-rebalancing#id_98156" target="_blank">Database Rebalancing</a> in the <i>Administrator's Guide</i></p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1114143"></a></p>

<p>Available help topics:</p>
<span><table width="50%" border="0" style="text-align: left"><tr><td rowspan="1" colspan="1"><ul xmlns="http://www.w3.org/1999/xhtml">
	  <li><a href="help.xqy?app=opsdirector&amp;page=analyze-config-navigation">Configuring and Navigating the Analyze View</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=analyze-performance-disk">Disk Performance Data</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=analyze-performance-cpu">CPU Performance Data</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=analyze-performance-memory">Memory Performance Data</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=analyze-performance-appservers">Server Performance Data</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=analyze-performance-network">Network Performance Data</a></li>
	  <li>Database Performance Data</li>
	</ul></td></tr></table></span> </div>
   case element(Support) return
     <div id=" Support "> <p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=overview" xmlns="http://www.w3.org/1999/xhtml">Monitoring MarkLogic with Ops Director</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=navigation" xmlns="http://www.w3.org/1999/xhtml">Navigating and Filtering Ops Director Views</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=Support" xmlns="http://www.w3.org/1999/xhtml">SUPPORT view</a></p>
<h1 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1053802"></a><a id="46344"></a>SUPPORT view</h1>


<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1116647"></a>The <b>SUPPORT</b> view shows alerts for application servers in your enterprise, allows you to view and filter server logs, and displays tasks that run on your managed clusters.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1110256"></a>This chapter covers the following topics:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1113827"></a><a href="#61972">System Alerts</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1113919"></a><a href="#75295">Event Logs</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1113941"></a><a href="#57082">Task Console</a></li>
</ul>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1113841"></a><a id="61972"></a>System Alerts</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1113969"></a>Use the <b>SYSTEM ALERTS</b> tab to review alerts from all monitored servers throughout the enterprise.</p>

<blockquote xmlns="http://www.w3.org/1999/xhtml"><p><b>Note:&#160;&#160;</b><a id="pgfId-1117071"></a>Alerts are associated with all types of resources. For example, if you have a resource group of databases containing <code>db1</code> and <code>db2</code>, then only alerts associated with <code>db1</code> and <code>db2</code> and their forests are displayed.</p></blockquote>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1117075"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1117057"></a>The columns displayed for <b>SYSTEM ALERTS</b> are described in the following table.</p>


<a id="pgfId-1115937" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1115892"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1115894"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115896"></a>Resource Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115898"></a>The name of the resource related to the alert.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115900"></a>Severity</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115904"></a>Color-coded alert severity level. For details, see <a href="http://docs.marklogic.com/9.0/guide/opsdir/Support#id_42652" target="_blank">Alert Levels</a> in the <em xmlns="">Ops Director Guide</em>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115907"></a>Code</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115909"></a>The alert code.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115911"></a>Start Time</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115913"></a>Alert timespan starting date and time</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115915"></a>Stop Time</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115917"></a>Alert timespan ending date and time</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115919"></a>Cluster</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115921"></a>Name of the cluster that generated the alert</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115923"></a>Alert Details</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115925"></a>Detailed description of alert</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115927"></a>Status</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115929"></a>Alert status (Open/Closed/Acknowledged)</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115931"></a>Action</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115933"></a>Select Acknowledge to remove the alert from the list or Analyze to navigate to the ANALYZE view of the resource. For details, see the <a href="http://docs.marklogic.com/9.0/guide/opsdir/Analyse#id_13070" target="_blank">Analyze View</a> in the <em xmlns="">Ops Director Guide</em>.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1117092"></a>You may export data from the System Alerts tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1117096"></a>The resulting CSV file will have the same columns as the System Alerts table in the UI. </li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1117097"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1117098"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1117099"></a>Data types of the fields in the CSV file correspond to those in the UI. In case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1117100"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1117080"></a>Once you have reviewed an alert, you can mark specific or all alerts as acknowledged to remove them from the list. Once acknowledged, the alert is suppressed from further notifications. The acknowledge action toggles depending on the state of an alert. If the alert is suppressed then the option changes to Unacknowledge, which unsuppresses the alert.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1116549"></a>Select <b>Acknowledge All</b> to acknowledge all alerts, whether or not they are currently displayed. Acknowledge Selected is enabled if one or more alerts is selected via checkboxes. Select <b>Acknowledge Selected</b> to acknowledge those selected alerts.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1114280"></a><span><img src="{ $image-source }/doc-View-Support-Setting-1.gif"/><br clear="all"/></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1114847"></a>Acknowledged alerts are indicated by an icon to the left of each acknowledged alert. The Acknowledged state is a property of the alert that is shared for all users. You can include acknowledged alerts in the table by selecting the <b>Show Acknowledged</b> checkbox. Uncheck to exclude acknowledged alerts.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1114858"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1114233"></a>You can narrow the results by specifying a time period, resource name, and alert severity.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1114081"></a>Time Span -- You can select from the list of predefined time spans or select a custom date and time range by choosing a start date and time and end date and time, as described in <a href="http://docs.marklogic.com/9.0/guide/opsdir/Navigation#id_89836" target="_blank">Date and Time Filters</a> in the <em xmlns="">Ops Director Guide</em>.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1113205"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1113254"></a>Alert Level -- You can select one or more alert levels to narrow the list of alerts that have the specified levels.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1113261"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1115757"></a>Search System Alerts -- You can search for specific system alerts. The search text must be more than two characters.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1115775"></a><span></span></p>

<blockquote xmlns="http://www.w3.org/1999/xhtml"><p><b>Note:&#160;&#160;</b><a id="pgfId-1115814"></a>The spaces in the string that you pass in the Search System Alerts box are trimmed off. For example, entering HEALTH SERVER&#160; with a space at the end will search for all alerts starting with HEALTH SERVER, such as HEALTH SERVER-DISABLED and so on.</p></blockquote>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1113268"></a>Click <b>Reset</b> to reset the applied filters to their default values. The Reset button is enabled when you make changes to any of the currently applied filters.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1113275"></a><span></span></p>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1114999"></a><a id="42652"></a>Alert Levels</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1115143"></a>The color-coded alert levels are described in the following table.</p>


<a id="pgfId-1115013" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1115106"></a>Level</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1115108"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1116667"></a>Critical (red)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1116669"></a>Resource is in a critical state - there is no hard definition of this alert as the resource can also be offline or non operational.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1116723"></a>At Risk (yellow)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1116746"></a>Resource that is dependent on another resource that is critical generates an At Risk alert. </p><p><a id="pgfId-1116747"></a>Specifically:</p><ul>
	  <li><a id="pgfId-1116748"></a>A cluster is At Risk if any of its resources is in a Critical state</li>
	</ul><ul>
	  <li><a id="pgfId-1116749"></a>A group is At Risk</li>
	</ul><ul>
	  <ul>
	    <li><a id="pgfId-1116750"></a>if a host is Critical or At Risk</li>
	  </ul>
	</ul><ul>
	  <ul>
	    <li><a id="pgfId-1116751"></a>if an App Server is Critical or At Risk</li>
	  </ul>
	</ul><ul>
	  <li><a id="pgfId-1116752"></a>A host is At Risk</li>
	</ul><ul>
	  <ul>
	    <li><a id="pgfId-1116753"></a>if a forest is Critical or At Risk</li>
	  </ul>
	</ul><ul>
	  <ul>
	    <li><a id="pgfId-1116754"></a>if an App Server is Critical or At Risk (note the App Server At Risk alert will show up on every host)</li>
	  </ul>
	</ul><ul>
	  <li><a id="pgfId-1116755"></a>An App Server is At Risk </li>
	</ul><ul>
	  <ul>
	    <li><a id="pgfId-1116756"></a>if the database is Critical or At Risk</li>
	  </ul>
	</ul><ul>
	  <li><a id="pgfId-1116757"></a>A database is At Risk</li>
	</ul><ul>
	  <ul>
	    <li><a id="pgfId-1116758"></a>if a forest is Critical or At Risk</li>
	  </ul>
	</ul><ul>
	  <ul>
	    <li><a id="pgfId-1116759"></a>if a replica is Critical or At Risk</li>
	  </ul>
	</ul><ul>
	  <ul>
	    <li><a id="pgfId-1116760"></a>if a foreign replica is Critical</li>
	  </ul>
	</ul><ul>
	  <ul>
	    <li><a id="pgfId-1116761"></a>if a schema or trigger database is Critical or At Risk</li>
	  </ul>
	</ul><ul>
	  <ul>
	    <li><a id="pgfId-1116762"></a>if a sub-database is Critical or At Risk</li>
	  </ul>
	</ul><p><a id="pgfId-1116763"></a>There are other At Risk scenarios, such as:</p><ul>
	  <li><a id="pgfId-1116764"></a>A forest has low storage space</li>
	</ul><ul>
	  <li><a id="pgfId-1116765"></a>A foreign replica is unavailable</li>
	</ul><ul>
	  <li><a id="pgfId-1116766"></a>30% of hosts in a cluster are failing would place cluster At Risk </li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115110"></a>Healthy (green)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115112"></a>Resource has no cluster-health-reports associated it is considered healthy.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115118"></a>Maintenance (dark grey)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115120"></a>Resource status has been intentionally disabled.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115126"></a>Offline (light grey)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115128"></a>Resource state cannot be determined or resource is in an Offline state (for example, result of setting enabled property to false for the resource).</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115130"></a>Information (dark green)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115132"></a>Optional information and advice.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115134"></a>Unknown (white / hollow)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115136"></a>State of resource cannot be determined or an Ops Director application error has been thrown.</p></td>
    </tr></table></span>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1113877"></a><a id="75295"></a>Event Logs</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1112385"></a>Use the <b>EVENT LOGS</b> tab to review events from all monitored App Servers throughout the enterprise. Narrow the results by specifying a time period, log type, and log file. </p>

<blockquote xmlns="http://www.w3.org/1999/xhtml"><p><b>Note:&#160;&#160;</b><a id="pgfId-1116855"></a>Access to log data is based on your access to hosts and clusters. For example, if you have a resource group of hosts containing <code>host1</code> and <code>host2</code>, only logs associated only with <code>host1</code> and <code>host2</code> are displayed.</p></blockquote>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1116859"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1114956"></a>The columns displayed for <b>EVENT LOGS</b> are described in the following table.</p>


<a id="pgfId-1112488" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1113647"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1113649"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113651"></a>Date &amp; Time</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113653"></a>Datetime of the logged event.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113655"></a>Level</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1114484"></a>The log level of the event. For a description of the log levels, see <a href="http://docs.marklogic.com/9.0/guide/admin/logfiles#id_37841" target="_blank">Understanding the Log Levels</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113659"></a>Cluster Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113661"></a>The name of the cluster on which the logged event occurred.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113663"></a>Host Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113665"></a>The name of the host on which the logged event occurred.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113667"></a>Message</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113669"></a>The logged error message.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113671"></a>Log File</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117007"></a>The full text of the logged event.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1117149"></a>You may export data from the <b>EVENT LOGS</b> tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1117153"></a>The resulting CSV file will have the same columns as the Event Logs table in the UI. </li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1117154"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1117155"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1117156"></a>Data types of the fields in the CSV file correspond to those in the UI. In case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1117157"></a>You may then import the CSV file into other applications (such As Excel) for further processing or analysis.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1117017"></a>By default, all event logs are displayed. Use the Log Level filter to select which types of event logs to view. For a description of the log levels, see <a href="http://docs.marklogic.com/9.0/guide/admin/logfiles#id_37841" target="_blank">Understanding the Log Levels</a> in the <i>Administrator's Guide</i>.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1116828"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1113589"></a>Select any log file to access its full contents, which may be downloaded for further analysis, or for archival and audit purposes. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1113351"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1113344"></a>The text for the event log is displayed in a popup window. The selected log entry is boldfaced. The window includes entries up to 10 minutes before and 5 minutes after the selected entry.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1113089"></a><span></span></p>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1113898"></a><a id="57082"></a>Task Console</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1117413"></a>Use the <b>TASK CONSOLE</b> tab for an overview of all tasks throughout the enterprise. The data table presents the following information: </p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1117414"></a>the task name</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1117422"></a>the cluster, host, and database on which it is running</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1117429"></a>the user who initiated the task</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1117436"></a>the task's priority</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1117443"></a>the current state of the task</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1113096"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1114979"></a>The columns displayed for <b>TASK CONSOLE</b> are described in the following table.</p>


<a id="pgfId-1113016" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1113525"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1113527"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113529"></a>Cluster</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113531"></a>Cluster on which the task host is located.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113533"></a>Host</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113535"></a>The hostname of the host computer on which the scheduled module is to be invoked.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113537"></a>Enabled</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113539"></a>Whether the task is enabled (true) or disabled (false).</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113541"></a>Task Root</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113543"></a>The root directory (filesystem) or URI root (database) that contains the module.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113545"></a>Task Path</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113547"></a>The module the task is to invoke.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113549"></a>Task Type</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1114592"></a>The task type:</p><ul>
	  <li><a id="pgfId-1114594"></a><b>minutely</b> specifies how many minutes between each invocation of the module.</li>
	</ul><ul>
	  <li><a id="pgfId-1114595"></a><b>hourly</b> specifies how many hours and minutes between each invocation of the module.</li>
	</ul><ul>
	  <li><a id="pgfId-1114596"></a><b>daily</b> specifies how many days between each invocation of the module and the time of day (in 24:00 notation).</li>
	</ul><ul>
	  <li><a id="pgfId-1114597"></a><b>weekly</b> specifies how many weeks between each invocation of the module, check one or more days of the week, and the time of day (in 24:00 notation) for the task to start.</li>
	</ul><ul>
	  <li><a id="pgfId-1114598"></a><b>monthly</b> specifies how many months between each invocation of the module, select one day of the month (1-31), and the time of day (in 24:00 notation) for the task to start.</li>
	</ul><ul>
	  <li><a id="pgfId-1114599"></a><b>one-time</b> specifies the start date in MM/DD/YYYY notation (for example, 07/29/2009 for July 29, 2009) and time in 24:00 notation.</li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113553"></a>Task Period</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113555"></a>How often the module is to be invoked (every n months, weeks, days, hours, or minutes).</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113557"></a>Created on</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113559"></a>The datetime the task was created.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113561"></a>Database</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113563"></a>The database to which the scheduled module connects for query execution.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113565"></a>Task Modules</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113567"></a>The name of the database in which the scheduled module locates the application code. If set to (file system), then any files in the specified task root directory are executable (given the proper permissions). If set to a database, then any documents in the database whose URI begins with the specified task root directory are executable.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113569"></a>User</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113571"></a>The user with permission to invoke the module.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113573"></a>Priority</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1114764"></a>The priority of the task:</p><ul>
	  <li><a id="pgfId-1114766"></a><b>normal</b> specifies the task is queued with normal priority.</li>
	</ul><ul>
	  <li><a id="pgfId-1114767"></a><b>higher</b> specifies the task is queued with higher priority.</li>
	</ul></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1117205"></a>You may export data from the Task Console tab as a CSV (Comma Separated Values) file by clicking the <code>Export</code> icon <span><img src="{ $image-source }/doc-downloadIcon.gif"/><br clear="all"/></span> in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1117209"></a>The resulting CSV file will have the same columns as the Task Console table in the UI. </li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1117210"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1117211"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1117212"></a>Data types of the fields in the CSV file correspond to those in the UI. In case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1117213"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1116996"></a></p>

<p>Available help topics:</p>
<span><table width="50%" border="0" style="text-align: left"><tr><td rowspan="1" colspan="1"><ul xmlns="http://www.w3.org/1999/xhtml">
	  <li><a href="help.xqy?app=opsdirector&amp;page=support-system-alerts">System Alerts</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=support-event-logs">Event Logs</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=support-task-console">Task Console</a></li>
	</ul></td></tr></table></span> </div>
   case element(support-system-alerts) return
     <div id=" support-system-alerts "> <p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=overview" xmlns="http://www.w3.org/1999/xhtml">Monitoring MarkLogic with Ops Director</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=navigation" xmlns="http://www.w3.org/1999/xhtml">Navigating and Filtering Ops Director Views</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=Support" xmlns="http://www.w3.org/1999/xhtml">SUPPORT view</a></p>
<h1 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1113841"></a><a id="61972"></a>System Alerts</h1>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1113969"></a>Use the <b>SYSTEM ALERTS</b> tab to review alerts from all monitored servers throughout the enterprise.</p>

<blockquote xmlns="http://www.w3.org/1999/xhtml"><p><b>Note:&#160;&#160;</b><a id="pgfId-1117071"></a>Alerts are associated with all types of resources. For example, if you have a resource group of databases containing <code>db1</code> and <code>db2</code>, then only alerts associated with <code>db1</code> and <code>db2</code> and their forests are displayed.</p></blockquote>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1117075"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1117057"></a>The columns displayed for <b>SYSTEM ALERTS</b> are described in the following table.</p>


<a id="pgfId-1115937" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1115892"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1115894"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115896"></a>Resource Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115898"></a>The name of the resource related to the alert.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115900"></a>Severity</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115904"></a>Color-coded alert severity level. For details, see <a href="http://docs.marklogic.com/9.0/guide/opsdir/Support#id_42652" target="_blank">Alert Levels</a> in the <em xmlns="">Ops Director Guide</em>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115907"></a>Code</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115909"></a>The alert code.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115911"></a>Start Time</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115913"></a>Alert timespan starting date and time</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115915"></a>Stop Time</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115917"></a>Alert timespan ending date and time</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115919"></a>Cluster</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115921"></a>Name of the cluster that generated the alert</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115923"></a>Alert Details</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115925"></a>Detailed description of alert</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115927"></a>Status</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115929"></a>Alert status (Open/Closed/Acknowledged)</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115931"></a>Action</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115933"></a>Select Acknowledge to remove the alert from the list or Analyze to navigate to the ANALYZE view of the resource. For details, see the <a href="http://docs.marklogic.com/9.0/guide/opsdir/Analyse#id_13070" target="_blank">Analyze View</a> in the <em xmlns="">Ops Director Guide</em>.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1117092"></a>You may export data from the System Alerts tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1117096"></a>The resulting CSV file will have the same columns as the System Alerts table in the UI. </li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1117097"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1117098"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1117099"></a>Data types of the fields in the CSV file correspond to those in the UI. In case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1117100"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1117080"></a>Once you have reviewed an alert, you can mark specific or all alerts as acknowledged to remove them from the list. Once acknowledged, the alert is suppressed from further notifications. The acknowledge action toggles depending on the state of an alert. If the alert is suppressed then the option changes to Unacknowledge, which unsuppresses the alert.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1116549"></a>Select <b>Acknowledge All</b> to acknowledge all alerts, whether or not they are currently displayed. Acknowledge Selected is enabled if one or more alerts is selected via checkboxes. Select <b>Acknowledge Selected</b> to acknowledge those selected alerts.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1114280"></a><span><img src="{ $image-source }/doc-View-Support-Setting-1.gif"/><br clear="all"/></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1114847"></a>Acknowledged alerts are indicated by an icon to the left of each acknowledged alert. The Acknowledged state is a property of the alert that is shared for all users. You can include acknowledged alerts in the table by selecting the <b>Show Acknowledged</b> checkbox. Uncheck to exclude acknowledged alerts.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1114858"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1114233"></a>You can narrow the results by specifying a time period, resource name, and alert severity.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1114081"></a>Time Span -- You can select from the list of predefined time spans or select a custom date and time range by choosing a start date and time and end date and time, as described in <a href="http://docs.marklogic.com/9.0/guide/opsdir/Navigation#id_89836" target="_blank">Date and Time Filters</a> in the <em xmlns="">Ops Director Guide</em>.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1113205"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1113254"></a>Alert Level -- You can select one or more alert levels to narrow the list of alerts that have the specified levels.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1113261"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1115757"></a>Search System Alerts -- You can search for specific system alerts. The search text must be more than two characters.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1115775"></a><span></span></p>

<blockquote xmlns="http://www.w3.org/1999/xhtml"><p><b>Note:&#160;&#160;</b><a id="pgfId-1115814"></a>The spaces in the string that you pass in the Search System Alerts box are trimmed off. For example, entering HEALTH SERVER&#160; with a space at the end will search for all alerts starting with HEALTH SERVER, such as HEALTH SERVER-DISABLED and so on.</p></blockquote>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1113268"></a>Click <b>Reset</b> to reset the applied filters to their default values. The Reset button is enabled when you make changes to any of the currently applied filters.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1113275"></a><span></span></p>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1114999"></a><a id="42652"></a>Alert Levels</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1115143"></a>The color-coded alert levels are described in the following table.</p>


<a id="pgfId-1115013" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1115106"></a>Level</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1115108"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1116667"></a>Critical (red)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1116669"></a>Resource is in a critical state - there is no hard definition of this alert as the resource can also be offline or non operational.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1116723"></a>At Risk (yellow)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1116746"></a>Resource that is dependent on another resource that is critical generates an At Risk alert. </p><p><a id="pgfId-1116747"></a>Specifically:</p><ul>
	  <li><a id="pgfId-1116748"></a>A cluster is At Risk if any of its resources is in a Critical state</li>
	</ul><ul>
	  <li><a id="pgfId-1116749"></a>A group is At Risk</li>
	</ul><ul>
	  <ul>
	    <li><a id="pgfId-1116750"></a>if a host is Critical or At Risk</li>
	  </ul>
	</ul><ul>
	  <ul>
	    <li><a id="pgfId-1116751"></a>if an App Server is Critical or At Risk</li>
	  </ul>
	</ul><ul>
	  <li><a id="pgfId-1116752"></a>A host is At Risk</li>
	</ul><ul>
	  <ul>
	    <li><a id="pgfId-1116753"></a>if a forest is Critical or At Risk</li>
	  </ul>
	</ul><ul>
	  <ul>
	    <li><a id="pgfId-1116754"></a>if an App Server is Critical or At Risk (note the App Server At Risk alert will show up on every host)</li>
	  </ul>
	</ul><ul>
	  <li><a id="pgfId-1116755"></a>An App Server is At Risk </li>
	</ul><ul>
	  <ul>
	    <li><a id="pgfId-1116756"></a>if the database is Critical or At Risk</li>
	  </ul>
	</ul><ul>
	  <li><a id="pgfId-1116757"></a>A database is At Risk</li>
	</ul><ul>
	  <ul>
	    <li><a id="pgfId-1116758"></a>if a forest is Critical or At Risk</li>
	  </ul>
	</ul><ul>
	  <ul>
	    <li><a id="pgfId-1116759"></a>if a replica is Critical or At Risk</li>
	  </ul>
	</ul><ul>
	  <ul>
	    <li><a id="pgfId-1116760"></a>if a foreign replica is Critical</li>
	  </ul>
	</ul><ul>
	  <ul>
	    <li><a id="pgfId-1116761"></a>if a schema or trigger database is Critical or At Risk</li>
	  </ul>
	</ul><ul>
	  <ul>
	    <li><a id="pgfId-1116762"></a>if a sub-database is Critical or At Risk</li>
	  </ul>
	</ul><p><a id="pgfId-1116763"></a>There are other At Risk scenarios, such as:</p><ul>
	  <li><a id="pgfId-1116764"></a>A forest has low storage space</li>
	</ul><ul>
	  <li><a id="pgfId-1116765"></a>A foreign replica is unavailable</li>
	</ul><ul>
	  <li><a id="pgfId-1116766"></a>30% of hosts in a cluster are failing would place cluster At Risk </li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115110"></a>Healthy (green)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115112"></a>Resource has no cluster-health-reports associated it is considered healthy.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115118"></a>Maintenance (dark grey)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115120"></a>Resource status has been intentionally disabled.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115126"></a>Offline (light grey)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115128"></a>Resource state cannot be determined or resource is in an Offline state (for example, result of setting enabled property to false for the resource).</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115130"></a>Information (dark green)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115132"></a>Optional information and advice.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115134"></a>Unknown (white / hollow)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1115136"></a>State of resource cannot be determined or an Ops Director application error has been thrown.</p></td>
    </tr></table></span>

<p>Available help topics:</p>
<span><table width="50%" border="0" style="text-align: left"><tr><td rowspan="1" colspan="1"><ul xmlns="http://www.w3.org/1999/xhtml">
	  <li>System Alerts</li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=support-event-logs">Event Logs</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=support-task-console">Task Console</a></li>
	</ul></td></tr></table></span> </div>
   case element(support-event-logs) return
     <div id=" support-event-logs "> <p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=overview" xmlns="http://www.w3.org/1999/xhtml">Monitoring MarkLogic with Ops Director</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=navigation" xmlns="http://www.w3.org/1999/xhtml">Navigating and Filtering Ops Director Views</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=Support" xmlns="http://www.w3.org/1999/xhtml">SUPPORT view</a></p>
<h1 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1113877"></a><a id="75295"></a>Event Logs</h1>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1112385"></a>Use the <b>EVENT LOGS</b> tab to review events from all monitored App Servers throughout the enterprise. Narrow the results by specifying a time period, log type, and log file. </p>

<blockquote xmlns="http://www.w3.org/1999/xhtml"><p><b>Note:&#160;&#160;</b><a id="pgfId-1116855"></a>Access to log data is based on your access to hosts and clusters. For example, if you have a resource group of hosts containing <code>host1</code> and <code>host2</code>, only logs associated only with <code>host1</code> and <code>host2</code> are displayed.</p></blockquote>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1116859"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1114956"></a>The columns displayed for <b>EVENT LOGS</b> are described in the following table.</p>


<a id="pgfId-1112488" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1113647"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1113649"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113651"></a>Date &amp; Time</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113653"></a>Datetime of the logged event.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113655"></a>Level</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1114484"></a>The log level of the event. For a description of the log levels, see <a href="http://docs.marklogic.com/9.0/guide/admin/logfiles#id_37841" target="_blank">Understanding the Log Levels</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113659"></a>Cluster Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113661"></a>The name of the cluster on which the logged event occurred.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113663"></a>Host Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113665"></a>The name of the host on which the logged event occurred.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113667"></a>Message</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113669"></a>The logged error message.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113671"></a>Log File</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117007"></a>The full text of the logged event.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1117149"></a>You may export data from the <b>EVENT LOGS</b> tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1117153"></a>The resulting CSV file will have the same columns as the Event Logs table in the UI. </li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1117154"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1117155"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1117156"></a>Data types of the fields in the CSV file correspond to those in the UI. In case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1117157"></a>You may then import the CSV file into other applications (such As Excel) for further processing or analysis.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1117017"></a>By default, all event logs are displayed. Use the Log Level filter to select which types of event logs to view. For a description of the log levels, see <a href="http://docs.marklogic.com/9.0/guide/admin/logfiles#id_37841" target="_blank">Understanding the Log Levels</a> in the <i>Administrator's Guide</i>.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1116828"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1113589"></a>Select any log file to access its full contents, which may be downloaded for further analysis, or for archival and audit purposes. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1113351"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1113344"></a>The text for the event log is displayed in a popup window. The selected log entry is boldfaced. The window includes entries up to 10 minutes before and 5 minutes after the selected entry.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1113089"></a><span></span></p>

<p>Available help topics:</p>
<span><table width="50%" border="0" style="text-align: left"><tr><td rowspan="1" colspan="1"><ul xmlns="http://www.w3.org/1999/xhtml">
	  <li><a href="help.xqy?app=opsdirector&amp;page=support-system-alerts">System Alerts</a></li>
	  <li>Event Logs</li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=support-task-console">Task Console</a></li>
	</ul></td></tr></table></span> </div>
   case element(support-task-console) return
     <div id=" support-task-console "> <p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=overview" xmlns="http://www.w3.org/1999/xhtml">Monitoring MarkLogic with Ops Director</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=navigation" xmlns="http://www.w3.org/1999/xhtml">Navigating and Filtering Ops Director Views</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=Support" xmlns="http://www.w3.org/1999/xhtml">SUPPORT view</a></p>
<h1 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1113898"></a><a id="57082"></a>Task Console</h1>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1117413"></a>Use the <b>TASK CONSOLE</b> tab for an overview of all tasks throughout the enterprise. The data table presents the following information: </p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1117414"></a>the task name</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1117422"></a>the cluster, host, and database on which it is running</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1117429"></a>the user who initiated the task</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1117436"></a>the task's priority</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1117443"></a>the current state of the task</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1113096"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1114979"></a>The columns displayed for <b>TASK CONSOLE</b> are described in the following table.</p>


<a id="pgfId-1113016" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1113525"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1113527"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113529"></a>Cluster</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113531"></a>Cluster on which the task host is located.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113533"></a>Host</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113535"></a>The hostname of the host computer on which the scheduled module is to be invoked.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113537"></a>Enabled</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113539"></a>Whether the task is enabled (true) or disabled (false).</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113541"></a>Task Root</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113543"></a>The root directory (filesystem) or URI root (database) that contains the module.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113545"></a>Task Path</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113547"></a>The module the task is to invoke.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113549"></a>Task Type</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1114592"></a>The task type:</p><ul>
	  <li><a id="pgfId-1114594"></a><b>minutely</b> specifies how many minutes between each invocation of the module.</li>
	</ul><ul>
	  <li><a id="pgfId-1114595"></a><b>hourly</b> specifies how many hours and minutes between each invocation of the module.</li>
	</ul><ul>
	  <li><a id="pgfId-1114596"></a><b>daily</b> specifies how many days between each invocation of the module and the time of day (in 24:00 notation).</li>
	</ul><ul>
	  <li><a id="pgfId-1114597"></a><b>weekly</b> specifies how many weeks between each invocation of the module, check one or more days of the week, and the time of day (in 24:00 notation) for the task to start.</li>
	</ul><ul>
	  <li><a id="pgfId-1114598"></a><b>monthly</b> specifies how many months between each invocation of the module, select one day of the month (1-31), and the time of day (in 24:00 notation) for the task to start.</li>
	</ul><ul>
	  <li><a id="pgfId-1114599"></a><b>one-time</b> specifies the start date in MM/DD/YYYY notation (for example, 07/29/2009 for July 29, 2009) and time in 24:00 notation.</li>
	</ul></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113553"></a>Task Period</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113555"></a>How often the module is to be invoked (every n months, weeks, days, hours, or minutes).</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113557"></a>Created on</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113559"></a>The datetime the task was created.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113561"></a>Database</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113563"></a>The database to which the scheduled module connects for query execution.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113565"></a>Task Modules</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113567"></a>The name of the database in which the scheduled module locates the application code. If set to (file system), then any files in the specified task root directory are executable (given the proper permissions). If set to a database, then any documents in the database whose URI begins with the specified task root directory are executable.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113569"></a>User</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113571"></a>The user with permission to invoke the module.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1113573"></a>Priority</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1114764"></a>The priority of the task:</p><ul>
	  <li><a id="pgfId-1114766"></a><b>normal</b> specifies the task is queued with normal priority.</li>
	</ul><ul>
	  <li><a id="pgfId-1114767"></a><b>higher</b> specifies the task is queued with higher priority.</li>
	</ul></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1117205"></a>You may export data from the Task Console tab as a CSV (Comma Separated Values) file by clicking the <code>Export</code> icon <span><img src="{ $image-source }/doc-downloadIcon.gif"/><br clear="all"/></span> in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1117209"></a>The resulting CSV file will have the same columns as the Task Console table in the UI. </li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1117210"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1117211"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1117212"></a>Data types of the fields in the CSV file correspond to those in the UI. In case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1117213"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1116996"></a></p>

<p>Available help topics:</p>
<span><table width="50%" border="0" style="text-align: left"><tr><td rowspan="1" colspan="1"><ul xmlns="http://www.w3.org/1999/xhtml">
	  <li><a href="help.xqy?app=opsdirector&amp;page=support-system-alerts">System Alerts</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=support-event-logs">Event Logs</a></li>
	  <li>Task Console</li>
	</ul></td></tr></table></span> </div>
   case element(Console) return
     <div id=" Console "> <p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=overview" xmlns="http://www.w3.org/1999/xhtml">Monitoring MarkLogic with Ops Director</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=navigation" xmlns="http://www.w3.org/1999/xhtml">Navigating and Filtering Ops Director Views</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=Console" xmlns="http://www.w3.org/1999/xhtml">Console Settings View</a></p>
<h1 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1053802"></a><a id="35056"></a>Console Settings View</h1>


<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1112425"></a>The Console Settings view allows you to configure role-based access control to resources, manage user accounts, manage licensing, and define telemetry settings.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121398"></a>This chapter covers the following topics:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1119610"></a><a href="#37812">Role Based Access Control (RBAC) Settings</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1119645"></a><a href="#61066">Resource Groups</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1119667"></a><a href="#75043">License Information</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1121964"></a><a href="#75320">Managed Clusters</a></li>
</ul>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1126178"></a><a id="37812"></a>Role Based Access Control (RBAC) Settings</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1126179"></a>Use RBAC (Role Based Access Control) Settings to define new roles that assign sub-roles to Resource Groups to control which users have access to the resources defined by those Resource Groups (Resource Scope). The roles you create in this view will be accessible in the Admin Interface.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122267"></a>When assigning Resource Groups to a role, the resources in those groups and inherited resources will be accessible to users assigned that role. For details how resource groups define access to resources, see <a href="http://docs.marklogic.com/9.0/guide/opsdir/intro#id_93519" target="_blank">Access Inheritance in Resource Groups</a> in the <em xmlns="">Ops Director Guide</em>.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122268"></a>For example, to see the cluster resources, you must create a Resource Group for this cluster and assign it to a role. A practical configuration would be to restrict access of a particular user to one cluster, which would imply access to that cluster's hosts, application servers, databases, and forests through the access inheritance mechanism in resource groups.</p>

<blockquote xmlns="http://www.w3.org/1999/xhtml"><p><b>Note:&#160;&#160;</b><a id="pgfId-1122269"></a>If you do not have permission to see a resource, that resource will be displayed as blank or, if the resource type is presented as a count, it will be displayed as 0. Additionally, if you do not have permission to see a resource that is presented in chart form, you will see charts, but those charts will have no data (lines) for the prohibited resource.</p></blockquote>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122273"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122847"></a>This section covers the following topics:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1122861"></a><a href="#17042">Roles Tab</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1122879"></a><a href="#12984">Resource Access Tab</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1122890"></a><a href="#17736">Creating a Resource Group and Assigning it to a Role</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1122900"></a><a href="#23022">Editing or Deleting a Role</a></li>
</ul>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122274"></a><a id="17042"></a>Roles Tab</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122275"></a>The Roles tab lists the available roles.The columns displayed for a Role are described in the following table.</p>


<a id="pgfId-1122316" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1122278"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1122280"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122282"></a>Role name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122287"></a>The name of the Ops Director role.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122289"></a>Sub-Roles (optional)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122291"></a>The MarkLogic roles to be assigned to this role. For details, see <a href="http://docs.marklogic.com/9.0/guide/security/role#id_69992" target="_blank">Role-Based Security Model</a> in the <i>Security Guide</i> and <a href="http://docs.marklogic.com/9.0/guide/admin/pre_def_roles#id_84238" target="_blank">Appendix C: Pre-defined Roles</a> in the <i>Administrator's Guide</i>.</p><blockquote><p><b>Note:&#160;&#160;</b><a id="pgfId-1122304"></a>Do not assign <b>opsdir-admin</b> as a sub-role, as <b>opsdir-admin</b> has access to view all of the resources in Ops Director, which defeats the purpose of RBAC.</p></blockquote></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122309"></a>Resource Scopes (optional)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122311"></a>The resource group(s) to which this role controls access.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122313"></a>Description (optional)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122315"></a>The description of this role.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1124555"></a>You may export data from the Roles tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1124559"></a>The resulting CSV file will have the same columns as the Roles table in the UI. </li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1124560"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1124561"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1124562"></a>Data types of the fields in the CSV file correspond to those in the UI. In case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1124563"></a>You may then import the CSV file into other applications (such As Excel) for further processing or analysis.</p>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122317"></a><a id="12984"></a>Resource Access Tab</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122318"></a>The Resource Access tab lists the resource groups and their assigned roles. The columns displayed are described in the following table.</p>


<a id="pgfId-1124621" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1124610"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1124612"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1124614"></a>Resource Scope</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1124616"></a>The name of the resource group.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1124618"></a>Roles</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1124620"></a>The roles assigned to the resource group.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1124631"></a>You may export data from the Resource Access tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1124635"></a>The resulting CSV file will have the same columns as the Resource Access table in the UI. </li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1124636"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1124637"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1124638"></a>Data types of the fields in the CSV file correspond to those in the UI. In case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1124639"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1124625"></a><a id="17736"></a><a id="78300"></a>Creating a Resource Group and Assigning it to a Role</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122336"></a>The following procedure creates a Resource Group that represents all of the hosts in the Managed Clusters and then restricts access to monitor those hosts to only users with the <code>opsdir-user</code> role.</p>

<ol xmlns="http://www.w3.org/1999/xhtml">
  <li><p><a id="pgfId-1122340"></a>In Ops Director, select the <b>CONSOLE SETTINGS</b> view.</p></li>
  <li><p><a id="pgfId-1122341"></a>Select <b>Resource Group</b> in the left menu.</p></li>
  <li><p><a id="pgfId-1122342"></a>In the right pane, click <b>CREATE GROUP</b>.</p></li>
  <p><a id="pgfId-1122346"></a><span></span></p>
  <li><p><a id="pgfId-1122347"></a>In the CREATE GROUP dialog box, enter the Group Name, Description, and select <b>Host</b> from the Resource Type menu.</p></li>
  <p><a id="pgfId-1122351"></a><span></span></p>
  <li><p><a id="pgfId-1122352"></a>After creating the group, select the group. In the Resource Groups page for the selected group, scroll down to the Total Resources section (which will likely be out of sight until you scroll down) and select the check boxes to the left of each host in the cluster that you want to belong to this group.</p></li>
  <p><a id="pgfId-1122356"></a><span></span></p>
  <li><p><a id="pgfId-1122357"></a>Click <b>ASSIGN</b> to assign the selected resources to the group.</p></li>
  <p><a id="pgfId-1122361"></a><span></span></p>
  <li><p><a id="pgfId-1122362"></a>The Resource Group lists the assigned resources.</p></li>
  <p><a id="pgfId-1122366"></a><span></span></p>
  <li><p><a id="pgfId-1122367"></a>In the left menu, select <b>Roles</b> from under RBAC Settings.</p></li>
  <p><a id="pgfId-1122371"></a><span></span></p>
  <li><p><a id="pgfId-1126292"></a>In the ROLES tab, select <b>CREATE ROLE</b>.</p></li>
  <p><a id="pgfId-1126296"></a><span></span></p>
  <li><p><a id="pgfId-1126297"></a>In the Create Role dialog box, enter the Role Name (<code>HostAccess</code>, in this example) and Description. Select <b>opsdir-user</b> from the Sub-Roles menu.</p></li>
</ol>
<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122381"></a><span></span></p>
<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1126342"></a>Select <b>Hosts</b> from the Resource Scope menu. Click <b>ok</b>.</p>
<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1126346"></a><span></span></p>
<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1126348"></a><a id="23022"></a>Editing or Deleting a Role</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1125778"></a>To edit or delete a role, click the Action icon next to that role and select desired action.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1125782"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1125519"></a>To delete multiple roles, select the checkboxes next to all roles you want to delete, then select <b>Delete All Selected Roles</b> in the ACTIONS menu.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1125523"></a><span></span></p>

<blockquote xmlns="http://www.w3.org/1999/xhtml"><p><b>Note:&#160;&#160;</b><a id="pgfId-1125504"></a>The <b>Delete All Selected Roles</b> option is enabled when at least one role is selected.</p></blockquote>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122506"></a><a id="61066"></a><a id="89565"></a>Resource Groups</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122501"></a>You may want to establish roles and privileges at a finer and more ad hoc granularity than is provided by the pre-defined MarkLogic roles. It is likely that roles defined within the enterprise are fairly coarse-grained and that changing roles (in an external LDAP server, for example), may be considered too 'heavyweight' for ad hoc groupings.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1116532"></a>Resource Groups define sets of resources to which you can assign specific roles to customize user access to those resources. For details on how resource groups define access to resources, see <a href="http://docs.marklogic.com/9.0/guide/opsdir/intro#id_93519" target="_blank">Access Inheritance in Resource Groups</a> in the <em xmlns="">Ops Director Guide</em>.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1119184"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1117503"></a>The columns displayed are described in the following table.</p>


<a id="pgfId-1117566" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1117545"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1117547"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117549"></a>Group Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117551"></a>The name of the resource group.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117553"></a>Group type</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117555"></a>The type of resources in the group (Hosts, Databases, App Servers, Clusters).</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117557"></a>Size</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117559"></a>The number of resources in the resource group.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117685"></a>Description</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117687"></a>The description of the resource group.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1118952"></a>Action</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1118954"></a>The action to take on the resource group (Edit or Delete).</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1124668"></a>You may export data from the Resource Groups tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1124672"></a>The resulting CSV file will have the same columns as the Resource Groups table in the UI. </li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1124673"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1124674"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1124675"></a>Data types of the fields in the CSV file correspond to those in the UI. In case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<blockquote xmlns="http://www.w3.org/1999/xhtml"><p><b>Note:&#160;&#160;</b><a id="pgfId-1124704"></a>The Resource Groups CSV file, in addition to the columns from the Resource Groups table in the UI, has one additional column: <code>Resource Id</code>. This column contains comma-separated list of identifiers of all resources in this group.</p></blockquote>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1124691"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1124656"></a>This section covers the following topics:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1125657"></a><a href="#15446">Creating a Resource Group</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1125658"></a><a href="#60396">Editing or Deleting a Resource Group</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1125662"></a><a href="#73994">Resource Group Views</a></li>
</ul>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1118966"></a><a id="15446"></a>Creating a Resource Group</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1120221"></a>Do the following to create a Resource Group. </p>

<ol xmlns="http://www.w3.org/1999/xhtml">
  <li><p><a id="pgfId-1120156"></a>Click <b>CREATE GROUP</b>.</p></li>
  <li><p><a id="pgfId-1120098"></a>In the pop-up window, enter a Group Name, select a Resource Type (Host, Database, Appserver, or Cluster), and enter a description for the resource group.</p></li>
  <p><a id="pgfId-1120185"></a><span></span></p>
  <li><p><a id="pgfId-1120389"></a>Click <code>Save</code>. The new Resource Group is added to the list of Resource Groups.</p></li>
  <li><p><a id="pgfId-1120244"></a>By default, no resources are included in the Resource Group. To include resources, click on the name of the newly created Resource Group.</p></li>
  <p><a id="pgfId-1120258"></a><span></span></p>
  <li><p><a id="pgfId-1120415"></a>Scroll down to the Total Resources section and select the resource to be included in the Resource Group. This view will differ, for each type of Resource Group, as described in <a href="http://docs.marklogic.com/9.0/guide/opsdir/ConsoleSettings#id_73994" target="_blank">Resource Group Views</a> in the <em xmlns="">Ops Director Guide</em>.</p></li>
  <p><a id="pgfId-1120272"></a><span></span></p>
  <p><a id="pgfId-1120279"></a>By default, you can view 10 resources per page. You can adjust how many resources to view in the Resource Group page by changing the number in the menu at the bottom of the page.</p>
  <p><a id="pgfId-1120286"></a><span></span></p>
  <li><p><a id="pgfId-1120293"></a>When you have finished selecting resources for the Resource Group, click <b>ASSIGN</b> at the bottom of the page.</p></li>
</ol>
<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1125866"></a><span></span></p>
<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1125869"></a><a id="60396"></a>Editing or Deleting a Resource Group</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1125798"></a>To edit or delete a resource group, click the Action icon next to that resource group and select the desired action.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1125802"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1125803"></a>To delete multiple resource groups, mark checkboxes next to all resource groups you want to delete and select <b>Delete All Selected Groups</b> in the Actions menu.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1125807"></a><span></span></p>

<blockquote xmlns="http://www.w3.org/1999/xhtml"><p><b>Note:&#160;&#160;</b><a id="pgfId-1125808"></a>The <b>Delete All Selected Groups</b> option is enabled when at least one resource group is selected.</p></blockquote>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121682"></a><a id="73994"></a>Resource Group Views</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121683"></a>Click on a resource group to display the assigned and unassigned resources, as well as assign and deassign resources. The contents of each type of resource group are described in the following sections:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1118982"></a><a href="#78857">Host Groups</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1119015"></a><a href="#61897">Database Groups</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1119037"></a><a href="#36634">App Server Groups</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1119059"></a><a href="#60856">Cluster Groups</a></li>
</ul>

<h4 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1117690"></a><a id="78857"></a>Host Groups</h4>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1119092"></a>The columns displayed for a host group are described in the following table. These settings are described in the <a href="http://docs.marklogic.com/9.0/guide/admin/hosts#id_95162" target="_blank">Hosts</a> chapter in the <i>Administrator's Guide</i>.</p>


<a id="pgfId-1117876" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1117832"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1117834"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1120862"></a>Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1120864"></a>The hostname of the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117836"></a>Cluster</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117838"></a>The name of the cluster on which the host resides.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117848"></a>Group</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117850"></a>The name of the group that contains the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117852"></a>OS</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117854"></a>The name and version of the operating system on which the host runs.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117856"></a>Server Version</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1119223"></a>The version of MarkLogic Server running on the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1120880"></a>Forests</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1120882"></a>The number of forests configured for the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1120884"></a>Databases</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1120886"></a>The number of databases configured for the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1120888"></a>App Servers</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1120890"></a>The number of App Servers configured for the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1120892"></a>Disk Space</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1120932"></a>The amount of disk space (in MB) used on the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1120896"></a>Uptime</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1120898"></a>The duration (Days Hrs:Min) the host has been available.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1120870"></a>Maint. Mode</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1120872"></a>The host maintenance mode (normal or maintenance). For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/rolling-upgrades#id_12339" target="_blank">Rolling Upgrades</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117860"></a>Zone</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117862"></a>The Amazon Web Services (AWS) zone in which the host resides, if applicable.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1124765"></a>You may export data from the Host Groups tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1124769"></a>The resulting CSV file will have the same columns as the Host Groups table in the UI. </li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1124770"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1124771"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1124772"></a>Data types of the fields in the CSV file correspond to those in the UI. In case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1124774"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<h4 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1117711"></a><a id="61897"></a>Database Groups</h4>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1119120"></a>The columns displayed for a database group are described in the following table. These settings are described in the <a href="http://docs.marklogic.com/9.0/guide/admin/databases#id_69630" target="_blank">Databases</a> chapter in the <i>Administrator's Guide</i>.</p>


<a id="pgfId-1117718" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1117889"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1117891"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1120970"></a>Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1120972"></a>The name of the database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117893"></a>Cluster</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117895"></a>The name of the cluster on which the database resides.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1120978"></a>Forests</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1120980"></a>The number of forests configured for the database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1120992"></a>Disk Size (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1121002"></a>The amount of disk space used by the database forests, in megabytes.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1121035"></a>Documents</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1121037"></a>The number of documents in the database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1121039"></a>Last Backup</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1121041"></a>The data-time of the last backup of the database. No value, if the database has never been backed up. For details on backing up a database, see <a href="http://docs.marklogic.com/9.0/guide/admin/backup_restore#id_93243" target="_blank">Backing Up and Restoring a Database</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1121049"></a>Encryption</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1121051"></a>Specifies whether or not encryption at rest should be enabled for the database. For details, see <a href="http://docs.marklogic.com/9.0/guide/security/encryption#id_37353" target="_blank">Encryption at Rest</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1121059"></a>HA</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1121061"></a>Specifies whether or not shared disk failover is enabled. For details, see <a href="http://docs.marklogic.com/9.0/guide/cluster/failover#id_82157" target="_blank">High Availability of Data Nodes With Failover</a> in the <i>Scalability, Availability, and Failover Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1121069"></a>Replication</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1121071"></a>Specifies whether or not database replication is enabled (On/Off). For details, see the <i>Database Replication Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117908"></a>Security DB</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117910"></a>The name of the security database used by the database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117912"></a>Schemas DB</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117914"></a>The name of the schema database used by the database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117916"></a>Triggers DB</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117918"></a>The name of the triggers database used by the database.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1124805"></a>You may export data from the Database Groups tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1124809"></a>The resulting CSV file will have the same columns as the Database Groups table in the UI. </li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1124810"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1124811"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1124812"></a>Data types of the fields in the CSV file correspond to those in the UI. In case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1124813"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<h4 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1117725"></a><a id="36634"></a>App Server Groups</h4>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1119143"></a>The columns displayed for an Appserver group are described in the following table. These settings are described in the <a href="http://docs.marklogic.com/9.0/guide/admin/http#id_28058" target="_blank">HTTP Servers</a>, <a href="http://docs.marklogic.com/9.0/guide/admin/odbc#id_33148" target="_blank">ODBC Servers</a>, <a href="http://docs.marklogic.com/9.0/guide/admin/xdbc#id_11456" target="_blank">XDBC Servers</a>, and <a href="http://docs.marklogic.com/9.0/guide/admin/webdav#id_65018" target="_blank">WebDAV Servers</a> chapters in the <i>Administrator's Guide</i>.</p>


<a id="pgfId-1117732" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1124390"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1124392"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1124394"></a>Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1124396"></a>The name of the App Server.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1124398"></a>Cluster</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1124400"></a>The name of the cluster on which the App Server resides.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1124402"></a>Type</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1124404"></a>The App Server Type (HTTP, ODBC, XDBC, WebDAV).</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1124406"></a>Database</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1124408"></a>The content database used by the App Server.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1124410"></a>Port</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1124412"></a>The App Server port number.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1124414"></a>SSL</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1124416"></a>Whether the App Server has SSL enabled (Yes) or disabled (No). For details, see <a href="http://docs.marklogic.com/9.0/guide/security/SSL#id_85783" target="_blank">Configuring SSL on App Servers</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1124424"></a>Group</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1124426"></a>The name of the group that contains the App Server.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1124428"></a>Modules DB+Root</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1124430"></a>The name of the modules database, or if file system, the root directory.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1124432"></a>Security</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1124434"></a>The type of security (internal or external).</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1124838"></a>You may export data from the App Server Groups tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1124842"></a>The resulting CSV file will have the same columns as the App Server Groups table in the UI. </li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1124843"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1124844"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1124845"></a>Data types of the fields in the CSV file correspond to those in the UI. In case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1124846"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<h4 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1118995"></a><a id="60856"></a>Cluster Groups</h4>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1119157"></a>The columns displayed for a cluster group are described in the following table. These settings are described in the <a href="http://docs.marklogic.com/9.0/guide/admin/clusters#id_28657" target="_blank">Clusters</a> chapter in the <i>Administrator's Guide</i>.</p>


<a id="pgfId-1122588" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1122536"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1122538"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122540"></a>Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122542"></a>The name of the cluster.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122544"></a>Groups</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122546"></a>The number of groups in the cluster.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122548"></a>Hosts</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122550"></a>The number of hosts in the cluster.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122552"></a>Databases</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122554"></a>The number of databases in the cluster.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122556"></a>Forests</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122558"></a>The number of forests in the cluster.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122560"></a>App Server</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122562"></a>The number of App Servers in the cluster.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122564"></a>Server Version</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122569"></a>The version of MarkLogic Server running on the hosts in the cluster.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122571"></a>OS</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122573"></a>The name and version of the operating system on which the host runs.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122575"></a>Uptime</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122577"></a>The duration (Days Hrs:Min) the cluster has been available.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122579"></a>Encryption</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122581"></a>Specifies whether or not encryption at rest should be enabled for the database. For details, see <a href="http://docs.marklogic.com/9.0/guide/security/encryption#id_37353" target="_blank">Encryption at Rest</a> in the <i>Security Guide</i>.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1124877"></a>You may export data from the Cluster Groups tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1124881"></a>The resulting CSV file will have the same columns as the Cluster Groups table in the UI. </li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1124882"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1124883"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1124884"></a>Data types of the fields in the CSV file correspond to those in the UI. In case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1124885"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122618"></a><a id="75043"></a>License Information</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122619"></a>Click <b>License Information</b> for a summary of managed hosts running under one or more MarkLogic license editions, with a breakdown of licensed cores, used cores, and the operating system platforms on which MarkLogic is running. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122623"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122624"></a>The displayed columns are described in the following table.</p>


<a id="pgfId-1122665" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1126491"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1126493"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126495"></a>License Edition</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126498"></a>The type of MarkLogic License. For details, see <span><a href="http://www.marklogic.com/what-is-marklogic/pricing/" xml:link="simple" show="replace" actuate="user" CLASS="URL" target="_blank">Pricing and Licensing</a></span> on the MarkLogic website.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126500"></a>Licensed Cores</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126504"></a>The number of licensed cores. For more information, see <a href="http://docs.marklogic.com/9.0/guide/cluster/scalability#id_88605" target="_blank">Scalability Considerations in MarkLogic Server</a> in <i>Scalability, Availability, and Forest-Level Failover</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126510"></a>Used Cores</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126514"></a>The number of used cores. For more information, see <a href="http://docs.marklogic.com/9.0/guide/cluster/scalability#id_88605" target="_blank">Scalability Considerations in MarkLogic Server</a> in <i>Scalability, Availability, and Forest-Level Failover</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126520"></a>Platform</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126528"></a>The host operating system. See <a href="http://docs.marklogic.com/9.0/guide/relnotes/chap2#id_92831" target="_blank">Supported Platforms</a> in the <i>Release Notes</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126530"></a>Environment</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126532"></a>The type of environment, such as production or test.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1124921"></a>You may export data from the License Information tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1124925"></a>The resulting CSV file will have the same columns as the License Information table in the UI. </li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1124926"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1124927"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1124928"></a>Data types of the fields in the CSV file correspond to those in the UI. In case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1124929"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1124909"></a>This section covers the following topics:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1123008"></a><a href="#98842">License Information By Host</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1123042"></a><a href="#29501">License Information By License</a></li>
</ul>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122666"></a><a id="98842"></a>License Information By Host</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122667"></a>Select a specific MarkLogic License Edition to view details, broken down by host or by license edition, such as cluster name, group membership, processor architecture, and the number of CPUs, cores, and running threads. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122671"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122672"></a>The displayed columns are described in the following table.</p>


<a id="pgfId-1125144" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1125072"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1125074"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125076"></a>Host</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125078"></a>The list of licensed hosts in your enterprise.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125080"></a>Environment</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125082"></a>The MarkLogic environment. Typically, Development or Production.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125084"></a>Cluster</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125086"></a>The host cluster.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125088"></a>Group</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125090"></a>The host group.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125092"></a>Architecture</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125094"></a>The type of CPU hardware on which the host is running.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125096"></a>CPU</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125098"></a>The number of CPUs configured on the host hardware.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125100"></a>Cores</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125102"></a>The number of cores configured on the host hardware.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125104"></a>Threads</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125106"></a>The number of threads used by the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125108"></a>Licensed CPUs</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125110"></a>The number of licensed CPUs for the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125112"></a>Licensed Cores</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125114"></a>The number of licensed cores for the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125116"></a>Options</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125121"></a>Your licensed options. For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/hosts#id_58812" target="_blank">Displaying License Options</a> in the <i>Administrator's Guide</i> and <span><a href="http://www.marklogic.com/what-is-marklogic/pricing/" xml:link="simple" show="replace" actuate="user" CLASS="URL" target="_blank">Pricing and Licensing</a></span> on the MarkLogic website.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125127"></a>Expiration</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125129"></a>The license expiration date.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125131"></a>License Key</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125138"></a>The license key. For details, see <a href="http://docs.marklogic.com/9.0/guide/installation/procedures#id_18057" target="_blank">Entering a License Key</a> in the <i>Installation Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125141"></a>Licensee</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125143"></a>The name of the person or organization that holds the license.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1125163"></a>You may export data from the License Information by Host tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1125167"></a>The resulting CSV file will have the same columns as the License Information by Host table in the UI. </li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1125168"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1125169"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1125170"></a>Data types of the fields in the CSV file correspond to those in the UI. In case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1125171"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1125152"></a><a id="29501"></a>License Information By License</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1125147"></a>Click the <b>By License</b> tab to view the license information by license key.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122753"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122754"></a>The displayed columns are described in the following table.</p>


<a id="pgfId-1122823" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1122757"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1122759"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122761"></a>Licensee</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122763"></a>The name of the person or organization that holds the license.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122765"></a>Hosts</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122767"></a>The hosts in your enterprise.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122769"></a>Clusters</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122771"></a>The clusters in your enterprise.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122773"></a>Environment</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122775"></a>The MarkLogic environment. Typically, Development or Production.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122777"></a>Groups</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122779"></a>The groups in your enterprise.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122781"></a>Architecture</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122783"></a>The type(s) of CPU hardware used by your enterprise.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122785"></a>CPU</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122787"></a>The number of CPUs in your enterprise.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122789"></a>Cores</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122791"></a>The number of cores in your enterprise.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122793"></a>Threads</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122795"></a>The number of threads used by the enterprise.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122797"></a>Licensed CPUs</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122799"></a>The number of licensed CPUs for the enterprise.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122801"></a>Licensed Cores</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122803"></a>The number of licensed cores for the enterprise.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122805"></a>Options</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122808"></a>Your licensed options. For details, see <span><a href="http://www.marklogic.com/what-is-marklogic/pricing/" xml:link="simple" show="replace" actuate="user" CLASS="URL" target="_blank">Pricing and Licensing</a></span> on the MarkLogic website.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122810"></a>Expiration</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122812"></a>The license expiration date.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122814"></a>License Key</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125184"></a>The license key. For details, see <a href="http://docs.marklogic.com/9.0/guide/installation/procedures#id_18057" target="_blank">Entering a License Key</a> in the <i>Installation Guide</i>.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1125211"></a>You may export data from the License Information by License tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1125215"></a>The resulting CSV file will have the same columns as the License Information by License table in the UI. </li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1125216"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1125217"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1125218"></a>Data types of the fields in the CSV file correspond to those in the UI. In case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1125219"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1125200"></a><a id="75320"></a><a id="65454"></a>Managed Clusters</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122592"></a>Under Connectivity, select <b>Managed Clusters</b> to view the list of clusters managed by Ops Director and remove clusters that are currently in the Unknown state.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1123077"></a>This section covers the following topics:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1123149"></a><a href="#28187">Viewing and Filtering the List of Managed Clusters</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1123167"></a><a href="#44171">Removing Unknown Managed Clusters from the List</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1123178"></a><a href="#64222">Reconnecting a Managed Cluster to Ops Director</a></li>
</ul>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1123084"></a><a id="28187"></a>Viewing and Filtering the List of Managed Clusters</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1123332"></a>Use the Managed Clusters page to view the list of all clusters currently managed by Ops Director, along with their health status.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1123333"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1125300"></a>The columns displayed in the Managed Clusters tab are described in the following table.</p>


<a id="pgfId-1125349" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1125372"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1125374"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125376"></a>Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125378"></a>The name of the cluster.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125380"></a>Most Recent Update</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125425"></a>The most recent date and time the cluster status was updated.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125384"></a>Hosts</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125386"></a>The number of hosts in the cluster.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125407"></a>OS</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125409"></a>The name and version of the operating system of the hosts on the cluster.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1125276"></a>You may export data from the Managed Clusters tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1125255"></a>The resulting CSV file will have the same columns as the Managed Clusters table in the UI. </li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1125256"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1125257"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1125258"></a>Data types of the fields in the CSV file correspond to those in the UI. In case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1125259"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1125239"></a>A managed cluster may become disconnected from the Ops Director, either due to temporary network unavailability or because MarkLogic Server had stopped on the hosts comprising the cluster. In this case, the cluster's state cannot be determined by Ops Director, and hence the cluster is assigned the <code>Unknown</code> state.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1125893"></a>For additional reasons why a managed cluster might be assigned the Unknown state, see <a href="http://docs.marklogic.com/9.0/guide/opsdir/intro#id_77006" target="_blank">Security and Database Dependencies of Managed Clusters</a> in the <em xmlns="">Ops Director Guide</em>.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1123380"></a>You may filter the list of the managed clusters, to view only those clusters that are currently in the Unknown state, by selecting the <b>Show only unknown</b> checkbox.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1123399"></a><span></span></p>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1123612"></a><a id="44171"></a>Removing Unknown Managed Clusters from the List</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1123613"></a>You may remove a managed cluster that is currently in the Unknown state from the list of clusters managed by Ops Director. Perform the following steps:</p>

<ol xmlns="http://www.w3.org/1999/xhtml">
  <li><p><a id="pgfId-1123513"></a>Click <b>REMOVE</b> to the right of the cluster you want to remove from the list.</p></li>
  <p><a id="pgfId-1123630"></a><span></span></p>
  <blockquote><p><b>Note:&#160;&#160;</b><a id="pgfId-1123423"></a>The <b>Remove</b> button is enabled only for clusters that are currently in the Unknown state.</p></blockquote>
  <li><p><a id="pgfId-1123424"></a>A confirmation box appears asking <b>Do you wish to remove this cluster from the list of clusters managed by this instance of Ops Director?</b> Click <b>YES</b>.</p></li>
  <p><a id="pgfId-1123651"></a><span></span></p>
  <li><p><a id="pgfId-1123761"></a>The cluster is removed, and the updated list of managed clusters is displayed by Ops Director. </p></li>
</ol>
<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1123773"></a><span></span></p>
<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1123767"></a><a id="64222"></a>Reconnecting a Managed Cluster to Ops Director</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1123768"></a>If you removed a cluster from the list of clusters managed by Ops Director, you may want to reconnect this cluster later on, such as when the issue that caused the Unknown state is resolved.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1123814"></a>To add the cluster back to the list of clusters managed by Ops Director from the Admin Interface, perform the following steps:</p>

<ol xmlns="http://www.w3.org/1999/xhtml">
  <li><p><a id="pgfId-1126665"></a>Log into the Admin Interface on the cluster to be managed by Ops Director.</p></li>
  <li><p><a id="pgfId-1126666"></a>In the left menu, select <b>Configure &gt; Clusters</b>.</p></li>
  <li><p><a id="pgfId-1126667"></a>Select the local cluster. The Edit Local Cluster Configuration page appears.</p></li>
  <li><p><a id="pgfId-1123955"></a>Select the <b>Ops Director</b> tab at the top of the page.</p></li>
  <li><p><a id="pgfId-1126703"></a>The Ops Director Setup page is displayed. Select <b>stop managing this cluster</b>. </p></li>
  <p><a id="pgfId-1126707"></a><span></span></p>
  <blockquote><p><b>Note:&#160;&#160;</b><a id="pgfId-1126710"></a>When you remove the cluster from the list of managed clusters in Ops Director, the cluster is not notified that it is no longer managed, because the connection between the cluster and the Ops Director is down at that point. Therefore, you must first update the cluster state by selecting <b>stop managing this cluster</b> from the Admin Interface.</p></blockquote>
  <li><p><a id="pgfId-1124118"></a>On the Stop Managing this Cluster page, make sure the box to the left of <b>Remove Ops Director Certificate Authority</b> box is unchecked, then click <b>ok</b>.</p></li>
  <p><a id="pgfId-1124119"></a><span></span></p>
  <blockquote><p><b>Note:&#160;&#160;</b><a id="pgfId-1124120"></a>You may stop managing and start managing a cluster without re-importing a certificate to it, in case the cluster will be managed by the same instance of Ops Director.</p></blockquote>
  <li><p><a id="pgfId-1124100"></a>The Server Restart page is displyed.The page informs you that MarkLogic Server is being restarted to load new Ops Director status configuration.</p></li>
  <p><a id="pgfId-1124210"></a><span></span></p>
  <li><p><a id="pgfId-1124190"></a>When the restart is completed, the Ops Director Setup page is displayed again. Select <b>manage this cluster</b>. </p></li>
  <p><a id="pgfId-1124256"></a><span></span></p>
  <li><p><a id="pgfId-1124263"></a>The Configure as a Managed Cluster page is displayed. </p></li>
  <p><a id="pgfId-1124498"></a>Enter the name of the host where your Ops Director application runs.</p>
  <p><a id="pgfId-1124515"></a>From the Ops Director Certificate Authority menu, select <b>MarkLogic Ops Director Certificate Authority</b>.</p>
  <p><a id="pgfId-1124519"></a>You may optionally modify the level for log messages sent to Ops Director, as well as the frequency at which the metering data is collected.</p>
  <p><a id="pgfId-1124520"></a>Click <b>ok</b>.</p>
  <p><a id="pgfId-1124342"></a><span></span></p>
  <li><p><a id="pgfId-1124349"></a>In Ops Director, select the CONSOLE SETTINGS tab. In the left menu under CONNECTIVITY, select <b>Managed Clusters</b>. </p></li>
</ol>
<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1124528"></a>Refresh the page. The updated list of managed clusters is displayed, with the newly reconnected cluster among them.</p>
<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1126795"></a>Email Configuration</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1126798"></a>Under NOTIFICATIONS, select <b>Email Configuration </b>to set up emailed notifications.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1126800"></a>This section covers the following topics:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1126804"></a><a href="#28187">Viewing and Filtering the List of Managed Clusters</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1126808"></a><a href="#44171">Removing Unknown Managed Clusters from the List</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1126812"></a><a href="#64222">Reconnecting a Managed Cluster to Ops Director</a></li>
</ul>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1126814"></a>Setting Up Email Notifications</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1126818"></a>To set up email notifications:</p>

<ol xmlns="http://www.w3.org/1999/xhtml">
  <li><p><a id="pgfId-1126971"></a>In the left menu, select <b>Email Configuration</b>. The Email Configuration page displays in the right pane.</p></li>
  <p><a id="pgfId-1126972"></a><span></span></p>
  <li><p><a id="pgfId-1126973"></a>Enter the Login and Password credentials for the the SMTP relay server configured in the Admin UI under <b>Configure &gt; Groups</b>. Click <b>SAVE</b> to save the credentials.</p></li>
  <li><p><a id="pgfId-1126998"></a>To make sure the Ops Director email server is working correctly, click <b>SEND TEST EMAIL</b>. The SEND TEST EMAIL box displays. </p></li>
  <p><a id="pgfId-1127012"></a><span></span></p>
  <li><p><a id="pgfId-1127005"></a>Enter an email address to receive the test message and click <b>OK</b>.</p></li>
</ol>
<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1126991"></a>To remove the account fromOps Director, click <b>DELETE</b>.</p>
<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1127055"></a>Setting up and Managing Alerts</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1127069"></a>The <b>Alert Management</b> page enables you to determine when email alerts are sent. To display the Alert Management page in the right pane, in the left menu, select <b>Alert Management</b>. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1127298"></a><span></span></p>

<h4 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1127247"></a>Creating an Email Alert</h4>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1127715"></a>When you create or edit an email alert, make sure you consider the email recipient's RBAC (Role Based Access Control) settings. Make sure that email notifications with full alert details about MarkLogic components only be sent to users with full view of these components.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1127261"></a>To create an email alert:</p>

<ol xmlns="http://www.w3.org/1999/xhtml">
  <li><p><a id="pgfId-1127090"></a>In the Alert Management page, click <b>CREATE ALERT</b>. The CREATE EMAIL TRIGGER ALERT window appears.</p></li>
  <p><a id="pgfId-1127122"></a><span></span></p>
  <li><p><a id="pgfId-1127163"></a>In the CREATE EMAIL TRIGGER ALERT window:</p></li>
</ol>
<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1127164"></a>Enter the <b>Name</b> of the trigger. You may also add a <b>Description</b>. </li>
</ul>
<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1127179"></a>From the <b>Resource Scopes</b> menu, select one or more resource groups.</li>
</ul>
<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1127172"></a>From the <b>Threshold</b> menu, select one of <b>Critical</b>, <b>At Risk</b>, or <b>All</b>, depending upon the level of alerts you want to monitor.</li>
</ul>
<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1127186"></a>Enter one or more email addresses in the <b>Notification Group</b> box.</li>
</ul>
<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1127193"></a>Click <b>SAVE</b>.</p>
<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1127153"></a>The new alert displays in the Alert Management window and is automatically enabled.</p>
<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1127224"></a><span></span></p>
<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1127240"></a>To disable a trigger, select the box to the right of the trigger in the <b>Enable</b> column so it is unchecked.</p>
<h4 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1127320"></a>Editing an Email Alert</h4>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1127765"></a>When you create or edit an email alert, make sure you consider the email recipient's RBAC (Role Based Access Control) settings. Make sure that email notifications with full alert details about MarkLogic components only be sent to users with full view of these components.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1127334"></a>To edit an email alert:</p>

<ol xmlns="http://www.w3.org/1999/xhtml">
  <li><p><a id="pgfId-1127341"></a>To the right of the alert you want to edit, select the <b>Action</b> menu. </p></li>
  <p><a id="pgfId-1127358"></a><span></span></p>
  <li><p><a id="pgfId-1127351"></a>From the <b>Action</b> menu, select <b>Edit</b>. The <b>EDIT EMAIL ALERT TRIGGER</b> window displays.</p></li>
  <p><a id="pgfId-1127381"></a><span></span></p>
  <li><p><a id="pgfId-1127388"></a>Edit one or more of the following fields:</p></li>
</ol>
<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1127419"></a>The <b>Name</b> of the trigger. </li>
</ul>
<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1127436"></a>The <b>Description</b> of the trigger.</li>
</ul>
<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1127420"></a>From the <b>Resource Scopes</b> menu, you may select or deselect one or more resource groups.</li>
</ul>
<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1127421"></a>From the <b>Threshold</b> menu, you may select one of <b>Critical</b>, <b>At Risk</b>, or <b>All</b>, depending upon the level of alerts you want to monitor.</li>
</ul>
<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1127422"></a>Add or remove one or more email addresses in the <b>Notification Group</b> box.</li>
</ul>
<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1127423"></a>Click <b>SAVE</b> to save your changes.</p>
<blockquote xmlns="http://www.w3.org/1999/xhtml"><p><b>Note:&#160;&#160;</b><a id="pgfId-1127458"></a>The <b>SAVE</b> button does not become operational until you 'edit' either the <b>Name</b>, <b>Description</b>, or <b>Notification Group</b> field.</p></blockquote>
<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1127407"></a>Your changes appear in the Alert Management page.</p>
<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1127476"></a><span></span></p>
<h4 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1127594"></a>Viewing and Filtering the List of Alerts</h4>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1127598"></a>Use the Alert Management page to view the list of all alerts currently managed by Ops Director.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1127602"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1127603"></a>The columns displayed in the Alert Notifications page are described in the following table.</p>


<a id="pgfId-1127625" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1127606"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1127608"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127610"></a>Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127612"></a>The name of the alert.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127614"></a>Description</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127616"></a>An optional description of the alert.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127618"></a>Resource Scopes</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127620"></a>The resource groups to be monitored by this alert.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127622"></a>Threshold</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127624"></a>The error threshold at which the alert is triggered.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127700"></a>Notification Group</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1127702"></a>The email addresses of users to be notified when an alert is triggered.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1127626"></a>You may export data from the Alert Management page as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1127627"></a>The resulting CSV file will have the same columns as the Managed Clusters table in the UI. </li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1127628"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1127629"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1127630"></a>Data types of the fields in the CSV file correspond to those in the UI. In case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1127631"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<h4 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1127487"></a>Deleting an Email Alert</h4>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1127510"></a>You can delete an email alert in one of the following ways:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1127541"></a>To the right of the alert you want to edit, select the <b>Action</b> menu. From the <b>Action</b> menu, select <b>Delete</b>.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1127530"></a>Select one or more alerts in the box column to the left of the <b>Name</b> column. To the right of <b>CREATE ALERT</b>, select <b>Actions</b>, then select <b>Delete All Selected Triggers</b>.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1127568"></a>A DELETE EMAIL ALERT TRIGGER<b> </b>confirmation box displays. Click <b>YES</b> to delete all selected alerts.</p>

<p>Available help topics:</p>
<span><table width="50%" border="0" style="text-align: left"><tr><td rowspan="1" colspan="1"><ul xmlns="http://www.w3.org/1999/xhtml">
	  <li><a href="help.xqy?app=opsdirector&amp;page=console-rbac-settings">Role Based Access Control (RBAC) Settings</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=console-resource-groups">Resource Groups</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=console-license-info">License Information</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=console-managed-clusters">Managed Clusters</a></li>
	</ul></td></tr></table></span> </div>
   case element(console-rbac-settings) return
     <div id=" console-rbac-settings "> <p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=overview" xmlns="http://www.w3.org/1999/xhtml">Monitoring MarkLogic with Ops Director</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=navigation" xmlns="http://www.w3.org/1999/xhtml">Navigating and Filtering Ops Director Views</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=Console" xmlns="http://www.w3.org/1999/xhtml">Console Settings View</a></p>
<h1 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1126178"></a><a id="37812"></a>Role Based Access Control (RBAC) Settings</h1>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1126179"></a>Use RBAC (Role Based Access Control) Settings to define new roles that assign sub-roles to Resource Groups to control which users have access to the resources defined by those Resource Groups (Resource Scope). The roles you create in this view will be accessible in the Admin Interface.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122267"></a>When assigning Resource Groups to a role, the resources in those groups and inherited resources will be accessible to users assigned that role. For details how resource groups define access to resources, see <a href="http://docs.marklogic.com/9.0/guide/opsdir/intro#id_93519" target="_blank">Access Inheritance in Resource Groups</a> in the <em xmlns="">Ops Director Guide</em>.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122268"></a>For example, to see the cluster resources, you must create a Resource Group for this cluster and assign it to a role. A practical configuration would be to restrict access of a particular user to one cluster, which would imply access to that cluster's hosts, application servers, databases, and forests through the access inheritance mechanism in resource groups.</p>

<blockquote xmlns="http://www.w3.org/1999/xhtml"><p><b>Note:&#160;&#160;</b><a id="pgfId-1122269"></a>If you do not have permission to see a resource, that resource will be displayed as blank or, if the resource type is presented as a count, it will be displayed as 0. Additionally, if you do not have permission to see a resource that is presented in chart form, you will see charts, but those charts will have no data (lines) for the prohibited resource.</p></blockquote>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122273"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122847"></a>This section covers the following topics:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1122861"></a><a href="#17042">Roles Tab</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1122879"></a><a href="#12984">Resource Access Tab</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1122890"></a><a href="#17736">Creating a Resource Group and Assigning it to a Role</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1122900"></a><a href="#23022">Editing or Deleting a Role</a></li>
</ul>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122274"></a><a id="17042"></a>Roles Tab</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122275"></a>The Roles tab lists the available roles.The columns displayed for a Role are described in the following table.</p>


<a id="pgfId-1122316" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1122278"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1122280"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122282"></a>Role name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122287"></a>The name of the Ops Director role.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122289"></a>Sub-Roles (optional)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122291"></a>The MarkLogic roles to be assigned to this role. For details, see <a href="http://docs.marklogic.com/9.0/guide/security/role#id_69992" target="_blank">Role-Based Security Model</a> in the <i>Security Guide</i> and <a href="http://docs.marklogic.com/9.0/guide/admin/pre_def_roles#id_84238" target="_blank">Appendix C: Pre-defined Roles</a> in the <i>Administrator's Guide</i>.</p><blockquote><p><b>Note:&#160;&#160;</b><a id="pgfId-1122304"></a>Do not assign <b>opsdir-admin</b> as a sub-role, as <b>opsdir-admin</b> has access to view all of the resources in Ops Director, which defeats the purpose of RBAC.</p></blockquote></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122309"></a>Resource Scopes (optional)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122311"></a>The resource group(s) to which this role controls access.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122313"></a>Description (optional)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122315"></a>The description of this role.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1124555"></a>You may export data from the Roles tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1124559"></a>The resulting CSV file will have the same columns as the Roles table in the UI. </li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1124560"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1124561"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1124562"></a>Data types of the fields in the CSV file correspond to those in the UI. In case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1124563"></a>You may then import the CSV file into other applications (such As Excel) for further processing or analysis.</p>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122317"></a><a id="12984"></a>Resource Access Tab</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122318"></a>The Resource Access tab lists the resource groups and their assigned roles. The columns displayed are described in the following table.</p>


<a id="pgfId-1124621" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1124610"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1124612"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1124614"></a>Resource Scope</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1124616"></a>The name of the resource group.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1124618"></a>Roles</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1124620"></a>The roles assigned to the resource group.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1124631"></a>You may export data from the Resource Access tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1124635"></a>The resulting CSV file will have the same columns as the Resource Access table in the UI. </li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1124636"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1124637"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1124638"></a>Data types of the fields in the CSV file correspond to those in the UI. In case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1124639"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1124625"></a><a id="17736"></a><a id="78300"></a>Creating a Resource Group and Assigning it to a Role</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122336"></a>The following procedure creates a Resource Group that represents all of the hosts in the Managed Clusters and then restricts access to monitor those hosts to only users with the <code>opsdir-user</code> role.</p>

<ol xmlns="http://www.w3.org/1999/xhtml">
  <li><p><a id="pgfId-1122340"></a>In Ops Director, select the <b>CONSOLE SETTINGS</b> view.</p></li>
  <li><p><a id="pgfId-1122341"></a>Select <b>Resource Group</b> in the left menu.</p></li>
  <li><p><a id="pgfId-1122342"></a>In the right pane, click <b>CREATE GROUP</b>.</p></li>
  <p><a id="pgfId-1122346"></a><span></span></p>
  <li><p><a id="pgfId-1122347"></a>In the CREATE GROUP dialog box, enter the Group Name, Description, and select <b>Host</b> from the Resource Type menu.</p></li>
  <p><a id="pgfId-1122351"></a><span></span></p>
  <li><p><a id="pgfId-1122352"></a>After creating the group, select the group. In the Resource Groups page for the selected group, scroll down to the Total Resources section (which will likely be out of sight until you scroll down) and select the check boxes to the left of each host in the cluster that you want to belong to this group.</p></li>
  <p><a id="pgfId-1122356"></a><span></span></p>
  <li><p><a id="pgfId-1122357"></a>Click <b>ASSIGN</b> to assign the selected resources to the group.</p></li>
  <p><a id="pgfId-1122361"></a><span></span></p>
  <li><p><a id="pgfId-1122362"></a>The Resource Group lists the assigned resources.</p></li>
  <p><a id="pgfId-1122366"></a><span></span></p>
  <li><p><a id="pgfId-1122367"></a>In the left menu, select <b>Roles</b> from under RBAC Settings.</p></li>
  <p><a id="pgfId-1122371"></a><span></span></p>
  <li><p><a id="pgfId-1126292"></a>In the ROLES tab, select <b>CREATE ROLE</b>.</p></li>
  <p><a id="pgfId-1126296"></a><span></span></p>
  <li><p><a id="pgfId-1126297"></a>In the Create Role dialog box, enter the Role Name (<code>HostAccess</code>, in this example) and Description. Select <b>opsdir-user</b> from the Sub-Roles menu.</p></li>
</ol>
<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122381"></a><span></span></p>
<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1126342"></a>Select <b>Hosts</b> from the Resource Scope menu. Click <b>ok</b>.</p>
<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1126346"></a><span></span></p>
<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1126348"></a><a id="23022"></a>Editing or Deleting a Role</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1125778"></a>To edit or delete a role, click the Action icon next to that role and select desired action.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1125782"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1125519"></a>To delete multiple roles, select the checkboxes next to all roles you want to delete, then select <b>Delete All Selected Roles</b> in the ACTIONS menu.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1125523"></a><span></span></p>

<blockquote xmlns="http://www.w3.org/1999/xhtml"><p><b>Note:&#160;&#160;</b><a id="pgfId-1125504"></a>The <b>Delete All Selected Roles</b> option is enabled when at least one role is selected.</p></blockquote>

<p>Available help topics:</p>
<span><table width="50%" border="0" style="text-align: left"><tr><td rowspan="1" colspan="1"><ul xmlns="http://www.w3.org/1999/xhtml">
	  <li>Role Based Access Control (RBAC) Settings</li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=console-resource-groups">Resource Groups</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=console-license-info">License Information</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=console-managed-clusters">Managed Clusters</a></li>
	</ul></td></tr></table></span> </div>
   case element(console-resource-groups) return
     <div id=" console-resource-groups "> <p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=overview" xmlns="http://www.w3.org/1999/xhtml">Monitoring MarkLogic with Ops Director</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=navigation" xmlns="http://www.w3.org/1999/xhtml">Navigating and Filtering Ops Director Views</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=Console" xmlns="http://www.w3.org/1999/xhtml">Console Settings View</a></p>
<h1 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122506"></a><a id="61066"></a><a id="89565"></a>Resource Groups</h1>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122501"></a>You may want to establish roles and privileges at a finer and more ad hoc granularity than is provided by the pre-defined MarkLogic roles. It is likely that roles defined within the enterprise are fairly coarse-grained and that changing roles (in an external LDAP server, for example), may be considered too 'heavyweight' for ad hoc groupings.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1116532"></a>Resource Groups define sets of resources to which you can assign specific roles to customize user access to those resources. For details on how resource groups define access to resources, see <a href="http://docs.marklogic.com/9.0/guide/opsdir/intro#id_93519" target="_blank">Access Inheritance in Resource Groups</a> in the <em xmlns="">Ops Director Guide</em>.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1119184"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1117503"></a>The columns displayed are described in the following table.</p>


<a id="pgfId-1117566" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1117545"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1117547"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117549"></a>Group Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117551"></a>The name of the resource group.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117553"></a>Group type</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117555"></a>The type of resources in the group (Hosts, Databases, App Servers, Clusters).</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117557"></a>Size</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117559"></a>The number of resources in the resource group.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117685"></a>Description</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117687"></a>The description of the resource group.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1118952"></a>Action</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1118954"></a>The action to take on the resource group (Edit or Delete).</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1124668"></a>You may export data from the Resource Groups tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1124672"></a>The resulting CSV file will have the same columns as the Resource Groups table in the UI. </li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1124673"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1124674"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1124675"></a>Data types of the fields in the CSV file correspond to those in the UI. In case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<blockquote xmlns="http://www.w3.org/1999/xhtml"><p><b>Note:&#160;&#160;</b><a id="pgfId-1124704"></a>The Resource Groups CSV file, in addition to the columns from the Resource Groups table in the UI, has one additional column: <code>Resource Id</code>. This column contains comma-separated list of identifiers of all resources in this group.</p></blockquote>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1124691"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1124656"></a>This section covers the following topics:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1125657"></a><a href="#15446">Creating a Resource Group</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1125658"></a><a href="#60396">Editing or Deleting a Resource Group</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1125662"></a><a href="#73994">Resource Group Views</a></li>
</ul>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1118966"></a><a id="15446"></a>Creating a Resource Group</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1120221"></a>Do the following to create a Resource Group. </p>

<ol xmlns="http://www.w3.org/1999/xhtml">
  <li><p><a id="pgfId-1120156"></a>Click <b>CREATE GROUP</b>.</p></li>
  <li><p><a id="pgfId-1120098"></a>In the pop-up window, enter a Group Name, select a Resource Type (Host, Database, Appserver, or Cluster), and enter a description for the resource group.</p></li>
  <p><a id="pgfId-1120185"></a><span></span></p>
  <li><p><a id="pgfId-1120389"></a>Click <code>Save</code>. The new Resource Group is added to the list of Resource Groups.</p></li>
  <li><p><a id="pgfId-1120244"></a>By default, no resources are included in the Resource Group. To include resources, click on the name of the newly created Resource Group.</p></li>
  <p><a id="pgfId-1120258"></a><span></span></p>
  <li><p><a id="pgfId-1120415"></a>Scroll down to the Total Resources section and select the resource to be included in the Resource Group. This view will differ, for each type of Resource Group, as described in <a href="http://docs.marklogic.com/9.0/guide/opsdir/ConsoleSettings#id_73994" target="_blank">Resource Group Views</a> in the <em xmlns="">Ops Director Guide</em>.</p></li>
  <p><a id="pgfId-1120272"></a><span></span></p>
  <p><a id="pgfId-1120279"></a>By default, you can view 10 resources per page. You can adjust how many resources to view in the Resource Group page by changing the number in the menu at the bottom of the page.</p>
  <p><a id="pgfId-1120286"></a><span></span></p>
  <li><p><a id="pgfId-1120293"></a>When you have finished selecting resources for the Resource Group, click <b>ASSIGN</b> at the bottom of the page.</p></li>
</ol>
<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1125866"></a><span></span></p>
<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1125869"></a><a id="60396"></a>Editing or Deleting a Resource Group</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1125798"></a>To edit or delete a resource group, click the Action icon next to that resource group and select the desired action.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1125802"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1125803"></a>To delete multiple resource groups, mark checkboxes next to all resource groups you want to delete and select <b>Delete All Selected Groups</b> in the Actions menu.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1125807"></a><span></span></p>

<blockquote xmlns="http://www.w3.org/1999/xhtml"><p><b>Note:&#160;&#160;</b><a id="pgfId-1125808"></a>The <b>Delete All Selected Groups</b> option is enabled when at least one resource group is selected.</p></blockquote>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121682"></a><a id="73994"></a>Resource Group Views</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1121683"></a>Click on a resource group to display the assigned and unassigned resources, as well as assign and deassign resources. The contents of each type of resource group are described in the following sections:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1118982"></a><a href="#78857">Host Groups</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1119015"></a><a href="#61897">Database Groups</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1119037"></a><a href="#36634">App Server Groups</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1119059"></a><a href="#60856">Cluster Groups</a></li>
</ul>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1117690"></a><a id="78857"></a>Host Groups</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1119092"></a>The columns displayed for a host group are described in the following table. These settings are described in the <a href="http://docs.marklogic.com/9.0/guide/admin/hosts#id_95162" target="_blank">Hosts</a> chapter in the <i>Administrator's Guide</i>.</p>


<a id="pgfId-1117876" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1117832"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1117834"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1120862"></a>Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1120864"></a>The hostname of the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117836"></a>Cluster</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117838"></a>The name of the cluster on which the host resides.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117848"></a>Group</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117850"></a>The name of the group that contains the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117852"></a>OS</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117854"></a>The name and version of the operating system on which the host runs.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117856"></a>Server Version</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1119223"></a>The version of MarkLogic Server running on the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1120880"></a>Forests</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1120882"></a>The number of forests configured for the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1120884"></a>Databases</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1120886"></a>The number of databases configured for the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1120888"></a>App Servers</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1120890"></a>The number of App Servers configured for the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1120892"></a>Disk Space</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1120932"></a>The amount of disk space (in MB) used on the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1120896"></a>Uptime</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1120898"></a>The duration (Days Hrs:Min) the host has been available.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1120870"></a>Maint. Mode</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1120872"></a>The host maintenance mode (normal or maintenance). For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/rolling-upgrades#id_12339" target="_blank">Rolling Upgrades</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117860"></a>Zone</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117862"></a>The Amazon Web Services (AWS) zone in which the host resides, if applicable.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1124765"></a>You may export data from the Host Groups tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1124769"></a>The resulting CSV file will have the same columns as the Host Groups table in the UI. </li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1124770"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1124771"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1124772"></a>Data types of the fields in the CSV file correspond to those in the UI. In case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1124774"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1117711"></a><a id="61897"></a>Database Groups</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1119120"></a>The columns displayed for a database group are described in the following table. These settings are described in the <a href="http://docs.marklogic.com/9.0/guide/admin/databases#id_69630" target="_blank">Databases</a> chapter in the <i>Administrator's Guide</i>.</p>


<a id="pgfId-1117718" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1117889"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1117891"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1120970"></a>Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1120972"></a>The name of the database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117893"></a>Cluster</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117895"></a>The name of the cluster on which the database resides.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1120978"></a>Forests</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1120980"></a>The number of forests configured for the database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1120992"></a>Disk Size (MB)</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1121002"></a>The amount of disk space used by the database forests, in megabytes.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1121035"></a>Documents</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1121037"></a>The number of documents in the database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1121039"></a>Last Backup</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1121041"></a>The data-time of the last backup of the database. No value, if the database has never been backed up. For details on backing up a database, see <a href="http://docs.marklogic.com/9.0/guide/admin/backup_restore#id_93243" target="_blank">Backing Up and Restoring a Database</a> in the <i>Administrator's Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1121049"></a>Encryption</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1121051"></a>Specifies whether or not encryption at rest should be enabled for the database. For details, see <a href="http://docs.marklogic.com/9.0/guide/security/encryption#id_37353" target="_blank">Encryption at Rest</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1121059"></a>HA</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1121061"></a>Specifies whether or not shared disk failover is enabled. For details, see <a href="http://docs.marklogic.com/9.0/guide/cluster/failover#id_82157" target="_blank">High Availability of Data Nodes With Failover</a> in the <i>Scalability, Availability, and Failover Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1121069"></a>Replication</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1121071"></a>Specifies whether or not database replication is enabled (On/Off). For details, see the <i>Database Replication Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117908"></a>Security DB</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117910"></a>The name of the security database used by the database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117912"></a>Schemas DB</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117914"></a>The name of the schema database used by the database.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117916"></a>Triggers DB</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1117918"></a>The name of the triggers database used by the database.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1124805"></a>You may export data from the Database Groups tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1124809"></a>The resulting CSV file will have the same columns as the Database Groups table in the UI. </li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1124810"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1124811"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1124812"></a>Data types of the fields in the CSV file correspond to those in the UI. In case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1124813"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1117725"></a><a id="36634"></a>App Server Groups</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1119143"></a>The columns displayed for an Appserver group are described in the following table. These settings are described in the <a href="http://docs.marklogic.com/9.0/guide/admin/http#id_28058" target="_blank">HTTP Servers</a>, <a href="http://docs.marklogic.com/9.0/guide/admin/odbc#id_33148" target="_blank">ODBC Servers</a>, <a href="http://docs.marklogic.com/9.0/guide/admin/xdbc#id_11456" target="_blank">XDBC Servers</a>, and <a href="http://docs.marklogic.com/9.0/guide/admin/webdav#id_65018" target="_blank">WebDAV Servers</a> chapters in the <i>Administrator's Guide</i>.</p>


<a id="pgfId-1117732" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1124390"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1124392"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1124394"></a>Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1124396"></a>The name of the App Server.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1124398"></a>Cluster</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1124400"></a>The name of the cluster on which the App Server resides.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1124402"></a>Type</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1124404"></a>The App Server Type (HTTP, ODBC, XDBC, WebDAV).</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1124406"></a>Database</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1124408"></a>The content database used by the App Server.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1124410"></a>Port</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1124412"></a>The App Server port number.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1124414"></a>SSL</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1124416"></a>Whether the App Server has SSL enabled (Yes) or disabled (No). For details, see <a href="http://docs.marklogic.com/9.0/guide/security/SSL#id_85783" target="_blank">Configuring SSL on App Servers</a> in the <i>Security Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1124424"></a>Group</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1124426"></a>The name of the group that contains the App Server.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1124428"></a>Modules DB+Root</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1124430"></a>The name of the modules database, or if file system, the root directory.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1124432"></a>Security</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1124434"></a>The type of security (internal or external).</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1124838"></a>You may export data from the App Server Groups tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1124842"></a>The resulting CSV file will have the same columns as the App Server Groups table in the UI. </li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1124843"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1124844"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1124845"></a>Data types of the fields in the CSV file correspond to those in the UI. In case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1124846"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<h3 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1118995"></a><a id="60856"></a>Cluster Groups</h3>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1119157"></a>The columns displayed for a cluster group are described in the following table. These settings are described in the <a href="http://docs.marklogic.com/9.0/guide/admin/clusters#id_28657" target="_blank">Clusters</a> chapter in the <i>Administrator's Guide</i>.</p>


<a id="pgfId-1122588" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1122536"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1122538"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122540"></a>Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122542"></a>The name of the cluster.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122544"></a>Groups</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122546"></a>The number of groups in the cluster.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122548"></a>Hosts</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122550"></a>The number of hosts in the cluster.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122552"></a>Databases</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122554"></a>The number of databases in the cluster.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122556"></a>Forests</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122558"></a>The number of forests in the cluster.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122560"></a>App Server</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122562"></a>The number of App Servers in the cluster.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122564"></a>Server Version</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122569"></a>The version of MarkLogic Server running on the hosts in the cluster.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122571"></a>OS</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122573"></a>The name and version of the operating system on which the host runs.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122575"></a>Uptime</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122577"></a>The duration (Days Hrs:Min) the cluster has been available.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122579"></a>Encryption</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122581"></a>Specifies whether or not encryption at rest should be enabled for the database. For details, see <a href="http://docs.marklogic.com/9.0/guide/security/encryption#id_37353" target="_blank">Encryption at Rest</a> in the <i>Security Guide</i>.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1124877"></a>You may export data from the Cluster Groups tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1124881"></a>The resulting CSV file will have the same columns as the Cluster Groups table in the UI. </li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1124882"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1124883"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1124884"></a>Data types of the fields in the CSV file correspond to those in the UI. In case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1124885"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<p>Available help topics:</p>
<span><table width="50%" border="0" style="text-align: left"><tr><td rowspan="1" colspan="1"><ul xmlns="http://www.w3.org/1999/xhtml">
	  <li><a href="help.xqy?app=opsdirector&amp;page=console-rbac-settings">Role Based Access Control (RBAC) Settings</a></li>
	  <li>Resource Groups</li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=console-license-info">License Information</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=console-managed-clusters">Managed Clusters</a></li>
	</ul></td></tr></table></span> </div>
   case element(console-license-info) return
     <div id=" console-license-info "> <p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=overview" xmlns="http://www.w3.org/1999/xhtml">Monitoring MarkLogic with Ops Director</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=navigation" xmlns="http://www.w3.org/1999/xhtml">Navigating and Filtering Ops Director Views</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=Console" xmlns="http://www.w3.org/1999/xhtml">Console Settings View</a></p>
<h1 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122618"></a><a id="75043"></a>License Information</h1>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122619"></a>Click <b>License Information</b> for a summary of managed hosts running under one or more MarkLogic license editions, with a breakdown of licensed cores, used cores, and the operating system platforms on which MarkLogic is running. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122623"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122624"></a>The displayed columns are described in the following table.</p>


<a id="pgfId-1122665" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1126491"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1126493"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126495"></a>License Edition</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126498"></a>The type of MarkLogic License. For details, see <span><a href="http://www.marklogic.com/what-is-marklogic/pricing/" xml:link="simple" show="replace" actuate="user" CLASS="URL" target="_blank">Pricing and Licensing</a></span> on the MarkLogic website.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126500"></a>Licensed Cores</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126504"></a>The number of licensed cores. For more information, see <a href="http://docs.marklogic.com/9.0/guide/cluster/scalability#id_88605" target="_blank">Scalability Considerations in MarkLogic Server</a> in <i>Scalability, Availability, and Forest-Level Failover</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126510"></a>Used Cores</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126514"></a>The number of used cores. For more information, see <a href="http://docs.marklogic.com/9.0/guide/cluster/scalability#id_88605" target="_blank">Scalability Considerations in MarkLogic Server</a> in <i>Scalability, Availability, and Forest-Level Failover</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126520"></a>Platform</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126528"></a>The host operating system. See <a href="http://docs.marklogic.com/9.0/guide/relnotes/chap2#id_92831" target="_blank">Supported Platforms</a> in the <i>Release Notes</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126530"></a>Environment</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1126532"></a>The type of environment, such as production or test.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1124921"></a>You may export data from the License Information tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1124925"></a>The resulting CSV file will have the same columns as the License Information table in the UI. </li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1124926"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1124927"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1124928"></a>Data types of the fields in the CSV file correspond to those in the UI. In case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1124929"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1124909"></a>This section covers the following topics:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1123008"></a><a href="#98842">License Information By Host</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1123042"></a><a href="#29501">License Information By License</a></li>
</ul>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122666"></a><a id="98842"></a>License Information By Host</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122667"></a>Select a specific MarkLogic License Edition to view details, broken down by host or by license edition, such as cluster name, group membership, processor architecture, and the number of CPUs, cores, and running threads. </p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122671"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122672"></a>The displayed columns are described in the following table.</p>


<a id="pgfId-1125144" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1125072"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1125074"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125076"></a>Host</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125078"></a>The list of licensed hosts in your enterprise.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125080"></a>Environment</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125082"></a>The MarkLogic environment. Typically, Development or Production.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125084"></a>Cluster</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125086"></a>The host cluster.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125088"></a>Group</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125090"></a>The host group.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125092"></a>Architecture</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125094"></a>The type of CPU hardware on which the host is running.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125096"></a>CPU</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125098"></a>The number of CPUs configured on the host hardware.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125100"></a>Cores</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125102"></a>The number of cores configured on the host hardware.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125104"></a>Threads</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125106"></a>The number of threads used by the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125108"></a>Licensed CPUs</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125110"></a>The number of licensed CPUs for the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125112"></a>Licensed Cores</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125114"></a>The number of licensed cores for the host.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125116"></a>Options</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125121"></a>Your licensed options. For details, see <a href="http://docs.marklogic.com/9.0/guide/admin/hosts#id_58812" target="_blank">Displaying License Options</a> in the <i>Administrator's Guide</i> and <span><a href="http://www.marklogic.com/what-is-marklogic/pricing/" xml:link="simple" show="replace" actuate="user" CLASS="URL" target="_blank">Pricing and Licensing</a></span> on the MarkLogic website.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125127"></a>Expiration</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125129"></a>The license expiration date.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125131"></a>License Key</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125138"></a>The license key. For details, see <a href="http://docs.marklogic.com/9.0/guide/installation/procedures#id_18057" target="_blank">Entering a License Key</a> in the <i>Installation Guide</i>.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125141"></a>Licensee</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125143"></a>The name of the person or organization that holds the license.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1125163"></a>You may export data from the License Information by Host tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1125167"></a>The resulting CSV file will have the same columns as the License Information by Host table in the UI. </li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1125168"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1125169"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1125170"></a>Data types of the fields in the CSV file correspond to those in the UI. In case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1125171"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1125152"></a><a id="29501"></a>License Information By License</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1125147"></a>Click the <b>By License</b> tab to view the license information by license key.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122753"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122754"></a>The displayed columns are described in the following table.</p>


<a id="pgfId-1122823" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1122757"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1122759"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122761"></a>Licensee</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122763"></a>The name of the person or organization that holds the license.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122765"></a>Hosts</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122767"></a>The hosts in your enterprise.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122769"></a>Clusters</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122771"></a>The clusters in your enterprise.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122773"></a>Environment</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122775"></a>The MarkLogic environment. Typically, Development or Production.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122777"></a>Groups</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122779"></a>The groups in your enterprise.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122781"></a>Architecture</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122783"></a>The type(s) of CPU hardware used by your enterprise.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122785"></a>CPU</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122787"></a>The number of CPUs in your enterprise.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122789"></a>Cores</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122791"></a>The number of cores in your enterprise.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122793"></a>Threads</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122795"></a>The number of threads used by the enterprise.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122797"></a>Licensed CPUs</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122799"></a>The number of licensed CPUs for the enterprise.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122801"></a>Licensed Cores</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122803"></a>The number of licensed cores for the enterprise.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122805"></a>Options</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122808"></a>Your licensed options. For details, see <span><a href="http://www.marklogic.com/what-is-marklogic/pricing/" xml:link="simple" show="replace" actuate="user" CLASS="URL" target="_blank">Pricing and Licensing</a></span> on the MarkLogic website.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122810"></a>Expiration</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122812"></a>The license expiration date.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1122814"></a>License Key</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125184"></a>The license key. For details, see <a href="http://docs.marklogic.com/9.0/guide/installation/procedures#id_18057" target="_blank">Entering a License Key</a> in the <i>Installation Guide</i>.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1125211"></a>You may export data from the License Information by License tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1125215"></a>The resulting CSV file will have the same columns as the License Information by License table in the UI. </li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1125216"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1125217"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1125218"></a>Data types of the fields in the CSV file correspond to those in the UI. In case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1125219"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<p>Available help topics:</p>
<span><table width="50%" border="0" style="text-align: left"><tr><td rowspan="1" colspan="1"><ul xmlns="http://www.w3.org/1999/xhtml">
	  <li><a href="help.xqy?app=opsdirector&amp;page=console-rbac-settings">Role Based Access Control (RBAC) Settings</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=console-resource-groups">Resource Groups</a></li>
	  <li>License Information</li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=console-managed-clusters">Managed Clusters</a></li>
	</ul></td></tr></table></span> </div>
   case element(console-managed-clusters) return
     <div id=" console-managed-clusters "> <p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=overview" xmlns="http://www.w3.org/1999/xhtml">Monitoring MarkLogic with Ops Director</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=navigation" xmlns="http://www.w3.org/1999/xhtml">Navigating and Filtering Ops Director Views</a></p>
<p style="text-align: right;"><a href="help.xqy?app=opsdirector&amp;page=Console" xmlns="http://www.w3.org/1999/xhtml">Console Settings View</a></p>
<h1 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1125200"></a><a id="75320"></a><a id="65454"></a>Managed Clusters</h1>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1122592"></a>Under Connectivity, select <b>Managed Clusters</b> to view the list of clusters managed by Ops Director and remove clusters that are currently in the Unknown state.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1123077"></a>This section covers the following topics:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1123149"></a><a href="#28187">Viewing and Filtering the List of Managed Clusters</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1123167"></a><a href="#44171">Removing Unknown Managed Clusters from the List</a></li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1123178"></a><a href="#64222">Reconnecting a Managed Cluster to Ops Director</a></li>
</ul>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1123084"></a><a id="28187"></a>Viewing and Filtering the List of Managed Clusters</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1123332"></a>Use the Managed Clusters page to view the list of all clusters currently managed by Ops Director, along with their health status.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1123333"></a><span></span></p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1125300"></a>The columns displayed in the Managed Clusters tab are described in the following table.</p>


<a id="pgfId-1125349" xmlns="http://www.w3.org/1999/xhtml"></a>


<span xmlns="http://www.w3.org/1999/xhtml"><table width="100%" border="1" style="text-align: left"><tr>
      <th rowspan="1" colspan="1"><a id="pgfId-1125372"></a>Column</th>
      <th rowspan="1" colspan="1"><a id="pgfId-1125374"></a>Description</th>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125376"></a>Name</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125378"></a>The name of the cluster.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125380"></a>Most Recent Update</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125425"></a>The most recent date and time the cluster status was updated.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125384"></a>Hosts</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125386"></a>The number of hosts in the cluster.</p></td>
    </tr><tr>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125407"></a>OS</p></td>
      <td rowspan="1" colspan="1"><p><a id="pgfId-1125409"></a>The name and version of the operating system of the hosts on the cluster.</p></td>
    </tr></table></span>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1125276"></a>You may export data from the Managed Clusters tab as a CSV (Comma Separated Values) file by clicking the Export icon in the upper right corner. The following rules apply:</p>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1125255"></a>The resulting CSV file will have the same columns as the Managed Clusters table in the UI. </li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1125256"></a>All available columns are exported, regardless of whether they are visible or hidden in the UI.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1125257"></a>All records that satisfy the set filter parameters are exported.</li>
</ul>

<ul xmlns="http://www.w3.org/1999/xhtml">
  <li><a id="pgfId-1125258"></a>Data types of the fields in the CSV file correspond to those in the UI. In case of boolean values, Yes/No in the UI corresponds to TRUE/FALSE in the CSV file.</li>
</ul>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1125259"></a>You may then import the CSV file into other applications (such as Excel) for further processing or analysis.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1125239"></a>A managed cluster may become disconnected from the Ops Director, either due to temporary network unavailability or because MarkLogic Server had stopped on the hosts comprising the cluster. In this case, the cluster's state cannot be determined by Ops Director, and hence the cluster is assigned the <code>Unknown</code> state.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1125893"></a>For additional reasons why a managed cluster might be assigned the Unknown state, see <a href="http://docs.marklogic.com/9.0/guide/opsdir/intro#id_77006" target="_blank">Security and Database Dependencies of Managed Clusters</a> in the <em xmlns="">Ops Director Guide</em>.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1123380"></a>You may filter the list of the managed clusters, to view only those clusters that are currently in the Unknown state, by selecting the <b>Show only unknown</b> checkbox.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1123399"></a><span></span></p>

<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1123612"></a><a id="44171"></a>Removing Unknown Managed Clusters from the List</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1123613"></a>You may remove a managed cluster that is currently in the Unknown state from the list of clusters managed by Ops Director. Perform the following steps:</p>

<ol xmlns="http://www.w3.org/1999/xhtml">
  <li><p><a id="pgfId-1123513"></a>Click <b>REMOVE</b> to the right of the cluster you want to remove from the list.</p></li>
  <p><a id="pgfId-1123630"></a><span></span></p>
  <blockquote><p><b>Note:&#160;&#160;</b><a id="pgfId-1123423"></a>The <b>Remove</b> button is enabled only for clusters that are currently in the Unknown state.</p></blockquote>
  <li><p><a id="pgfId-1123424"></a>A confirmation box appears asking <b>Do you wish to remove this cluster from the list of clusters managed by this instance of Ops Director?</b> Click <b>YES</b>.</p></li>
  <p><a id="pgfId-1123651"></a><span></span></p>
  <li><p><a id="pgfId-1123761"></a>The cluster is removed, and the updated list of managed clusters is displayed by Ops Director. </p></li>
</ol>
<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1123773"></a><span></span></p>
<h2 xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1123767"></a><a id="64222"></a>Reconnecting a Managed Cluster to Ops Director</h2>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1123768"></a>If you removed a cluster from the list of clusters managed by Ops Director, you may want to reconnect this cluster later on, such as when the issue that caused the Unknown state is resolved.</p>

<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1123814"></a>To add the cluster back to the list of clusters managed by Ops Director from the Admin Interface, perform the following steps:</p>

<ol xmlns="http://www.w3.org/1999/xhtml">
  <li><p><a id="pgfId-1126665"></a>Log into the Admin Interface on the cluster to be managed by Ops Director.</p></li>
  <li><p><a id="pgfId-1126666"></a>In the left menu, select <b>Configure &gt; Clusters</b>.</p></li>
  <li><p><a id="pgfId-1126667"></a>Select the local cluster. The Edit Local Cluster Configuration page appears.</p></li>
  <li><p><a id="pgfId-1123955"></a>Select the <b>Ops Director</b> tab at the top of the page.</p></li>
  <li><p><a id="pgfId-1126703"></a>The Ops Director Setup page is displayed. Select <b>stop managing this cluster</b>. </p></li>
  <p><a id="pgfId-1126707"></a><span></span></p>
  <blockquote><p><b>Note:&#160;&#160;</b><a id="pgfId-1126710"></a>When you remove the cluster from the list of managed clusters in Ops Director, the cluster is not notified that it is no longer managed, because the connection between the cluster and the Ops Director is down at that point. Therefore, you must first update the cluster state by selecting <b>stop managing this cluster</b> from the Admin Interface.</p></blockquote>
  <li><p><a id="pgfId-1124118"></a>On the Stop Managing this Cluster page, make sure the box to the left of <b>Remove Ops Director Certificate Authority</b> box is unchecked, then click <b>ok</b>.</p></li>
  <p><a id="pgfId-1124119"></a><span></span></p>
  <blockquote><p><b>Note:&#160;&#160;</b><a id="pgfId-1124120"></a>You may stop managing and start managing a cluster without re-importing a certificate to it, in case the cluster will be managed by the same instance of Ops Director.</p></blockquote>
  <li><p><a id="pgfId-1124100"></a>The Server Restart page is displyed.The page informs you that MarkLogic Server is being restarted to load new Ops Director status configuration.</p></li>
  <p><a id="pgfId-1124210"></a><span></span></p>
  <li><p><a id="pgfId-1124190"></a>When the restart is completed, the Ops Director Setup page is displayed again. Select <b>manage this cluster</b>. </p></li>
  <p><a id="pgfId-1124256"></a><span></span></p>
  <li><p><a id="pgfId-1124263"></a>The Configure as a Managed Cluster page is displayed. </p></li>
  <p><a id="pgfId-1124498"></a>Enter the name of the host where your Ops Director application runs.</p>
  <p><a id="pgfId-1124515"></a>From the Ops Director Certificate Authority menu, select <b>MarkLogic Ops Director Certificate Authority</b>.</p>
  <p><a id="pgfId-1124519"></a>You may optionally modify the level for log messages sent to Ops Director, as well as the frequency at which the metering data is collected.</p>
  <p><a id="pgfId-1124520"></a>Click <b>ok</b>.</p>
  <p><a id="pgfId-1124342"></a><span></span></p>
  <li><p><a id="pgfId-1124349"></a>In Ops Director, select the CONSOLE SETTINGS tab. In the left menu under CONNECTIVITY, select <b>Managed Clusters</b>. </p></li>
</ol>
<p xmlns="http://www.w3.org/1999/xhtml"><a id="pgfId-1124528"></a>Refresh the page. The updated list of managed clusters is displayed, with the newly reconnected cluster among them.</p>
<p>Available help topics:</p>
<span><table width="50%" border="0" style="text-align: left"><tr><td rowspan="1" colspan="1"><ul xmlns="http://www.w3.org/1999/xhtml">
	  <li><a href="help.xqy?app=opsdirector&amp;page=console-rbac-settings">Role Based Access Control (RBAC) Settings</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=console-resource-groups">Resource Groups</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=console-license-info">License Information</a></li>
	  <li>Managed Clusters</li>
	</ul></td></tr></table></span> </div>
   default return
     <div id="unknown"><p style="text-align: right;"><a href="http://docs.marklogic.com/9.0/guide/opsdir" target="_blank">Ops Director Guide</a></p>
<p>This is not a valid help page. Perhaps you are looking for one of the following:</p>
<span><table width="50%" border="0" style="text-align: left"><tr><td rowspan="1" colspan="1"><ul xmlns="http://www.w3.org/1999/xhtml">
	  <li><a href="help.xqy?app=opsdirector&amp;page=overview">Monitoring MarkLogic with Ops Director</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=navigation">Navigating and Filtering Ops Director Views</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=Monitor">Monitor View</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=monitor-dashboards">Monitoring Dashboards</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=monitor-overview-clusters">Clusters Overview</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=monitor-overview-hosts">Hosts Overview</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=monitor-overview-databases">Databases Overview</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=monitor-overview-appservers">App Servers Overview</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=Manage">Manage View</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster">Manage Clusters Tab</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-metrics">Cluster Metrics</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-info">Cluster Information</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-tasks">Cluster Tasks</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-logs">Cluster Logs</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-hosts">Cluster Hosts</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-databases">Cluster Databases</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-appservers">Cluster App Servers</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-cluster-forests">Cluster Forests</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host">Manage Hosts Tab</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host-metrics">Host Metrics</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host-info">Host Information</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host-tasks">Host Tasks</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host-logs">Host Logs</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host-databases">Host Databases</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host-appservers">Host App Servers</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-host-forests">Host Forests</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-database">Manage Databases Tab</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-database-metrics">Database Metrics</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-database-info">Database Information</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-database-tasks">Database Tasks</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-database-hosts">Database Hosts</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-database-appservers">Database App Servers</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-database-forests">Database Forests</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-appserver">Manage App Servers Tab</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-appserver-metrics">App Server Metrics</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-appserver-info">App Server Information</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-appserver-hosts">App Server Hosts</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=manage-appserver-databases">App Server Databases</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=Analyse">Analyze View</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=analyze-config-navigation">Configuring and Navigating the Analyze View</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=analyze-performance-disk">Disk Performance Data</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=analyze-performance-cpu">CPU Performance Data</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=analyze-performance-memory">Memory Performance Data</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=analyze-performance-appservers">Server Performance Data</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=analyze-performance-network">Network Performance Data</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=analyze-performance-databases">Database Performance Data</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=Support">SUPPORT view</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=support-system-alerts">System Alerts</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=support-event-logs">Event Logs</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=support-task-console">Task Console</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=Console">Console Settings View</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=console-rbac-settings">Role Based Access Control (RBAC) Settings</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=console-resource-groups">Resource Groups</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=console-license-info">License Information</a></li>
	  <li><a href="help.xqy?app=opsdirector&amp;page=console-managed-clusters">Managed Clusters</a></li>
	</ul></td></tr></table></span></div>
return $body